import{S as cS,i as dS,s as mS,e as s,k as p,w as _,t as o,M as hS,c as a,d as t,m as c,a as r,x as b,h as i,b as d,G as e,g as f,y as w,q as v,o as x,B as k,v as fS,L as z}from"../../chunks/vendor-hf-doc-builder.js";import{T as pS}from"../../chunks/Tip-hf-doc-builder.js";import{D as $}from"../../chunks/Docstring-hf-doc-builder.js";import{C as A}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as C}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as I}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";function uS(j){let u,y,P,h,T;return h=new A({props:{code:`from transformers import pipeline, AutoModelForTokenClassification, AutoTokenizer

# Sentiment analysis pipeline
pipeline("sentiment-analysis")

# Question answering pipeline, specifying the checkpoint identifier
pipeline("question-answering", model="distilbert-base-cased-distilled-squad", tokenizer="bert-base-cased")

# Named entity recognition pipeline, passing in a specific model and tokenizer
model = AutoModelForTokenClassification.from_pretrained("dbmdz/bert-large-cased-finetuned-conll03-english")
tokenizer = AutoTokenizer.from_pretrained("bert-base-cased")
pipeline("ner", model=model, tokenizer=tokenizer)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline, AutoModelForTokenClassification, AutoTokenizer

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Sentiment analysis pipeline</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pipeline(<span class="hljs-string">&quot;sentiment-analysis&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Question answering pipeline, specifying the checkpoint identifier</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pipeline(<span class="hljs-string">&quot;question-answering&quot;</span>, model=<span class="hljs-string">&quot;distilbert-base-cased-distilled-squad&quot;</span>, tokenizer=<span class="hljs-string">&quot;bert-base-cased&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Named entity recognition pipeline, passing in a specific model and tokenizer</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = AutoModelForTokenClassification.from_pretrained(<span class="hljs-string">&quot;dbmdz/bert-large-cased-finetuned-conll03-english&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;bert-base-cased&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>pipeline(<span class="hljs-string">&quot;ner&quot;</span>, model=model, tokenizer=tokenizer)`}}),{c(){u=s("p"),y=o("Examples:"),P=p(),_(h.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);y=i(g,"Examples:"),g.forEach(t),P=c(l),b(h.$$.fragment,l)},m(l,g){f(l,u,g),e(u,y),f(l,P,g),w(h,l,g),T=!0},p:z,i(l){T||(v(h.$$.fragment,l),T=!0)},o(l){x(h.$$.fragment,l),T=!1},d(l){l&&t(u),l&&t(P),k(h,l)}}}function gS(j){let u,y,P,h,T;return{c(){u=s("p"),y=o(`However, this is not automatically a win for performance. It can be either a 10x speedup or 5x slowdown depending
on hardware, data and the actual model being used.`),P=p(),h=s("p"),T=o("Example where it\u2019s mostly a speedup:")},l(l){u=a(l,"P",{});var g=r(u);y=i(g,`However, this is not automatically a win for performance. It can be either a 10x speedup or 5x slowdown depending
on hardware, data and the actual model being used.`),g.forEach(t),P=c(l),h=a(l,"P",{});var Re=r(h);T=i(Re,"Example where it\u2019s mostly a speedup:"),Re.forEach(t)},m(l,g){f(l,u,g),e(u,y),f(l,P,g),f(l,h,g),e(h,T)},d(l){l&&t(u),l&&t(P),l&&t(h)}}}function _S(j){let u,y,P,h,T;return h=new A({props:{code:`from transformers import pipeline

classifier = pipeline(model="superb/wav2vec2-base-superb-ks")
classifier("https://huggingface.co/datasets/Narsil/asr_dummy/resolve/main/1.flac")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>classifier = pipeline(model=<span class="hljs-string">&quot;superb/wav2vec2-base-superb-ks&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>classifier(<span class="hljs-string">&quot;https://huggingface.co/datasets/Narsil/asr_dummy/resolve/main/1.flac&quot;</span>)
[{<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.997</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;_unknown_&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.002</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;left&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.0</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;yes&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.0</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;down&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.0</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;stop&#x27;</span>}]`}}),{c(){u=s("p"),y=o("Example:"),P=p(),_(h.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);y=i(g,"Example:"),g.forEach(t),P=c(l),b(h.$$.fragment,l)},m(l,g){f(l,u,g),e(u,y),f(l,P,g),w(h,l,g),T=!0},p:z,i(l){T||(v(h.$$.fragment,l),T=!0)},o(l){x(h.$$.fragment,l),T=!1},d(l){l&&t(u),l&&t(P),k(h,l)}}}function bS(j){let u,y,P,h,T;return h=new A({props:{code:`from transformers import pipeline

transcriber = pipeline(model="openai/whisper-base")
transcriber("https://huggingface.co/datasets/Narsil/asr_dummy/resolve/main/1.flac")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>transcriber = pipeline(model=<span class="hljs-string">&quot;openai/whisper-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>transcriber(<span class="hljs-string">&quot;https://huggingface.co/datasets/Narsil/asr_dummy/resolve/main/1.flac&quot;</span>)
{<span class="hljs-string">&#x27;text&#x27;</span>: <span class="hljs-string">&#x27; He hoped there would be stew for dinner, turnips and carrots and bruised potatoes and fat mutton pieces to be ladled out in thick, peppered flour fat and sauce.&#x27;</span>}`}}),{c(){u=s("p"),y=o("Example:"),P=p(),_(h.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);y=i(g,"Example:"),g.forEach(t),P=c(l),b(h.$$.fragment,l)},m(l,g){f(l,u,g),e(u,y),f(l,P,g),w(h,l,g),T=!0},p:z,i(l){T||(v(h.$$.fragment,l),T=!0)},o(l){x(h.$$.fragment,l),T=!1},d(l){l&&t(u),l&&t(P),k(h,l)}}}function wS(j){let u,y,P,h,T;return h=new A({props:{code:`conversation = Conversation("Going to the movies tonight - any suggestions?")

# Steps usually performed by the model when generating a response:
# 1. Mark the user input as processed (moved to the history)
conversation.mark_processed()
# 2. Append a mode response
conversation.append_response("The Big lebowski.")

conversation.add_user_input("Is it good?")`,highlighted:`conversation = Conversation(<span class="hljs-string">&quot;Going to the movies tonight - any suggestions?&quot;</span>)

<span class="hljs-comment"># Steps usually performed by the model when generating a response:</span>
<span class="hljs-comment"># 1. Mark the user input as processed (moved to the history)</span>
conversation.mark_processed()
<span class="hljs-comment"># 2. Append a mode response</span>
conversation.append_response(<span class="hljs-string">&quot;The Big lebowski.&quot;</span>)

conversation.add_user_input(<span class="hljs-string">&quot;Is it good?&quot;</span>)`}}),{c(){u=s("p"),y=o("Usage:"),P=p(),_(h.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);y=i(g,"Usage:"),g.forEach(t),P=c(l),b(h.$$.fragment,l)},m(l,g){f(l,u,g),e(u,y),f(l,P,g),w(h,l,g),T=!0},p:z,i(l){T||(v(h.$$.fragment,l),T=!0)},o(l){x(h.$$.fragment,l),T=!1},d(l){l&&t(u),l&&t(P),k(h,l)}}}function vS(j){let u,y,P,h,T;return h=new A({props:{code:`from transformers import pipeline, Conversation

chatbot = pipeline(model="microsoft/DialoGPT-medium")
conversation = Conversation("Going to the movies tonight - any suggestions?")
conversation = chatbot(conversation)
conversation.generated_responses[-1]

conversation.add_user_input("Is it an action movie?")
conversation = chatbot(conversation)
conversation.generated_responses[-1]`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline, Conversation

<span class="hljs-meta">&gt;&gt;&gt; </span>chatbot = pipeline(model=<span class="hljs-string">&quot;microsoft/DialoGPT-medium&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>conversation = Conversation(<span class="hljs-string">&quot;Going to the movies tonight - any suggestions?&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>conversation = chatbot(conversation)
<span class="hljs-meta">&gt;&gt;&gt; </span>conversation.generated_responses[-<span class="hljs-number">1</span>]
<span class="hljs-string">&#x27;The Big Lebowski&#x27;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>conversation.add_user_input(<span class="hljs-string">&quot;Is it an action movie?&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>conversation = chatbot(conversation)
<span class="hljs-meta">&gt;&gt;&gt; </span>conversation.generated_responses[-<span class="hljs-number">1</span>]
<span class="hljs-string">&quot;It&#x27;s a comedy.&quot;</span>`}}),{c(){u=s("p"),y=o("Example:"),P=p(),_(h.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);y=i(g,"Example:"),g.forEach(t),P=c(l),b(h.$$.fragment,l)},m(l,g){f(l,u,g),e(u,y),f(l,P,g),w(h,l,g),T=!0},p:z,i(l){T||(v(h.$$.fragment,l),T=!0)},o(l){x(h.$$.fragment,l),T=!1},d(l){l&&t(u),l&&t(P),k(h,l)}}}function xS(j){let u,y,P,h,T;return h=new A({props:{code:`from transformers import pipeline

depth_estimator = pipeline(task="depth-estimation", model="Intel/dpt-large")
output = depth_estimator("http://images.cocodataset.org/val2017/000000039769.jpg")
# This is a tensor with the values being the depth expressed in meters for each pixel
output["predicted_depth"].shape`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>depth_estimator = pipeline(task=<span class="hljs-string">&quot;depth-estimation&quot;</span>, model=<span class="hljs-string">&quot;Intel/dpt-large&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>output = depth_estimator(<span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># This is a tensor with the values being the depth expressed in meters for each pixel</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>output[<span class="hljs-string">&quot;predicted_depth&quot;</span>].shape
torch.Size([<span class="hljs-number">1</span>, <span class="hljs-number">384</span>, <span class="hljs-number">384</span>])`}}),{c(){u=s("p"),y=o("Example:"),P=p(),_(h.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);y=i(g,"Example:"),g.forEach(t),P=c(l),b(h.$$.fragment,l)},m(l,g){f(l,u,g),e(u,y),f(l,P,g),w(h,l,g),T=!0},p:z,i(l){T||(v(h.$$.fragment,l),T=!0)},o(l){x(h.$$.fragment,l),T=!1},d(l){l&&t(u),l&&t(P),k(h,l)}}}function kS(j){let u,y,P,h,T;return h=new A({props:{code:`from transformers import pipeline

document_qa = pipeline(model="impira/layoutlm-document-qa")
result = document_qa(
    image="https://huggingface.co/spaces/impira/docquery/resolve/2359223c1837a7587402bda0f2643382a6eefeab/invoice.png",
    question="What is the invoice number?",
)
result[0]["answer"]`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>document_qa = pipeline(model=<span class="hljs-string">&quot;impira/layoutlm-document-qa&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>result = document_qa(
<span class="hljs-meta">... </span>    image=<span class="hljs-string">&quot;https://huggingface.co/spaces/impira/docquery/resolve/2359223c1837a7587402bda0f2643382a6eefeab/invoice.png&quot;</span>,
<span class="hljs-meta">... </span>    question=<span class="hljs-string">&quot;What is the invoice number?&quot;</span>,
<span class="hljs-meta">... </span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>result[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;answer&quot;</span>]
<span class="hljs-string">&#x27;1110212019&#x27;</span>`}}),{c(){u=s("p"),y=o("Example:"),P=p(),_(h.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);y=i(g,"Example:"),g.forEach(t),P=c(l),b(h.$$.fragment,l)},m(l,g){f(l,u,g),e(u,y),f(l,P,g),w(h,l,g),T=!0},p:z,i(l){T||(v(h.$$.fragment,l),T=!0)},o(l){x(h.$$.fragment,l),T=!1},d(l){l&&t(u),l&&t(P),k(h,l)}}}function PS(j){let u,y,P,h,T;return h=new A({props:{code:`from transformers import pipeline

extractor = pipeline(model="bert-base-uncased", task="feature-extraction")
result = extractor("This is a simple test.", return_tensors=True)
result.shape  # This is a tensor of shape [1, sequence_lenth, hidden_dimension] representing the input string.`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>extractor = pipeline(model=<span class="hljs-string">&quot;bert-base-uncased&quot;</span>, task=<span class="hljs-string">&quot;feature-extraction&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>result = extractor(<span class="hljs-string">&quot;This is a simple test.&quot;</span>, return_tensors=<span class="hljs-literal">True</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>result.shape  <span class="hljs-comment"># This is a tensor of shape [1, sequence_lenth, hidden_dimension] representing the input string.</span>
torch.Size([<span class="hljs-number">1</span>, <span class="hljs-number">8</span>, <span class="hljs-number">768</span>])`}}),{c(){u=s("p"),y=o("Example:"),P=p(),_(h.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);y=i(g,"Example:"),g.forEach(t),P=c(l),b(h.$$.fragment,l)},m(l,g){f(l,u,g),e(u,y),f(l,P,g),w(h,l,g),T=!0},p:z,i(l){T||(v(h.$$.fragment,l),T=!0)},o(l){x(h.$$.fragment,l),T=!1},d(l){l&&t(u),l&&t(P),k(h,l)}}}function TS(j){let u,y,P,h,T;return h=new A({props:{code:`from transformers import pipeline

fill_masker = pipeline(model="bert-base-uncased")
fill_masker("This is a simple [MASK].")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>fill_masker = pipeline(model=<span class="hljs-string">&quot;bert-base-uncased&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>fill_masker(<span class="hljs-string">&quot;This is a simple [MASK].&quot;</span>)
[{<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.042</span>, <span class="hljs-string">&#x27;token&#x27;</span>: <span class="hljs-number">3291</span>, <span class="hljs-string">&#x27;token_str&#x27;</span>: <span class="hljs-string">&#x27;problem&#x27;</span>, <span class="hljs-string">&#x27;sequence&#x27;</span>: <span class="hljs-string">&#x27;this is a simple problem.&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.031</span>, <span class="hljs-string">&#x27;token&#x27;</span>: <span class="hljs-number">3160</span>, <span class="hljs-string">&#x27;token_str&#x27;</span>: <span class="hljs-string">&#x27;question&#x27;</span>, <span class="hljs-string">&#x27;sequence&#x27;</span>: <span class="hljs-string">&#x27;this is a simple question.&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.03</span>, <span class="hljs-string">&#x27;token&#x27;</span>: <span class="hljs-number">8522</span>, <span class="hljs-string">&#x27;token_str&#x27;</span>: <span class="hljs-string">&#x27;equation&#x27;</span>, <span class="hljs-string">&#x27;sequence&#x27;</span>: <span class="hljs-string">&#x27;this is a simple equation.&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.027</span>, <span class="hljs-string">&#x27;token&#x27;</span>: <span class="hljs-number">2028</span>, <span class="hljs-string">&#x27;token_str&#x27;</span>: <span class="hljs-string">&#x27;one&#x27;</span>, <span class="hljs-string">&#x27;sequence&#x27;</span>: <span class="hljs-string">&#x27;this is a simple one.&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.024</span>, <span class="hljs-string">&#x27;token&#x27;</span>: <span class="hljs-number">3627</span>, <span class="hljs-string">&#x27;token_str&#x27;</span>: <span class="hljs-string">&#x27;rule&#x27;</span>, <span class="hljs-string">&#x27;sequence&#x27;</span>: <span class="hljs-string">&#x27;this is a simple rule.&#x27;</span>}]`}}),{c(){u=s("p"),y=o("Example:"),P=p(),_(h.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);y=i(g,"Example:"),g.forEach(t),P=c(l),b(h.$$.fragment,l)},m(l,g){f(l,u,g),e(u,y),f(l,P,g),w(h,l,g),T=!0},p:z,i(l){T||(v(h.$$.fragment,l),T=!0)},o(l){x(h.$$.fragment,l),T=!1},d(l){l&&t(u),l&&t(P),k(h,l)}}}function yS(j){let u,y,P,h,T;return{c(){u=s("p"),y=o(`This pipeline only works for inputs with exactly one token masked. Experimental: We added support for multiple
masks. The returned values are raw model output, and correspond to disjoint probabilities where one might expect
joint probabilities (See `),P=s("a"),h=o("discussion"),T=o(")."),this.h()},l(l){u=a(l,"P",{});var g=r(u);y=i(g,`This pipeline only works for inputs with exactly one token masked. Experimental: We added support for multiple
masks. The returned values are raw model output, and correspond to disjoint probabilities where one might expect
joint probabilities (See `),P=a(g,"A",{href:!0,rel:!0});var Re=r(P);h=i(Re,"discussion"),Re.forEach(t),T=i(g,")."),g.forEach(t),this.h()},h(){d(P,"href","https://github.com/huggingface/transformers/pull/10222"),d(P,"rel","nofollow")},m(l,g){f(l,u,g),e(u,y),e(u,P),e(P,h),e(u,T)},d(l){l&&t(u)}}}function $S(j){let u,y,P,h,T;return h=new A({props:{code:`from transformers import pipeline

classifier = pipeline(model="microsoft/beit-base-patch16-224-pt22k-ft22k")
classifier("https://huggingface.co/datasets/Narsil/image_dummy/raw/main/parrots.png")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>classifier = pipeline(model=<span class="hljs-string">&quot;microsoft/beit-base-patch16-224-pt22k-ft22k&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>classifier(<span class="hljs-string">&quot;https://huggingface.co/datasets/Narsil/image_dummy/raw/main/parrots.png&quot;</span>)
[{<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.442</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;macaw&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.088</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;popinjay&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.075</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;parrot&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.073</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;parodist, lampooner&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.046</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;poll, poll_parrot&#x27;</span>}]`}}),{c(){u=s("p"),y=o("Example:"),P=p(),_(h.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);y=i(g,"Example:"),g.forEach(t),P=c(l),b(h.$$.fragment,l)},m(l,g){f(l,u,g),e(u,y),f(l,P,g),w(h,l,g),T=!0},p:z,i(l){T||(v(h.$$.fragment,l),T=!0)},o(l){x(h.$$.fragment,l),T=!1},d(l){l&&t(u),l&&t(P),k(h,l)}}}function jS(j){let u,y,P,h,T;return h=new A({props:{code:`from transformers import pipeline

segmenter = pipeline(model="facebook/detr-resnet-50-panoptic")
segments = segmenter("https://huggingface.co/datasets/Narsil/image_dummy/raw/main/parrots.png")
len(segments)

segments[0]["label"]

segments[1]["label"]

type(segments[0]["mask"])  # This is a black and white mask showing where is the bird on the original image.

segments[0]["mask"].size`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>segmenter = pipeline(model=<span class="hljs-string">&quot;facebook/detr-resnet-50-panoptic&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>segments = segmenter(<span class="hljs-string">&quot;https://huggingface.co/datasets/Narsil/image_dummy/raw/main/parrots.png&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">len</span>(segments)
<span class="hljs-number">2</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>segments[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;label&quot;</span>]
<span class="hljs-string">&#x27;bird&#x27;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>segments[<span class="hljs-number">1</span>][<span class="hljs-string">&quot;label&quot;</span>]
<span class="hljs-string">&#x27;bird&#x27;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">type</span>(segments[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;mask&quot;</span>])  <span class="hljs-comment"># This is a black and white mask showing where is the bird on the original image.</span>
&lt;<span class="hljs-keyword">class</span> <span class="hljs-string">&#x27;PIL.Image.Image&#x27;</span>&gt;

<span class="hljs-meta">&gt;&gt;&gt; </span>segments[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;mask&quot;</span>].size
(<span class="hljs-number">768</span>, <span class="hljs-number">512</span>)`}}),{c(){u=s("p"),y=o("Example:"),P=p(),_(h.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);y=i(g,"Example:"),g.forEach(t),P=c(l),b(h.$$.fragment,l)},m(l,g){f(l,u,g),e(u,y),f(l,P,g),w(h,l,g),T=!0},p:z,i(l){T||(v(h.$$.fragment,l),T=!0)},o(l){x(h.$$.fragment,l),T=!1},d(l){l&&t(u),l&&t(P),k(h,l)}}}function ES(j){let u,y,P,h,T;return h=new A({props:{code:`from transformers import pipeline

captioner = pipeline(model="ydshieh/vit-gpt2-coco-en")
captioner("https://huggingface.co/datasets/Narsil/image_dummy/raw/main/parrots.png")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>captioner = pipeline(model=<span class="hljs-string">&quot;ydshieh/vit-gpt2-coco-en&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>captioner(<span class="hljs-string">&quot;https://huggingface.co/datasets/Narsil/image_dummy/raw/main/parrots.png&quot;</span>)
[{<span class="hljs-string">&#x27;generated_text&#x27;</span>: <span class="hljs-string">&#x27;two birds are standing next to each other &#x27;</span>}]`}}),{c(){u=s("p"),y=o("Example:"),P=p(),_(h.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);y=i(g,"Example:"),g.forEach(t),P=c(l),b(h.$$.fragment,l)},m(l,g){f(l,u,g),e(u,y),f(l,P,g),w(h,l,g),T=!0},p:z,i(l){T||(v(h.$$.fragment,l),T=!0)},o(l){x(h.$$.fragment,l),T=!1},d(l){l&&t(u),l&&t(P),k(h,l)}}}function qS(j){let u,y,P,h,T;return h=new A({props:{code:`from transformers import pipeline

token_classifier = pipeline(model="Jean-Baptiste/camembert-ner", aggregation_strategy="simple")
sentence = "Je m'appelle jean-baptiste et je vis \xE0 montr\xE9al"
token_classifier(sentence)

token = tokens[0]
# Start and end provide an easy way to highlight words in the original text.
sentence[token["start"] : token["end"]]

# Some models use the same idea to do part of speech.
syntaxer = pipeline(model="vblagoje/bert-english-uncased-finetuned-pos", aggregation_strategy="simple")
syntaxer("My name is Sarah and I live in London")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>token_classifier = pipeline(model=<span class="hljs-string">&quot;Jean-Baptiste/camembert-ner&quot;</span>, aggregation_strategy=<span class="hljs-string">&quot;simple&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>sentence = <span class="hljs-string">&quot;Je m&#x27;appelle jean-baptiste et je vis \xE0 montr\xE9al&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>token_classifier(sentence)
[{<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;PER&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.9931</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;jean-baptiste&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">12</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">26</span>}, {<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;LOC&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.998</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;montr\xE9al&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">38</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">47</span>}]

<span class="hljs-meta">&gt;&gt;&gt; </span>token = tokens[<span class="hljs-number">0</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Start and end provide an easy way to highlight words in the original text.</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>sentence[token[<span class="hljs-string">&quot;start&quot;</span>] : token[<span class="hljs-string">&quot;end&quot;</span>]]
<span class="hljs-string">&#x27; jean-baptiste&#x27;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Some models use the same idea to do part of speech.</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>syntaxer = pipeline(model=<span class="hljs-string">&quot;vblagoje/bert-english-uncased-finetuned-pos&quot;</span>, aggregation_strategy=<span class="hljs-string">&quot;simple&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>syntaxer(<span class="hljs-string">&quot;My name is Sarah and I live in London&quot;</span>)
[{<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;PRON&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.999</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;my&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">0</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">2</span>}, {<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;NOUN&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.997</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;name&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">3</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">7</span>}, {<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;AUX&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.994</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;is&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">8</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">10</span>}, {<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;PROPN&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.999</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;sarah&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">11</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">16</span>}, {<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;CCONJ&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.999</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;and&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">17</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">20</span>}, {<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;PRON&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.999</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;i&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">21</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">22</span>}, {<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;VERB&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.998</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;live&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">23</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">27</span>}, {<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;ADP&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.999</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;in&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">28</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">30</span>}, {<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;PROPN&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.999</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;london&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">31</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">37</span>}]`}}),{c(){u=s("p"),y=o("Example:"),P=p(),_(h.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);y=i(g,"Example:"),g.forEach(t),P=c(l),b(h.$$.fragment,l)},m(l,g){f(l,u,g),e(u,y),f(l,P,g),w(h,l,g),T=!0},p:z,i(l){T||(v(h.$$.fragment,l),T=!0)},o(l){x(h.$$.fragment,l),T=!1},d(l){l&&t(u),l&&t(P),k(h,l)}}}function AS(j){let u,y,P,h,T;return h=new A({props:{code:`from transformers import pipeline

oracle = pipeline(model="deepset/roberta-base-squad2")
oracle(question="Where do I live?", context="My name is Wolfgang and I live in Berlin")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>oracle = pipeline(model=<span class="hljs-string">&quot;deepset/roberta-base-squad2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>oracle(question=<span class="hljs-string">&quot;Where do I live?&quot;</span>, context=<span class="hljs-string">&quot;My name is Wolfgang and I live in Berlin&quot;</span>)
{<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.9191</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">34</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">40</span>, <span class="hljs-string">&#x27;answer&#x27;</span>: <span class="hljs-string">&#x27;Berlin&#x27;</span>}`}}),{c(){u=s("p"),y=o("Example:"),P=p(),_(h.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);y=i(g,"Example:"),g.forEach(t),P=c(l),b(h.$$.fragment,l)},m(l,g){f(l,u,g),e(u,y),f(l,P,g),w(h,l,g),T=!0},p:z,i(l){T||(v(h.$$.fragment,l),T=!0)},o(l){x(h.$$.fragment,l),T=!1},d(l){l&&t(u),l&&t(P),k(h,l)}}}function DS(j){let u,y,P,h,T;return h=new A({props:{code:`# use bart in pytorch
summarizer = pipeline("summarization")
summarizer("An apple a day, keeps the doctor away", min_length=5, max_length=20)

# use t5 in tf
summarizer = pipeline("summarization", model="t5-base", tokenizer="t5-base", framework="tf")
summarizer("An apple a day, keeps the doctor away", min_length=5, max_length=20)`,highlighted:`<span class="hljs-comment"># use bart in pytorch</span>
summarizer = pipeline(<span class="hljs-string">&quot;summarization&quot;</span>)
summarizer(<span class="hljs-string">&quot;An apple a day, keeps the doctor away&quot;</span>, min_length=<span class="hljs-number">5</span>, max_length=<span class="hljs-number">20</span>)

<span class="hljs-comment"># use t5 in tf</span>
summarizer = pipeline(<span class="hljs-string">&quot;summarization&quot;</span>, model=<span class="hljs-string">&quot;t5-base&quot;</span>, tokenizer=<span class="hljs-string">&quot;t5-base&quot;</span>, framework=<span class="hljs-string">&quot;tf&quot;</span>)
summarizer(<span class="hljs-string">&quot;An apple a day, keeps the doctor away&quot;</span>, min_length=<span class="hljs-number">5</span>, max_length=<span class="hljs-number">20</span>)`}}),{c(){u=s("p"),y=o("Usage:"),P=p(),_(h.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);y=i(g,"Usage:"),g.forEach(t),P=c(l),b(h.$$.fragment,l)},m(l,g){f(l,u,g),e(u,y),f(l,P,g),w(h,l,g),T=!0},p:z,i(l){T||(v(h.$$.fragment,l),T=!0)},o(l){x(h.$$.fragment,l),T=!1},d(l){l&&t(u),l&&t(P),k(h,l)}}}function CS(j){let u,y,P,h,T;return h=new A({props:{code:`from transformers import pipeline

oracle = pipeline(model="google/tapas-base-finetuned-wtq")
table = {
    "Repository": ["Transformers", "Datasets", "Tokenizers"],
    "Stars": ["36542", "4512", "3934"],
    "Contributors": ["651", "77", "34"],
    "Programming language": ["Python", "Python", "Rust, Python and NodeJS"],
}
oracle(query="How many stars does the transformers repository have?", table=table)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>oracle = pipeline(model=<span class="hljs-string">&quot;google/tapas-base-finetuned-wtq&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>table = {
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;Repository&quot;</span>: [<span class="hljs-string">&quot;Transformers&quot;</span>, <span class="hljs-string">&quot;Datasets&quot;</span>, <span class="hljs-string">&quot;Tokenizers&quot;</span>],
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;Stars&quot;</span>: [<span class="hljs-string">&quot;36542&quot;</span>, <span class="hljs-string">&quot;4512&quot;</span>, <span class="hljs-string">&quot;3934&quot;</span>],
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;Contributors&quot;</span>: [<span class="hljs-string">&quot;651&quot;</span>, <span class="hljs-string">&quot;77&quot;</span>, <span class="hljs-string">&quot;34&quot;</span>],
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;Programming language&quot;</span>: [<span class="hljs-string">&quot;Python&quot;</span>, <span class="hljs-string">&quot;Python&quot;</span>, <span class="hljs-string">&quot;Rust, Python and NodeJS&quot;</span>],
<span class="hljs-meta">... </span>}
<span class="hljs-meta">&gt;&gt;&gt; </span>oracle(query=<span class="hljs-string">&quot;How many stars does the transformers repository have?&quot;</span>, table=table)
{<span class="hljs-string">&#x27;answer&#x27;</span>: <span class="hljs-string">&#x27;AVERAGE &gt; 36542&#x27;</span>, <span class="hljs-string">&#x27;coordinates&#x27;</span>: [(<span class="hljs-number">0</span>, <span class="hljs-number">1</span>)], <span class="hljs-string">&#x27;cells&#x27;</span>: [<span class="hljs-string">&#x27;36542&#x27;</span>], <span class="hljs-string">&#x27;aggregator&#x27;</span>: <span class="hljs-string">&#x27;AVERAGE&#x27;</span>}`}}),{c(){u=s("p"),y=o("Example:"),P=p(),_(h.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);y=i(g,"Example:"),g.forEach(t),P=c(l),b(h.$$.fragment,l)},m(l,g){f(l,u,g),e(u,y),f(l,P,g),w(h,l,g),T=!0},p:z,i(l){T||(v(h.$$.fragment,l),T=!0)},o(l){x(h.$$.fragment,l),T=!1},d(l){l&&t(u),l&&t(P),k(h,l)}}}function IS(j){let u,y,P,h,T;return h=new A({props:{code:`data = {
    "actors": ["brad pitt", "leonardo di caprio", "george clooney"],
    "age": ["56", "45", "59"],
    "number of movies": ["87", "53", "69"],
    "date of birth": ["7 february 1967", "10 june 1996", "28 november 1967"],
}`,highlighted:`data = {
    <span class="hljs-string">&quot;actors&quot;</span>: [<span class="hljs-string">&quot;brad pitt&quot;</span>, <span class="hljs-string">&quot;leonardo di caprio&quot;</span>, <span class="hljs-string">&quot;george clooney&quot;</span>],
    <span class="hljs-string">&quot;age&quot;</span>: [<span class="hljs-string">&quot;56&quot;</span>, <span class="hljs-string">&quot;45&quot;</span>, <span class="hljs-string">&quot;59&quot;</span>],
    <span class="hljs-string">&quot;number of movies&quot;</span>: [<span class="hljs-string">&quot;87&quot;</span>, <span class="hljs-string">&quot;53&quot;</span>, <span class="hljs-string">&quot;69&quot;</span>],
    <span class="hljs-string">&quot;date of birth&quot;</span>: [<span class="hljs-string">&quot;7 february 1967&quot;</span>, <span class="hljs-string">&quot;10 june 1996&quot;</span>, <span class="hljs-string">&quot;28 november 1967&quot;</span>],
}`}}),{c(){u=s("p"),y=o("Example:"),P=p(),_(h.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);y=i(g,"Example:"),g.forEach(t),P=c(l),b(h.$$.fragment,l)},m(l,g){f(l,u,g),e(u,y),f(l,P,g),w(h,l,g),T=!0},p:z,i(l){T||(v(h.$$.fragment,l),T=!0)},o(l){x(h.$$.fragment,l),T=!1},d(l){l&&t(u),l&&t(P),k(h,l)}}}function zS(j){let u,y,P,h,T;return h=new A({props:{code:`import pandas as pd

table = pd.DataFrame.from_dict(data)`,highlighted:`<span class="hljs-keyword">import</span> pandas <span class="hljs-keyword">as</span> pd

table = pd.DataFrame.from_dict(data)`}}),{c(){u=s("p"),y=o("Example:"),P=p(),_(h.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);y=i(g,"Example:"),g.forEach(t),P=c(l),b(h.$$.fragment,l)},m(l,g){f(l,u,g),e(u,y),f(l,P,g),w(h,l,g),T=!0},p:z,i(l){T||(v(h.$$.fragment,l),T=!0)},o(l){x(h.$$.fragment,l),T=!1},d(l){l&&t(u),l&&t(P),k(h,l)}}}function SS(j){let u,y,P,h,T;return h=new A({props:{code:`from transformers import pipeline

classifier = pipeline(model="distilbert-base-uncased-finetuned-sst-2-english")
classifier("This movie is disgustingly good !")

classifier("Director tried too much.")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>classifier = pipeline(model=<span class="hljs-string">&quot;distilbert-base-uncased-finetuned-sst-2-english&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>classifier(<span class="hljs-string">&quot;This movie is disgustingly good !&quot;</span>)
[{<span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;POSITIVE&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">1.0</span>}]

<span class="hljs-meta">&gt;&gt;&gt; </span>classifier(<span class="hljs-string">&quot;Director tried too much.&quot;</span>)
[{<span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;NEGATIVE&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.996</span>}]`}}),{c(){u=s("p"),y=o("Example:"),P=p(),_(h.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);y=i(g,"Example:"),g.forEach(t),P=c(l),b(h.$$.fragment,l)},m(l,g){f(l,u,g),e(u,y),f(l,P,g),w(h,l,g),T=!0},p:z,i(l){T||(v(h.$$.fragment,l),T=!0)},o(l){x(h.$$.fragment,l),T=!1},d(l){l&&t(u),l&&t(P),k(h,l)}}}function MS(j){let u,y,P,h,T;return h=new A({props:{code:`from transformers import pipeline

generator = pipeline(model="gpt2")
generator("I can't believe you did such a ", do_sample=False)

# These parameters will return suggestions, and only the newly created text making it easier for prompting suggestions.
outputs = generator("My tart needs some", num_return_sequences=4, return_full_text=False)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>generator = pipeline(model=<span class="hljs-string">&quot;gpt2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>generator(<span class="hljs-string">&quot;I can&#x27;t believe you did such a &quot;</span>, do_sample=<span class="hljs-literal">False</span>)
[{<span class="hljs-string">&#x27;generated_text&#x27;</span>: <span class="hljs-string">&quot;I can&#x27;t believe you did such a icky thing to me. I&#x27;m so sorry. I&#x27;m so sorry. I&#x27;m so sorry. I&#x27;m so sorry. I&#x27;m so sorry. I&#x27;m so sorry. I&#x27;m so sorry. I&quot;</span>}]

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># These parameters will return suggestions, and only the newly created text making it easier for prompting suggestions.</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = generator(<span class="hljs-string">&quot;My tart needs some&quot;</span>, num_return_sequences=<span class="hljs-number">4</span>, return_full_text=<span class="hljs-literal">False</span>)`}}),{c(){u=s("p"),y=o("Example:"),P=p(),_(h.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);y=i(g,"Example:"),g.forEach(t),P=c(l),b(h.$$.fragment,l)},m(l,g){f(l,u,g),e(u,y),f(l,P,g),w(h,l,g),T=!0},p:z,i(l){T||(v(h.$$.fragment,l),T=!0)},o(l){x(h.$$.fragment,l),T=!1},d(l){l&&t(u),l&&t(P),k(h,l)}}}function FS(j){let u,y,P,h,T;return h=new A({props:{code:`from transformers import pipeline

generator = pipeline(model="mrm8488/t5-base-finetuned-question-generation-ap")
generator(
    "answer: Manuel context: Manuel has created RuPERTa-base with the support of HF-Transformers and Google"
)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>generator = pipeline(model=<span class="hljs-string">&quot;mrm8488/t5-base-finetuned-question-generation-ap&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>generator(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;answer: Manuel context: Manuel has created RuPERTa-base with the support of HF-Transformers and Google&quot;</span>
<span class="hljs-meta">... </span>)
[{<span class="hljs-string">&#x27;generated_text&#x27;</span>: <span class="hljs-string">&#x27;question: Who created the RuPERTa-base?&#x27;</span>}]`}}),{c(){u=s("p"),y=o("Example:"),P=p(),_(h.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);y=i(g,"Example:"),g.forEach(t),P=c(l),b(h.$$.fragment,l)},m(l,g){f(l,u,g),e(u,y),f(l,P,g),w(h,l,g),T=!0},p:z,i(l){T||(v(h.$$.fragment,l),T=!0)},o(l){x(h.$$.fragment,l),T=!1},d(l){l&&t(u),l&&t(P),k(h,l)}}}function LS(j){let u,y,P,h,T;return h=new A({props:{code:`text2text_generator = pipeline("text2text-generation")
text2text_generator("question: What is 42 ? context: 42 is the answer to life, the universe and everything")`,highlighted:`text2text_generator = pipeline(<span class="hljs-string">&quot;text2text-generation&quot;</span>)
text2text_generator(<span class="hljs-string">&quot;question: What is 42 ? context: 42 is the answer to life, the universe and everything&quot;</span>)`}}),{c(){u=s("p"),y=o("Usage:"),P=p(),_(h.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);y=i(g,"Usage:"),g.forEach(t),P=c(l),b(h.$$.fragment,l)},m(l,g){f(l,u,g),e(u,y),f(l,P,g),w(h,l,g),T=!0},p:z,i(l){T||(v(h.$$.fragment,l),T=!0)},o(l){x(h.$$.fragment,l),T=!1},d(l){l&&t(u),l&&t(P),k(h,l)}}}function OS(j){let u,y,P,h,T;return h=new A({props:{code:`from transformers import pipeline

token_classifier = pipeline(model="Jean-Baptiste/camembert-ner", aggregation_strategy="simple")
sentence = "Je m'appelle jean-baptiste et je vis \xE0 montr\xE9al"
token_classifier(sentence)

token = tokens[0]
# Start and end provide an easy way to highlight words in the original text.
sentence[token["start"] : token["end"]]

# Some models use the same idea to do part of speech.
syntaxer = pipeline(model="vblagoje/bert-english-uncased-finetuned-pos", aggregation_strategy="simple")
syntaxer("My name is Sarah and I live in London")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>token_classifier = pipeline(model=<span class="hljs-string">&quot;Jean-Baptiste/camembert-ner&quot;</span>, aggregation_strategy=<span class="hljs-string">&quot;simple&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>sentence = <span class="hljs-string">&quot;Je m&#x27;appelle jean-baptiste et je vis \xE0 montr\xE9al&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>token_classifier(sentence)
[{<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;PER&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.9931</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;jean-baptiste&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">12</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">26</span>}, {<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;LOC&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.998</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;montr\xE9al&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">38</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">47</span>}]

<span class="hljs-meta">&gt;&gt;&gt; </span>token = tokens[<span class="hljs-number">0</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Start and end provide an easy way to highlight words in the original text.</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>sentence[token[<span class="hljs-string">&quot;start&quot;</span>] : token[<span class="hljs-string">&quot;end&quot;</span>]]
<span class="hljs-string">&#x27; jean-baptiste&#x27;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Some models use the same idea to do part of speech.</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>syntaxer = pipeline(model=<span class="hljs-string">&quot;vblagoje/bert-english-uncased-finetuned-pos&quot;</span>, aggregation_strategy=<span class="hljs-string">&quot;simple&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>syntaxer(<span class="hljs-string">&quot;My name is Sarah and I live in London&quot;</span>)
[{<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;PRON&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.999</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;my&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">0</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">2</span>}, {<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;NOUN&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.997</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;name&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">3</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">7</span>}, {<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;AUX&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.994</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;is&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">8</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">10</span>}, {<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;PROPN&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.999</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;sarah&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">11</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">16</span>}, {<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;CCONJ&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.999</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;and&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">17</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">20</span>}, {<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;PRON&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.999</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;i&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">21</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">22</span>}, {<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;VERB&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.998</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;live&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">23</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">27</span>}, {<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;ADP&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.999</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;in&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">28</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">30</span>}, {<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;PROPN&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.999</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;london&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">31</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">37</span>}]`}}),{c(){u=s("p"),y=o("Example:"),P=p(),_(h.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);y=i(g,"Example:"),g.forEach(t),P=c(l),b(h.$$.fragment,l)},m(l,g){f(l,u,g),e(u,y),f(l,P,g),w(h,l,g),T=!0},p:z,i(l){T||(v(h.$$.fragment,l),T=!0)},o(l){x(h.$$.fragment,l),T=!1},d(l){l&&t(u),l&&t(P),k(h,l)}}}function NS(j){let u,y,P,h,T;return h=new A({props:{code:`en_fr_translator = pipeline("translation_en_to_fr")
en_fr_translator("How old are you?")`,highlighted:`en_fr_translator = pipeline(<span class="hljs-string">&quot;translation_en_to_fr&quot;</span>)
en_fr_translator(<span class="hljs-string">&quot;How old are you?&quot;</span>)`}}),{c(){u=s("p"),y=o("Usage:"),P=p(),_(h.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);y=i(g,"Usage:"),g.forEach(t),P=c(l),b(h.$$.fragment,l)},m(l,g){f(l,u,g),e(u,y),f(l,P,g),w(h,l,g),T=!0},p:z,i(l){T||(v(h.$$.fragment,l),T=!0)},o(l){x(h.$$.fragment,l),T=!1},d(l){l&&t(u),l&&t(P),k(h,l)}}}function US(j){let u,y,P,h,T;return h=new A({props:{code:`from transformers import pipeline

oracle = pipeline(model="dandelin/vilt-b32-finetuned-vqa")
image_url = "https://huggingface.co/datasets/Narsil/image_dummy/raw/main/lena.png"
oracle(question="What is she wearing ?", image=image_url)

oracle(question="What is she wearing ?", image=image_url, top_k=1)

oracle(question="Is this a person ?", image=image_url, top_k=1)

oracle(question="Is this a man ?", image=image_url, top_k=1)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>oracle = pipeline(model=<span class="hljs-string">&quot;dandelin/vilt-b32-finetuned-vqa&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>image_url = <span class="hljs-string">&quot;https://huggingface.co/datasets/Narsil/image_dummy/raw/main/lena.png&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>oracle(question=<span class="hljs-string">&quot;What is she wearing ?&quot;</span>, image=image_url)
[{<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.948</span>, <span class="hljs-string">&#x27;answer&#x27;</span>: <span class="hljs-string">&#x27;hat&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.009</span>, <span class="hljs-string">&#x27;answer&#x27;</span>: <span class="hljs-string">&#x27;fedora&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.003</span>, <span class="hljs-string">&#x27;answer&#x27;</span>: <span class="hljs-string">&#x27;clothes&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.003</span>, <span class="hljs-string">&#x27;answer&#x27;</span>: <span class="hljs-string">&#x27;sun hat&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.002</span>, <span class="hljs-string">&#x27;answer&#x27;</span>: <span class="hljs-string">&#x27;nothing&#x27;</span>}]

<span class="hljs-meta">&gt;&gt;&gt; </span>oracle(question=<span class="hljs-string">&quot;What is she wearing ?&quot;</span>, image=image_url, top_k=<span class="hljs-number">1</span>)
[{<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.948</span>, <span class="hljs-string">&#x27;answer&#x27;</span>: <span class="hljs-string">&#x27;hat&#x27;</span>}]

<span class="hljs-meta">&gt;&gt;&gt; </span>oracle(question=<span class="hljs-string">&quot;Is this a person ?&quot;</span>, image=image_url, top_k=<span class="hljs-number">1</span>)
[{<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.993</span>, <span class="hljs-string">&#x27;answer&#x27;</span>: <span class="hljs-string">&#x27;yes&#x27;</span>}]

<span class="hljs-meta">&gt;&gt;&gt; </span>oracle(question=<span class="hljs-string">&quot;Is this a man ?&quot;</span>, image=image_url, top_k=<span class="hljs-number">1</span>)
[{<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.996</span>, <span class="hljs-string">&#x27;answer&#x27;</span>: <span class="hljs-string">&#x27;no&#x27;</span>}]`}}),{c(){u=s("p"),y=o("Example:"),P=p(),_(h.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);y=i(g,"Example:"),g.forEach(t),P=c(l),b(h.$$.fragment,l)},m(l,g){f(l,u,g),e(u,y),f(l,P,g),w(h,l,g),T=!0},p:z,i(l){T||(v(h.$$.fragment,l),T=!0)},o(l){x(h.$$.fragment,l),T=!1},d(l){l&&t(u),l&&t(P),k(h,l)}}}function GS(j){let u,y,P,h,T;return h=new A({props:{code:`from transformers import pipeline

oracle = pipeline(model="facebook/bart-large-mnli")
answers = oracle(
    "I have a problem with my iphone that needs to be resolved asap!!",
    candidate_labels=["urgent", "not urgent", "phone", "tablet", "computer"],
)

oracle(
    "I have a problem with my iphone that needs to be resolved asap!!",
    candidate_labels=["english", "german"],
)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>oracle = pipeline(model=<span class="hljs-string">&quot;facebook/bart-large-mnli&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>answers = oracle(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;I have a problem with my iphone that needs to be resolved asap!!&quot;</span>,
<span class="hljs-meta">... </span>    candidate_labels=[<span class="hljs-string">&quot;urgent&quot;</span>, <span class="hljs-string">&quot;not urgent&quot;</span>, <span class="hljs-string">&quot;phone&quot;</span>, <span class="hljs-string">&quot;tablet&quot;</span>, <span class="hljs-string">&quot;computer&quot;</span>],
<span class="hljs-meta">... </span>)
{<span class="hljs-string">&#x27;sequence&#x27;</span>: <span class="hljs-string">&#x27;I have a problem with my iphone that needs to be resolved asap!!&#x27;</span>, <span class="hljs-string">&#x27;labels&#x27;</span>: [<span class="hljs-string">&#x27;urgent&#x27;</span>, <span class="hljs-string">&#x27;phone&#x27;</span>, <span class="hljs-string">&#x27;computer&#x27;</span>, <span class="hljs-string">&#x27;not urgent&#x27;</span>, <span class="hljs-string">&#x27;tablet&#x27;</span>], <span class="hljs-string">&#x27;scores&#x27;</span>: [<span class="hljs-number">0.504</span>, <span class="hljs-number">0.479</span>, <span class="hljs-number">0.013</span>, <span class="hljs-number">0.003</span>, <span class="hljs-number">0.002</span>]}

<span class="hljs-meta">&gt;&gt;&gt; </span>oracle(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;I have a problem with my iphone that needs to be resolved asap!!&quot;</span>,
<span class="hljs-meta">... </span>    candidate_labels=[<span class="hljs-string">&quot;english&quot;</span>, <span class="hljs-string">&quot;german&quot;</span>],
<span class="hljs-meta">... </span>)
{<span class="hljs-string">&#x27;sequence&#x27;</span>: <span class="hljs-string">&#x27;I have a problem with my iphone that needs to be resolved asap!!&#x27;</span>, <span class="hljs-string">&#x27;labels&#x27;</span>: [<span class="hljs-string">&#x27;english&#x27;</span>, <span class="hljs-string">&#x27;german&#x27;</span>], <span class="hljs-string">&#x27;scores&#x27;</span>: [<span class="hljs-number">0.814</span>, <span class="hljs-number">0.186</span>]}`}}),{c(){u=s("p"),y=o("Example:"),P=p(),_(h.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);y=i(g,"Example:"),g.forEach(t),P=c(l),b(h.$$.fragment,l)},m(l,g){f(l,u,g),e(u,y),f(l,P,g),w(h,l,g),T=!0},p:z,i(l){T||(v(h.$$.fragment,l),T=!0)},o(l){x(h.$$.fragment,l),T=!1},d(l){l&&t(u),l&&t(P),k(h,l)}}}function RS(j){let u,y,P,h,T;return h=new A({props:{code:`from transformers import pipeline

classifier = pipeline(model="openai/clip-vit-large-patch14")
classifier(
    "https://huggingface.co/datasets/Narsil/image_dummy/raw/main/parrots.png",
    candidate_labels=["animals", "humans", "landscape"],
)

classifier(
    "https://huggingface.co/datasets/Narsil/image_dummy/raw/main/parrots.png",
    candidate_labels=["black and white", "photorealist", "painting"],
)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>classifier = pipeline(model=<span class="hljs-string">&quot;openai/clip-vit-large-patch14&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>classifier(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;https://huggingface.co/datasets/Narsil/image_dummy/raw/main/parrots.png&quot;</span>,
<span class="hljs-meta">... </span>    candidate_labels=[<span class="hljs-string">&quot;animals&quot;</span>, <span class="hljs-string">&quot;humans&quot;</span>, <span class="hljs-string">&quot;landscape&quot;</span>],
<span class="hljs-meta">... </span>)
[{<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.965</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;animals&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.03</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;humans&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.005</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;landscape&#x27;</span>}]

<span class="hljs-meta">&gt;&gt;&gt; </span>classifier(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;https://huggingface.co/datasets/Narsil/image_dummy/raw/main/parrots.png&quot;</span>,
<span class="hljs-meta">... </span>    candidate_labels=[<span class="hljs-string">&quot;black and white&quot;</span>, <span class="hljs-string">&quot;photorealist&quot;</span>, <span class="hljs-string">&quot;painting&quot;</span>],
<span class="hljs-meta">... </span>)
[{<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.996</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;black and white&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.003</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;photorealist&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.0</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;painting&#x27;</span>}]`}}),{c(){u=s("p"),y=o("Example:"),P=p(),_(h.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);y=i(g,"Example:"),g.forEach(t),P=c(l),b(h.$$.fragment,l)},m(l,g){f(l,u,g),e(u,y),f(l,P,g),w(h,l,g),T=!0},p:z,i(l){T||(v(h.$$.fragment,l),T=!0)},o(l){x(h.$$.fragment,l),T=!1},d(l){l&&t(u),l&&t(P),k(h,l)}}}function QS(j){let u,y,P,h,T;return h=new A({props:{code:`from transformers import pipeline

detector = pipeline(model="google/owlvit-base-patch32", task="zero-shot-object-detection")
detector(
    "http://images.cocodataset.org/val2017/000000039769.jpg",
    candidate_labels=["cat", "couch"],
)

detector(
    "https://huggingface.co/datasets/Narsil/image_dummy/raw/main/parrots.png",
    candidate_labels=["head", "bird"],
)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>detector = pipeline(model=<span class="hljs-string">&quot;google/owlvit-base-patch32&quot;</span>, task=<span class="hljs-string">&quot;zero-shot-object-detection&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>detector(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>,
<span class="hljs-meta">... </span>    candidate_labels=[<span class="hljs-string">&quot;cat&quot;</span>, <span class="hljs-string">&quot;couch&quot;</span>],
<span class="hljs-meta">... </span>)
[[{<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.287</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;cat&#x27;</span>, <span class="hljs-string">&#x27;box&#x27;</span>: {<span class="hljs-string">&#x27;xmin&#x27;</span>: <span class="hljs-number">324</span>, <span class="hljs-string">&#x27;ymin&#x27;</span>: <span class="hljs-number">20</span>, <span class="hljs-string">&#x27;xmax&#x27;</span>: <span class="hljs-number">640</span>, <span class="hljs-string">&#x27;ymax&#x27;</span>: <span class="hljs-number">373</span>}}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.254</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;cat&#x27;</span>, <span class="hljs-string">&#x27;box&#x27;</span>: {<span class="hljs-string">&#x27;xmin&#x27;</span>: <span class="hljs-number">1</span>, <span class="hljs-string">&#x27;ymin&#x27;</span>: <span class="hljs-number">55</span>, <span class="hljs-string">&#x27;xmax&#x27;</span>: <span class="hljs-number">315</span>, <span class="hljs-string">&#x27;ymax&#x27;</span>: <span class="hljs-number">472</span>}}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.121</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;couch&#x27;</span>, <span class="hljs-string">&#x27;box&#x27;</span>: {<span class="hljs-string">&#x27;xmin&#x27;</span>: <span class="hljs-number">4</span>, <span class="hljs-string">&#x27;ymin&#x27;</span>: <span class="hljs-number">0</span>, <span class="hljs-string">&#x27;xmax&#x27;</span>: <span class="hljs-number">642</span>, <span class="hljs-string">&#x27;ymax&#x27;</span>: <span class="hljs-number">476</span>}}]]

<span class="hljs-meta">&gt;&gt;&gt; </span>detector(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;https://huggingface.co/datasets/Narsil/image_dummy/raw/main/parrots.png&quot;</span>,
<span class="hljs-meta">... </span>    candidate_labels=[<span class="hljs-string">&quot;head&quot;</span>, <span class="hljs-string">&quot;bird&quot;</span>],
<span class="hljs-meta">... </span>)
[[{<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.119</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;bird&#x27;</span>, <span class="hljs-string">&#x27;box&#x27;</span>: {<span class="hljs-string">&#x27;xmin&#x27;</span>: <span class="hljs-number">71</span>, <span class="hljs-string">&#x27;ymin&#x27;</span>: <span class="hljs-number">170</span>, <span class="hljs-string">&#x27;xmax&#x27;</span>: <span class="hljs-number">410</span>, <span class="hljs-string">&#x27;ymax&#x27;</span>: <span class="hljs-number">508</span>}}]]`}}),{c(){u=s("p"),y=o("Example:"),P=p(),_(h.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);y=i(g,"Example:"),g.forEach(t),P=c(l),b(h.$$.fragment,l)},m(l,g){f(l,u,g),e(u,y),f(l,P,g),w(h,l,g),T=!0},p:z,i(l){T||(v(h.$$.fragment,l),T=!0)},o(l){x(h.$$.fragment,l),T=!1},d(l){l&&t(u),l&&t(P),k(h,l)}}}function VS(j){let u,y,P,h,T;return h=new A({props:{code:`# Explicitly ask for tensor allocation on CUDA device :0
pipe = pipeline(..., device=0)
with pipe.device_placement():
    # Every framework specific tensor allocation will be done on the request device
    output = pipe(...)`,highlighted:`<span class="hljs-comment"># Explicitly ask for tensor allocation on CUDA device :0</span>
pipe = pipeline(..., device=<span class="hljs-number">0</span>)
<span class="hljs-keyword">with</span> pipe.device_placement():
    <span class="hljs-comment"># Every framework specific tensor allocation will be done on the request device</span>
    output = pipe(...)`}}),{c(){u=s("p"),y=o("Examples:"),P=p(),_(h.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);y=i(g,"Examples:"),g.forEach(t),P=c(l),b(h.$$.fragment,l)},m(l,g){f(l,u,g),e(u,y),f(l,P,g),w(h,l,g),T=!0},p:z,i(l){T||(v(h.$$.fragment,l),T=!0)},o(l){x(h.$$.fragment,l),T=!1},d(l){l&&t(u),l&&t(P),k(h,l)}}}function HS(j){let u,y,P,h,T,l,g,Re,W2,Rg,kn,Z2,hl,B2,Y2,Qg,fl,K2,Vg,Pn,Rc,Ia,X2,ul,J2,ev,tv,za,Qc,nv,sv,E,Vc,gl,av,rv,Hc,_l,ov,iv,Wc,bl,lv,pv,Zc,wl,cv,dv,Bc,vl,mv,hv,Yc,xl,fv,uv,Kc,kl,gv,_v,Xc,Pl,bv,wv,Jc,Tl,vv,xv,ed,yl,kv,Pv,td,$l,Tv,yv,nd,jl,$v,jv,sd,El,Ev,qv,ad,ql,Av,Dv,rd,Al,Cv,Iv,od,Dl,zv,Sv,id,Cl,Mv,Fv,ld,Il,Lv,Ov,pd,zl,Nv,Uv,cd,Sl,Gv,Rv,dd,Ml,Qv,Vv,md,Fl,Hv,Wv,hd,Ll,Zv,Hg,dt,Tn,fd,Sa,Bv,ud,Yv,Wg,yn,Kv,gd,Xv,Jv,Zg,Ol,ex,Bg,Ma,Yg,$n,tx,Fa,nx,sx,Kg,La,Xg,jn,ax,_d,rx,ox,Jg,Oa,e_,En,ix,bd,lx,px,t_,Na,n_,Nl,cx,s_,Ua,a_,_e,Ga,dx,Ra,mx,Ul,hx,fx,ux,wd,gx,_x,mt,Qa,bx,Gl,wx,vx,xx,Va,kx,Rl,Px,Tx,yx,vd,$x,jx,qn,r_,ht,An,xd,Ha,Ex,kd,qx,o_,Ke,Ax,Pd,Dx,Cx,Td,Ix,zx,i_,Wa,l_,Dn,p_,Za,c_,Ba,d_,Ql,Sx,m_,Ya,h_,Cn,Mx,yd,Fx,Lx,f_,Ka,u_,Vl,Ox,g_,Hl,Nx,__,we,$d,jd,Ed,Ux,Gx,qd,Ad,Rx,Qx,Dd,Cd,Vx,Hx,Xa,Id,Wx,Zx,ft,zd,Bx,Yx,Sd,Kx,Xx,Md,Jx,e1,Fd,Ld,t1,b_,ut,In,Od,Ja,n1,Nd,s1,w_,Qe,Ud,a1,r1,Gd,o1,i1,Rd,l1,p1,v_,Xe,c1,Qd,d1,m1,Vd,h1,f1,x_,er,k_,Wl,u1,P_,tr,T_,Zl,g1,y_,zn,_1,Hd,b1,w1,$_,gt,Sn,Wd,nr,v1,Zd,x1,j_,Bl,k1,E_,Mn,P1,Bd,T1,y1,q_,Yl,$1,A_,Kl,Yd,j1,D_,sr,C_,Xl,E1,I_,_t,Fn,Kd,ar,q1,Xd,A1,z_,Jl,ep,D1,S_,bt,Ln,Jd,rr,C1,em,I1,M_,wt,On,tm,or,z1,nm,S1,F_,H,ir,M1,lr,F1,sm,L1,O1,N1,Nn,U1,am,tp,G1,R1,vt,Q1,np,V1,H1,rm,W1,Z1,B1,pr,Y1,cr,K1,X1,J1,Un,dr,ek,mr,tk,sp,nk,sk,L_,xt,Gn,om,hr,ak,im,rk,O_,le,fr,ok,lm,ik,lk,pm,pk,ck,Rn,dk,cm,ap,mk,hk,Qn,ur,fk,gr,uk,rp,gk,_k,N_,kt,Vn,dm,_r,bk,mm,wk,U_,W,br,vk,Ve,xk,op,kk,Pk,ip,Tk,yk,hm,$k,jk,Ek,Hn,qk,Wn,wr,Ak,vr,Dk,fm,Ck,Ik,zk,Zn,xr,Sk,um,Mk,Fk,Je,kr,Lk,gm,Ok,Nk,Se,Uk,_m,Gk,Rk,bm,Qk,Vk,wm,Hk,Wk,vm,Zk,Bk,Yk,Bn,Pr,Kk,He,Xk,xm,Jk,eP,km,tP,nP,Pm,sP,aP,G_,Z,Tr,rP,Tm,oP,iP,Yn,lP,ym,lp,pP,cP,Pt,dP,pp,mP,hP,$m,fP,uP,gP,Me,_P,jm,bP,wP,Em,vP,xP,qm,kP,PP,yr,TP,yP,$P,Kn,$r,jP,Am,EP,R_,Tt,Xn,Dm,jr,qP,Cm,AP,Q_,B,Er,DP,qr,CP,Im,IP,zP,SP,Jn,MP,zm,cp,FP,LP,yt,OP,dp,NP,UP,Sm,GP,RP,QP,Ar,VP,Dr,HP,WP,ZP,es,Cr,BP,Mm,YP,V_,$t,ts,Fm,Ir,KP,Lm,XP,H_,Y,zr,JP,Sr,eT,Om,tT,nT,sT,ns,aT,Nm,mp,rT,oT,jt,iT,hp,lT,pT,Um,cT,dT,mT,Mr,hT,Fr,fT,uT,gT,Le,Lr,_T,Or,bT,Gm,wT,vT,xT,Rm,kT,PT,We,Qm,Vm,TT,yT,Hm,Wm,$T,jT,Zm,Bm,ET,qT,Ym,Km,AT,W_,Et,ss,Xm,Nr,DT,Jm,CT,Z_,K,Ur,IT,eh,zT,ST,as,MT,th,fp,FT,LT,qt,OT,up,NT,UT,nh,GT,RT,QT,Gr,VT,Rr,HT,WT,ZT,rs,Qr,BT,sh,YT,B_,At,os,ah,Vr,KT,rh,XT,Y_,U,Hr,JT,Dt,ey,oh,ty,ny,gp,sy,ay,ry,is,oy,ih,_p,iy,ly,Ct,py,bp,cy,dy,lh,my,hy,fy,Wr,uy,Zr,gy,_y,by,ls,wy,ps,Br,vy,ph,xy,K_,It,cs,ch,Yr,ky,dh,Py,X_,X,Kr,Ty,Xr,yy,mh,$y,jy,Ey,ds,qy,hh,wp,Ay,Dy,zt,Cy,vp,Iy,zy,fh,Sy,My,Fy,Jr,Ly,eo,Oy,Ny,Uy,ms,to,Gy,uh,Ry,J_,St,hs,gh,no,Qy,_h,Vy,eb,pe,so,Hy,ao,Wy,bh,Zy,By,Yy,fs,Ky,Mt,Xy,xp,Jy,e0,wh,t0,n0,s0,ro,a0,oo,r0,o0,i0,us,io,l0,vh,p0,tb,Ft,gs,xh,lo,c0,kh,d0,nb,J,po,m0,co,h0,Ph,f0,u0,g0,_s,_0,Th,kp,b0,w0,yh,v0,x0,mo,k0,ho,P0,T0,y0,bs,fo,$0,$h,j0,sb,Lt,ws,jh,uo,E0,Eh,q0,ab,F,go,A0,Ot,D0,qh,C0,I0,Pp,z0,S0,M0,vs,F0,Ah,Tp,L0,O0,Nt,N0,yp,U0,G0,Dh,R0,Q0,V0,_o,H0,bo,W0,Z0,B0,et,wo,Y0,Ch,K0,X0,Ih,J0,e$,xs,vo,t$,zh,n$,s$,ks,xo,a$,Sh,r$,o$,Ps,ko,i$,Mh,l$,rb,Ts,p$,$p,c$,d$,ob,Ut,ys,Fh,Po,m$,Lh,h$,ib,be,To,f$,yo,u$,Oh,g$,_$,b$,Gt,w$,jp,v$,x$,Nh,k$,P$,T$,$o,y$,jo,$$,j$,E$,$s,Eo,q$,Uh,A$,lb,Rt,js,Gh,qo,D$,Rh,C$,pb,L,Ao,I$,Qt,z$,Qh,S$,M$,Ep,F$,L$,O$,Es,N$,Vh,qp,U$,G$,Vt,R$,Ap,Q$,V$,Hh,H$,W$,Z$,Do,B$,Co,Y$,K$,X$,qs,Io,J$,Wh,e7,t7,tt,zo,n7,Ht,s7,Zh,a7,r7,Bh,o7,i7,l7,Yh,p7,c7,As,So,d7,Kh,m7,cb,Wt,Ds,Xh,Mo,h7,Jh,f7,db,ce,Fo,u7,ef,g7,_7,Zt,b7,Dp,w7,v7,tf,x7,k7,P7,Q,T7,nf,y7,$7,sf,j7,E7,af,q7,A7,rf,D7,C7,of,I7,z7,lf,S7,M7,Lo,F7,L7,Oo,O7,N7,Cs,U7,Is,No,G7,pf,R7,mb,Bt,zs,cf,Uo,Q7,df,V7,hb,ee,Go,H7,Ro,W7,mf,Z7,B7,Y7,Ss,K7,hf,Cp,X7,J7,Yt,ej,Ip,tj,nj,ff,sj,aj,rj,Qo,oj,Vo,ij,lj,pj,re,Ho,cj,uf,dj,mj,de,gf,_f,hj,fj,bf,wf,uj,gj,vf,xf,_j,bj,kf,Pf,wj,vj,Tf,yf,xj,kj,$f,jf,Pj,Tj,Ef,qf,yj,$j,Wo,jj,Af,Ej,qj,Aj,Ms,Dj,Df,Cj,Ij,Fs,fb,Kt,Ls,Cf,Zo,zj,If,Sj,ub,G,Bo,Mj,Xt,Fj,zf,Lj,Oj,zp,Nj,Uj,Gj,Os,Rj,Sf,Sp,Qj,Vj,Jt,Hj,Mp,Wj,Zj,Mf,Bj,Yj,Kj,Yo,Xj,Ff,Jj,e4,t4,Ko,n4,Xo,s4,a4,r4,Ns,Jo,o4,Lf,i4,gb,en,Us,Of,ei,l4,Nf,p4,_b,te,ti,c4,ni,d4,Uf,m4,h4,f4,Gs,u4,Gf,Fp,g4,_4,tn,b4,Lp,w4,v4,Rf,x4,k4,P4,si,T4,ai,y4,$4,j4,Rs,ri,E4,Qf,q4,bb,nn,Qs,Vf,oi,A4,Hf,D4,wb,O,ii,C4,Wf,I4,z4,Vs,S4,Zf,Op,M4,F4,sn,L4,Np,O4,N4,Bf,U4,G4,R4,Hs,Q4,li,V4,H4,pi,W4,Z4,Ws,B4,Zs,ci,Y4,Yf,K4,X4,Bs,di,J4,Kf,eE,vb,an,Ys,Xf,mi,tE,Jf,nE,xb,M,hi,sE,rn,aE,eu,rE,oE,Up,iE,lE,pE,Ks,cE,tu,Gp,dE,mE,on,hE,Rp,fE,uE,nu,gE,_E,bE,fi,wE,ui,vE,xE,kE,Xs,gi,PE,su,TE,yE,nt,_i,$E,au,jE,EE,ru,qE,AE,Js,bi,DE,ou,CE,IE,ea,wi,zE,iu,SE,ME,ta,vi,FE,lu,LE,kb,ln,na,pu,xi,OE,cu,NE,Pb,me,ki,UE,du,GE,RE,pn,QE,Qp,VE,HE,mu,WE,ZE,BE,sa,YE,Pi,KE,XE,Ti,JE,eq,aa,tq,ra,yi,nq,hu,sq,Tb,cn,oa,fu,$i,aq,uu,rq,yb,ne,ji,oq,Ei,iq,gu,lq,pq,cq,ia,dq,_u,Vp,mq,hq,dn,fq,Hp,uq,gq,bu,_q,bq,wq,qi,vq,Ai,xq,kq,Pq,st,Di,Tq,wu,yq,$q,Ze,vu,xu,jq,Eq,ku,Pu,qq,Aq,Tu,yu,Dq,Cq,$u,ju,Iq,$b,mn,la,Eu,Ci,zq,qu,Sq,jb,R,Ii,Mq,Be,Fq,Au,Lq,Oq,Du,Nq,Uq,Cu,Gq,Rq,Qq,Ye,Vq,Iu,Hq,Wq,zu,Zq,Bq,Su,Yq,Kq,Xq,pa,Jq,Mu,Wp,e3,t3,hn,n3,Zp,s3,a3,Fu,r3,o3,i3,zi,l3,Si,p3,c3,d3,ca,Mi,m3,Fi,h3,Bp,f3,u3,Eb,fn,da,Lu,Li,g3,Ou,_3,qb,se,Oi,b3,un,w3,Nu,v3,x3,Uu,k3,P3,T3,ma,y3,Gu,Yp,$3,j3,gn,E3,Kp,q3,A3,Ru,D3,C3,I3,Ni,z3,Ui,S3,M3,F3,ha,Gi,L3,Qu,O3,Ab,_n,fa,Vu,Ri,N3,Hu,U3,Db,ae,Qi,G3,bn,R3,Wu,Q3,V3,Zu,H3,W3,Z3,ua,B3,Bu,Xp,Y3,K3,wn,X3,Jp,J3,e5,Yu,t5,n5,s5,Vi,a5,Hi,r5,o5,i5,ga,Wi,l5,Ku,p5,Cb,vn,_a,Xu,Zi,c5,ec,d5,Ju,m5,Ib,D,Bi,h5,eg,f5,u5,tg,g5,_5,ng,b5,w5,sg,v5,x5,Fe,k5,tc,P5,T5,ag,y5,$5,rg,j5,E5,og,q5,A5,D5,ba,Yi,C5,ig,I5,z5,at,Ki,S5,lg,M5,F5,wa,L5,va,Xi,O5,pg,N5,U5,xa,Ji,G5,el,R5,cg,Q5,V5,H5,ka,tl,W5,nl,Z5,dg,B5,Y5,K5,Pa,sl,X5,xn,J5,mg,eA,tA,hg,nA,sA,aA,Ta,al,rA,fg,oA,iA,ya,rl,lA,ol,pA,ug,cA,dA,zb;return l=new C({}),Sa=new C({}),Ma=new A({props:{code:`pipe = pipeline("text-classification")
pipe("This restaurant is awesome")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span>pipe = pipeline(<span class="hljs-string">&quot;text-classification&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>pipe(<span class="hljs-string">&quot;This restaurant is awesome&quot;</span>)
[{<span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;POSITIVE&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.9998743534088135</span>}]`}}),La=new A({props:{code:`pipe = pipeline(model="roberta-large-mnli")
pipe("This restaurant is awesome")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span>pipe = pipeline(model=<span class="hljs-string">&quot;roberta-large-mnli&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>pipe(<span class="hljs-string">&quot;This restaurant is awesome&quot;</span>)
[{<span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;POSITIVE&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.9998743534088135</span>}]`}}),Oa=new A({props:{code:`pipe = pipeline("text-classification")
pipe(["This restaurant is awesome", "This restaurant is aweful"])`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span>pipe = pipeline(<span class="hljs-string">&quot;text-classification&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>pipe([<span class="hljs-string">&quot;This restaurant is awesome&quot;</span>, <span class="hljs-string">&quot;This restaurant is aweful&quot;</span>])
[{<span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;POSITIVE&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.9998743534088135</span>},
 {<span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;NEGATIVE&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.9996669292449951</span>}]`}}),Na=new A({props:{code:`import datasets
from transformers import pipeline
from transformers.pipelines.pt_utils import KeyDataset
from tqdm.auto import tqdm

pipe = pipeline("automatic-speech-recognition", model="facebook/wav2vec2-base-960h", device=0)
dataset = datasets.load_dataset("superb", name="asr", split="test")

# KeyDataset (only *pt*) will simply return the item in the dict returned by the dataset item
# as we're not interested in the *target* part of the dataset. For sentence pair use KeyPairDataset
for out in tqdm(pipe(KeyDataset(dataset, "file"))):
    print(out)
    # {"text": "NUMBER TEN FRESH NELLY IS WAITING ON YOU GOOD NIGHT HUSBAND"}
    # {"text": ....}
    # ....`,highlighted:`<span class="hljs-keyword">import</span> datasets
<span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline
<span class="hljs-keyword">from</span> transformers.pipelines.pt_utils <span class="hljs-keyword">import</span> KeyDataset
<span class="hljs-keyword">from</span> tqdm.auto <span class="hljs-keyword">import</span> tqdm

pipe = pipeline(<span class="hljs-string">&quot;automatic-speech-recognition&quot;</span>, model=<span class="hljs-string">&quot;facebook/wav2vec2-base-960h&quot;</span>, device=<span class="hljs-number">0</span>)
dataset = datasets.load_dataset(<span class="hljs-string">&quot;superb&quot;</span>, name=<span class="hljs-string">&quot;asr&quot;</span>, split=<span class="hljs-string">&quot;test&quot;</span>)

<span class="hljs-comment"># KeyDataset (only *pt*) will simply return the item in the dict returned by the dataset item</span>
<span class="hljs-comment"># as we&#x27;re not interested in the *target* part of the dataset. For sentence pair use KeyPairDataset</span>
<span class="hljs-keyword">for</span> out <span class="hljs-keyword">in</span> tqdm(pipe(KeyDataset(dataset, <span class="hljs-string">&quot;file&quot;</span>))):
    <span class="hljs-built_in">print</span>(out)
    <span class="hljs-comment"># {&quot;text&quot;: &quot;NUMBER TEN FRESH NELLY IS WAITING ON YOU GOOD NIGHT HUSBAND&quot;}</span>
    <span class="hljs-comment"># {&quot;text&quot;: ....}</span>
    <span class="hljs-comment"># ....</span>`}}),Ua=new A({props:{code:`from transformers import pipeline

pipe = pipeline("text-classification")


def data():
    while True:
        # This could come from a dataset, a database, a queue or HTTP request
        # in a server
        # Caveat: because this is iterative, you cannot use \`num_workers > 1\` variable
        # to use multiple threads to preprocess data. You can still have 1 thread that
        # does the preprocessing while the main runs the big inference
        yield "This is a test"


for out in pipe(data()):
    print(out)
    # {"text": "NUMBER TEN FRESH NELLY IS WAITING ON YOU GOOD NIGHT HUSBAND"}
    # {"text": ....}
    # ....`,highlighted:`<span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

pipe = pipeline(<span class="hljs-string">&quot;text-classification&quot;</span>)


<span class="hljs-keyword">def</span> <span class="hljs-title function_">data</span>():
    <span class="hljs-keyword">while</span> <span class="hljs-literal">True</span>:
        <span class="hljs-comment"># This could come from a dataset, a database, a queue or HTTP request</span>
        <span class="hljs-comment"># in a server</span>
        <span class="hljs-comment"># Caveat: because this is iterative, you cannot use \`num_workers &gt; 1\` variable</span>
        <span class="hljs-comment"># to use multiple threads to preprocess data. You can still have 1 thread that</span>
        <span class="hljs-comment"># does the preprocessing while the main runs the big inference</span>
        <span class="hljs-keyword">yield</span> <span class="hljs-string">&quot;This is a test&quot;</span>


<span class="hljs-keyword">for</span> out <span class="hljs-keyword">in</span> pipe(data()):
    <span class="hljs-built_in">print</span>(out)
    <span class="hljs-comment"># {&quot;text&quot;: &quot;NUMBER TEN FRESH NELLY IS WAITING ON YOU GOOD NIGHT HUSBAND&quot;}</span>
    <span class="hljs-comment"># {&quot;text&quot;: ....}</span>
    <span class="hljs-comment"># ....</span>`}}),Ga=new $({props:{name:"transformers.pipeline",anchor:"transformers.pipeline",parameters:[{name:"task",val:": str = None"},{name:"model",val:": typing.Optional = None"},{name:"config",val:": typing.Union[str, transformers.configuration_utils.PretrainedConfig, NoneType] = None"},{name:"tokenizer",val:": typing.Union[str, transformers.tokenization_utils.PreTrainedTokenizer, transformers.tokenization_utils_fast.PreTrainedTokenizerFast, NoneType] = None"},{name:"feature_extractor",val:": typing.Union[str, ForwardRef('SequenceFeatureExtractor'), NoneType] = None"},{name:"framework",val:": typing.Optional[str] = None"},{name:"revision",val:": typing.Optional[str] = None"},{name:"use_fast",val:": bool = True"},{name:"use_auth_token",val:": typing.Union[str, bool, NoneType] = None"},{name:"device",val:": typing.Union[int, str, ForwardRef('torch.device'), NoneType] = None"},{name:"device_map",val:" = None"},{name:"torch_dtype",val:" = None"},{name:"trust_remote_code",val:": typing.Optional[bool] = None"},{name:"model_kwargs",val:": typing.Dict[str, typing.Any] = None"},{name:"pipeline_class",val:": typing.Optional[typing.Any] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.pipeline.task",description:`<strong>task</strong> (<code>str</code>) &#x2014;
The task defining which pipeline will be returned. Currently accepted tasks are:</p>
<ul>
<li><code>&quot;audio-classification&quot;</code>: will return a <a href="/docs/transformers/main/en/main_classes/pipelines#transformers.AudioClassificationPipeline">AudioClassificationPipeline</a>.</li>
<li><code>&quot;automatic-speech-recognition&quot;</code>: will return a <a href="/docs/transformers/main/en/main_classes/pipelines#transformers.AutomaticSpeechRecognitionPipeline">AutomaticSpeechRecognitionPipeline</a>.</li>
<li><code>&quot;conversational&quot;</code>: will return a <a href="/docs/transformers/main/en/main_classes/pipelines#transformers.ConversationalPipeline">ConversationalPipeline</a>.</li>
<li><code>&quot;feature-extraction&quot;</code>: will return a <a href="/docs/transformers/main/en/main_classes/pipelines#transformers.FeatureExtractionPipeline">FeatureExtractionPipeline</a>.</li>
<li><code>&quot;fill-mask&quot;</code>: will return a <a href="/docs/transformers/main/en/main_classes/pipelines#transformers.FillMaskPipeline">FillMaskPipeline</a>:.</li>
<li><code>&quot;image-classification&quot;</code>: will return a <a href="/docs/transformers/main/en/main_classes/pipelines#transformers.ImageClassificationPipeline">ImageClassificationPipeline</a>.</li>
<li><code>&quot;question-answering&quot;</code>: will return a <a href="/docs/transformers/main/en/main_classes/pipelines#transformers.QuestionAnsweringPipeline">QuestionAnsweringPipeline</a>.</li>
<li><code>&quot;table-question-answering&quot;</code>: will return a <a href="/docs/transformers/main/en/main_classes/pipelines#transformers.TableQuestionAnsweringPipeline">TableQuestionAnsweringPipeline</a>.</li>
<li><code>&quot;text2text-generation&quot;</code>: will return a <a href="/docs/transformers/main/en/main_classes/pipelines#transformers.Text2TextGenerationPipeline">Text2TextGenerationPipeline</a>.</li>
<li><code>&quot;text-classification&quot;</code> (alias <code>&quot;sentiment-analysis&quot;</code> available): will return a
<a href="/docs/transformers/main/en/main_classes/pipelines#transformers.TextClassificationPipeline">TextClassificationPipeline</a>.</li>
<li><code>&quot;text-generation&quot;</code>: will return a <a href="/docs/transformers/main/en/main_classes/pipelines#transformers.TextGenerationPipeline">TextGenerationPipeline</a>:.</li>
<li><code>&quot;token-classification&quot;</code> (alias <code>&quot;ner&quot;</code> available): will return a <a href="/docs/transformers/main/en/main_classes/pipelines#transformers.TokenClassificationPipeline">TokenClassificationPipeline</a>.</li>
<li><code>&quot;translation&quot;</code>: will return a <a href="/docs/transformers/main/en/main_classes/pipelines#transformers.TranslationPipeline">TranslationPipeline</a>.</li>
<li><code>&quot;translation_xx_to_yy&quot;</code>: will return a <a href="/docs/transformers/main/en/main_classes/pipelines#transformers.TranslationPipeline">TranslationPipeline</a>.</li>
<li><code>&quot;summarization&quot;</code>: will return a <a href="/docs/transformers/main/en/main_classes/pipelines#transformers.SummarizationPipeline">SummarizationPipeline</a>.</li>
<li><code>&quot;zero-shot-classification&quot;</code>: will return a <a href="/docs/transformers/main/en/main_classes/pipelines#transformers.ZeroShotClassificationPipeline">ZeroShotClassificationPipeline</a>.</li>
</ul>`,name:"task"},{anchor:"transformers.pipeline.model",description:`<strong>model</strong> (<code>str</code> or <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>, <em>optional</em>) &#x2014;
The model that will be used by the pipeline to make predictions. This can be a model identifier or an
actual instance of a pretrained model inheriting from <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> (for PyTorch) or
<a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> (for TensorFlow).</p>
<p>If not provided, the default for the <code>task</code> will be loaded.`,name:"model"},{anchor:"transformers.pipeline.config",description:`<strong>config</strong> (<code>str</code> or <a href="/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig">PretrainedConfig</a>, <em>optional</em>) &#x2014;
The configuration that will be used by the pipeline to instantiate the model. This can be a model
identifier or an actual pretrained model configuration inheriting from <a href="/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig">PretrainedConfig</a>.</p>
<p>If not provided, the default configuration file for the requested model will be used. That means that if
<code>model</code> is given, its default configuration will be used. However, if <code>model</code> is not supplied, this
<code>task</code>&#x2019;s default model&#x2019;s config is used instead.`,name:"config"},{anchor:"transformers.pipeline.tokenizer",description:`<strong>tokenizer</strong> (<code>str</code> or <a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>, <em>optional</em>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This can be a model
identifier or an actual pretrained tokenizer inheriting from <a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.</p>
<p>If not provided, the default tokenizer for the given <code>model</code> will be loaded (if it is a string). If <code>model</code>
is not specified or not a string, then the default tokenizer for <code>config</code> is loaded (if it is a string).
However, if <code>config</code> is also not given or not a string, then the default tokenizer for the given <code>task</code>
will be loaded.`,name:"tokenizer"},{anchor:"transformers.pipeline.feature_extractor",description:`<strong>feature_extractor</strong> (<code>str</code> or <code>PreTrainedFeatureExtractor</code>, <em>optional</em>) &#x2014;
The feature extractor that will be used by the pipeline to encode data for the model. This can be a model
identifier or an actual pretrained feature extractor inheriting from <code>PreTrainedFeatureExtractor</code>.</p>
<p>Feature extractors are used for non-NLP models, such as Speech or Vision models as well as multi-modal
models. Multi-modal models will also require a tokenizer to be passed.</p>
<p>If not provided, the default feature extractor for the given <code>model</code> will be loaded (if it is a string). If
<code>model</code> is not specified or not a string, then the default feature extractor for <code>config</code> is loaded (if it
is a string). However, if <code>config</code> is also not given or not a string, then the default feature extractor
for the given <code>task</code> will be loaded.`,name:"feature_extractor"},{anchor:"transformers.pipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.pipeline.revision",description:`<strong>revision</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;main&quot;</code>) &#x2014;
When passing a task name or a string model identifier: The specific model version to use. It can be a
branch name, a tag name, or a commit id, since we use a git-based system for storing models and other
artifacts on huggingface.co, so <code>revision</code> can be any identifier allowed by git.`,name:"revision"},{anchor:"transformers.pipeline.use_fast",description:`<strong>use_fast</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to use a Fast tokenizer if possible (a <a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast">PreTrainedTokenizerFast</a>).`,name:"use_fast"},{anchor:"transformers.pipeline.use_auth_token",description:`<strong>use_auth_token</strong> (<code>str</code> or <em>bool</em>, <em>optional</em>) &#x2014;
The token to use as HTTP bearer authorization for remote files. If <code>True</code>, will use the token generated
when running <code>huggingface-cli login</code> (stored in <code>~/.huggingface</code>).`,name:"use_auth_token"},{anchor:"transformers.pipeline.device",description:`<strong>device</strong> (<code>int</code> or <code>str</code> or <code>torch.device</code>) &#x2014;
Defines the device (<em>e.g.</em>, <code>&quot;cpu&quot;</code>, <code>&quot;cuda:1&quot;</code>, <code>&quot;mps&quot;</code>, or a GPU ordinal rank like <code>1</code>) on which this
pipeline will be allocated.`,name:"device"},{anchor:"transformers.pipeline.device_map",description:`<strong>device_map</strong> (<code>str</code> or <code>Dict[str, Union[int, str, torch.device]</code>, <em>optional</em>) &#x2014;
Sent directly as <code>model_kwargs</code> (just a simpler shortcut). When <code>accelerate</code> library is present, set
<code>device_map=&quot;auto&quot;</code> to compute the most optimized <code>device_map</code> automatically. <a href="https://huggingface.co/docs/accelerate/main/en/big_modeling#accelerate.cpu_offload" rel="nofollow">More
information</a></p>
<div class="course-tip course-tip-orange bg-gradient-to-br dark:bg-gradient-to-r before:border-orange-500 dark:before:border-orange-800 from-orange-50 dark:from-gray-900 to-white dark:to-gray-950 border border-orange-50 text-orange-700 dark:text-gray-400">
						
<p>Do not use <code>device_map</code> AND <code>device</code> at the same time as they will conflict</p>

					</div>`,name:"device_map"},{anchor:"transformers.pipeline.torch_dtype",description:`<strong>torch_dtype</strong> (<code>str</code> or <code>torch.dtype</code>, <em>optional</em>) &#x2014;
Sent directly as <code>model_kwargs</code> (just a simpler shortcut) to use the available precision for this model
(<code>torch.float16</code>, <code>torch.bfloat16</code>, &#x2026; or <code>&quot;auto&quot;</code>).`,name:"torch_dtype"},{anchor:"transformers.pipeline.trust_remote_code",description:`<strong>trust_remote_code</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to allow for custom code defined on the Hub in their own modeling, configuration,
tokenization or even pipeline files. This option should only be set to <code>True</code> for repositories you trust
and in which you have read the code, as it will execute code present on the Hub on your local machine.
model_kwargs &#x2014;
Additional dictionary of keyword arguments passed along to the model&#x2019;s <code>from_pretrained(..., **model_kwargs)</code> function.
kwargs &#x2014;
Additional keyword arguments passed along to the specific pipeline init (see the documentation for the
corresponding pipeline class for possible values).`,name:"trust_remote_code"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/__init__.py#L459",returnDescription:`
<p>A suitable pipeline for the task.</p>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/pipelines#transformers.Pipeline"
>Pipeline</a></p>
`}}),qn=new I({props:{anchor:"transformers.pipeline.example",$$slots:{default:[uS]},$$scope:{ctx:j}}}),Ha=new C({}),Wa=new A({props:{code:`from transformers import pipeline
from transformers.pipelines.pt_utils import KeyDataset
import datasets

dataset = datasets.load_dataset("imdb", name="plain_text", split="unsupervised")
pipe = pipeline("text-classification", device=0)
for out in pipe(KeyDataset(dataset, "text"), batch_size=8, truncation="only_first"):
    print(out)
    # [{'label': 'POSITIVE', 'score': 0.9998743534088135}]
    # Exactly the same output as before, but the content are passed
    # as batches to the model`,highlighted:`<span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline
<span class="hljs-keyword">from</span> transformers.pipelines.pt_utils <span class="hljs-keyword">import</span> KeyDataset
<span class="hljs-keyword">import</span> datasets

dataset = datasets.load_dataset(<span class="hljs-string">&quot;imdb&quot;</span>, name=<span class="hljs-string">&quot;plain_text&quot;</span>, split=<span class="hljs-string">&quot;unsupervised&quot;</span>)
pipe = pipeline(<span class="hljs-string">&quot;text-classification&quot;</span>, device=<span class="hljs-number">0</span>)
<span class="hljs-keyword">for</span> out <span class="hljs-keyword">in</span> pipe(KeyDataset(dataset, <span class="hljs-string">&quot;text&quot;</span>), batch_size=<span class="hljs-number">8</span>, truncation=<span class="hljs-string">&quot;only_first&quot;</span>):
    <span class="hljs-built_in">print</span>(out)
    <span class="hljs-comment"># [{&#x27;label&#x27;: &#x27;POSITIVE&#x27;, &#x27;score&#x27;: 0.9998743534088135}]</span>
    <span class="hljs-comment"># Exactly the same output as before, but the content are passed</span>
    <span class="hljs-comment"># as batches to the model</span>`}}),Dn=new pS({props:{warning:!0,$$slots:{default:[gS]},$$scope:{ctx:j}}}),Za=new A({props:{code:`from transformers import pipeline
from torch.utils.data import Dataset
from tqdm.auto import tqdm

pipe = pipeline("text-classification", device=0)


class MyDataset(Dataset):
    def __len__(self):
        return 5000

    def __getitem__(self, i):
        return "This is a test"


dataset = MyDataset()

for batch_size in [1, 8, 64, 256]:
    print("-" * 30)
    print(f"Streaming batch_size={batch_size}")
    for out in tqdm(pipe(dataset, batch_size=batch_size), total=len(dataset)):
        pass`,highlighted:`<span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline
<span class="hljs-keyword">from</span> torch.utils.data <span class="hljs-keyword">import</span> Dataset
<span class="hljs-keyword">from</span> tqdm.auto <span class="hljs-keyword">import</span> tqdm

pipe = pipeline(<span class="hljs-string">&quot;text-classification&quot;</span>, device=<span class="hljs-number">0</span>)


<span class="hljs-keyword">class</span> <span class="hljs-title class_">MyDataset</span>(<span class="hljs-title class_ inherited__">Dataset</span>):
    <span class="hljs-keyword">def</span> <span class="hljs-title function_">__len__</span>(<span class="hljs-params">self</span>):
        <span class="hljs-keyword">return</span> <span class="hljs-number">5000</span>

    <span class="hljs-keyword">def</span> <span class="hljs-title function_">__getitem__</span>(<span class="hljs-params">self, i</span>):
        <span class="hljs-keyword">return</span> <span class="hljs-string">&quot;This is a test&quot;</span>


dataset = MyDataset()

<span class="hljs-keyword">for</span> batch_size <span class="hljs-keyword">in</span> [<span class="hljs-number">1</span>, <span class="hljs-number">8</span>, <span class="hljs-number">64</span>, <span class="hljs-number">256</span>]:
    <span class="hljs-built_in">print</span>(<span class="hljs-string">&quot;-&quot;</span> * <span class="hljs-number">30</span>)
    <span class="hljs-built_in">print</span>(<span class="hljs-string">f&quot;Streaming batch_size=<span class="hljs-subst">{batch_size}</span>&quot;</span>)
    <span class="hljs-keyword">for</span> out <span class="hljs-keyword">in</span> tqdm(pipe(dataset, batch_size=batch_size), total=<span class="hljs-built_in">len</span>(dataset)):
        <span class="hljs-keyword">pass</span>`}}),Ba=new A({props:{code:`# On GTX 970
------------------------------
Streaming no batching
100%|\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588| 5000/5000 [00:26<00:00, 187.52it/s]
------------------------------
Streaming batch_size=8
100%|\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588| 5000/5000 [00:04<00:00, 1205.95it/s]
------------------------------
Streaming batch_size=64
100%|\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588| 5000/5000 [00:02<00:00, 2478.24it/s]
------------------------------
Streaming batch_size=256
100%|\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588| 5000/5000 [00:01<00:00, 2554.43it/s]
(diminishing returns, saturated the GPU)`,highlighted:`<span class="hljs-section"># On GTX 970
------------------------------</span>
Streaming no batching
100%|\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588| 5000/5000 [00:26&lt;00:00, 187.52it/s]
<span class="hljs-code">------------------------------
Streaming batch_size=8
100%|\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588| 5000/5000 [00:04&lt;00:00, 1205.95it/s]
------------------------------</span>
Streaming batch<span class="hljs-emphasis">_size=64
100%|\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588| 5000/5000 [00:02&lt;00:00, 2478.24it/s]
------------------------------
Streaming batch_</span>size=256
100%|\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588| 5000/5000 [00:01&lt;00:00, 2554.43it/s]
(diminishing returns, saturated the GPU)`}}),Ya=new A({props:{code:`class MyDataset(Dataset):
    def __len__(self):
        return 5000

    def __getitem__(self, i):
        if i % 64 == 0:
            n = 100
        else:
            n = 1
        return "This is a test" * n`,highlighted:`<span class="hljs-keyword">class</span> <span class="hljs-title class_">MyDataset</span>(<span class="hljs-title class_ inherited__">Dataset</span>):
    <span class="hljs-keyword">def</span> <span class="hljs-title function_">__len__</span>(<span class="hljs-params">self</span>):
        <span class="hljs-keyword">return</span> <span class="hljs-number">5000</span>

    <span class="hljs-keyword">def</span> <span class="hljs-title function_">__getitem__</span>(<span class="hljs-params">self, i</span>):
        <span class="hljs-keyword">if</span> i % <span class="hljs-number">64</span> == <span class="hljs-number">0</span>:
            n = <span class="hljs-number">100</span>
        <span class="hljs-keyword">else</span>:
            n = <span class="hljs-number">1</span>
        <span class="hljs-keyword">return</span> <span class="hljs-string">&quot;This is a test&quot;</span> * n`}}),Ka=new A({props:{code:`------------------------------
Streaming no batching
100%|\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588| 1000/1000 [00:05<00:00, 183.69it/s]
------------------------------
Streaming batch_size=8
100%|\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588| 1000/1000 [00:03<00:00, 265.74it/s]
------------------------------
Streaming batch_size=64
100%|\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588| 1000/1000 [00:26<00:00, 37.80it/s]
------------------------------
Streaming batch_size=256
  0%|                                                                                 | 0/1000 [00:00<?, ?it/s]
Traceback (most recent call last):
  File "/home/nicolas/src/transformers/test.py", line 42, in <module>
    for out in tqdm(pipe(dataset, batch_size=256), total=len(dataset)):
....
    q = q / math.sqrt(dim_per_head)  # (bs, n_heads, q_length, dim_per_head)
RuntimeError: CUDA out of memory. Tried to allocate 376.00 MiB (GPU 0; 3.95 GiB total capacity; 1.72 GiB already allocated; 354.88 MiB free; 2.46 GiB reserved in total by PyTorch)`,highlighted:`<span class="hljs-comment">------------------------------</span>
Streaming no batching
<span class="hljs-number">100</span>%|\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588| <span class="hljs-number">1000</span>/<span class="hljs-number">1000</span> [<span class="hljs-number">00</span>:<span class="hljs-number">05</span>&lt;<span class="hljs-number">00</span>:<span class="hljs-number">00</span>, <span class="hljs-number">183.69</span><span class="hljs-keyword">it</span>/s]
<span class="hljs-comment">------------------------------</span>
Streaming batch_size=<span class="hljs-number">8</span>
<span class="hljs-number">100</span>%|\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588| <span class="hljs-number">1000</span>/<span class="hljs-number">1000</span> [<span class="hljs-number">00</span>:<span class="hljs-number">03</span>&lt;<span class="hljs-number">00</span>:<span class="hljs-number">00</span>, <span class="hljs-number">265.74</span><span class="hljs-keyword">it</span>/s]
<span class="hljs-comment">------------------------------</span>
Streaming batch_size=<span class="hljs-number">64</span>
<span class="hljs-number">100</span>%|\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588| <span class="hljs-number">1000</span>/<span class="hljs-number">1000</span> [<span class="hljs-number">00</span>:<span class="hljs-number">26</span>&lt;<span class="hljs-number">00</span>:<span class="hljs-number">00</span>, <span class="hljs-number">37.80</span><span class="hljs-keyword">it</span>/s]
<span class="hljs-comment">------------------------------</span>
Streaming batch_size=<span class="hljs-number">256</span>
  <span class="hljs-number">0</span>%|                                                                                 | <span class="hljs-number">0</span>/<span class="hljs-number">1000</span> [<span class="hljs-number">00</span>:<span class="hljs-number">00</span><span class="hljs-meta">&lt;?</span>, ?<span class="hljs-keyword">it</span>/s]
Traceback (most recent call <span class="hljs-keyword">last</span>):
  File <span class="hljs-string">&quot;/home/nicolas/src/transformers/test.py&quot;</span>, <span class="hljs-built_in">line</span> <span class="hljs-number">42</span>, <span class="hljs-keyword">in</span> &lt;module&gt;
    <span class="hljs-keyword">for</span> out <span class="hljs-keyword">in</span> tqdm(pipe(dataset, batch_size=<span class="hljs-number">256</span>), total=<span class="hljs-built_in">len</span>(dataset)):
....
    q = q / math.<span class="hljs-built_in">sqrt</span>(dim_per_head)  <span class="hljs-comment"># (bs, n_heads, q_length, dim_per_head)</span>
RuntimeError: CUDA out <span class="hljs-keyword">of</span> memory. Tried <span class="hljs-built_in">to</span> allocate <span class="hljs-number">376.00</span> MiB (GPU <span class="hljs-number">0</span>; <span class="hljs-number">3.95</span> GiB total capacity; <span class="hljs-number">1.72</span> GiB already allocated; <span class="hljs-number">354.88</span> MiB free; <span class="hljs-number">2.46</span> GiB reserved <span class="hljs-keyword">in</span> total <span class="hljs-keyword">by</span> PyTorch)`}}),Ja=new C({}),er=new A({props:{code:`preprocessed = pipe.preprocess(inputs)
model_outputs = pipe.forward(preprocessed)
outputs = pipe.postprocess(model_outputs)`,highlighted:`preprocessed = pipe.preprocess(inputs)
model_outputs = pipe.forward(preprocessed)
outputs = pipe.postprocess(model_outputs)`}}),tr=new A({props:{code:`all_model_outputs = []
for preprocessed in pipe.preprocess(inputs):
    model_outputs = pipe.forward(preprocessed)
    all_model_outputs.append(model_outputs)
outputs = pipe.postprocess(all_model_outputs)`,highlighted:`all_model_outputs = []
<span class="hljs-keyword">for</span> preprocessed <span class="hljs-keyword">in</span> pipe.preprocess(inputs):
    model_outputs = pipe.forward(preprocessed)
    all_model_outputs.append(model_outputs)
outputs = pipe.postprocess(all_model_outputs)`}}),nr=new C({}),sr=new A({props:{code:`class MyPipeline(TextClassificationPipeline):
    def postprocess():
        # Your code goes here
        scores = scores * 100
        # And here


my_pipeline = MyPipeline(model=model, tokenizer=tokenizer, ...)
# or if you use *pipeline* function, then:
my_pipeline = pipeline(model="xxxx", pipeline_class=MyPipeline)`,highlighted:`<span class="hljs-keyword">class</span> <span class="hljs-title class_">MyPipeline</span>(<span class="hljs-title class_ inherited__">TextClassificationPipeline</span>):
    <span class="hljs-keyword">def</span> <span class="hljs-title function_">postprocess</span>():
        <span class="hljs-comment"># Your code goes here</span>
        scores = scores * <span class="hljs-number">100</span>
        <span class="hljs-comment"># And here</span>


my_pipeline = MyPipeline(model=model, tokenizer=tokenizer, ...)
<span class="hljs-comment"># or if you use *pipeline* function, then:</span>
my_pipeline = pipeline(model=<span class="hljs-string">&quot;xxxx&quot;</span>, pipeline_class=MyPipeline)`}}),ar=new C({}),rr=new C({}),or=new C({}),ir=new $({props:{name:"class transformers.AudioClassificationPipeline",anchor:"transformers.AudioClassificationPipeline",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.AudioClassificationPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.AudioClassificationPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.AudioClassificationPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.AudioClassificationPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.AudioClassificationPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.AudioClassificationPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.AudioClassificationPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.AudioClassificationPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/main/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.AudioClassificationPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.AudioClassificationPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/audio_classification.py#L68"}}),Nn=new I({props:{anchor:"transformers.AudioClassificationPipeline.example",$$slots:{default:[_S]},$$scope:{ctx:j}}}),dr=new $({props:{name:"__call__",anchor:"transformers.AudioClassificationPipeline.__call__",parameters:[{name:"inputs",val:": typing.Union[numpy.ndarray, bytes, str]"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.AudioClassificationPipeline.__call__.inputs",description:`<strong>inputs</strong> (<code>np.ndarray</code> or <code>bytes</code> or <code>str</code>) &#x2014;
The inputs is either a raw waveform (<code>np.ndarray</code> of shape (n, ) of type <code>np.float32</code> or <code>np.float64</code>)
at the correct sampling rate (no further check will be done) or a <code>str</code> that is the filename of the
audio file, the file will be read at the correct sampling rate to get the waveform using <em>ffmpeg</em>. This
requires <em>ffmpeg</em> to be installed on the system. If <em>inputs</em> is <code>bytes</code> it is supposed to be the
content of an audio file and is interpreted by <em>ffmpeg</em> in the same way.`,name:"inputs"},{anchor:"transformers.AudioClassificationPipeline.__call__.top_k",description:`<strong>top_k</strong> (<code>int</code>, <em>optional</em>, defaults to None) &#x2014;
The number of top labels that will be returned by the pipeline. If the provided number is <code>None</code> or
higher than the number of labels available in the model configuration, it will default to the number of
labels.`,name:"top_k"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/audio_classification.py#L104",returnDescription:`
<ul>
<li><strong>label</strong> (<code>str</code>) \u2014 The label predicted.</li>
<li><strong>score</strong> (<code>float</code>) \u2014 The corresponding probability.</li>
</ul>
`,returnType:`
<p>A list of <code>dict</code> with the following keys</p>
`}}),hr=new C({}),fr=new $({props:{name:"class transformers.AutomaticSpeechRecognitionPipeline",anchor:"transformers.AutomaticSpeechRecognitionPipeline",parameters:[{name:"feature_extractor",val:": typing.Union[ForwardRef('SequenceFeatureExtractor'), str]"},{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.AutomaticSpeechRecognitionPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.AutomaticSpeechRecognitionPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.AutomaticSpeechRecognitionPipeline.feature_extractor",description:`<strong>feature_extractor</strong> (<a href="/docs/transformers/main/en/main_classes/feature_extractor#transformers.SequenceFeatureExtractor">SequenceFeatureExtractor</a>) &#x2014;
The feature extractor that will be used by the pipeline to encode waveform for the model.`,name:"feature_extractor"},{anchor:"transformers.AutomaticSpeechRecognitionPipeline.chunk_length_s",description:`<strong>chunk_length_s</strong> (<code>float</code>, <em>optional</em>, defaults to 0) &#x2014;
The input length for in each chunk. If <code>chunk_length_s = 0</code> then chunking is disabled (default). Only
available for CTC models, e.g. <a href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2ForCTC">Wav2Vec2ForCTC</a>.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						
<p>For more information on how to effectively use <code>chunk_length_s</code>, please have a look at the <a href="https://huggingface.co/blog/asr-chunking" rel="nofollow">ASR chunking
blog post</a>.</p>

					</div>`,name:"chunk_length_s"},{anchor:"transformers.AutomaticSpeechRecognitionPipeline.stride_length_s",description:`<strong>stride_length_s</strong> (<code>float</code>, <em>optional</em>, defaults to <code>chunk_length_s / 6</code>) &#x2014;
The length of stride on the left and right of each chunk. Used only with <code>chunk_length_s &gt; 0</code>. This enables
the model to <em>see</em> more context and infer letters better than without this context but the pipeline
discards the stride bits at the end to make the final reconstitution as perfect as possible.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						
<p>For more information on how to effectively use <code>stride_length_s</code>, please have a look at the <a href="https://huggingface.co/blog/asr-chunking" rel="nofollow">ASR chunking
blog post</a>.</p>

					</div>`,name:"stride_length_s"},{anchor:"transformers.AutomaticSpeechRecognitionPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed. If no framework is specified, will default to the one currently installed. If no framework is
specified and both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if
no model is provided.`,name:"framework"},{anchor:"transformers.AutomaticSpeechRecognitionPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id.`,name:"device"},{anchor:"transformers.AutomaticSpeechRecognitionPipeline.decoder",description:`<strong>decoder</strong> (<code>pyctcdecode.BeamSearchDecoderCTC</code>, <em>optional</em>) &#x2014;
<a href="https://github.com/kensho-technologies/pyctcdecode/blob/2fd33dc37c4111417e08d89ccd23d28e9b308d19/pyctcdecode/decoder.py#L180" rel="nofollow">PyCTCDecode&#x2019;s
BeamSearchDecoderCTC</a>
can be passed for language model boosted decoding. See <a href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2ProcessorWithLM">Wav2Vec2ProcessorWithLM</a> for more information.`,name:"decoder"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/automatic_speech_recognition.py#L104"}}),Rn=new I({props:{anchor:"transformers.AutomaticSpeechRecognitionPipeline.example",$$slots:{default:[bS]},$$scope:{ctx:j}}}),ur=new $({props:{name:"__call__",anchor:"transformers.AutomaticSpeechRecognitionPipeline.__call__",parameters:[{name:"inputs",val:": typing.Union[numpy.ndarray, bytes, str]"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.AutomaticSpeechRecognitionPipeline.__call__.inputs",description:`<strong>inputs</strong> (<code>np.ndarray</code> or <code>bytes</code> or <code>str</code> or <code>dict</code>) &#x2014;
The inputs is either :<ul>
<li><code>str</code> that is the filename of the audio file, the file will be read at the correct sampling rate
to get the waveform using <em>ffmpeg</em>. This requires <em>ffmpeg</em> to be installed on the system.</li>
<li><code>bytes</code> it is supposed to be the content of an audio file and is interpreted by <em>ffmpeg</em> in the
same way.</li>
<li>(<code>np.ndarray</code> of shape (n, ) of type <code>np.float32</code> or <code>np.float64</code>)
Raw audio at the correct sampling rate (no further check will be done)</li>
<li><code>dict</code> form can be used to pass raw audio sampled at arbitrary <code>sampling_rate</code> and let this
pipeline do the resampling. The dict must be in the format <code>{&quot;sampling_rate&quot;: int, &quot;raw&quot;: np.array}</code> with optionally a <code>&quot;stride&quot;: (left: int, right: int)</code> than can ask the pipeline to
treat the first <code>left</code> samples and last <code>right</code> samples to be ignored in decoding (but used at
inference to provide more context to the model). Only use <code>stride</code> with CTC models.</li>
</ul>`,name:"inputs"},{anchor:"transformers.AutomaticSpeechRecognitionPipeline.__call__.return_timestamps",description:`<strong>return_timestamps</strong> (<em>optional</em>, <code>str</code>) &#x2014;
Only available for pure CTC models. If set to <code>&quot;char&quot;</code>, the pipeline will return <code>timestamps</code> along the
text for every character in the text. For instance if you get <code>[{&quot;text&quot;: &quot;h&quot;, &quot;timestamps&quot;: (0.5,0.6), {&quot;text&quot;: &quot;i&quot;, &quot;timestamps&quot;: (0.7, .9)}]</code>, then it means the model predicts that the letter &#x201C;h&#x201D; was
pronounced after <code>0.5</code> and before <code>0.6</code> seconds. If set to <code>&quot;word&quot;</code>, the pipeline will return
<code>timestamps</code> along the text for every word in the text. For instance if you get <code>[{&quot;text&quot;: &quot;hi &quot;, &quot;timestamps&quot;: (0.5,0.9), {&quot;text&quot;: &quot;there&quot;, &quot;timestamps&quot;: (1.0, .1.5)}]</code>, then it means the model
predicts that the word &#x201C;hi&#x201D; was pronounced after <code>0.5</code> and before <code>0.9</code> seconds.`,name:"return_timestamps"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/automatic_speech_recognition.py#L191",returnDescription:`
<p>A dictionary with the following keys:</p>
<ul>
<li><strong>text</strong> (<code>str</code> ) \u2014 The recognized text.</li>
<li><strong>chunks</strong> (<em>optional(, <code>List[Dict]</code>)
When using <code>return_timestamps</code>, the <code>chunks</code> will become a list containing all the various text
chunks identified by the model, </em>e.g.* <code>[&#123;"text": "hi ", "timestamps": (0.5,0.9), &#123;"text": "there", "timestamps": (1.0, 1.5)&#125;]</code>. The original full text can roughly be recovered by doing
<code>"".join(chunk["text"] for chunk in output["chunks"])</code>.</li>
</ul>
`,returnType:`
<p><code>Dict</code></p>
`}}),_r=new C({}),br=new $({props:{name:"class transformers.Conversation",anchor:"transformers.Conversation",parameters:[{name:"text",val:": str = None"},{name:"conversation_id",val:": UUID = None"},{name:"past_user_inputs",val:" = None"},{name:"generated_responses",val:" = None"}],parametersDescription:[{anchor:"transformers.Conversation.text",description:`<strong>text</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The initial user input to start the conversation. If not provided, a user input needs to be provided
manually using the <a href="/docs/transformers/main/en/main_classes/pipelines#transformers.Conversation.add_user_input">add_user_input()</a> method before the conversation can begin.`,name:"text"},{anchor:"transformers.Conversation.conversation_id",description:`<strong>conversation_id</strong> (<code>uuid.UUID</code>, <em>optional</em>) &#x2014;
Unique identifier for the conversation. If not provided, a random UUID4 id will be assigned to the
conversation.`,name:"conversation_id"},{anchor:"transformers.Conversation.past_user_inputs",description:`<strong>past_user_inputs</strong> (<code>List[str]</code>, <em>optional</em>) &#x2014;
Eventual past history of the conversation of the user. You don&#x2019;t need to pass it manually if you use the
pipeline interactively but if you want to recreate history you need to set both <code>past_user_inputs</code> and
<code>generated_responses</code> with equal length lists of strings`,name:"past_user_inputs"},{anchor:"transformers.Conversation.generated_responses",description:`<strong>generated_responses</strong> (<code>List[str]</code>, <em>optional</em>) &#x2014;
Eventual past history of the conversation of the model. You don&#x2019;t need to pass it manually if you use the
pipeline interactively but if you want to recreate history you need to set both <code>past_user_inputs</code> and
<code>generated_responses</code> with equal length lists of strings`,name:"generated_responses"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/conversational.py#L18"}}),Hn=new I({props:{anchor:"transformers.Conversation.example",$$slots:{default:[wS]},$$scope:{ctx:j}}}),wr=new $({props:{name:"add_user_input",anchor:"transformers.Conversation.add_user_input",parameters:[{name:"text",val:": str"},{name:"overwrite",val:": bool = False"}],parametersDescription:[{anchor:"transformers.Conversation.add_user_input.text",description:"<strong>text</strong> (<code>str</code>) &#x2014; The user input for the next conversation round.",name:"text"},{anchor:"transformers.Conversation.add_user_input.overwrite",description:`<strong>overwrite</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not existing and unprocessed user input should be overwritten when this function is called.`,name:"overwrite"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/conversational.py#L82"}}),xr=new $({props:{name:"append_response",anchor:"transformers.Conversation.append_response",parameters:[{name:"response",val:": str"}],parametersDescription:[{anchor:"transformers.Conversation.append_response.response",description:"<strong>response</strong> (<code>str</code>) &#x2014; The model generated response.",name:"response"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/conversational.py#L115"}}),kr=new $({props:{name:"iter_texts",anchor:"transformers.Conversation.iter_texts",parameters:[],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/conversational.py#L124"}}),Pr=new $({props:{name:"mark_processed",anchor:"transformers.Conversation.mark_processed",parameters:[],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/conversational.py#L106"}}),Tr=new $({props:{name:"class transformers.ConversationalPipeline",anchor:"transformers.ConversationalPipeline",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ConversationalPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.ConversationalPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.ConversationalPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.ConversationalPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.ConversationalPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.ConversationalPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.ConversationalPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.ConversationalPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/main/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.ConversationalPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.ConversationalPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"},{anchor:"transformers.ConversationalPipeline.min_length_for_response",description:`<strong>min_length_for_response</strong> (<code>int</code>, <em>optional</em>, defaults to 32) &#x2014;
The minimum length (in number of tokens) for a response.`,name:"min_length_for_response"},{anchor:"transformers.ConversationalPipeline.minimum_tokens",description:`<strong>minimum_tokens</strong> (<code>int</code>, <em>optional</em>, defaults to 10) &#x2014;
The minimum length of tokens to leave for a response.`,name:"minimum_tokens"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/conversational.py#L163"}}),Yn=new I({props:{anchor:"transformers.ConversationalPipeline.example",$$slots:{default:[vS]},$$scope:{ctx:j}}}),$r=new $({props:{name:"__call__",anchor:"transformers.ConversationalPipeline.__call__",parameters:[{name:"conversations",val:": typing.Union[transformers.pipelines.conversational.Conversation, typing.List[transformers.pipelines.conversational.Conversation]]"},{name:"num_workers",val:" = 0"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ConversationalPipeline.__call__.conversations",description:`<strong>conversations</strong> (a <a href="/docs/transformers/main/en/main_classes/pipelines#transformers.Conversation">Conversation</a> or a list of <a href="/docs/transformers/main/en/main_classes/pipelines#transformers.Conversation">Conversation</a>) &#x2014;
Conversations to generate responses for.`,name:"conversations"},{anchor:"transformers.ConversationalPipeline.__call__.clean_up_tokenization_spaces",description:`<strong>clean_up_tokenization_spaces</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to clean up the potential extra spaces in the text output.
generate_kwargs &#x2014;
Additional keyword arguments to pass along to the generate method of the model (see the generate method
corresponding to your framework <a href="./model#generative-models">here</a>).`,name:"clean_up_tokenization_spaces"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/conversational.py#L222",returnDescription:`
<p>Conversation(s) with updated generated responses for those
containing a new user input.</p>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/pipelines#transformers.Conversation"
>Conversation</a> or a list of <a
  href="/docs/transformers/main/en/main_classes/pipelines#transformers.Conversation"
>Conversation</a></p>
`}}),jr=new C({}),Er=new $({props:{name:"class transformers.DepthEstimationPipeline",anchor:"transformers.DepthEstimationPipeline",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.DepthEstimationPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.DepthEstimationPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.DepthEstimationPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.DepthEstimationPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.DepthEstimationPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.DepthEstimationPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.DepthEstimationPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.DepthEstimationPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/main/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.DepthEstimationPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.DepthEstimationPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/depth_estimation.py#L23"}}),Jn=new I({props:{anchor:"transformers.DepthEstimationPipeline.example",$$slots:{default:[xS]},$$scope:{ctx:j}}}),Cr=new $({props:{name:"__call__",anchor:"transformers.DepthEstimationPipeline.__call__",parameters:[{name:"images",val:": typing.Union[str, typing.List[str], ForwardRef('Image.Image'), typing.List[ForwardRef('Image.Image')]]"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.DepthEstimationPipeline.__call__.images",description:`<strong>images</strong> (<code>str</code>, <code>List[str]</code>, <code>PIL.Image</code> or <code>List[PIL.Image]</code>) &#x2014;
The pipeline handles three types of images:</p>
<ul>
<li>A string containing a http link pointing to an image</li>
<li>A string containing a local path to an image</li>
<li>An image loaded in PIL directly</li>
</ul>
<p>The pipeline accepts either a single image or a batch of images, which must then be passed as a string.
Images in a batch must all be in the same format: all as http links, all as local paths, or all as PIL
images.`,name:"images"},{anchor:"transformers.DepthEstimationPipeline.__call__.top_k",description:`<strong>top_k</strong> (<code>int</code>, <em>optional</em>, defaults to 5) &#x2014;
The number of top labels that will be returned by the pipeline. If the provided number is higher than
the number of labels available in the model configuration, it will default to the number of labels.`,name:"top_k"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/depth_estimation.py#L53",returnDescription:`
<p>A dictionary or a list of dictionaries containing result. If the input is a single image, will return a
dictionary, if the input is a list of several images, will return a list of dictionaries corresponding to
the images.</p>
<p>The dictionaries contain the following keys:</p>
<ul>
<li><strong>label</strong> (<code>str</code>) \u2014 The label identified by the model.</li>
<li><strong>score</strong> (<code>int</code>) \u2014 The score attributed by the model for that label.</li>
</ul>
`}}),Ir=new C({}),zr=new $({props:{name:"class transformers.DocumentQuestionAnsweringPipeline",anchor:"transformers.DocumentQuestionAnsweringPipeline",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.DocumentQuestionAnsweringPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/main/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/document_question_answering.py#L102"}}),ns=new I({props:{anchor:"transformers.DocumentQuestionAnsweringPipeline.example",$$slots:{default:[kS]},$$scope:{ctx:j}}}),Lr=new $({props:{name:"__call__",anchor:"transformers.DocumentQuestionAnsweringPipeline.__call__",parameters:[{name:"image",val:": typing.Union[ForwardRef('Image.Image'), str]"},{name:"question",val:": typing.Optional[str] = None"},{name:"word_boxes",val:": typing.Tuple[str, typing.List[float]] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.DocumentQuestionAnsweringPipeline.__call__.image",description:`<strong>image</strong> (<code>str</code> or <code>PIL.Image</code>) &#x2014;
The pipeline handles three types of images:</p>
<ul>
<li>A string containing a http link pointing to an image</li>
<li>A string containing a local path to an image</li>
<li>An image loaded in PIL directly</li>
</ul>
<p>The pipeline accepts either a single image or a batch of images. If given a single image, it can be
broadcasted to multiple questions.`,name:"image"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.__call__.question",description:`<strong>question</strong> (<code>str</code>) &#x2014;
A question to ask of the document.`,name:"question"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.__call__.word_boxes",description:`<strong>word_boxes</strong> (<code>List[str, Tuple[float, float, float, float]]</code>, <em>optional</em>) &#x2014;
A list of words and bounding boxes (normalized 0-&gt;1000). If you provide this optional input, then the
pipeline will use these words and boxes instead of running OCR on the image to derive them for models
that need them (e.g. LayoutLM). This allows you to reuse OCR&#x2019;d results across many invocations of the
pipeline without having to re-run it each time.`,name:"word_boxes"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.__call__.top_k",description:`<strong>top_k</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
The number of answers to return (will be chosen by order of likelihood). Note that we return less than
top_k answers if there are not enough options available within the context.`,name:"top_k"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.__call__.doc_stride",description:`<strong>doc_stride</strong> (<code>int</code>, <em>optional</em>, defaults to 128) &#x2014;
If the words in the document are too long to fit with the question for the model, it will be split in
several chunks with some overlap. This argument controls the size of that overlap.`,name:"doc_stride"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.__call__.max_answer_len",description:`<strong>max_answer_len</strong> (<code>int</code>, <em>optional</em>, defaults to 15) &#x2014;
The maximum length of predicted answers (e.g., only answers with a shorter length are considered).`,name:"max_answer_len"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.__call__.max_seq_len",description:`<strong>max_seq_len</strong> (<code>int</code>, <em>optional</em>, defaults to 384) &#x2014;
The maximum length of the total sentence (context + question) in tokens of each chunk passed to the
model. The context will be split in several chunks (using <code>doc_stride</code> as overlap) if needed.`,name:"max_seq_len"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.__call__.max_question_len",description:`<strong>max_question_len</strong> (<code>int</code>, <em>optional</em>, defaults to 64) &#x2014;
The maximum length of the question after tokenization. It will be truncated if needed.`,name:"max_question_len"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.__call__.handle_impossible_answer",description:`<strong>handle_impossible_answer</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not we accept impossible as an answer.`,name:"handle_impossible_answer"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.__call__.lang",description:`<strong>lang</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Language to use while running OCR. Defaults to english.`,name:"lang"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.__call__.tesseract_config",description:`<strong>tesseract_config</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Additional flags to pass to tesseract while running OCR.`,name:"tesseract_config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/document_question_answering.py#L187",returnDescription:`
<p>Each result comes as a dictionary with the following keys:</p>
<ul>
<li><strong>score</strong> (<code>float</code>) \u2014 The probability associated to the answer.</li>
<li><strong>start</strong> (<code>int</code>) \u2014 The start word index of the answer (in the OCR\u2019d version of the input or provided
<code>word_boxes</code>).</li>
<li><strong>end</strong> (<code>int</code>) \u2014 The end word index of the answer (in the OCR\u2019d version of the input or provided
<code>word_boxes</code>).</li>
<li><strong>answer</strong> (<code>str</code>) \u2014 The answer to the question.</li>
<li><strong>words</strong> (<code>list[int]</code>) \u2014 The index of each word/box pair that is in the answer</li>
</ul>
`,returnType:`
<p>A <code>dict</code> or a list of <code>dict</code></p>
`}}),Nr=new C({}),Ur=new $({props:{name:"class transformers.FeatureExtractionPipeline",anchor:"transformers.FeatureExtractionPipeline",parameters:[{name:"model",val:": typing.Union[ForwardRef('PreTrainedModel'), ForwardRef('TFPreTrainedModel')]"},{name:"tokenizer",val:": typing.Optional[transformers.tokenization_utils.PreTrainedTokenizer] = None"},{name:"feature_extractor",val:": typing.Optional[ForwardRef('SequenceFeatureExtractor')] = None"},{name:"modelcard",val:": typing.Optional[transformers.modelcard.ModelCard] = None"},{name:"framework",val:": typing.Optional[str] = None"},{name:"task",val:": str = ''"},{name:"args_parser",val:": ArgumentHandler = None"},{name:"device",val:": typing.Union[int, str, ForwardRef('torch.device')] = -1"},{name:"binary_output",val:": bool = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FeatureExtractionPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.FeatureExtractionPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.FeatureExtractionPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.FeatureExtractionPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.FeatureExtractionPipeline.return_tensor",description:`<strong>return_tensor</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If <code>True</code>, returns a tensor according to the specified framework, otherwise returns a list.`,name:"return_tensor"},{anchor:"transformers.FeatureExtractionPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.FeatureExtractionPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/main/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.FeatureExtractionPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id.`,name:"device"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/feature_extraction.py#L7"}}),as=new I({props:{anchor:"transformers.FeatureExtractionPipeline.example",$$slots:{default:[PS]},$$scope:{ctx:j}}}),Qr=new $({props:{name:"__call__",anchor:"transformers.FeatureExtractionPipeline.__call__",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FeatureExtractionPipeline.__call__.args",description:"<strong>args</strong> (<code>str</code> or <code>List[str]</code>) &#x2014; One or several texts (or one list of texts) to get the features of.",name:"args"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/feature_extraction.py#L95",returnDescription:`
<p>The features computed by the model.</p>
`,returnType:`
<p>A nested list of <code>float</code></p>
`}}),Vr=new C({}),Hr=new $({props:{name:"class transformers.FillMaskPipeline",anchor:"transformers.FillMaskPipeline",parameters:[{name:"model",val:": typing.Union[ForwardRef('PreTrainedModel'), ForwardRef('TFPreTrainedModel')]"},{name:"tokenizer",val:": typing.Optional[transformers.tokenization_utils.PreTrainedTokenizer] = None"},{name:"feature_extractor",val:": typing.Optional[ForwardRef('SequenceFeatureExtractor')] = None"},{name:"modelcard",val:": typing.Optional[transformers.modelcard.ModelCard] = None"},{name:"framework",val:": typing.Optional[str] = None"},{name:"task",val:": str = ''"},{name:"args_parser",val:": ArgumentHandler = None"},{name:"device",val:": typing.Union[int, str, ForwardRef('torch.device')] = -1"},{name:"binary_output",val:": bool = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FillMaskPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.FillMaskPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.FillMaskPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.FillMaskPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.FillMaskPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.FillMaskPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.FillMaskPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.FillMaskPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/main/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.FillMaskPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.FillMaskPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"},{anchor:"transformers.FillMaskPipeline.top_k",description:`<strong>top_k</strong> (<code>int</code>, defaults to 5) &#x2014;
The number of predictions to return.`,name:"top_k"},{anchor:"transformers.FillMaskPipeline.targets",description:`<strong>targets</strong> (<code>str</code> or <code>List[str]</code>, <em>optional</em>) &#x2014;
When passed, the model will limit the scores to the passed targets instead of looking up in the whole
vocab. If the provided targets are not in the model vocab, they will be tokenized and the first resulting
token will be used (with a warning, and that might be slower).`,name:"targets"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/fill_mask.py#L34"}}),is=new I({props:{anchor:"transformers.FillMaskPipeline.example",$$slots:{default:[TS]},$$scope:{ctx:j}}}),ls=new pS({props:{$$slots:{default:[yS]},$$scope:{ctx:j}}}),Br=new $({props:{name:"__call__",anchor:"transformers.FillMaskPipeline.__call__",parameters:[{name:"inputs",val:""},{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FillMaskPipeline.__call__.args",description:`<strong>args</strong> (<code>str</code> or <code>List[str]</code>) &#x2014;
One or several texts (or one list of prompts) with masked tokens.`,name:"args"},{anchor:"transformers.FillMaskPipeline.__call__.targets",description:`<strong>targets</strong> (<code>str</code> or <code>List[str]</code>, <em>optional</em>) &#x2014;
When passed, the model will limit the scores to the passed targets instead of looking up in the whole
vocab. If the provided targets are not in the model vocab, they will be tokenized and the first
resulting token will be used (with a warning, and that might be slower).`,name:"targets"},{anchor:"transformers.FillMaskPipeline.__call__.top_k",description:`<strong>top_k</strong> (<code>int</code>, <em>optional</em>) &#x2014;
When passed, overrides the number of predictions to return.`,name:"top_k"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/fill_mask.py#L217",returnDescription:`
<p>Each result comes as list of dictionaries with the following keys:</p>
<ul>
<li><strong>sequence</strong> (<code>str</code>) \u2014 The corresponding input with the mask token prediction.</li>
<li><strong>score</strong> (<code>float</code>) \u2014 The corresponding probability.</li>
<li><strong>token</strong> (<code>int</code>) \u2014 The predicted token id (to replace the masked one).</li>
<li><strong>token</strong> (<code>str</code>) \u2014 The predicted token (to replace the masked one).</li>
</ul>
`,returnType:`
<p>A list or a list of list of <code>dict</code></p>
`}}),Yr=new C({}),Kr=new $({props:{name:"class transformers.ImageClassificationPipeline",anchor:"transformers.ImageClassificationPipeline",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ImageClassificationPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.ImageClassificationPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.ImageClassificationPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.ImageClassificationPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.ImageClassificationPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.ImageClassificationPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.ImageClassificationPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.ImageClassificationPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/main/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.ImageClassificationPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.ImageClassificationPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/image_classification.py#L32"}}),ds=new I({props:{anchor:"transformers.ImageClassificationPipeline.example",$$slots:{default:[$S]},$$scope:{ctx:j}}}),to=new $({props:{name:"__call__",anchor:"transformers.ImageClassificationPipeline.__call__",parameters:[{name:"images",val:": typing.Union[str, typing.List[str], ForwardRef('Image.Image'), typing.List[ForwardRef('Image.Image')]]"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ImageClassificationPipeline.__call__.images",description:`<strong>images</strong> (<code>str</code>, <code>List[str]</code>, <code>PIL.Image</code> or <code>List[PIL.Image]</code>) &#x2014;
The pipeline handles three types of images:</p>
<ul>
<li>A string containing a http link pointing to an image</li>
<li>A string containing a local path to an image</li>
<li>An image loaded in PIL directly</li>
</ul>
<p>The pipeline accepts either a single image or a batch of images, which must then be passed as a string.
Images in a batch must all be in the same format: all as http links, all as local paths, or all as PIL
images.`,name:"images"},{anchor:"transformers.ImageClassificationPipeline.__call__.top_k",description:`<strong>top_k</strong> (<code>int</code>, <em>optional</em>, defaults to 5) &#x2014;
The number of top labels that will be returned by the pipeline. If the provided number is higher than
the number of labels available in the model configuration, it will default to the number of labels.`,name:"top_k"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/image_classification.py#L71",returnDescription:`
<p>A dictionary or a list of dictionaries containing result. If the input is a single image, will return a
dictionary, if the input is a list of several images, will return a list of dictionaries corresponding to
the images.</p>
<p>The dictionaries contain the following keys:</p>
<ul>
<li><strong>label</strong> (<code>str</code>) \u2014 The label identified by the model.</li>
<li><strong>score</strong> (<code>int</code>) \u2014 The score attributed by the model for that label.</li>
</ul>
`}}),no=new C({}),so=new $({props:{name:"class transformers.ImageSegmentationPipeline",anchor:"transformers.ImageSegmentationPipeline",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ImageSegmentationPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.ImageSegmentationPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.ImageSegmentationPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.ImageSegmentationPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.ImageSegmentationPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.ImageSegmentationPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.ImageSegmentationPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.ImageSegmentationPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/main/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.ImageSegmentationPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.ImageSegmentationPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/image_segmentation.py#L30"}}),fs=new I({props:{anchor:"transformers.ImageSegmentationPipeline.example",$$slots:{default:[jS]},$$scope:{ctx:j}}}),io=new $({props:{name:"__call__",anchor:"transformers.ImageSegmentationPipeline.__call__",parameters:[{name:"images",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ImageSegmentationPipeline.__call__.images",description:`<strong>images</strong> (<code>str</code>, <code>List[str]</code>, <code>PIL.Image</code> or <code>List[PIL.Image]</code>) &#x2014;
The pipeline handles three types of images:</p>
<ul>
<li>A string containing an HTTP(S) link pointing to an image</li>
<li>A string containing a local path to an image</li>
<li>An image loaded in PIL directly</li>
</ul>
<p>The pipeline accepts either a single image or a batch of images. Images in a batch must all be in the
same format: all as HTTP(S) links, all as local paths, or all as PIL images.`,name:"images"},{anchor:"transformers.ImageSegmentationPipeline.__call__.subtask",description:`<strong>subtask</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Segmentation task to be performed, choose [<code>semantic</code>, <code>instance</code> and <code>panoptic</code>] depending on model
capabilities. If not set, the pipeline will attempt tp resolve in the following order:
<code>panoptic</code>, <code>instance</code>, <code>semantic</code>.`,name:"subtask"},{anchor:"transformers.ImageSegmentationPipeline.__call__.threshold",description:`<strong>threshold</strong> (<code>float</code>, <em>optional</em>, defaults to 0.9) &#x2014;
Probability threshold to filter out predicted masks.`,name:"threshold"},{anchor:"transformers.ImageSegmentationPipeline.__call__.mask_threshold",description:`<strong>mask_threshold</strong> (<code>float</code>, <em>optional</em>, defaults to 0.5) &#x2014;
Threshold to use when turning the predicted masks into binary values.`,name:"mask_threshold"},{anchor:"transformers.ImageSegmentationPipeline.__call__.overlap_mask_area_threshold",description:`<strong>overlap_mask_area_threshold</strong> (<code>float</code>, <em>optional</em>, defaults to 0.5) &#x2014;
Mask overlap threshold to eliminate small, disconnected segments.`,name:"overlap_mask_area_threshold"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/image_segmentation.py#L94",returnDescription:`
<p>A dictionary or a list of dictionaries containing the result. If the input is a single image, will return a
list of dictionaries, if the input is a list of several images, will return a list of list of dictionaries
corresponding to each image.</p>
<p>The dictionaries contain the mask, label and score (where applicable) of each detected object and contains
the following keys:</p>
<ul>
<li><strong>label</strong> (<code>str</code>) \u2014 The class label identified by the model.</li>
<li><strong>mask</strong> (<code>PIL.Image</code>) \u2014 A binary mask of the detected object as a Pil Image of shape (width, height) of
the original image. Returns a mask filled with zeros if no object is found.</li>
<li><strong>score</strong> (<em>optional</em> <code>float</code>) \u2014 Optionally, when the model is capable of estimating a confidence of the
\u201Cobject\u201D described by the label and the mask.</li>
</ul>
`}}),lo=new C({}),po=new $({props:{name:"class transformers.ImageToTextPipeline",anchor:"transformers.ImageToTextPipeline",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ImageToTextPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.ImageToTextPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.ImageToTextPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.ImageToTextPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.ImageToTextPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.ImageToTextPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.ImageToTextPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.ImageToTextPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/main/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.ImageToTextPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.ImageToTextPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/image_to_text.py#L29"}}),_s=new I({props:{anchor:"transformers.ImageToTextPipeline.example",$$slots:{default:[ES]},$$scope:{ctx:j}}}),fo=new $({props:{name:"__call__",anchor:"transformers.ImageToTextPipeline.__call__",parameters:[{name:"images",val:": typing.Union[str, typing.List[str], ForwardRef('Image.Image'), typing.List[ForwardRef('Image.Image')]]"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ImageToTextPipeline.__call__.images",description:`<strong>images</strong> (<code>str</code>, <code>List[str]</code>, <code>PIL.Image</code> or <code>List[PIL.Image]</code>) &#x2014;
The pipeline handles three types of images:</p>
<ul>
<li>A string containing a HTTP(s) link pointing to an image</li>
<li>A string containing a local path to an image</li>
<li>An image loaded in PIL directly</li>
</ul>
<p>The pipeline accepts either a single image or a batch of images.`,name:"images"},{anchor:"transformers.ImageToTextPipeline.__call__.max_new_tokens",description:`<strong>max_new_tokens</strong> (<code>int</code>, <em>optional</em>) &#x2014;
The amount of maximum tokens to generate. By default it will use <code>generate</code> default.`,name:"max_new_tokens"},{anchor:"transformers.ImageToTextPipeline.__call__.generate_kwargs",description:`<strong>generate_kwargs</strong> (<code>Dict</code>, <em>optional</em>) &#x2014;
Pass it to send all of these arguments directly to <code>generate</code> allowing full control of this function.`,name:"generate_kwargs"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/image_to_text.py#L74",returnDescription:`
<p>Each result comes as a dictionary with the following key:</p>
<ul>
<li><strong>generated_text</strong> (<code>str</code>) \u2014 The generated text.</li>
</ul>
`,returnType:`
<p>A list or a list of list of <code>dict</code></p>
`}}),uo=new C({}),go=new $({props:{name:"class transformers.TokenClassificationPipeline",anchor:"transformers.TokenClassificationPipeline",parameters:[{name:"args_parser",val:" = <transformers.pipelines.token_classification.TokenClassificationArgumentHandler object at 0x7fc476cea2b0>"},{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TokenClassificationPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.TokenClassificationPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.TokenClassificationPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.TokenClassificationPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.TokenClassificationPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.TokenClassificationPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.TokenClassificationPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.TokenClassificationPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/main/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.TokenClassificationPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.TokenClassificationPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"},{anchor:"transformers.TokenClassificationPipeline.ignore_labels",description:`<strong>ignore_labels</strong> (<code>List[str]</code>, defaults to <code>[&quot;O&quot;]</code>) &#x2014;
A list of labels to ignore.`,name:"ignore_labels"},{anchor:"transformers.TokenClassificationPipeline.grouped_entities",description:`<strong>grouped_entities</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
DEPRECATED, use <code>aggregation_strategy</code> instead. Whether or not to group the tokens corresponding to the
same entity together in the predictions or not.`,name:"grouped_entities"},{anchor:"transformers.TokenClassificationPipeline.aggregation_strategy",description:`<strong>aggregation_strategy</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;none&quot;</code>) &#x2014;
The strategy to fuse (or not) tokens based on the model prediction.</p>
<ul>
<li>&#x201C;none&#x201D; : Will simply not do any aggregation and simply return raw results from the model</li>
<li>&#x201C;simple&#x201D; : Will attempt to group entities following the default schema. (A, B-TAG), (B, I-TAG), (C,
I-TAG), (D, B-TAG2) (E, B-TAG2) will end up being [{&#x201C;word&#x201D;: ABC, &#x201C;entity&#x201D;: &#x201C;TAG&#x201D;}, {&#x201C;word&#x201D;: &#x201C;D&#x201D;,
&#x201C;entity&#x201D;: &#x201C;TAG2&#x201D;}, {&#x201C;word&#x201D;: &#x201C;E&#x201D;, &#x201C;entity&#x201D;: &#x201C;TAG2&#x201D;}] Notice that two consecutive B tags will end up as
different entities. On word based languages, we might end up splitting words undesirably : Imagine
Microsoft being tagged as [{&#x201C;word&#x201D;: &#x201C;Micro&#x201D;, &#x201C;entity&#x201D;: &#x201C;ENTERPRISE&#x201D;}, {&#x201C;word&#x201D;: &#x201C;soft&#x201D;, &#x201C;entity&#x201D;:
&#x201C;NAME&#x201D;}]. Look for FIRST, MAX, AVERAGE for ways to mitigate that and disambiguate words (on languages
that support that meaning, which is basically tokens separated by a space). These mitigations will
only work on real words, &#x201C;New york&#x201D; might still be tagged with two different entities.</li>
<li>&#x201C;first&#x201D; : (works only on word based models) Will use the <code>SIMPLE</code> strategy except that words, cannot
end up with different tags. Words will simply use the tag of the first token of the word when there
is ambiguity.</li>
<li>&#x201C;average&#x201D; : (works only on word based models) Will use the <code>SIMPLE</code> strategy except that words,
cannot end up with different tags. scores will be averaged first across tokens, and then the maximum
label is applied.</li>
<li>&#x201C;max&#x201D; : (works only on word based models) Will use the <code>SIMPLE</code> strategy except that words, cannot
end up with different tags. Word entity will simply be the token with the maximum score.</li>
</ul>`,name:"aggregation_strategy"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/token_classification.py#L86"}}),vs=new I({props:{anchor:"transformers.TokenClassificationPipeline.example",$$slots:{default:[qS]},$$scope:{ctx:j}}}),wo=new $({props:{name:"aggregate_words",anchor:"transformers.TokenClassificationPipeline.aggregate_words",parameters:[{name:"entities",val:": typing.List[dict]"},{name:"aggregation_strategy",val:": AggregationStrategy"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/token_classification.py#L392"}}),vo=new $({props:{name:"gather_pre_entities",anchor:"transformers.TokenClassificationPipeline.gather_pre_entities",parameters:[{name:"sentence",val:": str"},{name:"input_ids",val:": ndarray"},{name:"scores",val:": ndarray"},{name:"offset_mapping",val:": typing.Union[typing.List[typing.Tuple[int, int]], NoneType]"},{name:"special_tokens_mask",val:": ndarray"},{name:"aggregation_strategy",val:": AggregationStrategy"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/token_classification.py#L281"}}),xo=new $({props:{name:"group_entities",anchor:"transformers.TokenClassificationPipeline.group_entities",parameters:[{name:"entities",val:": typing.List[dict]"}],parametersDescription:[{anchor:"transformers.TokenClassificationPipeline.group_entities.entities",description:"<strong>entities</strong> (<code>dict</code>) &#x2014; The entities predicted by the pipeline.",name:"entities"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/token_classification.py#L454"}}),ko=new $({props:{name:"group_sub_entities",anchor:"transformers.TokenClassificationPipeline.group_sub_entities",parameters:[{name:"entities",val:": typing.List[dict]"}],parametersDescription:[{anchor:"transformers.TokenClassificationPipeline.group_sub_entities.entities",description:"<strong>entities</strong> (<code>dict</code>) &#x2014; The entities predicted by the pipeline.",name:"entities"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/token_classification.py#L419"}}),Po=new C({}),To=new $({props:{name:"class transformers.ObjectDetectionPipeline",anchor:"transformers.ObjectDetectionPipeline",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ObjectDetectionPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.ObjectDetectionPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.ObjectDetectionPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.ObjectDetectionPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.ObjectDetectionPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.ObjectDetectionPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.ObjectDetectionPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.ObjectDetectionPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/main/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.ObjectDetectionPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.ObjectDetectionPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/object_detection.py#L24"}}),Eo=new $({props:{name:"__call__",anchor:"transformers.ObjectDetectionPipeline.__call__",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ObjectDetectionPipeline.__call__.images",description:`<strong>images</strong> (<code>str</code>, <code>List[str]</code>, <code>PIL.Image</code> or <code>List[PIL.Image]</code>) &#x2014;
The pipeline handles three types of images:</p>
<ul>
<li>A string containing an HTTP(S) link pointing to an image</li>
<li>A string containing a local path to an image</li>
<li>An image loaded in PIL directly</li>
</ul>
<p>The pipeline accepts either a single image or a batch of images. Images in a batch must all be in the
same format: all as HTTP(S) links, all as local paths, or all as PIL images.`,name:"images"},{anchor:"transformers.ObjectDetectionPipeline.__call__.threshold",description:`<strong>threshold</strong> (<code>float</code>, <em>optional</em>, defaults to 0.9) &#x2014;
The probability necessary to make a prediction.`,name:"threshold"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/object_detection.py#L52",returnDescription:`
<p>A list of dictionaries or a list of list of dictionaries containing the result. If the input is a single
image, will return a list of dictionaries, if the input is a list of several images, will return a list of
list of dictionaries corresponding to each image.</p>
<p>The dictionaries contain the following keys:</p>
<ul>
<li><strong>label</strong> (<code>str</code>) \u2014 The class label identified by the model.</li>
<li><strong>score</strong> (<code>float</code>) \u2014 The score attributed by the model for that label.</li>
<li><strong>box</strong> (<code>List[Dict[str, int]]</code>) \u2014 The bounding box of detected object in image\u2019s original size.</li>
</ul>
`}}),qo=new C({}),Ao=new $({props:{name:"class transformers.QuestionAnsweringPipeline",anchor:"transformers.QuestionAnsweringPipeline",parameters:[{name:"model",val:": typing.Union[ForwardRef('PreTrainedModel'), ForwardRef('TFPreTrainedModel')]"},{name:"tokenizer",val:": PreTrainedTokenizer"},{name:"modelcard",val:": typing.Optional[transformers.modelcard.ModelCard] = None"},{name:"framework",val:": typing.Optional[str] = None"},{name:"device",val:": int = -1"},{name:"task",val:": str = ''"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.QuestionAnsweringPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.QuestionAnsweringPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.QuestionAnsweringPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.QuestionAnsweringPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.QuestionAnsweringPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.QuestionAnsweringPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.QuestionAnsweringPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.QuestionAnsweringPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/main/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.QuestionAnsweringPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.QuestionAnsweringPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/question_answering.py#L224"}}),Es=new I({props:{anchor:"transformers.QuestionAnsweringPipeline.example",$$slots:{default:[AS]},$$scope:{ctx:j}}}),Io=new $({props:{name:"__call__",anchor:"transformers.QuestionAnsweringPipeline.__call__",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.QuestionAnsweringPipeline.__call__.args",description:`<strong>args</strong> (<code>SquadExample</code> or a list of <code>SquadExample</code>) &#x2014;
One or several <code>SquadExample</code> containing the question and context.`,name:"args"},{anchor:"transformers.QuestionAnsweringPipeline.__call__.X",description:`<strong>X</strong> (<code>SquadExample</code> or a list of <code>SquadExample</code>, <em>optional</em>) &#x2014;
One or several <code>SquadExample</code> containing the question and context (will be treated the same way as if
passed as the first positional argument).`,name:"X"},{anchor:"transformers.QuestionAnsweringPipeline.__call__.data",description:`<strong>data</strong> (<code>SquadExample</code> or a list of <code>SquadExample</code>, <em>optional</em>) &#x2014;
One or several <code>SquadExample</code> containing the question and context (will be treated the same way as if
passed as the first positional argument).`,name:"data"},{anchor:"transformers.QuestionAnsweringPipeline.__call__.question",description:`<strong>question</strong> (<code>str</code> or <code>List[str]</code>) &#x2014;
One or several question(s) (must be used in conjunction with the <code>context</code> argument).`,name:"question"},{anchor:"transformers.QuestionAnsweringPipeline.__call__.context",description:`<strong>context</strong> (<code>str</code> or <code>List[str]</code>) &#x2014;
One or several context(s) associated with the question(s) (must be used in conjunction with the
<code>question</code> argument).`,name:"context"},{anchor:"transformers.QuestionAnsweringPipeline.__call__.topk",description:`<strong>topk</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
The number of answers to return (will be chosen by order of likelihood). Note that we return less than
topk answers if there are not enough options available within the context.`,name:"topk"},{anchor:"transformers.QuestionAnsweringPipeline.__call__.doc_stride",description:`<strong>doc_stride</strong> (<code>int</code>, <em>optional</em>, defaults to 128) &#x2014;
If the context is too long to fit with the question for the model, it will be split in several chunks
with some overlap. This argument controls the size of that overlap.`,name:"doc_stride"},{anchor:"transformers.QuestionAnsweringPipeline.__call__.max_answer_len",description:`<strong>max_answer_len</strong> (<code>int</code>, <em>optional</em>, defaults to 15) &#x2014;
The maximum length of predicted answers (e.g., only answers with a shorter length are considered).`,name:"max_answer_len"},{anchor:"transformers.QuestionAnsweringPipeline.__call__.max_seq_len",description:`<strong>max_seq_len</strong> (<code>int</code>, <em>optional</em>, defaults to 384) &#x2014;
The maximum length of the total sentence (context + question) in tokens of each chunk passed to the
model. The context will be split in several chunks (using <code>doc_stride</code> as overlap) if needed.`,name:"max_seq_len"},{anchor:"transformers.QuestionAnsweringPipeline.__call__.max_question_len",description:`<strong>max_question_len</strong> (<code>int</code>, <em>optional</em>, defaults to 64) &#x2014;
The maximum length of the question after tokenization. It will be truncated if needed.`,name:"max_question_len"},{anchor:"transformers.QuestionAnsweringPipeline.__call__.handle_impossible_answer",description:`<strong>handle_impossible_answer</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not we accept impossible as an answer.`,name:"handle_impossible_answer"},{anchor:"transformers.QuestionAnsweringPipeline.__call__.align_to_words",description:`<strong>align_to_words</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Attempts to align the answer to real words. Improves quality on space separated langages. Might hurt on
non-space-separated languages (like Japanese or Chinese)`,name:"align_to_words"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/question_answering.py#L342",returnDescription:`
<p>Each result comes as a dictionary with the following keys:</p>
<ul>
<li><strong>score</strong> (<code>float</code>) \u2014 The probability associated to the answer.</li>
<li><strong>start</strong> (<code>int</code>) \u2014 The character start index of the answer (in the tokenized version of the input).</li>
<li><strong>end</strong> (<code>int</code>) \u2014 The character end index of the answer (in the tokenized version of the input).</li>
<li><strong>answer</strong> (<code>str</code>) \u2014 The answer to the question.</li>
</ul>
`,returnType:`
<p>A <code>dict</code> or a list of <code>dict</code></p>
`}}),zo=new $({props:{name:"create_sample",anchor:"transformers.QuestionAnsweringPipeline.create_sample",parameters:[{name:"question",val:": typing.Union[str, typing.List[str]]"},{name:"context",val:": typing.Union[str, typing.List[str]]"}],parametersDescription:[{anchor:"transformers.QuestionAnsweringPipeline.create_sample.question",description:"<strong>question</strong> (<code>str</code> or <code>List[str]</code>) &#x2014; The question(s) asked.",name:"question"},{anchor:"transformers.QuestionAnsweringPipeline.create_sample.context",description:"<strong>context</strong> (<code>str</code> or <code>List[str]</code>) &#x2014; The context(s) in which we will look for the answer.",name:"context"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/question_answering.py#L277",returnDescription:`
<p>The corresponding <code>SquadExample</code> grouping question and context.</p>
`,returnType:`
<p>One or a list of <code>SquadExample</code></p>
`}}),So=new $({props:{name:"span_to_answer",anchor:"transformers.QuestionAnsweringPipeline.span_to_answer",parameters:[{name:"text",val:": str"},{name:"start",val:": int"},{name:"end",val:": int"}],parametersDescription:[{anchor:"transformers.QuestionAnsweringPipeline.span_to_answer.text",description:"<strong>text</strong> (<code>str</code>) &#x2014; The actual context to extract the answer from.",name:"text"},{anchor:"transformers.QuestionAnsweringPipeline.span_to_answer.start",description:"<strong>start</strong> (<code>int</code>) &#x2014; The answer starting token index.",name:"start"},{anchor:"transformers.QuestionAnsweringPipeline.span_to_answer.end",description:"<strong>end</strong> (<code>int</code>) &#x2014; The answer end token index.",name:"end"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/question_answering.py#L618",returnDescription:`
<p>str, \u2018start\u2019: int, \u2018end\u2019: int}\`</p>
`,returnType:`
<p>Dictionary like \`{\u2018answer\u2019</p>
`}}),Mo=new C({}),Fo=new $({props:{name:"class transformers.SummarizationPipeline",anchor:"transformers.SummarizationPipeline",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.SummarizationPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.SummarizationPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.SummarizationPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.SummarizationPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.SummarizationPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.SummarizationPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.SummarizationPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.SummarizationPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/main/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.SummarizationPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.SummarizationPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/text2text_generation.py#L213"}}),Cs=new I({props:{anchor:"transformers.SummarizationPipeline.example",$$slots:{default:[DS]},$$scope:{ctx:j}}}),No=new $({props:{name:"__call__",anchor:"transformers.SummarizationPipeline.__call__",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.SummarizationPipeline.__call__.documents",description:`<strong>documents</strong> (<em>str</em> or <code>List[str]</code>) &#x2014;
One or several articles (or one list of articles) to summarize.`,name:"documents"},{anchor:"transformers.SummarizationPipeline.__call__.return_text",description:`<strong>return_text</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to include the decoded texts in the outputs`,name:"return_text"},{anchor:"transformers.SummarizationPipeline.__call__.return_tensors",description:`<strong>return_tensors</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to include the tensors of predictions (as token indices) in the outputs.`,name:"return_tensors"},{anchor:"transformers.SummarizationPipeline.__call__.clean_up_tokenization_spaces",description:`<strong>clean_up_tokenization_spaces</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to clean up the potential extra spaces in the text output.
generate_kwargs &#x2014;
Additional keyword arguments to pass along to the generate method of the model (see the generate method
corresponding to your framework <a href="./model#generative-models">here</a>).`,name:"clean_up_tokenization_spaces"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/text2text_generation.py#L241",returnDescription:`
<p>Each result comes as a dictionary with the following keys:</p>
<ul>
<li><strong>summary_text</strong> (<code>str</code>, present when <code>return_text=True</code>) \u2014 The summary of the corresponding input.</li>
<li><strong>summary_token_ids</strong> (<code>torch.Tensor</code> or <code>tf.Tensor</code>, present when <code>return_tensors=True</code>) \u2014 The token
ids of the summary.</li>
</ul>
`,returnType:`
<p>A list or a list of list of <code>dict</code></p>
`}}),Uo=new C({}),Go=new $({props:{name:"class transformers.TableQuestionAnsweringPipeline",anchor:"transformers.TableQuestionAnsweringPipeline",parameters:[{name:"args_parser",val:" = <transformers.pipelines.table_question_answering.TableQuestionAnsweringArgumentHandler object at 0x7fc476cee9a0>"},{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TableQuestionAnsweringPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.TableQuestionAnsweringPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.TableQuestionAnsweringPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.TableQuestionAnsweringPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.TableQuestionAnsweringPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.TableQuestionAnsweringPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.TableQuestionAnsweringPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.TableQuestionAnsweringPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/main/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.TableQuestionAnsweringPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.TableQuestionAnsweringPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/table_question_answering.py#L89"}}),Ss=new I({props:{anchor:"transformers.TableQuestionAnsweringPipeline.example",$$slots:{default:[CS]},$$scope:{ctx:j}}}),Ho=new $({props:{name:"__call__",anchor:"transformers.TableQuestionAnsweringPipeline.__call__",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TableQuestionAnsweringPipeline.__call__.table",description:`<strong>table</strong> (<code>pd.DataFrame</code> or <code>Dict</code>) &#x2014;
Pandas DataFrame or dictionary that will be converted to a DataFrame containing all the table values.
See above for an example of dictionary.`,name:"table"},{anchor:"transformers.TableQuestionAnsweringPipeline.__call__.query",description:`<strong>query</strong> (<code>str</code> or <code>List[str]</code>) &#x2014;
Query or list of queries that will be sent to the model alongside the table.`,name:"query"},{anchor:"transformers.TableQuestionAnsweringPipeline.__call__.sequential",description:`<strong>sequential</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to do inference sequentially or as a batch. Batching is faster, but models like SQA require the
inference to be done sequentially to extract relations within sequences, given their conversational
nature.`,name:"sequential"},{anchor:"transformers.TableQuestionAnsweringPipeline.__call__.padding",description:`<strong>padding</strong> (<code>bool</code>, <code>str</code> or <a href="/docs/transformers/main/en/internal/file_utils#transformers.utils.PaddingStrategy">PaddingStrategy</a>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Activates and controls padding. Accepts the following values:</p>
<ul>
<li><code>True</code> or <code>&apos;longest&apos;</code>: Pad to the longest sequence in the batch (or no padding if only a single
sequence if provided).</li>
<li><code>&apos;max_length&apos;</code>: Pad to a maximum length specified with the argument <code>max_length</code> or to the maximum
acceptable input length for the model if that argument is not provided.</li>
<li><code>False</code> or <code>&apos;do_not_pad&apos;</code> (default): No padding (i.e., can output a batch with sequences of different
lengths).</li>
</ul>`,name:"padding"},{anchor:"transformers.TableQuestionAnsweringPipeline.__call__.truncation",description:`<strong>truncation</strong> (<code>bool</code>, <code>str</code> or <code>TapasTruncationStrategy</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Activates and controls truncation. Accepts the following values:</p>
<ul>
<li><code>True</code> or <code>&apos;drop_rows_to_fit&apos;</code>: Truncate to a maximum length specified with the argument <code>max_length</code>
or to the maximum acceptable input length for the model if that argument is not provided. This will
truncate row by row, removing rows from the table.</li>
<li><code>False</code> or <code>&apos;do_not_truncate&apos;</code> (default): No truncation (i.e., can output batch with sequence lengths
greater than the model maximum admissible input size).</li>
</ul>`,name:"truncation"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/table_question_answering.py#L274",returnDescription:`
<p>Each result is a dictionary with the following
keys:</p>
<ul>
<li><strong>answer</strong> (<code>str</code>) \u2014 The answer of the query given the table. If there is an aggregator, the answer will
be preceded by <code>AGGREGATOR &gt;</code>.</li>
<li><strong>coordinates</strong> (<code>List[Tuple[int, int]]</code>) \u2014 Coordinates of the cells of the answers.</li>
<li><strong>cells</strong> (<code>List[str]</code>) \u2014 List of strings made up of the answer cell values.</li>
<li><strong>aggregator</strong> (<code>str</code>) \u2014 If the model has an aggregator, this returns the aggregator.</li>
</ul>
`,returnType:`
<p>A dictionary or a list of dictionaries containing results</p>
`}}),Ms=new I({props:{anchor:"transformers.TableQuestionAnsweringPipeline.__call__.example",$$slots:{default:[IS]},$$scope:{ctx:j}}}),Fs=new I({props:{anchor:"transformers.TableQuestionAnsweringPipeline.__call__.example-2",$$slots:{default:[zS]},$$scope:{ctx:j}}}),Zo=new C({}),Bo=new $({props:{name:"class transformers.TextClassificationPipeline",anchor:"transformers.TextClassificationPipeline",parameters:[{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TextClassificationPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.TextClassificationPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.TextClassificationPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.TextClassificationPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.TextClassificationPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.TextClassificationPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.TextClassificationPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.TextClassificationPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/main/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.TextClassificationPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.TextClassificationPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"},{anchor:"transformers.TextClassificationPipeline.return_all_scores",description:`<strong>return_all_scores</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to return all prediction scores or just the one of the predicted class.`,name:"return_all_scores"},{anchor:"transformers.TextClassificationPipeline.function_to_apply",description:`<strong>function_to_apply</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;default&quot;</code>) &#x2014;
The function to apply to the model outputs in order to retrieve the scores. Accepts four different values:</p>
<ul>
<li><code>&quot;default&quot;</code>: if the model has a single label, will apply the sigmoid function on the output. If the model
has several labels, will apply the softmax function on the output.</li>
<li><code>&quot;sigmoid&quot;</code>: Applies the sigmoid function on the output.</li>
<li><code>&quot;softmax&quot;</code>: Applies the softmax function on the output.</li>
<li><code>&quot;none&quot;</code>: Does not apply any function on the output.</li>
</ul>`,name:"function_to_apply"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/text_classification.py#L48"}}),Os=new I({props:{anchor:"transformers.TextClassificationPipeline.example",$$slots:{default:[SS]},$$scope:{ctx:j}}}),Jo=new $({props:{name:"__call__",anchor:"transformers.TextClassificationPipeline.__call__",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TextClassificationPipeline.__call__.args",description:`<strong>args</strong> (<code>str</code> or <code>List[str]</code> or <code>Dict[str]</code>, or <code>List[Dict[str]]</code>) &#x2014;
One or several texts to classify. In order to use text pairs for your classification, you can send a
dictionnary containing <code>{&quot;text&quot;, &quot;text_pair&quot;}</code> keys, or a list of those.`,name:"args"},{anchor:"transformers.TextClassificationPipeline.__call__.top_k",description:`<strong>top_k</strong> (<code>int</code>, <em>optional</em>, defaults to <code>1</code>) &#x2014;
How many results to return.`,name:"top_k"},{anchor:"transformers.TextClassificationPipeline.__call__.function_to_apply",description:`<strong>function_to_apply</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;default&quot;</code>) &#x2014;
The function to apply to the model outputs in order to retrieve the scores. Accepts four different
values:</p>
<p>If this argument is not specified, then it will apply the following functions according to the number
of labels:</p>
<ul>
<li>If the model has a single label, will apply the sigmoid function on the output.</li>
<li>If the model has several labels, will apply the softmax function on the output.</li>
</ul>
<p>Possible values are:</p>
<ul>
<li><code>&quot;sigmoid&quot;</code>: Applies the sigmoid function on the output.</li>
<li><code>&quot;softmax&quot;</code>: Applies the softmax function on the output.</li>
<li><code>&quot;none&quot;</code>: Does not apply any function on the output.</li>
</ul>`,name:"function_to_apply"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/text_classification.py#L121",returnDescription:`
<p>Each result comes as list of dictionaries with the following keys:</p>
<ul>
<li><strong>label</strong> (<code>str</code>) \u2014 The label predicted.</li>
<li><strong>score</strong> (<code>float</code>) \u2014 The corresponding probability.</li>
</ul>
<p>If <code>top_k</code> is used, one such dictionary is returned per label.</p>
`,returnType:`
<p>A list or a list of list of <code>dict</code></p>
`}}),ei=new C({}),ti=new $({props:{name:"class transformers.TextGenerationPipeline",anchor:"transformers.TextGenerationPipeline",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TextGenerationPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.TextGenerationPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.TextGenerationPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.TextGenerationPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.TextGenerationPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.TextGenerationPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.TextGenerationPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.TextGenerationPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/main/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.TextGenerationPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.TextGenerationPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/text_generation.py#L21"}}),Gs=new I({props:{anchor:"transformers.TextGenerationPipeline.example",$$slots:{default:[MS]},$$scope:{ctx:j}}}),ri=new $({props:{name:"__call__",anchor:"transformers.TextGenerationPipeline.__call__",parameters:[{name:"text_inputs",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TextGenerationPipeline.__call__.args",description:`<strong>args</strong> (<code>str</code> or <code>List[str]</code>) &#x2014;
One or several prompts (or one list of prompts) to complete.`,name:"args"},{anchor:"transformers.TextGenerationPipeline.__call__.return_tensors",description:`<strong>return_tensors</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to include the tensors of predictions (as token indices) in the outputs.`,name:"return_tensors"},{anchor:"transformers.TextGenerationPipeline.__call__.return_text",description:`<strong>return_text</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to include the decoded texts in the outputs.`,name:"return_text"},{anchor:"transformers.TextGenerationPipeline.__call__.return_full_text",description:`<strong>return_full_text</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
If set to <code>False</code> only added text is returned, otherwise the full text is returned Only meaningful if
<em>return_text</em> is set to True.`,name:"return_full_text"},{anchor:"transformers.TextGenerationPipeline.__call__.clean_up_tokenization_spaces",description:`<strong>clean_up_tokenization_spaces</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to clean up the potential extra spaces in the text output.`,name:"clean_up_tokenization_spaces"},{anchor:"transformers.TextGenerationPipeline.__call__.prefix",description:`<strong>prefix</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Prefix added to prompt.`,name:"prefix"},{anchor:"transformers.TextGenerationPipeline.__call__.handle_long_generation",description:`<strong>handle_long_generation</strong> (<code>str</code>, <em>optional</em>) &#x2014;
By default, this pipelines does not handle long generation (ones that exceed in one form or the other
the model maximum length). There is no perfect way to adress this (more info
:<a href="https://github.com/huggingface/transformers/issues/14033#issuecomment-948385227" rel="nofollow">https://github.com/huggingface/transformers/issues/14033#issuecomment-948385227</a>). This provides common
strategies to work around that problem depending on your use case.</p>
<ul>
<li><code>None</code> : default strategy where nothing in particular happens</li>
<li><code>&quot;hole&quot;</code>: Truncates left of input, and leaves a gap wide enough to let generation happen (might
truncate a lot of the prompt and not suitable when generation exceed the model capacity)</li>
</ul>
<p>generate_kwargs &#x2014;
Additional keyword arguments to pass along to the generate method of the model (see the generate method
corresponding to your framework <a href="./model#generative-models">here</a>).`,name:"handle_long_generation"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/text_generation.py#L163",returnDescription:`
<p>Each result comes as a dictionary with the following keys:</p>
<ul>
<li><strong>generated_text</strong> (<code>str</code>, present when <code>return_text=True</code>) \u2014 The generated text.</li>
<li><strong>generated_token_ids</strong> (<code>torch.Tensor</code> or <code>tf.Tensor</code>, present when <code>return_tensors=True</code>) \u2014 The token
ids of the generated text.</li>
</ul>
`,returnType:`
<p>A list or a list of list of <code>dict</code></p>
`}}),oi=new C({}),ii=new $({props:{name:"class transformers.Text2TextGenerationPipeline",anchor:"transformers.Text2TextGenerationPipeline",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.Text2TextGenerationPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.Text2TextGenerationPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.Text2TextGenerationPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.Text2TextGenerationPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.Text2TextGenerationPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.Text2TextGenerationPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.Text2TextGenerationPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.Text2TextGenerationPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/main/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.Text2TextGenerationPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.Text2TextGenerationPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/text2text_generation.py#L26"}}),Vs=new I({props:{anchor:"transformers.Text2TextGenerationPipeline.example",$$slots:{default:[FS]},$$scope:{ctx:j}}}),Ws=new I({props:{anchor:"transformers.Text2TextGenerationPipeline.example-2",$$slots:{default:[LS]},$$scope:{ctx:j}}}),ci=new $({props:{name:"__call__",anchor:"transformers.Text2TextGenerationPipeline.__call__",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.Text2TextGenerationPipeline.__call__.args",description:`<strong>args</strong> (<code>str</code> or <code>List[str]</code>) &#x2014;
Input text for the encoder.`,name:"args"},{anchor:"transformers.Text2TextGenerationPipeline.__call__.return_tensors",description:`<strong>return_tensors</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to include the tensors of predictions (as token indices) in the outputs.`,name:"return_tensors"},{anchor:"transformers.Text2TextGenerationPipeline.__call__.return_text",description:`<strong>return_text</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to include the decoded texts in the outputs.`,name:"return_text"},{anchor:"transformers.Text2TextGenerationPipeline.__call__.clean_up_tokenization_spaces",description:`<strong>clean_up_tokenization_spaces</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to clean up the potential extra spaces in the text output.`,name:"clean_up_tokenization_spaces"},{anchor:"transformers.Text2TextGenerationPipeline.__call__.truncation",description:`<strong>truncation</strong> (<code>TruncationStrategy</code>, <em>optional</em>, defaults to <code>TruncationStrategy.DO_NOT_TRUNCATE</code>) &#x2014;
The truncation strategy for the tokenization within the pipeline. <code>TruncationStrategy.DO_NOT_TRUNCATE</code>
(default) will never truncate, but it is sometimes desirable to truncate the input to fit the model&#x2019;s
max_length instead of throwing an error down the line.
generate_kwargs &#x2014;
Additional keyword arguments to pass along to the generate method of the model (see the generate method
corresponding to your framework <a href="./model#generative-models">here</a>).`,name:"truncation"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/text2text_generation.py#L136",returnDescription:`
<p>Each result comes as a dictionary with the following keys:</p>
<ul>
<li><strong>generated_text</strong> (<code>str</code>, present when <code>return_text=True</code>) \u2014 The generated text.</li>
<li><strong>generated_token_ids</strong> (<code>torch.Tensor</code> or <code>tf.Tensor</code>, present when <code>return_tensors=True</code>) \u2014 The token
ids of the generated text.</li>
</ul>
`,returnType:`
<p>A list or a list of list of <code>dict</code></p>
`}}),di=new $({props:{name:"check_inputs",anchor:"transformers.Text2TextGenerationPipeline.check_inputs",parameters:[{name:"input_length",val:": int"},{name:"min_length",val:": int"},{name:"max_length",val:": int"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/text2text_generation.py#L109"}}),mi=new C({}),hi=new $({props:{name:"class transformers.TokenClassificationPipeline",anchor:"transformers.TokenClassificationPipeline",parameters:[{name:"args_parser",val:" = <transformers.pipelines.token_classification.TokenClassificationArgumentHandler object at 0x7fc476cea2b0>"},{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TokenClassificationPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.TokenClassificationPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.TokenClassificationPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.TokenClassificationPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.TokenClassificationPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.TokenClassificationPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.TokenClassificationPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.TokenClassificationPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/main/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.TokenClassificationPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.TokenClassificationPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"},{anchor:"transformers.TokenClassificationPipeline.ignore_labels",description:`<strong>ignore_labels</strong> (<code>List[str]</code>, defaults to <code>[&quot;O&quot;]</code>) &#x2014;
A list of labels to ignore.`,name:"ignore_labels"},{anchor:"transformers.TokenClassificationPipeline.grouped_entities",description:`<strong>grouped_entities</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
DEPRECATED, use <code>aggregation_strategy</code> instead. Whether or not to group the tokens corresponding to the
same entity together in the predictions or not.`,name:"grouped_entities"},{anchor:"transformers.TokenClassificationPipeline.aggregation_strategy",description:`<strong>aggregation_strategy</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;none&quot;</code>) &#x2014;
The strategy to fuse (or not) tokens based on the model prediction.</p>
<ul>
<li>&#x201C;none&#x201D; : Will simply not do any aggregation and simply return raw results from the model</li>
<li>&#x201C;simple&#x201D; : Will attempt to group entities following the default schema. (A, B-TAG), (B, I-TAG), (C,
I-TAG), (D, B-TAG2) (E, B-TAG2) will end up being [{&#x201C;word&#x201D;: ABC, &#x201C;entity&#x201D;: &#x201C;TAG&#x201D;}, {&#x201C;word&#x201D;: &#x201C;D&#x201D;,
&#x201C;entity&#x201D;: &#x201C;TAG2&#x201D;}, {&#x201C;word&#x201D;: &#x201C;E&#x201D;, &#x201C;entity&#x201D;: &#x201C;TAG2&#x201D;}] Notice that two consecutive B tags will end up as
different entities. On word based languages, we might end up splitting words undesirably : Imagine
Microsoft being tagged as [{&#x201C;word&#x201D;: &#x201C;Micro&#x201D;, &#x201C;entity&#x201D;: &#x201C;ENTERPRISE&#x201D;}, {&#x201C;word&#x201D;: &#x201C;soft&#x201D;, &#x201C;entity&#x201D;:
&#x201C;NAME&#x201D;}]. Look for FIRST, MAX, AVERAGE for ways to mitigate that and disambiguate words (on languages
that support that meaning, which is basically tokens separated by a space). These mitigations will
only work on real words, &#x201C;New york&#x201D; might still be tagged with two different entities.</li>
<li>&#x201C;first&#x201D; : (works only on word based models) Will use the <code>SIMPLE</code> strategy except that words, cannot
end up with different tags. Words will simply use the tag of the first token of the word when there
is ambiguity.</li>
<li>&#x201C;average&#x201D; : (works only on word based models) Will use the <code>SIMPLE</code> strategy except that words,
cannot end up with different tags. scores will be averaged first across tokens, and then the maximum
label is applied.</li>
<li>&#x201C;max&#x201D; : (works only on word based models) Will use the <code>SIMPLE</code> strategy except that words, cannot
end up with different tags. Word entity will simply be the token with the maximum score.</li>
</ul>`,name:"aggregation_strategy"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/token_classification.py#L86"}}),Ks=new I({props:{anchor:"transformers.TokenClassificationPipeline.example",$$slots:{default:[OS]},$$scope:{ctx:j}}}),gi=new $({props:{name:"__call__",anchor:"transformers.TokenClassificationPipeline.__call__",parameters:[{name:"inputs",val:": typing.Union[str, typing.List[str]]"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TokenClassificationPipeline.__call__.inputs",description:`<strong>inputs</strong> (<code>str</code> or <code>List[str]</code>) &#x2014;
One or several texts (or one list of texts) for token classification.`,name:"inputs"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/token_classification.py#L185",returnDescription:`
<p>Each result comes as a list of dictionaries (one for each token in the
corresponding input, or each entity if this pipeline was instantiated with an aggregation_strategy) with
the following keys:</p>
<ul>
<li><strong>word</strong> (<code>str</code>) \u2014 The token/word classified. This is obtained by decoding the selected tokens. If you
want to have the exact string in the original sentence, use <code>start</code> and <code>end</code>.</li>
<li><strong>score</strong> (<code>float</code>) \u2014 The corresponding probability for <code>entity</code>.</li>
<li><strong>entity</strong> (<code>str</code>) \u2014 The entity predicted for that token/word (it is named <em>entity_group</em> when
<em>aggregation_strategy</em> is not <code>"none"</code>.</li>
<li><strong>index</strong> (<code>int</code>, only present when <code>aggregation_strategy="none"</code>) \u2014 The index of the corresponding
token in the sentence.</li>
<li><strong>start</strong> (<code>int</code>, <em>optional</em>) \u2014 The index of the start of the corresponding entity in the sentence. Only
exists if the offsets are available within the tokenizer</li>
<li><strong>end</strong> (<code>int</code>, <em>optional</em>) \u2014 The index of the end of the corresponding entity in the sentence. Only
exists if the offsets are available within the tokenizer</li>
</ul>
`,returnType:`
<p>A list or a list of list of <code>dict</code></p>
`}}),_i=new $({props:{name:"aggregate_words",anchor:"transformers.TokenClassificationPipeline.aggregate_words",parameters:[{name:"entities",val:": typing.List[dict]"},{name:"aggregation_strategy",val:": AggregationStrategy"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/token_classification.py#L392"}}),bi=new $({props:{name:"gather_pre_entities",anchor:"transformers.TokenClassificationPipeline.gather_pre_entities",parameters:[{name:"sentence",val:": str"},{name:"input_ids",val:": ndarray"},{name:"scores",val:": ndarray"},{name:"offset_mapping",val:": typing.Union[typing.List[typing.Tuple[int, int]], NoneType]"},{name:"special_tokens_mask",val:": ndarray"},{name:"aggregation_strategy",val:": AggregationStrategy"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/token_classification.py#L281"}}),wi=new $({props:{name:"group_entities",anchor:"transformers.TokenClassificationPipeline.group_entities",parameters:[{name:"entities",val:": typing.List[dict]"}],parametersDescription:[{anchor:"transformers.TokenClassificationPipeline.group_entities.entities",description:"<strong>entities</strong> (<code>dict</code>) &#x2014; The entities predicted by the pipeline.",name:"entities"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/token_classification.py#L454"}}),vi=new $({props:{name:"group_sub_entities",anchor:"transformers.TokenClassificationPipeline.group_sub_entities",parameters:[{name:"entities",val:": typing.List[dict]"}],parametersDescription:[{anchor:"transformers.TokenClassificationPipeline.group_sub_entities.entities",description:"<strong>entities</strong> (<code>dict</code>) &#x2014; The entities predicted by the pipeline.",name:"entities"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/token_classification.py#L419"}}),xi=new C({}),ki=new $({props:{name:"class transformers.TranslationPipeline",anchor:"transformers.TranslationPipeline",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TranslationPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.TranslationPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.TranslationPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.TranslationPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.TranslationPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.TranslationPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.TranslationPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.TranslationPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/main/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.TranslationPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.TranslationPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/text2text_generation.py#L282"}}),aa=new I({props:{anchor:"transformers.TranslationPipeline.example",$$slots:{default:[NS]},$$scope:{ctx:j}}}),yi=new $({props:{name:"__call__",anchor:"transformers.TranslationPipeline.__call__",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TranslationPipeline.__call__.args",description:`<strong>args</strong> (<code>str</code> or <code>List[str]</code>) &#x2014;
Texts to be translated.`,name:"args"},{anchor:"transformers.TranslationPipeline.__call__.return_tensors",description:`<strong>return_tensors</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to include the tensors of predictions (as token indices) in the outputs.`,name:"return_tensors"},{anchor:"transformers.TranslationPipeline.__call__.return_text",description:`<strong>return_text</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to include the decoded texts in the outputs.`,name:"return_text"},{anchor:"transformers.TranslationPipeline.__call__.clean_up_tokenization_spaces",description:`<strong>clean_up_tokenization_spaces</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to clean up the potential extra spaces in the text output.`,name:"clean_up_tokenization_spaces"},{anchor:"transformers.TranslationPipeline.__call__.src_lang",description:`<strong>src_lang</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The language of the input. Might be required for multilingual models. Will not have any effect for
single pair translation models`,name:"src_lang"},{anchor:"transformers.TranslationPipeline.__call__.tgt_lang",description:`<strong>tgt_lang</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The language of the desired output. Might be required for multilingual models. Will not have any effect
for single pair translation models
generate_kwargs &#x2014;
Additional keyword arguments to pass along to the generate method of the model (see the generate method
corresponding to your framework <a href="./model#generative-models">here</a>).`,name:"tgt_lang"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/text2text_generation.py#L336",returnDescription:`
<p>Each result comes as a dictionary with the following keys:</p>
<ul>
<li><strong>translation_text</strong> (<code>str</code>, present when <code>return_text=True</code>) \u2014 The translation.</li>
<li><strong>translation_token_ids</strong> (<code>torch.Tensor</code> or <code>tf.Tensor</code>, present when <code>return_tensors=True</code>) \u2014 The
token ids of the translation.</li>
</ul>
`,returnType:`
<p>A list or a list of list of <code>dict</code></p>
`}}),$i=new C({}),ji=new $({props:{name:"class transformers.VisualQuestionAnsweringPipeline",anchor:"transformers.VisualQuestionAnsweringPipeline",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.VisualQuestionAnsweringPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.VisualQuestionAnsweringPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.VisualQuestionAnsweringPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.VisualQuestionAnsweringPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.VisualQuestionAnsweringPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.VisualQuestionAnsweringPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.VisualQuestionAnsweringPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.VisualQuestionAnsweringPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/main/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.VisualQuestionAnsweringPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.VisualQuestionAnsweringPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/visual_question_answering.py#L19"}}),ia=new I({props:{anchor:"transformers.VisualQuestionAnsweringPipeline.example",$$slots:{default:[US]},$$scope:{ctx:j}}}),Di=new $({props:{name:"__call__",anchor:"transformers.VisualQuestionAnsweringPipeline.__call__",parameters:[{name:"image",val:": typing.Union[ForwardRef('Image.Image'), str]"},{name:"question",val:": str = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.VisualQuestionAnsweringPipeline.__call__.image",description:`<strong>image</strong> (<code>str</code>, <code>List[str]</code>, <code>PIL.Image</code> or <code>List[PIL.Image]</code>) &#x2014;
The pipeline handles three types of images:</p>
<ul>
<li>A string containing a http link pointing to an image</li>
<li>A string containing a local path to an image</li>
<li>An image loaded in PIL directly</li>
</ul>
<p>The pipeline accepts either a single image or a batch of images. If given a single image, it can be
broadcasted to multiple questions.`,name:"image"},{anchor:"transformers.VisualQuestionAnsweringPipeline.__call__.question",description:`<strong>question</strong> (<code>str</code>, <code>List[str]</code>) &#x2014;
The question(s) asked. If given a single question, it can be broadcasted to multiple images.`,name:"question"},{anchor:"transformers.VisualQuestionAnsweringPipeline.__call__.top_k",description:`<strong>top_k</strong> (<code>int</code>, <em>optional</em>, defaults to 5) &#x2014;
The number of top labels that will be returned by the pipeline. If the provided number is higher than
the number of labels available in the model configuration, it will default to the number of labels.`,name:"top_k"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/visual_question_answering.py#L68",returnDescription:`
<ul>
<li><strong>label</strong> (<code>str</code>) \u2014 The label identified by the model.</li>
<li><strong>score</strong> (<code>int</code>) \u2014 The score attributed by the model for that label.</li>
</ul>
`,returnType:`
<p>A dictionary or a list of dictionaries containing the result. The dictionaries contain the following keys</p>
`}}),Ci=new C({}),Ii=new $({props:{name:"class transformers.ZeroShotClassificationPipeline",anchor:"transformers.ZeroShotClassificationPipeline",parameters:[{name:"args_parser",val:" = <transformers.pipelines.zero_shot_classification.ZeroShotClassificationArgumentHandler object at 0x7fc476ceaee0>"},{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ZeroShotClassificationPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.ZeroShotClassificationPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.ZeroShotClassificationPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.ZeroShotClassificationPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.ZeroShotClassificationPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.ZeroShotClassificationPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.ZeroShotClassificationPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.ZeroShotClassificationPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/main/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.ZeroShotClassificationPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.ZeroShotClassificationPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/zero_shot_classification.py#L46"}}),pa=new I({props:{anchor:"transformers.ZeroShotClassificationPipeline.example",$$slots:{default:[GS]},$$scope:{ctx:j}}}),Mi=new $({props:{name:"__call__",anchor:"transformers.ZeroShotClassificationPipeline.__call__",parameters:[{name:"sequences",val:": typing.Union[str, typing.List[str]]"},{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ZeroShotClassificationPipeline.__call__.sequences",description:`<strong>sequences</strong> (<code>str</code> or <code>List[str]</code>) &#x2014;
The sequence(s) to classify, will be truncated if the model input is too large.`,name:"sequences"},{anchor:"transformers.ZeroShotClassificationPipeline.__call__.candidate_labels",description:`<strong>candidate_labels</strong> (<code>str</code> or <code>List[str]</code>) &#x2014;
The set of possible class labels to classify each sequence into. Can be a single label, a string of
comma-separated labels, or a list of labels.`,name:"candidate_labels"},{anchor:"transformers.ZeroShotClassificationPipeline.__call__.hypothesis_template",description:`<strong>hypothesis_template</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;This example is {}.&quot;</code>) &#x2014;
The template used to turn each label into an NLI-style hypothesis. This template must include a {} or
similar syntax for the candidate label to be inserted into the template. For example, the default
template is <code>&quot;This example is {}.&quot;</code> With the candidate label <code>&quot;sports&quot;</code>, this would be fed into the
model like <code>&quot;&lt;cls&gt; sequence to classify &lt;sep&gt; This example is sports . &lt;sep&gt;&quot;</code>. The default template
works well in many cases, but it may be worthwhile to experiment with different templates depending on
the task setting.`,name:"hypothesis_template"},{anchor:"transformers.ZeroShotClassificationPipeline.__call__.multi_label",description:`<strong>multi_label</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not multiple candidate labels can be true. If <code>False</code>, the scores are normalized such that
the sum of the label likelihoods for each sequence is 1. If <code>True</code>, the labels are considered
independent and probabilities are normalized for each candidate by doing a softmax of the entailment
score vs. the contradiction score.`,name:"multi_label"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/zero_shot_classification.py#L162",returnDescription:`
<p>Each result comes as a dictionary with the following keys:</p>
<ul>
<li><strong>sequence</strong> (<code>str</code>) \u2014 The sequence for which this is the output.</li>
<li><strong>labels</strong> (<code>List[str]</code>) \u2014 The labels sorted by order of likelihood.</li>
<li><strong>scores</strong> (<code>List[float]</code>) \u2014 The probabilities for each of the labels.</li>
</ul>
`,returnType:`
<p>A <code>dict</code> or a list of <code>dict</code></p>
`}}),Li=new C({}),Oi=new $({props:{name:"class transformers.ZeroShotImageClassificationPipeline",anchor:"transformers.ZeroShotImageClassificationPipeline",parameters:[{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ZeroShotImageClassificationPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.ZeroShotImageClassificationPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.ZeroShotImageClassificationPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.ZeroShotImageClassificationPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.ZeroShotImageClassificationPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.ZeroShotImageClassificationPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.ZeroShotImageClassificationPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.ZeroShotImageClassificationPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/main/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.ZeroShotImageClassificationPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.ZeroShotImageClassificationPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/zero_shot_image_classification.py#L31"}}),ma=new I({props:{anchor:"transformers.ZeroShotImageClassificationPipeline.example",$$slots:{default:[RS]},$$scope:{ctx:j}}}),Gi=new $({props:{name:"__call__",anchor:"transformers.ZeroShotImageClassificationPipeline.__call__",parameters:[{name:"images",val:": typing.Union[str, typing.List[str], ForwardRef('Image'), typing.List[ForwardRef('Image')]]"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ZeroShotImageClassificationPipeline.__call__.images",description:`<strong>images</strong> (<code>str</code>, <code>List[str]</code>, <code>PIL.Image</code> or <code>List[PIL.Image]</code>) &#x2014;
The pipeline handles three types of images:</p>
<ul>
<li>A string containing a http link pointing to an image</li>
<li>A string containing a local path to an image</li>
<li>An image loaded in PIL directly</li>
</ul>`,name:"images"},{anchor:"transformers.ZeroShotImageClassificationPipeline.__call__.candidate_labels",description:`<strong>candidate_labels</strong> (<code>List[str]</code>) &#x2014;
The candidate labels for this image`,name:"candidate_labels"},{anchor:"transformers.ZeroShotImageClassificationPipeline.__call__.hypothesis_template",description:`<strong>hypothesis_template</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;This is a photo of {}&quot;</code>) &#x2014;
The sentence used in cunjunction with <em>candidate_labels</em> to attempt the image classification by
replacing the placeholder with the candidate_labels. Then likelihood is estimated by using
logits_per_image`,name:"hypothesis_template"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/zero_shot_image_classification.py#L71",returnDescription:`
<p>A list of dictionaries containing result, one dictionnary per proposed label. The dictionaries contain the
following keys:</p>
<ul>
<li><strong>label</strong> (<code>str</code>) \u2014 The label identified by the model. It is one of the suggested <code>candidate_label</code>.</li>
<li><strong>score</strong> (<code>float</code>) \u2014 The score attributed by the model for that label (between 0 and 1).</li>
</ul>
`}}),Ri=new C({}),Qi=new $({props:{name:"class transformers.ZeroShotObjectDetectionPipeline",anchor:"transformers.ZeroShotObjectDetectionPipeline",parameters:[{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ZeroShotObjectDetectionPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.ZeroShotObjectDetectionPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.ZeroShotObjectDetectionPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.ZeroShotObjectDetectionPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.ZeroShotObjectDetectionPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.ZeroShotObjectDetectionPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.ZeroShotObjectDetectionPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.ZeroShotObjectDetectionPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/main/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.ZeroShotObjectDetectionPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.ZeroShotObjectDetectionPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/zero_shot_object_detection.py#L31"}}),ua=new I({props:{anchor:"transformers.ZeroShotObjectDetectionPipeline.example",$$slots:{default:[QS]},$$scope:{ctx:j}}}),Wi=new $({props:{name:"__call__",anchor:"transformers.ZeroShotObjectDetectionPipeline.__call__",parameters:[{name:"images",val:": typing.Union[str, typing.List[str], ForwardRef('Image.Image'), typing.List[ForwardRef('Image.Image')]]"},{name:"text_queries",val:": typing.Union[str, typing.List[str], typing.List[typing.List[str]]] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ZeroShotObjectDetectionPipeline.__call__.images",description:`<strong>images</strong> (<code>str</code>, <code>List[str]</code>, <code>PIL.Image</code> or <code>List[PIL.Image]</code>) &#x2014;
The pipeline handles three types of images:</p>
<ul>
<li>A string containing an http url pointing to an image</li>
<li>A string containing a local path to an image</li>
<li>An image loaded in PIL directly</li>
</ul>`,name:"images"},{anchor:"transformers.ZeroShotObjectDetectionPipeline.__call__.text_queries",description:"<strong>text_queries</strong> (<code>str</code> or <code>List[str]</code> or <code>List[List[str]]</code>) &#x2014; Text queries to query the target image with.",name:"text_queries"},{anchor:"transformers.ZeroShotObjectDetectionPipeline.__call__.If",description:"<strong>If</strong> given multiple images, <code>text_queries</code> should be provided as a list of lists, where each nested list &#x2014;",name:"If"},{anchor:"transformers.ZeroShotObjectDetectionPipeline.__call__.contains",description:"<strong>contains</strong> the text queries for the corresponding image. &#x2014;",name:"contains"},{anchor:"transformers.ZeroShotObjectDetectionPipeline.__call__.threshold",description:`<strong>threshold</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The probability necessary to make a prediction.`,name:"threshold"},{anchor:"transformers.ZeroShotObjectDetectionPipeline.__call__.top_k",description:`<strong>top_k</strong> (<code>int</code>, <em>optional</em>, defaults to None) &#x2014;
The number of top predictions that will be returned by the pipeline. If the provided number is <code>None</code>
or higher than the number of predictions available, it will default to the number of predictions.`,name:"top_k"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/zero_shot_object_detection.py#L73",returnDescription:`
<p>A list of lists containing prediction results, one list per input image. Each list contains dictionaries
with the following keys:</p>
<ul>
<li><strong>label</strong> (<code>str</code>) \u2014 Text query corresponding to the found object.</li>
<li><strong>score</strong> (<code>float</code>) \u2014 Score corresponding to the object (between 0 and 1).</li>
<li><strong>box</strong> (<code>Dict[str,int]</code>) \u2014 Bounding box of the detected object in image\u2019s original size. It is a
dictionary with <code>x_min</code>, <code>x_max</code>, <code>y_min</code>, <code>y_max</code> keys.</li>
</ul>
`}}),Zi=new C({}),Bi=new $({props:{name:"class transformers.Pipeline",anchor:"transformers.Pipeline",parameters:[{name:"model",val:": typing.Union[ForwardRef('PreTrainedModel'), ForwardRef('TFPreTrainedModel')]"},{name:"tokenizer",val:": typing.Optional[transformers.tokenization_utils.PreTrainedTokenizer] = None"},{name:"feature_extractor",val:": typing.Optional[ForwardRef('SequenceFeatureExtractor')] = None"},{name:"modelcard",val:": typing.Optional[transformers.modelcard.ModelCard] = None"},{name:"framework",val:": typing.Optional[str] = None"},{name:"task",val:": str = ''"},{name:"args_parser",val:": ArgumentHandler = None"},{name:"device",val:": typing.Union[int, str, ForwardRef('torch.device')] = -1"},{name:"binary_output",val:": bool = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.Pipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.Pipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.Pipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.Pipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.Pipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.Pipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.Pipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.Pipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/main/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.Pipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.Pipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/base.py#L722"}}),Yi=new $({props:{name:"check_model_type",anchor:"transformers.Pipeline.check_model_type",parameters:[{name:"supported_models",val:": typing.Union[typing.List[str], dict]"}],parametersDescription:[{anchor:"transformers.Pipeline.check_model_type.supported_models",description:`<strong>supported_models</strong> (<code>List[str]</code> or <code>dict</code>) &#x2014;
The list of models supported by the pipeline, or a dictionary with model class values.`,name:"supported_models"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/base.py#L907"}}),Ki=new $({props:{name:"device_placement",anchor:"transformers.Pipeline.device_placement",parameters:[],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/base.py#L847",returnDescription:`
<p>Context manager</p>
`}}),wa=new I({props:{anchor:"transformers.Pipeline.device_placement.example",$$slots:{default:[VS]},$$scope:{ctx:j}}}),Xi=new $({props:{name:"ensure_tensor_on_device",anchor:"transformers.Pipeline.ensure_tensor_on_device",parameters:[{name:"**inputs",val:""}],parametersDescription:[{anchor:"transformers.Pipeline.ensure_tensor_on_device.inputs",description:`<strong>inputs</strong> (keyword arguments that should be <code>torch.Tensor</code>, the rest is ignored) &#x2014;
The tensors to place on <code>self.device</code>.`,name:"inputs"},{anchor:"transformers.Pipeline.ensure_tensor_on_device.Recursive",description:"<strong>Recursive</strong> on lists <strong>only</strong>. &#x2014;",name:"Recursive"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/base.py#L873",returnDescription:`
<p>The same as <code>inputs</code> but on the proper device.</p>
`,returnType:`
<p><code>Dict[str, torch.Tensor]</code></p>
`}}),Ji=new $({props:{name:"postprocess",anchor:"transformers.Pipeline.postprocess",parameters:[{name:"model_outputs",val:": ModelOutput"},{name:"**postprocess_parameters",val:": typing.Dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/base.py#L964"}}),tl=new $({props:{name:"predict",anchor:"transformers.Pipeline.predict",parameters:[{name:"X",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/base.py#L841"}}),sl=new $({props:{name:"preprocess",anchor:"transformers.Pipeline.preprocess",parameters:[{name:"input_",val:": typing.Any"},{name:"**preprocess_parameters",val:": typing.Dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/base.py#L943"}}),al=new $({props:{name:"save_pretrained",anchor:"transformers.Pipeline.save_pretrained",parameters:[{name:"save_directory",val:": str"}],parametersDescription:[{anchor:"transformers.Pipeline.save_pretrained.save_directory",description:`<strong>save_directory</strong> (<code>str</code>) &#x2014;
A path to the directory where to saved. It will be created if it doesn&#x2019;t exist.`,name:"save_directory"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/base.py#L790"}}),rl=new $({props:{name:"transform",anchor:"transformers.Pipeline.transform",parameters:[{name:"X",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/base.py#L835"}}),{c(){u=s("meta"),y=p(),P=s("h1"),h=s("a"),T=s("span"),_(l.$$.fragment),g=p(),Re=s("span"),W2=o("Pipelines"),Rg=p(),kn=s("p"),Z2=o(`The pipelines are a great and easy way to use models for inference. These pipelines are objects that abstract most of
the complex code from the library, offering a simple API dedicated to several tasks, including Named Entity
Recognition, Masked Language Modeling, Sentiment Analysis, Feature Extraction and Question Answering. See the
`),hl=s("a"),B2=o("task summary"),Y2=o(" for examples of use."),Qg=p(),fl=s("p"),K2=o("There are two categories of pipeline abstractions to be aware about:"),Vg=p(),Pn=s("ul"),Rc=s("li"),Ia=s("p"),X2=o("The "),ul=s("a"),J2=o("pipeline()"),ev=o(" which is the most powerful object encapsulating all other pipelines."),tv=p(),za=s("li"),Qc=s("p"),nv=o("The other task-specific pipelines:"),sv=p(),E=s("ul"),Vc=s("li"),gl=s("a"),av=o("AudioClassificationPipeline"),rv=p(),Hc=s("li"),_l=s("a"),ov=o("AutomaticSpeechRecognitionPipeline"),iv=p(),Wc=s("li"),bl=s("a"),lv=o("ConversationalPipeline"),pv=p(),Zc=s("li"),wl=s("a"),cv=o("DepthEstimationPipeline"),dv=p(),Bc=s("li"),vl=s("a"),mv=o("DocumentQuestionAnsweringPipeline"),hv=p(),Yc=s("li"),xl=s("a"),fv=o("FeatureExtractionPipeline"),uv=p(),Kc=s("li"),kl=s("a"),gv=o("FillMaskPipeline"),_v=p(),Xc=s("li"),Pl=s("a"),bv=o("ImageClassificationPipeline"),wv=p(),Jc=s("li"),Tl=s("a"),vv=o("ImageSegmentationPipeline"),xv=p(),ed=s("li"),yl=s("a"),kv=o("ImageToTextPipeline"),Pv=p(),td=s("li"),$l=s("a"),Tv=o("ObjectDetectionPipeline"),yv=p(),nd=s("li"),jl=s("a"),$v=o("QuestionAnsweringPipeline"),jv=p(),sd=s("li"),El=s("a"),Ev=o("SummarizationPipeline"),qv=p(),ad=s("li"),ql=s("a"),Av=o("TableQuestionAnsweringPipeline"),Dv=p(),rd=s("li"),Al=s("a"),Cv=o("TextClassificationPipeline"),Iv=p(),od=s("li"),Dl=s("a"),zv=o("TextGenerationPipeline"),Sv=p(),id=s("li"),Cl=s("a"),Mv=o("Text2TextGenerationPipeline"),Fv=p(),ld=s("li"),Il=s("a"),Lv=o("TokenClassificationPipeline"),Ov=p(),pd=s("li"),zl=s("a"),Nv=o("TranslationPipeline"),Uv=p(),cd=s("li"),Sl=s("a"),Gv=o("VisualQuestionAnsweringPipeline"),Rv=p(),dd=s("li"),Ml=s("a"),Qv=o("ZeroShotClassificationPipeline"),Vv=p(),md=s("li"),Fl=s("a"),Hv=o("ZeroShotImageClassificationPipeline"),Wv=p(),hd=s("li"),Ll=s("a"),Zv=o("ZeroShotObjectDetectionPipeline"),Hg=p(),dt=s("h2"),Tn=s("a"),fd=s("span"),_(Sa.$$.fragment),Bv=p(),ud=s("span"),Yv=o("The pipeline abstraction"),Wg=p(),yn=s("p"),Kv=o("The "),gd=s("em"),Xv=o("pipeline"),Jv=o(` abstraction is a wrapper around all the other available pipelines. It is instantiated as any other
pipeline but can provide additional quality of life.`),Zg=p(),Ol=s("p"),ex=o("Simple call on one item:"),Bg=p(),_(Ma.$$.fragment),Yg=p(),$n=s("p"),tx=o("If you want to use a specific model from the "),Fa=s("a"),nx=o("hub"),sx=o(` you can ignore the task if the model on
the hub already defines it:`),Kg=p(),_(La.$$.fragment),Xg=p(),jn=s("p"),ax=o("To call a pipeline on many items, you can either call with a "),_d=s("em"),rx=o("list"),ox=o("."),Jg=p(),_(Oa.$$.fragment),e_=p(),En=s("p"),ix=o("To iterate of full datasets it is recommended to use a "),bd=s("code"),lx=o("dataset"),px=o(` directly. This means you don\u2019t need to allocate
the whole dataset at once, nor do you need to do batching yourself. This should work just as fast as custom loops on
GPU. If it doesn\u2019t don\u2019t hesitate to create an issue.`),t_=p(),_(Na.$$.fragment),n_=p(),Nl=s("p"),cx=o("For ease of use, a generator is also possible:"),s_=p(),_(Ua.$$.fragment),a_=p(),_e=s("div"),_(Ga.$$.fragment),dx=p(),Ra=s("p"),mx=o("Utility factory method to build a "),Ul=s("a"),hx=o("Pipeline"),fx=o("."),ux=p(),wd=s("p"),gx=o("Pipelines are made of:"),_x=p(),mt=s("ul"),Qa=s("li"),bx=o("A "),Gl=s("a"),wx=o("tokenizer"),vx=o(" in charge of mapping raw textual input to token."),xx=p(),Va=s("li"),kx=o("A "),Rl=s("a"),Px=o("model"),Tx=o(" to make predictions from the inputs."),yx=p(),vd=s("li"),$x=o("Some (optional) post processing for enhancing model\u2019s output."),jx=p(),_(qn.$$.fragment),r_=p(),ht=s("h2"),An=s("a"),xd=s("span"),_(Ha.$$.fragment),Ex=p(),kd=s("span"),qx=o("Pipeline batching"),o_=p(),Ke=s("p"),Ax=o(`All pipelines can use batching. This will work
whenever the pipeline uses its streaming ability (so when passing lists or `),Pd=s("code"),Dx=o("Dataset"),Cx=o(" or "),Td=s("code"),Ix=o("generator"),zx=o(")."),i_=p(),_(Wa.$$.fragment),l_=p(),_(Dn.$$.fragment),p_=p(),_(Za.$$.fragment),c_=p(),_(Ba.$$.fragment),d_=p(),Ql=s("p"),Sx=o("Example where it\u2019s most a slowdown:"),m_=p(),_(Ya.$$.fragment),h_=p(),Cn=s("p"),Mx=o("This is a occasional very long sentence compared to the other. In that case, the "),yd=s("strong"),Fx=o("whole"),Lx=o(` batch will need to be 400
tokens long, so the whole batch will be [64, 400] instead of [64, 4], leading to the high slowdown. Even worse, on
bigger batches, the program simply crashes.`),f_=p(),_(Ka.$$.fragment),u_=p(),Vl=s("p"),Ox=o(`There are no good (general) solutions for this problem, and your mileage may vary depending on your use cases. Rule of
thumb:`),g_=p(),Hl=s("p"),Nx=o("For users, a rule of thumb is:"),__=p(),we=s("ul"),$d=s("li"),jd=s("p"),Ed=s("strong"),Ux=o(`Measure performance on your load, with your hardware. Measure, measure, and keep measuring. Real numbers are the
only way to go.`),Gx=p(),qd=s("li"),Ad=s("p"),Rx=o("If you are latency constrained (live product doing inference), don\u2019t batch"),Qx=p(),Dd=s("li"),Cd=s("p"),Vx=o("If you are using CPU, don\u2019t batch."),Hx=p(),Xa=s("li"),Id=s("p"),Wx=o("If you are using throughput (you want to run your model on a bunch of static data), on GPU, then:"),Zx=p(),ft=s("ul"),zd=s("li"),Bx=o(`If you have no clue about the size of the sequence_length (\u201Cnatural\u201D data), by default don\u2019t batch, measure and
try tentatively to add it, add OOM checks to recover when it will fail (and it will at some point if you don\u2019t
control the sequence_length.)`),Yx=p(),Sd=s("li"),Kx=o(`If your sequence_length is super regular, then batching is more likely to be VERY interesting, measure and push
it until you get OOMs.`),Xx=p(),Md=s("li"),Jx=o("The larger the GPU the more likely batching is going to be more interesting"),e1=p(),Fd=s("li"),Ld=s("p"),t1=o("As soon as you enable batching, make sure you can handle OOMs nicely."),b_=p(),ut=s("h2"),In=s("a"),Od=s("span"),_(Ja.$$.fragment),n1=p(),Nd=s("span"),s1=o("Pipeline chunk batching"),w_=p(),Qe=s("p"),Ud=s("code"),a1=o("zero-shot-classification"),r1=o(" and "),Gd=s("code"),o1=o("question-answering"),i1=o(` are slightly specific in the sense, that a single input might yield
multiple forward pass of a model. Under normal circumstances, this would yield issues with `),Rd=s("code"),l1=o("batch_size"),p1=o(" argument."),v_=p(),Xe=s("p"),c1=o("In order to circumvent this issue, both of these pipelines are a bit specific, they are "),Qd=s("code"),d1=o("ChunkPipeline"),m1=o(` instead of
regular `),Vd=s("code"),h1=o("Pipeline"),f1=o(". In short:"),x_=p(),_(er.$$.fragment),k_=p(),Wl=s("p"),u1=o("Now becomes:"),P_=p(),_(tr.$$.fragment),T_=p(),Zl=s("p"),g1=o(`This should be very transparent to your code because the pipelines are used in
the same way.`),y_=p(),zn=s("p"),_1=o(`This is a simplified view, since the pipeline can handle automatically the batch to ! Meaning you don\u2019t have to care
about how many forward passes you inputs are actually going to trigger, you can optimize the `),Hd=s("code"),b1=o("batch_size"),w1=o(`
independently of the inputs. The caveats from the previous section still apply.`),$_=p(),gt=s("h2"),Sn=s("a"),Wd=s("span"),_(nr.$$.fragment),v1=p(),Zd=s("span"),x1=o("Pipeline custom code"),j_=p(),Bl=s("p"),k1=o("If you want to override a specific pipeline."),E_=p(),Mn=s("p"),P1=o(`Don\u2019t hesitate to create an issue for your task at hand, the goal of the pipeline is to be easy to use and support most
cases, so `),Bd=s("code"),T1=o("transformers"),y1=o(" could maybe support your use case."),q_=p(),Yl=s("p"),$1=o("If you want to try simply you can:"),A_=p(),Kl=s("ul"),Yd=s("li"),j1=o("Subclass your pipeline of choice"),D_=p(),_(sr.$$.fragment),C_=p(),Xl=s("p"),E1=o("That should enable you to do all the custom code you want."),I_=p(),_t=s("h2"),Fn=s("a"),Kd=s("span"),_(ar.$$.fragment),q1=p(),Xd=s("span"),A1=o("Implementing a pipeline"),z_=p(),Jl=s("p"),ep=s("a"),D1=o("Implementing a new pipeline"),S_=p(),bt=s("h2"),Ln=s("a"),Jd=s("span"),_(rr.$$.fragment),C1=p(),em=s("span"),I1=o("The task specific pipelines"),M_=p(),wt=s("h3"),On=s("a"),tm=s("span"),_(or.$$.fragment),z1=p(),nm=s("span"),S1=o("AudioClassificationPipeline"),F_=p(),H=s("div"),_(ir.$$.fragment),M1=p(),lr=s("p"),F1=o("Audio classification pipeline using any "),sm=s("code"),L1=o("AutoModelForAudioClassification"),O1=o(`. This pipeline predicts the class of a
raw waveform or an audio file. In case of an audio file, ffmpeg should be installed to support multiple audio
formats.`),N1=p(),_(Nn.$$.fragment),U1=p(),am=s("p"),tp=s("a"),G1=o("Learn more about the basics of using a pipeline in the [pipeline tutorial]"),R1=p(),vt=s("p"),Q1=o("This pipeline can currently be loaded from "),np=s("a"),V1=o("pipeline()"),H1=o(` using the following task identifier:
`),rm=s("code"),W1=o('"audio-classification"'),Z1=o("."),B1=p(),pr=s("p"),Y1=o(`See the list of available models on
`),cr=s("a"),K1=o("huggingface.co/models"),X1=o("."),J1=p(),Un=s("div"),_(dr.$$.fragment),ek=p(),mr=s("p"),tk=o("Classify the sequence(s) given as inputs. See the "),sp=s("a"),nk=o("AutomaticSpeechRecognitionPipeline"),sk=o(` documentation for more
information.`),L_=p(),xt=s("h3"),Gn=s("a"),om=s("span"),_(hr.$$.fragment),ak=p(),im=s("span"),rk=o("AutomaticSpeechRecognitionPipeline"),O_=p(),le=s("div"),_(fr.$$.fragment),ok=p(),lm=s("p"),ik=o("Pipeline that aims at extracting spoken text contained within some audio."),lk=p(),pm=s("p"),pk=o(`The input can be either a raw waveform or a audio file. In case of the audio file, ffmpeg should be installed for
to support multiple audio formats`),ck=p(),_(Rn.$$.fragment),dk=p(),cm=s("p"),ap=s("a"),mk=o("Learn more about the basics of using a pipeline in the [pipeline tutorial]"),hk=p(),Qn=s("div"),_(ur.$$.fragment),fk=p(),gr=s("p"),uk=o("Transcribe the audio sequence(s) given as inputs to text. See the "),rp=s("a"),gk=o("AutomaticSpeechRecognitionPipeline"),_k=o(`
documentation for more information.`),N_=p(),kt=s("h3"),Vn=s("a"),dm=s("span"),_(_r.$$.fragment),bk=p(),mm=s("span"),wk=o("ConversationalPipeline"),U_=p(),W=s("div"),_(br.$$.fragment),vk=p(),Ve=s("p"),xk=o(`Utility class containing a conversation and its history. This class is meant to be used as an input to the
`),op=s("a"),kk=o("ConversationalPipeline"),Pk=o(`. The conversation contains a number of utility function to manage the addition of new
user input and generated model responses. A conversation needs to contain an unprocessed user input before being
passed to the `),ip=s("a"),Tk=o("ConversationalPipeline"),yk=o(`. This user input is either created when the class is instantiated, or by
calling `),hm=s("code"),$k=o('conversational_pipeline.append_response("input")'),jk=o(" after a conversation turn."),Ek=p(),_(Hn.$$.fragment),qk=p(),Wn=s("div"),_(wr.$$.fragment),Ak=p(),vr=s("p"),Dk=o("Add a user input to the conversation for the next round. This populates the internal "),fm=s("code"),Ck=o("new_user_input"),Ik=o(" field."),zk=p(),Zn=s("div"),_(xr.$$.fragment),Sk=p(),um=s("p"),Mk=o("Append a response to the list of generated responses."),Fk=p(),Je=s("div"),_(kr.$$.fragment),Lk=p(),gm=s("p"),Ok=o("Iterates over all blobs of the conversation."),Nk=p(),Se=s("p"),Uk=o("Returns: Iterator of (is_user, text_chunk) in chronological order of the conversation. "),_m=s("code"),Gk=o("is_user"),Rk=o(" is a "),bm=s("code"),Qk=o("bool"),Vk=o(`,
`),wm=s("code"),Hk=o("text_chunks"),Wk=o(" is a "),vm=s("code"),Zk=o("str"),Bk=o("."),Yk=p(),Bn=s("div"),_(Pr.$$.fragment),Kk=p(),He=s("p"),Xk=o("Mark the conversation as processed (moves the content of "),xm=s("code"),Jk=o("new_user_input"),eP=o(" to "),km=s("code"),tP=o("past_user_inputs"),nP=o(`) and empties
the `),Pm=s("code"),sP=o("new_user_input"),aP=o(" field."),G_=p(),Z=s("div"),_(Tr.$$.fragment),rP=p(),Tm=s("p"),oP=o("Multi-turn conversational pipeline."),iP=p(),_(Yn.$$.fragment),lP=p(),ym=s("p"),lp=s("a"),pP=o("Learn more about the basics of using a pipeline in the [pipeline tutorial]"),cP=p(),Pt=s("p"),dP=o("This conversational pipeline can currently be loaded from "),pp=s("a"),mP=o("pipeline()"),hP=o(` using the following task identifier:
`),$m=s("code"),fP=o('"conversational"'),uP=o("."),gP=p(),Me=s("p"),_P=o(`The models that this pipeline can use are models that have been fine-tuned on a multi-turn conversational task,
currently: `),jm=s("em"),bP=o("\u2018microsoft/DialoGPT-small\u2019"),wP=o(", "),Em=s("em"),vP=o("\u2018microsoft/DialoGPT-medium\u2019"),xP=o(", "),qm=s("em"),kP=o("\u2018microsoft/DialoGPT-large\u2019"),PP=o(`. See the
up-to-date list of available models on
`),yr=s("a"),TP=o("huggingface.co/models"),yP=o("."),$P=p(),Kn=s("div"),_($r.$$.fragment),jP=p(),Am=s("p"),EP=o("Generate responses for the conversation(s) given as inputs."),R_=p(),Tt=s("h3"),Xn=s("a"),Dm=s("span"),_(jr.$$.fragment),qP=p(),Cm=s("span"),AP=o("DepthEstimationPipeline"),Q_=p(),B=s("div"),_(Er.$$.fragment),DP=p(),qr=s("p"),CP=o("Depth estimation pipeline using any "),Im=s("code"),IP=o("AutoModelForDepthEstimation"),zP=o(". This pipeline predicts the depth of an image."),SP=p(),_(Jn.$$.fragment),MP=p(),zm=s("p"),cp=s("a"),FP=o("Learn more about the basics of using a pipeline in the [pipeline tutorial]"),LP=p(),yt=s("p"),OP=o("This depth estimation pipeline can currently be loaded from "),dp=s("a"),NP=o("pipeline()"),UP=o(` using the following task identifier:
`),Sm=s("code"),GP=o('"depth-estimation"'),RP=o("."),QP=p(),Ar=s("p"),VP=o("See the list of available models on "),Dr=s("a"),HP=o("huggingface.co/models"),WP=o("."),ZP=p(),es=s("div"),_(Cr.$$.fragment),BP=p(),Mm=s("p"),YP=o("Assign labels to the image(s) passed as inputs."),V_=p(),$t=s("h3"),ts=s("a"),Fm=s("span"),_(Ir.$$.fragment),KP=p(),Lm=s("span"),XP=o("DocumentQuestionAnsweringPipeline"),H_=p(),Y=s("div"),_(zr.$$.fragment),JP=p(),Sr=s("p"),eT=o("Document Question Answering pipeline using any "),Om=s("code"),tT=o("AutoModelForDocumentQuestionAnswering"),nT=o(`. The inputs/outputs are
similar to the (extractive) question answering pipeline; however, the pipeline takes an image (and optional OCR\u2019d
words/boxes) as input instead of text context.`),sT=p(),_(ns.$$.fragment),aT=p(),Nm=s("p"),mp=s("a"),rT=o("Learn more about the basics of using a pipeline in the [pipeline tutorial]"),oT=p(),jt=s("p"),iT=o("This document question answering pipeline can currently be loaded from "),hp=s("a"),lT=o("pipeline()"),pT=o(` using the following task
identifier: `),Um=s("code"),cT=o('"document-question-answering"'),dT=o("."),mT=p(),Mr=s("p"),hT=o(`The models that this pipeline can use are models that have been fine-tuned on a document question answering task.
See the up-to-date list of available models on
`),Fr=s("a"),fT=o("huggingface.co/models"),uT=o("."),gT=p(),Le=s("div"),_(Lr.$$.fragment),_T=p(),Or=s("p"),bT=o(`Answer the question(s) given as inputs by using the document(s). A document is defined as an image and an
optional list of (word, box) tuples which represent the text in the document. If the `),Gm=s("code"),wT=o("word_boxes"),vT=o(` are not
provided, it will use the Tesseract OCR engine (if available) to extract the words and boxes automatically for
LayoutLM-like models which require them as input. For Donut, no OCR is run.`),xT=p(),Rm=s("p"),kT=o("You can invoke the pipeline several ways:"),PT=p(),We=s("ul"),Qm=s("li"),Vm=s("code"),TT=o("pipeline(image=image, question=question)"),yT=p(),Hm=s("li"),Wm=s("code"),$T=o("pipeline(image=image, question=question, word_boxes=word_boxes)"),jT=p(),Zm=s("li"),Bm=s("code"),ET=o('pipeline([{"image": image, "question": question}])'),qT=p(),Ym=s("li"),Km=s("code"),AT=o('pipeline([{"image": image, "question": question, "word_boxes": word_boxes}])'),W_=p(),Et=s("h3"),ss=s("a"),Xm=s("span"),_(Nr.$$.fragment),DT=p(),Jm=s("span"),CT=o("FeatureExtractionPipeline"),Z_=p(),K=s("div"),_(Ur.$$.fragment),IT=p(),eh=s("p"),zT=o(`Feature extraction pipeline using no model head. This pipeline extracts the hidden states from the base
transformer, which can be used as features in downstream tasks.`),ST=p(),_(as.$$.fragment),MT=p(),th=s("p"),fp=s("a"),FT=o("Learn more about the basics of using a pipeline in the [pipeline tutorial]"),LT=p(),qt=s("p"),OT=o("This feature extraction pipeline can currently be loaded from "),up=s("a"),NT=o("pipeline()"),UT=o(` using the task identifier:
`),nh=s("code"),GT=o('"feature-extraction"'),RT=o("."),QT=p(),Gr=s("p"),VT=o(`All models may be used for this pipeline. See a list of all models, including community-contributed models on
`),Rr=s("a"),HT=o("huggingface.co/models"),WT=o("."),ZT=p(),rs=s("div"),_(Qr.$$.fragment),BT=p(),sh=s("p"),YT=o("Extract the features of the input(s)."),B_=p(),At=s("h3"),os=s("a"),ah=s("span"),_(Vr.$$.fragment),KT=p(),rh=s("span"),XT=o("FillMaskPipeline"),Y_=p(),U=s("div"),_(Hr.$$.fragment),JT=p(),Dt=s("p"),ey=o("Masked language modeling prediction pipeline using any "),oh=s("code"),ty=o("ModelWithLMHead"),ny=o(". See the "),gp=s("a"),sy=o(`masked language modeling
examples`),ay=o(" for more information."),ry=p(),_(is.$$.fragment),oy=p(),ih=s("p"),_p=s("a"),iy=o("Learn more about the basics of using a pipeline in the [pipeline tutorial]"),ly=p(),Ct=s("p"),py=o("This mask filling pipeline can currently be loaded from "),bp=s("a"),cy=o("pipeline()"),dy=o(` using the following task identifier:
`),lh=s("code"),my=o('"fill-mask"'),hy=o("."),fy=p(),Wr=s("p"),uy=o(`The models that this pipeline can use are models that have been trained with a masked language modeling objective,
which includes the bi-directional models in the library. See the up-to-date list of available models on
`),Zr=s("a"),gy=o("huggingface.co/models"),_y=o("."),by=p(),_(ls.$$.fragment),wy=p(),ps=s("div"),_(Br.$$.fragment),vy=p(),ph=s("p"),xy=o("Fill the masked token in the text(s) given as inputs."),K_=p(),It=s("h3"),cs=s("a"),ch=s("span"),_(Yr.$$.fragment),ky=p(),dh=s("span"),Py=o("ImageClassificationPipeline"),X_=p(),X=s("div"),_(Kr.$$.fragment),Ty=p(),Xr=s("p"),yy=o("Image classification pipeline using any "),mh=s("code"),$y=o("AutoModelForImageClassification"),jy=o(`. This pipeline predicts the class of an
image.`),Ey=p(),_(ds.$$.fragment),qy=p(),hh=s("p"),wp=s("a"),Ay=o("Learn more about the basics of using a pipeline in the [pipeline tutorial]"),Dy=p(),zt=s("p"),Cy=o("This image classification pipeline can currently be loaded from "),vp=s("a"),Iy=o("pipeline()"),zy=o(` using the following task identifier:
`),fh=s("code"),Sy=o('"image-classification"'),My=o("."),Fy=p(),Jr=s("p"),Ly=o(`See the list of available models on
`),eo=s("a"),Oy=o("huggingface.co/models"),Ny=o("."),Uy=p(),ms=s("div"),_(to.$$.fragment),Gy=p(),uh=s("p"),Ry=o("Assign labels to the image(s) passed as inputs."),J_=p(),St=s("h3"),hs=s("a"),gh=s("span"),_(no.$$.fragment),Qy=p(),_h=s("span"),Vy=o("ImageSegmentationPipeline"),eb=p(),pe=s("div"),_(so.$$.fragment),Hy=p(),ao=s("p"),Wy=o("Image segmentation pipeline using any "),bh=s("code"),Zy=o("AutoModelForXXXSegmentation"),By=o(`. This pipeline predicts masks of objects and
their classes.`),Yy=p(),_(fs.$$.fragment),Ky=p(),Mt=s("p"),Xy=o("This image segmentation pipeline can currently be loaded from "),xp=s("a"),Jy=o("pipeline()"),e0=o(` using the following task identifier:
`),wh=s("code"),t0=o('"image-segmentation"'),n0=o("."),s0=p(),ro=s("p"),a0=o(`See the list of available models on
`),oo=s("a"),r0=o("huggingface.co/models"),o0=o("."),i0=p(),us=s("div"),_(io.$$.fragment),l0=p(),vh=s("p"),p0=o("Perform segmentation (detect masks & classes) in the image(s) passed as inputs."),tb=p(),Ft=s("h3"),gs=s("a"),xh=s("span"),_(lo.$$.fragment),c0=p(),kh=s("span"),d0=o("ImageToTextPipeline"),nb=p(),J=s("div"),_(po.$$.fragment),m0=p(),co=s("p"),h0=o("Image To Text pipeline using a "),Ph=s("code"),f0=o("AutoModelForVision2Seq"),u0=o(". This pipeline predicts a caption for a given image."),g0=p(),_(_s.$$.fragment),_0=p(),Th=s("p"),kp=s("a"),b0=o("Learn more about the basics of using a pipeline in the [pipeline tutorial]"),w0=p(),yh=s("p"),v0=o(`This image to text pipeline can currently be loaded from pipeline() using the following task identifier:
\u201Cimage-to-text\u201D.`),x0=p(),mo=s("p"),k0=o(`See the list of available models on
`),ho=s("a"),P0=o("huggingface.co/models"),T0=o("."),y0=p(),bs=s("div"),_(fo.$$.fragment),$0=p(),$h=s("p"),j0=o("Assign labels to the image(s) passed as inputs."),sb=p(),Lt=s("h3"),ws=s("a"),jh=s("span"),_(uo.$$.fragment),E0=p(),Eh=s("span"),q0=o("NerPipeline"),ab=p(),F=s("div"),_(go.$$.fragment),A0=p(),Ot=s("p"),D0=o("Named Entity Recognition pipeline using any "),qh=s("code"),C0=o("ModelForTokenClassification"),I0=o(". See the "),Pp=s("a"),z0=o(`named entity recognition
examples`),S0=o(" for more information."),M0=p(),_(vs.$$.fragment),F0=p(),Ah=s("p"),Tp=s("a"),L0=o("Learn more about the basics of using a pipeline in the [pipeline tutorial]"),O0=p(),Nt=s("p"),N0=o("This token recognition pipeline can currently be loaded from "),yp=s("a"),U0=o("pipeline()"),G0=o(` using the following task identifier:
`),Dh=s("code"),R0=o('"ner"'),Q0=o(" (for predicting the classes of tokens in a sequence: person, organisation, location or miscellaneous)."),V0=p(),_o=s("p"),H0=o(`The models that this pipeline can use are models that have been fine-tuned on a token classification task. See the
up-to-date list of available models on
`),bo=s("a"),W0=o("huggingface.co/models"),Z0=o("."),B0=p(),et=s("div"),_(wo.$$.fragment),Y0=p(),Ch=s("p"),K0=o("Override tokens from a given word that disagree to force agreement on word boundaries."),X0=p(),Ih=s("p"),J0=o(`Example: micro|soft| com|pany| B-ENT I-NAME I-ENT I-ENT will be rewritten with first strategy as microsoft|
company| B-ENT I-ENT`),e$=p(),xs=s("div"),_(vo.$$.fragment),t$=p(),zh=s("p"),n$=o("Fuse various numpy arrays into dicts with all the information needed for aggregation"),s$=p(),ks=s("div"),_(xo.$$.fragment),a$=p(),Sh=s("p"),r$=o("Find and group together the adjacent tokens with the same entity predicted."),o$=p(),Ps=s("div"),_(ko.$$.fragment),i$=p(),Mh=s("p"),l$=o("Group together the adjacent tokens with the same entity predicted."),rb=p(),Ts=s("p"),p$=o("See "),$p=s("a"),c$=o("TokenClassificationPipeline"),d$=o(" for all details."),ob=p(),Ut=s("h3"),ys=s("a"),Fh=s("span"),_(Po.$$.fragment),m$=p(),Lh=s("span"),h$=o("ObjectDetectionPipeline"),ib=p(),be=s("div"),_(To.$$.fragment),f$=p(),yo=s("p"),u$=o("Object detection pipeline using any "),Oh=s("code"),g$=o("AutoModelForObjectDetection"),_$=o(`. This pipeline predicts bounding boxes of objects
and their classes.`),b$=p(),Gt=s("p"),w$=o("This object detection pipeline can currently be loaded from "),jp=s("a"),v$=o("pipeline()"),x$=o(` using the following task identifier:
`),Nh=s("code"),k$=o('"object-detection"'),P$=o("."),T$=p(),$o=s("p"),y$=o("See the list of available models on "),jo=s("a"),$$=o("huggingface.co/models"),j$=o("."),E$=p(),$s=s("div"),_(Eo.$$.fragment),q$=p(),Uh=s("p"),A$=o("Detect objects (bounding boxes & classes) in the image(s) passed as inputs."),lb=p(),Rt=s("h3"),js=s("a"),Gh=s("span"),_(qo.$$.fragment),D$=p(),Rh=s("span"),C$=o("QuestionAnsweringPipeline"),pb=p(),L=s("div"),_(Ao.$$.fragment),I$=p(),Qt=s("p"),z$=o("Question Answering pipeline using any "),Qh=s("code"),S$=o("ModelForQuestionAnswering"),M$=o(". See the "),Ep=s("a"),F$=o(`question answering
examples`),L$=o(" for more information."),O$=p(),_(Es.$$.fragment),N$=p(),Vh=s("p"),qp=s("a"),U$=o("Learn more about the basics of using a pipeline in the [pipeline tutorial]"),G$=p(),Vt=s("p"),R$=o("This question answering pipeline can currently be loaded from "),Ap=s("a"),Q$=o("pipeline()"),V$=o(` using the following task identifier:
`),Hh=s("code"),H$=o('"question-answering"'),W$=o("."),Z$=p(),Do=s("p"),B$=o(`The models that this pipeline can use are models that have been fine-tuned on a question answering task. See the
up-to-date list of available models on
`),Co=s("a"),Y$=o("huggingface.co/models"),K$=o("."),X$=p(),qs=s("div"),_(Io.$$.fragment),J$=p(),Wh=s("p"),e7=o("Answer the question(s) given as inputs by using the context(s)."),t7=p(),tt=s("div"),_(zo.$$.fragment),n7=p(),Ht=s("p"),s7=o("QuestionAnsweringPipeline leverages the "),Zh=s("code"),a7=o("SquadExample"),r7=o(` internally. This helper method encapsulate all the
logic for converting question(s) and context(s) to `),Bh=s("code"),o7=o("SquadExample"),i7=o("."),l7=p(),Yh=s("p"),p7=o("We currently support extractive question answering."),c7=p(),As=s("div"),_(So.$$.fragment),d7=p(),Kh=s("p"),m7=o("When decoding from token probabilities, this method maps token indexes to actual word in the initial context."),cb=p(),Wt=s("h3"),Ds=s("a"),Xh=s("span"),_(Mo.$$.fragment),h7=p(),Jh=s("span"),f7=o("SummarizationPipeline"),db=p(),ce=s("div"),_(Fo.$$.fragment),u7=p(),ef=s("p"),g7=o("Summarize news articles and other documents."),_7=p(),Zt=s("p"),b7=o("This summarizing pipeline can currently be loaded from "),Dp=s("a"),w7=o("pipeline()"),v7=o(` using the following task identifier:
`),tf=s("code"),x7=o('"summarization"'),k7=o("."),P7=p(),Q=s("p"),T7=o(`The models that this pipeline can use are models that have been fine-tuned on a summarization task, which is
currently, \u2019`),nf=s("em"),y7=o("bart-large-cnn"),$7=o("\u2019, \u2019"),sf=s("em"),j7=o("t5-small"),E7=o("\u2019, \u2019"),af=s("em"),q7=o("t5-base"),A7=o("\u2019, \u2019"),rf=s("em"),D7=o("t5-large"),C7=o("\u2019, \u2019"),of=s("em"),I7=o("t5-3b"),z7=o("\u2019, \u2019"),lf=s("em"),S7=o("t5-11b"),M7=o(`\u2019. See the up-to-date
list of available models on `),Lo=s("a"),F7=o("huggingface.co/models"),L7=o(`. For a list
of available parameters, see the `),Oo=s("a"),O7=o(`following
documentation`),N7=p(),_(Cs.$$.fragment),U7=p(),Is=s("div"),_(No.$$.fragment),G7=p(),pf=s("p"),R7=o("Summarize the text(s) given as inputs."),mb=p(),Bt=s("h3"),zs=s("a"),cf=s("span"),_(Uo.$$.fragment),Q7=p(),df=s("span"),V7=o("TableQuestionAnsweringPipeline"),hb=p(),ee=s("div"),_(Go.$$.fragment),H7=p(),Ro=s("p"),W7=o("Table Question Answering pipeline using a "),mf=s("code"),Z7=o("ModelForTableQuestionAnswering"),B7=o(`. This pipeline is only available in
PyTorch.`),Y7=p(),_(Ss.$$.fragment),K7=p(),hf=s("p"),Cp=s("a"),X7=o("Learn more about the basics of using a pipeline in the [pipeline tutorial]"),J7=p(),Yt=s("p"),ej=o("This tabular question answering pipeline can currently be loaded from "),Ip=s("a"),tj=o("pipeline()"),nj=o(` using the following task
identifier: `),ff=s("code"),sj=o('"table-question-answering"'),aj=o("."),rj=p(),Qo=s("p"),oj=o(`The models that this pipeline can use are models that have been fine-tuned on a tabular question answering task.
See the up-to-date list of available models on
`),Vo=s("a"),ij=o("huggingface.co/models"),lj=o("."),pj=p(),re=s("div"),_(Ho.$$.fragment),cj=p(),uf=s("p"),dj=o("Answers queries according to a table. The pipeline accepts several types of inputs which are detailed below:"),mj=p(),de=s("ul"),gf=s("li"),_f=s("code"),hj=o("pipeline(table, query)"),fj=p(),bf=s("li"),wf=s("code"),uj=o("pipeline(table, [query])"),gj=p(),vf=s("li"),xf=s("code"),_j=o("pipeline(table=table, query=query)"),bj=p(),kf=s("li"),Pf=s("code"),wj=o("pipeline(table=table, query=[query])"),vj=p(),Tf=s("li"),yf=s("code"),xj=o('pipeline({"table": table, "query": query})'),kj=p(),$f=s("li"),jf=s("code"),Pj=o('pipeline({"table": table, "query": [query]})'),Tj=p(),Ef=s("li"),qf=s("code"),yj=o('pipeline([{"table": table, "query": query}, {"table": table, "query": query}])'),$j=p(),Wo=s("p"),jj=o("The "),Af=s("code"),Ej=o("table"),qj=o(" argument should be a dict or a DataFrame built from that dict, containing the whole table:"),Aj=p(),_(Ms.$$.fragment),Dj=p(),Df=s("p"),Cj=o("This dictionary can be passed in as such, or can be converted to a pandas DataFrame:"),Ij=p(),_(Fs.$$.fragment),fb=p(),Kt=s("h3"),Ls=s("a"),Cf=s("span"),_(Zo.$$.fragment),zj=p(),If=s("span"),Sj=o("TextClassificationPipeline"),ub=p(),G=s("div"),_(Bo.$$.fragment),Mj=p(),Xt=s("p"),Fj=o("Text classification pipeline using any "),zf=s("code"),Lj=o("ModelForSequenceClassification"),Oj=o(". See the "),zp=s("a"),Nj=o(`sequence classification
examples`),Uj=o(" for more information."),Gj=p(),_(Os.$$.fragment),Rj=p(),Sf=s("p"),Sp=s("a"),Qj=o("Learn more about the basics of using a pipeline in the [pipeline tutorial]"),Vj=p(),Jt=s("p"),Hj=o("This text classification pipeline can currently be loaded from "),Mp=s("a"),Wj=o("pipeline()"),Zj=o(` using the following task identifier:
`),Mf=s("code"),Bj=o('"sentiment-analysis"'),Yj=o(" (for classifying sequences according to positive or negative sentiments)."),Kj=p(),Yo=s("p"),Xj=o("If multiple classification labels are available ("),Ff=s("code"),Jj=o("model.config.num_labels >= 2"),e4=o(`), the pipeline will run a softmax
over the results. If there is a single label, the pipeline will run a sigmoid over the result.`),t4=p(),Ko=s("p"),n4=o(`The models that this pipeline can use are models that have been fine-tuned on a sequence classification task. See
the up-to-date list of available models on
`),Xo=s("a"),s4=o("huggingface.co/models"),a4=o("."),r4=p(),Ns=s("div"),_(Jo.$$.fragment),o4=p(),Lf=s("p"),i4=o("Classify the text(s) given as inputs."),gb=p(),en=s("h3"),Us=s("a"),Of=s("span"),_(ei.$$.fragment),l4=p(),Nf=s("span"),p4=o("TextGenerationPipeline"),_b=p(),te=s("div"),_(ti.$$.fragment),c4=p(),ni=s("p"),d4=o("Language generation pipeline using any "),Uf=s("code"),m4=o("ModelWithLMHead"),h4=o(`. This pipeline predicts the words that will follow a
specified text prompt.`),f4=p(),_(Gs.$$.fragment),u4=p(),Gf=s("p"),Fp=s("a"),g4=o("Learn more about the basics of using a pipeline in the [pipeline tutorial]"),_4=p(),tn=s("p"),b4=o("This language generation pipeline can currently be loaded from "),Lp=s("a"),w4=o("pipeline()"),v4=o(` using the following task identifier:
`),Rf=s("code"),x4=o('"text-generation"'),k4=o("."),P4=p(),si=s("p"),T4=o(`The models that this pipeline can use are models that have been trained with an autoregressive language modeling
objective, which includes the uni-directional models in the library (e.g. gpt2). See the list of available models
on `),ai=s("a"),y4=o("huggingface.co/models"),$4=o("."),j4=p(),Rs=s("div"),_(ri.$$.fragment),E4=p(),Qf=s("p"),q4=o("Complete the prompt(s) given as inputs."),bb=p(),nn=s("h3"),Qs=s("a"),Vf=s("span"),_(oi.$$.fragment),A4=p(),Hf=s("span"),D4=o("Text2TextGenerationPipeline"),wb=p(),O=s("div"),_(ii.$$.fragment),C4=p(),Wf=s("p"),I4=o("Pipeline for text to text generation using seq2seq models."),z4=p(),_(Vs.$$.fragment),S4=p(),Zf=s("p"),Op=s("a"),M4=o("Learn more about the basics of using a pipeline in the [pipeline tutorial]"),F4=p(),sn=s("p"),L4=o("This Text2TextGenerationPipeline pipeline can currently be loaded from "),Np=s("a"),O4=o("pipeline()"),N4=o(` using the following task
identifier: `),Bf=s("code"),U4=o('"text2text-generation"'),G4=o("."),R4=p(),Hs=s("p"),Q4=o(`The models that this pipeline can use are models that have been fine-tuned on a translation task. See the
up-to-date list of available models on
`),li=s("a"),V4=o("huggingface.co/models"),H4=o(`. For a list of available
parameters, see the `),pi=s("a"),W4=o(`following
documentation`),Z4=p(),_(Ws.$$.fragment),B4=p(),Zs=s("div"),_(ci.$$.fragment),Y4=p(),Yf=s("p"),K4=o("Generate the output text(s) using text(s) given as inputs."),X4=p(),Bs=s("div"),_(di.$$.fragment),J4=p(),Kf=s("p"),eE=o("Checks whether there might be something wrong with given input with regard to the model."),vb=p(),an=s("h3"),Ys=s("a"),Xf=s("span"),_(mi.$$.fragment),tE=p(),Jf=s("span"),nE=o("TokenClassificationPipeline"),xb=p(),M=s("div"),_(hi.$$.fragment),sE=p(),rn=s("p"),aE=o("Named Entity Recognition pipeline using any "),eu=s("code"),rE=o("ModelForTokenClassification"),oE=o(". See the "),Up=s("a"),iE=o(`named entity recognition
examples`),lE=o(" for more information."),pE=p(),_(Ks.$$.fragment),cE=p(),tu=s("p"),Gp=s("a"),dE=o("Learn more about the basics of using a pipeline in the [pipeline tutorial]"),mE=p(),on=s("p"),hE=o("This token recognition pipeline can currently be loaded from "),Rp=s("a"),fE=o("pipeline()"),uE=o(` using the following task identifier:
`),nu=s("code"),gE=o('"ner"'),_E=o(" (for predicting the classes of tokens in a sequence: person, organisation, location or miscellaneous)."),bE=p(),fi=s("p"),wE=o(`The models that this pipeline can use are models that have been fine-tuned on a token classification task. See the
up-to-date list of available models on
`),ui=s("a"),vE=o("huggingface.co/models"),xE=o("."),kE=p(),Xs=s("div"),_(gi.$$.fragment),PE=p(),su=s("p"),TE=o("Classify each token of the text(s) given as inputs."),yE=p(),nt=s("div"),_(_i.$$.fragment),$E=p(),au=s("p"),jE=o("Override tokens from a given word that disagree to force agreement on word boundaries."),EE=p(),ru=s("p"),qE=o(`Example: micro|soft| com|pany| B-ENT I-NAME I-ENT I-ENT will be rewritten with first strategy as microsoft|
company| B-ENT I-ENT`),AE=p(),Js=s("div"),_(bi.$$.fragment),DE=p(),ou=s("p"),CE=o("Fuse various numpy arrays into dicts with all the information needed for aggregation"),IE=p(),ea=s("div"),_(wi.$$.fragment),zE=p(),iu=s("p"),SE=o("Find and group together the adjacent tokens with the same entity predicted."),ME=p(),ta=s("div"),_(vi.$$.fragment),FE=p(),lu=s("p"),LE=o("Group together the adjacent tokens with the same entity predicted."),kb=p(),ln=s("h3"),na=s("a"),pu=s("span"),_(xi.$$.fragment),OE=p(),cu=s("span"),NE=o("TranslationPipeline"),Pb=p(),me=s("div"),_(ki.$$.fragment),UE=p(),du=s("p"),GE=o("Translates from one language to another."),RE=p(),pn=s("p"),QE=o("This translation pipeline can currently be loaded from "),Qp=s("a"),VE=o("pipeline()"),HE=o(` using the following task identifier:
`),mu=s("code"),WE=o('"translation_xx_to_yy"'),ZE=o("."),BE=p(),sa=s("p"),YE=o(`The models that this pipeline can use are models that have been fine-tuned on a translation task. See the
up-to-date list of available models on `),Pi=s("a"),KE=o("huggingface.co/models"),XE=o(`.
For a list of available parameters, see the `),Ti=s("a"),JE=o(`following
documentation`),eq=p(),_(aa.$$.fragment),tq=p(),ra=s("div"),_(yi.$$.fragment),nq=p(),hu=s("p"),sq=o("Translate the text(s) given as inputs."),Tb=p(),cn=s("h3"),oa=s("a"),fu=s("span"),_($i.$$.fragment),aq=p(),uu=s("span"),rq=o("VisualQuestionAnsweringPipeline"),yb=p(),ne=s("div"),_(ji.$$.fragment),oq=p(),Ei=s("p"),iq=o("Visual Question Answering pipeline using a "),gu=s("code"),lq=o("AutoModelForVisualQuestionAnswering"),pq=o(`. This pipeline is currently only
available in PyTorch.`),cq=p(),_(ia.$$.fragment),dq=p(),_u=s("p"),Vp=s("a"),mq=o("Learn more about the basics of using a pipeline in the [pipeline tutorial]"),hq=p(),dn=s("p"),fq=o("This visual question answering pipeline can currently be loaded from "),Hp=s("a"),uq=o("pipeline()"),gq=o(` using the following task
identifiers: `),bu=s("code"),_q=o('"visual-question-answering", "vqa"'),bq=o("."),wq=p(),qi=s("p"),vq=o(`The models that this pipeline can use are models that have been fine-tuned on a visual question answering task. See
the up-to-date list of available models on
`),Ai=s("a"),xq=o("huggingface.co/models"),kq=o("."),Pq=p(),st=s("div"),_(Di.$$.fragment),Tq=p(),wu=s("p"),yq=o(`Answers open-ended questions about images. The pipeline accepts several types of inputs which are detailed
below:`),$q=p(),Ze=s("ul"),vu=s("li"),xu=s("code"),jq=o("pipeline(image=image, question=question)"),Eq=p(),ku=s("li"),Pu=s("code"),qq=o('pipeline({"image": image, "question": question})'),Aq=p(),Tu=s("li"),yu=s("code"),Dq=o('pipeline([{"image": image, "question": question}])'),Cq=p(),$u=s("li"),ju=s("code"),Iq=o('pipeline([{"image": image, "question": question}, {"image": image, "question": question}])'),$b=p(),mn=s("h3"),la=s("a"),Eu=s("span"),_(Ci.$$.fragment),zq=p(),qu=s("span"),Sq=o("ZeroShotClassificationPipeline"),jb=p(),R=s("div"),_(Ii.$$.fragment),Mq=p(),Be=s("p"),Fq=o("NLI-based zero-shot classification pipeline using a "),Au=s("code"),Lq=o("ModelForSequenceClassification"),Oq=o(` trained on NLI (natural
language inference) tasks. Equivalent of `),Du=s("code"),Nq=o("text-classification"),Uq=o(` pipelines, but these models don\u2019t require a
hardcoded number of potential classes, they can be chosen at runtime. It usually means it\u2019s slower but it is
`),Cu=s("strong"),Gq=o("much"),Rq=o(" more flexible."),Qq=p(),Ye=s("p"),Vq=o(`Any combination of sequences and labels can be passed and each combination will be posed as a premise/hypothesis
pair and passed to the pretrained model. Then, the logit for `),Iu=s("em"),Hq=o("entailment"),Wq=o(` is taken as the logit for the candidate
label being valid. Any NLI model can be used, but the id of the `),zu=s("em"),Zq=o("entailment"),Bq=o(` label must be included in the model
config\u2019s :attr:`),Su=s("em"),Yq=o("~transformers.PretrainedConfig.label2id"),Kq=o("."),Xq=p(),_(pa.$$.fragment),Jq=p(),Mu=s("p"),Wp=s("a"),e3=o("Learn more about the basics of using a pipeline in the [pipeline tutorial]"),t3=p(),hn=s("p"),n3=o("This NLI pipeline can currently be loaded from "),Zp=s("a"),s3=o("pipeline()"),a3=o(` using the following task identifier:
`),Fu=s("code"),r3=o('"zero-shot-classification"'),o3=o("."),i3=p(),zi=s("p"),l3=o(`The models that this pipeline can use are models that have been fine-tuned on an NLI task. See the up-to-date list
of available models on `),Si=s("a"),p3=o("huggingface.co/models"),c3=o("."),d3=p(),ca=s("div"),_(Mi.$$.fragment),m3=p(),Fi=s("p"),h3=o("Classify the sequence(s) given as inputs. See the "),Bp=s("a"),f3=o("ZeroShotClassificationPipeline"),u3=o(` documentation for more
information.`),Eb=p(),fn=s("h3"),da=s("a"),Lu=s("span"),_(Li.$$.fragment),g3=p(),Ou=s("span"),_3=o("ZeroShotImageClassificationPipeline"),qb=p(),se=s("div"),_(Oi.$$.fragment),b3=p(),un=s("p"),w3=o("Zero shot image classification pipeline using "),Nu=s("code"),v3=o("CLIPModel"),x3=o(`. This pipeline predicts the class of an image when you
provide an image and a set of `),Uu=s("code"),k3=o("candidate_labels"),P3=o("."),T3=p(),_(ma.$$.fragment),y3=p(),Gu=s("p"),Yp=s("a"),$3=o("Learn more about the basics of using a pipeline in the [pipeline tutorial]"),j3=p(),gn=s("p"),E3=o("This image classification pipeline can currently be loaded from "),Kp=s("a"),q3=o("pipeline()"),A3=o(` using the following task identifier:
`),Ru=s("code"),D3=o('"zero-shot-image-classification"'),C3=o("."),I3=p(),Ni=s("p"),z3=o(`See the list of available models on
`),Ui=s("a"),S3=o("huggingface.co/models"),M3=o("."),F3=p(),ha=s("div"),_(Gi.$$.fragment),L3=p(),Qu=s("p"),O3=o("Assign labels to the image(s) passed as inputs."),Ab=p(),_n=s("h3"),fa=s("a"),Vu=s("span"),_(Ri.$$.fragment),N3=p(),Hu=s("span"),U3=o("ZeroShotObjectDetectionPipeline"),Db=p(),ae=s("div"),_(Qi.$$.fragment),G3=p(),bn=s("p"),R3=o("Zero shot object detection pipeline using "),Wu=s("code"),Q3=o("OwlViTForObjectDetection"),V3=o(`. This pipeline predicts bounding boxes of
objects when you provide an image and a set of `),Zu=s("code"),H3=o("candidate_labels"),W3=o("."),Z3=p(),_(ua.$$.fragment),B3=p(),Bu=s("p"),Xp=s("a"),Y3=o("Learn more about the basics of using a pipeline in the [pipeline tutorial]"),K3=p(),wn=s("p"),X3=o("This object detection pipeline can currently be loaded from "),Jp=s("a"),J3=o("pipeline()"),e5=o(` using the following task identifier:
`),Yu=s("code"),t5=o('"zero-shot-object-detection"'),n5=o("."),s5=p(),Vi=s("p"),a5=o(`See the list of available models on
`),Hi=s("a"),r5=o("huggingface.co/models"),o5=o("."),i5=p(),ga=s("div"),_(Wi.$$.fragment),l5=p(),Ku=s("p"),p5=o("Detect objects (bounding boxes & classes) in the image(s) passed as inputs."),Cb=p(),vn=s("h2"),_a=s("a"),Xu=s("span"),_(Zi.$$.fragment),c5=p(),ec=s("span"),d5=o("Parent class: "),Ju=s("code"),m5=o("Pipeline"),Ib=p(),D=s("div"),_(Bi.$$.fragment),h5=p(),eg=s("p"),f5=o(`The Pipeline class is the class from which all pipelines inherit. Refer to this class for methods shared across
different pipelines.`),u5=p(),tg=s("p"),g5=o(`Base class implementing pipelined operations. Pipeline workflow is defined as a sequence of the following
operations:`),_5=p(),ng=s("p"),b5=o("Input -> Tokenization -> Model Inference -> Post-Processing (task dependent) -> Output"),w5=p(),sg=s("p"),v5=o("Pipeline supports running on CPU or GPU through the device argument (see below)."),x5=p(),Fe=s("p"),k5=o("Some pipeline, like for instance "),tc=s("a"),P5=o("FeatureExtractionPipeline"),T5=o(" ("),ag=s("code"),y5=o("'feature-extraction'"),$5=o(`) output large tensor object
as nested-lists. In order to avoid dumping such large structure as textual data we provide the `),rg=s("code"),j5=o("binary_output"),E5=o(`
constructor argument. If set to `),og=s("code"),q5=o("True"),A5=o(", the output will be stored in the pickle format."),D5=p(),ba=s("div"),_(Yi.$$.fragment),C5=p(),ig=s("p"),I5=o("Check if the model class is in supported by the pipeline."),z5=p(),at=s("div"),_(Ki.$$.fragment),S5=p(),lg=s("p"),M5=o("Context Manager allowing tensor allocation on the user-specified device in framework agnostic way."),F5=p(),_(wa.$$.fragment),L5=p(),va=s("div"),_(Xi.$$.fragment),O5=p(),pg=s("p"),N5=o("Ensure PyTorch tensors are on the specified device."),U5=p(),xa=s("div"),_(Ji.$$.fragment),G5=p(),el=s("p"),R5=o("Postprocess will receive the raw outputs of the "),cg=s("code"),Q5=o("_forward"),V5=o(` method, generally tensors, and reformat them into
something more friendly. Generally it will output a list or a dict or results (containing just strings and
numbers).`),H5=p(),ka=s("div"),_(tl.$$.fragment),W5=p(),nl=s("p"),Z5=o("Scikit / Keras interface to transformers\u2019 pipelines. This method will forward to "),dg=s("strong"),B5=o("call"),Y5=o("()."),K5=p(),Pa=s("div"),_(sl.$$.fragment),X5=p(),xn=s("p"),J5=o("Preprocess will take the "),mg=s("code"),eA=o("input_"),tA=o(` of a specific pipeline and return a dictionnary of everything necessary for
`),hg=s("code"),nA=o("_forward"),sA=o(" to run properly. It should contain at least one tensor, but might have arbitrary other items."),aA=p(),Ta=s("div"),_(al.$$.fragment),rA=p(),fg=s("p"),oA=o("Save the pipeline\u2019s model and tokenizer."),iA=p(),ya=s("div"),_(rl.$$.fragment),lA=p(),ol=s("p"),pA=o("Scikit / Keras interface to transformers\u2019 pipelines. This method will forward to "),ug=s("strong"),cA=o("call"),dA=o("()."),this.h()},l(n){const m=hS('[data-svelte="svelte-1phssyn"]',document.head);u=a(m,"META",{name:!0,content:!0}),m.forEach(t),y=c(n),P=a(n,"H1",{class:!0});var il=r(P);h=a(il,"A",{id:!0,class:!0,href:!0});var gg=r(h);T=a(gg,"SPAN",{});var _g=r(T);b(l.$$.fragment,_g),_g.forEach(t),gg.forEach(t),g=c(il),Re=a(il,"SPAN",{});var bg=r(Re);W2=i(bg,"Pipelines"),bg.forEach(t),il.forEach(t),Rg=c(n),kn=a(n,"P",{});var ll=r(kn);Z2=i(ll,`The pipelines are a great and easy way to use models for inference. These pipelines are objects that abstract most of
the complex code from the library, offering a simple API dedicated to several tasks, including Named Entity
Recognition, Masked Language Modeling, Sentiment Analysis, Feature Extraction and Question Answering. See the
`),hl=a(ll,"A",{href:!0});var wg=r(hl);B2=i(wg,"task summary"),wg.forEach(t),Y2=i(ll," for examples of use."),ll.forEach(t),Qg=c(n),fl=a(n,"P",{});var vg=r(fl);K2=i(vg,"There are two categories of pipeline abstractions to be aware about:"),vg.forEach(t),Vg=c(n),Pn=a(n,"UL",{});var pl=r(Pn);Rc=a(pl,"LI",{});var xg=r(Rc);Ia=a(xg,"P",{});var cl=r(Ia);X2=i(cl,"The "),ul=a(cl,"A",{href:!0});var kg=r(ul);J2=i(kg,"pipeline()"),kg.forEach(t),ev=i(cl," which is the most powerful object encapsulating all other pipelines."),cl.forEach(t),xg.forEach(t),tv=c(pl),za=a(pl,"LI",{});var dl=r(za);Qc=a(dl,"P",{});var Pg=r(Qc);nv=i(Pg,"The other task-specific pipelines:"),Pg.forEach(t),sv=c(dl),E=a(dl,"UL",{});var q=r(E);Vc=a(q,"LI",{});var Tg=r(Vc);gl=a(Tg,"A",{href:!0});var yg=r(gl);av=i(yg,"AudioClassificationPipeline"),yg.forEach(t),Tg.forEach(t),rv=c(q),Hc=a(q,"LI",{});var $g=r(Hc);_l=a($g,"A",{href:!0});var jg=r(_l);ov=i(jg,"AutomaticSpeechRecognitionPipeline"),jg.forEach(t),$g.forEach(t),iv=c(q),Wc=a(q,"LI",{});var Eg=r(Wc);bl=a(Eg,"A",{href:!0});var qg=r(bl);lv=i(qg,"ConversationalPipeline"),qg.forEach(t),Eg.forEach(t),pv=c(q),Zc=a(q,"LI",{});var Ag=r(Zc);wl=a(Ag,"A",{href:!0});var Dg=r(wl);cv=i(Dg,"DepthEstimationPipeline"),Dg.forEach(t),Ag.forEach(t),dv=c(q),Bc=a(q,"LI",{});var Cg=r(Bc);vl=a(Cg,"A",{href:!0});var Ig=r(vl);mv=i(Ig,"DocumentQuestionAnsweringPipeline"),Ig.forEach(t),Cg.forEach(t),hv=c(q),Yc=a(q,"LI",{});var zg=r(Yc);xl=a(zg,"A",{href:!0});var Sg=r(xl);fv=i(Sg,"FeatureExtractionPipeline"),Sg.forEach(t),zg.forEach(t),uv=c(q),Kc=a(q,"LI",{});var Mg=r(Kc);kl=a(Mg,"A",{href:!0});var Fg=r(kl);gv=i(Fg,"FillMaskPipeline"),Fg.forEach(t),Mg.forEach(t),_v=c(q),Xc=a(q,"LI",{});var Lg=r(Xc);Pl=a(Lg,"A",{href:!0});var Og=r(Pl);bv=i(Og,"ImageClassificationPipeline"),Og.forEach(t),Lg.forEach(t),wv=c(q),Jc=a(q,"LI",{});var Ng=r(Jc);Tl=a(Ng,"A",{href:!0});var hA=r(Tl);vv=i(hA,"ImageSegmentationPipeline"),hA.forEach(t),Ng.forEach(t),xv=c(q),ed=a(q,"LI",{});var fA=r(ed);yl=a(fA,"A",{href:!0});var uA=r(yl);kv=i(uA,"ImageToTextPipeline"),uA.forEach(t),fA.forEach(t),Pv=c(q),td=a(q,"LI",{});var gA=r(td);$l=a(gA,"A",{href:!0});var _A=r($l);Tv=i(_A,"ObjectDetectionPipeline"),_A.forEach(t),gA.forEach(t),yv=c(q),nd=a(q,"LI",{});var bA=r(nd);jl=a(bA,"A",{href:!0});var wA=r(jl);$v=i(wA,"QuestionAnsweringPipeline"),wA.forEach(t),bA.forEach(t),jv=c(q),sd=a(q,"LI",{});var vA=r(sd);El=a(vA,"A",{href:!0});var xA=r(El);Ev=i(xA,"SummarizationPipeline"),xA.forEach(t),vA.forEach(t),qv=c(q),ad=a(q,"LI",{});var kA=r(ad);ql=a(kA,"A",{href:!0});var PA=r(ql);Av=i(PA,"TableQuestionAnsweringPipeline"),PA.forEach(t),kA.forEach(t),Dv=c(q),rd=a(q,"LI",{});var TA=r(rd);Al=a(TA,"A",{href:!0});var yA=r(Al);Cv=i(yA,"TextClassificationPipeline"),yA.forEach(t),TA.forEach(t),Iv=c(q),od=a(q,"LI",{});var $A=r(od);Dl=a($A,"A",{href:!0});var jA=r(Dl);zv=i(jA,"TextGenerationPipeline"),jA.forEach(t),$A.forEach(t),Sv=c(q),id=a(q,"LI",{});var EA=r(id);Cl=a(EA,"A",{href:!0});var qA=r(Cl);Mv=i(qA,"Text2TextGenerationPipeline"),qA.forEach(t),EA.forEach(t),Fv=c(q),ld=a(q,"LI",{});var AA=r(ld);Il=a(AA,"A",{href:!0});var DA=r(Il);Lv=i(DA,"TokenClassificationPipeline"),DA.forEach(t),AA.forEach(t),Ov=c(q),pd=a(q,"LI",{});var CA=r(pd);zl=a(CA,"A",{href:!0});var IA=r(zl);Nv=i(IA,"TranslationPipeline"),IA.forEach(t),CA.forEach(t),Uv=c(q),cd=a(q,"LI",{});var zA=r(cd);Sl=a(zA,"A",{href:!0});var SA=r(Sl);Gv=i(SA,"VisualQuestionAnsweringPipeline"),SA.forEach(t),zA.forEach(t),Rv=c(q),dd=a(q,"LI",{});var MA=r(dd);Ml=a(MA,"A",{href:!0});var FA=r(Ml);Qv=i(FA,"ZeroShotClassificationPipeline"),FA.forEach(t),MA.forEach(t),Vv=c(q),md=a(q,"LI",{});var LA=r(md);Fl=a(LA,"A",{href:!0});var OA=r(Fl);Hv=i(OA,"ZeroShotImageClassificationPipeline"),OA.forEach(t),LA.forEach(t),Wv=c(q),hd=a(q,"LI",{});var NA=r(hd);Ll=a(NA,"A",{href:!0});var UA=r(Ll);Zv=i(UA,"ZeroShotObjectDetectionPipeline"),UA.forEach(t),NA.forEach(t),q.forEach(t),dl.forEach(t),pl.forEach(t),Hg=c(n),dt=a(n,"H2",{class:!0});var Sb=r(dt);Tn=a(Sb,"A",{id:!0,class:!0,href:!0});var GA=r(Tn);fd=a(GA,"SPAN",{});var RA=r(fd);b(Sa.$$.fragment,RA),RA.forEach(t),GA.forEach(t),Bv=c(Sb),ud=a(Sb,"SPAN",{});var QA=r(ud);Yv=i(QA,"The pipeline abstraction"),QA.forEach(t),Sb.forEach(t),Wg=c(n),yn=a(n,"P",{});var Mb=r(yn);Kv=i(Mb,"The "),gd=a(Mb,"EM",{});var VA=r(gd);Xv=i(VA,"pipeline"),VA.forEach(t),Jv=i(Mb,` abstraction is a wrapper around all the other available pipelines. It is instantiated as any other
pipeline but can provide additional quality of life.`),Mb.forEach(t),Zg=c(n),Ol=a(n,"P",{});var HA=r(Ol);ex=i(HA,"Simple call on one item:"),HA.forEach(t),Bg=c(n),b(Ma.$$.fragment,n),Yg=c(n),$n=a(n,"P",{});var Fb=r($n);tx=i(Fb,"If you want to use a specific model from the "),Fa=a(Fb,"A",{href:!0,rel:!0});var WA=r(Fa);nx=i(WA,"hub"),WA.forEach(t),sx=i(Fb,` you can ignore the task if the model on
the hub already defines it:`),Fb.forEach(t),Kg=c(n),b(La.$$.fragment,n),Xg=c(n),jn=a(n,"P",{});var Lb=r(jn);ax=i(Lb,"To call a pipeline on many items, you can either call with a "),_d=a(Lb,"EM",{});var ZA=r(_d);rx=i(ZA,"list"),ZA.forEach(t),ox=i(Lb,"."),Lb.forEach(t),Jg=c(n),b(Oa.$$.fragment,n),e_=c(n),En=a(n,"P",{});var Ob=r(En);ix=i(Ob,"To iterate of full datasets it is recommended to use a "),bd=a(Ob,"CODE",{});var BA=r(bd);lx=i(BA,"dataset"),BA.forEach(t),px=i(Ob,` directly. This means you don\u2019t need to allocate
the whole dataset at once, nor do you need to do batching yourself. This should work just as fast as custom loops on
GPU. If it doesn\u2019t don\u2019t hesitate to create an issue.`),Ob.forEach(t),t_=c(n),b(Na.$$.fragment,n),n_=c(n),Nl=a(n,"P",{});var YA=r(Nl);cx=i(YA,"For ease of use, a generator is also possible:"),YA.forEach(t),s_=c(n),b(Ua.$$.fragment,n),a_=c(n),_e=a(n,"DIV",{class:!0});var rt=r(_e);b(Ga.$$.fragment,rt),dx=c(rt),Ra=a(rt,"P",{});var Nb=r(Ra);mx=i(Nb,"Utility factory method to build a "),Ul=a(Nb,"A",{href:!0});var KA=r(Ul);hx=i(KA,"Pipeline"),KA.forEach(t),fx=i(Nb,"."),Nb.forEach(t),ux=c(rt),wd=a(rt,"P",{});var XA=r(wd);gx=i(XA,"Pipelines are made of:"),XA.forEach(t),_x=c(rt),mt=a(rt,"UL",{});var nc=r(mt);Qa=a(nc,"LI",{});var Ub=r(Qa);bx=i(Ub,"A "),Gl=a(Ub,"A",{href:!0});var JA=r(Gl);wx=i(JA,"tokenizer"),JA.forEach(t),vx=i(Ub," in charge of mapping raw textual input to token."),Ub.forEach(t),xx=c(nc),Va=a(nc,"LI",{});var Gb=r(Va);kx=i(Gb,"A "),Rl=a(Gb,"A",{href:!0});var e6=r(Rl);Px=i(e6,"model"),e6.forEach(t),Tx=i(Gb," to make predictions from the inputs."),Gb.forEach(t),yx=c(nc),vd=a(nc,"LI",{});var t6=r(vd);$x=i(t6,"Some (optional) post processing for enhancing model\u2019s output."),t6.forEach(t),nc.forEach(t),jx=c(rt),b(qn.$$.fragment,rt),rt.forEach(t),r_=c(n),ht=a(n,"H2",{class:!0});var Rb=r(ht);An=a(Rb,"A",{id:!0,class:!0,href:!0});var n6=r(An);xd=a(n6,"SPAN",{});var s6=r(xd);b(Ha.$$.fragment,s6),s6.forEach(t),n6.forEach(t),Ex=c(Rb),kd=a(Rb,"SPAN",{});var a6=r(kd);qx=i(a6,"Pipeline batching"),a6.forEach(t),Rb.forEach(t),o_=c(n),Ke=a(n,"P",{});var sc=r(Ke);Ax=i(sc,`All pipelines can use batching. This will work
whenever the pipeline uses its streaming ability (so when passing lists or `),Pd=a(sc,"CODE",{});var r6=r(Pd);Dx=i(r6,"Dataset"),r6.forEach(t),Cx=i(sc," or "),Td=a(sc,"CODE",{});var o6=r(Td);Ix=i(o6,"generator"),o6.forEach(t),zx=i(sc,")."),sc.forEach(t),i_=c(n),b(Wa.$$.fragment,n),l_=c(n),b(Dn.$$.fragment,n),p_=c(n),b(Za.$$.fragment,n),c_=c(n),b(Ba.$$.fragment,n),d_=c(n),Ql=a(n,"P",{});var i6=r(Ql);Sx=i(i6,"Example where it\u2019s most a slowdown:"),i6.forEach(t),m_=c(n),b(Ya.$$.fragment,n),h_=c(n),Cn=a(n,"P",{});var Qb=r(Cn);Mx=i(Qb,"This is a occasional very long sentence compared to the other. In that case, the "),yd=a(Qb,"STRONG",{});var l6=r(yd);Fx=i(l6,"whole"),l6.forEach(t),Lx=i(Qb,` batch will need to be 400
tokens long, so the whole batch will be [64, 400] instead of [64, 4], leading to the high slowdown. Even worse, on
bigger batches, the program simply crashes.`),Qb.forEach(t),f_=c(n),b(Ka.$$.fragment,n),u_=c(n),Vl=a(n,"P",{});var p6=r(Vl);Ox=i(p6,`There are no good (general) solutions for this problem, and your mileage may vary depending on your use cases. Rule of
thumb:`),p6.forEach(t),g_=c(n),Hl=a(n,"P",{});var c6=r(Hl);Nx=i(c6,"For users, a rule of thumb is:"),c6.forEach(t),__=c(n),we=a(n,"UL",{});var ot=r(we);$d=a(ot,"LI",{});var d6=r($d);jd=a(d6,"P",{});var m6=r(jd);Ed=a(m6,"STRONG",{});var h6=r(Ed);Ux=i(h6,`Measure performance on your load, with your hardware. Measure, measure, and keep measuring. Real numbers are the
only way to go.`),h6.forEach(t),m6.forEach(t),d6.forEach(t),Gx=c(ot),qd=a(ot,"LI",{});var f6=r(qd);Ad=a(f6,"P",{});var u6=r(Ad);Rx=i(u6,"If you are latency constrained (live product doing inference), don\u2019t batch"),u6.forEach(t),f6.forEach(t),Qx=c(ot),Dd=a(ot,"LI",{});var g6=r(Dd);Cd=a(g6,"P",{});var _6=r(Cd);Vx=i(_6,"If you are using CPU, don\u2019t batch."),_6.forEach(t),g6.forEach(t),Hx=c(ot),Xa=a(ot,"LI",{});var Vb=r(Xa);Id=a(Vb,"P",{});var b6=r(Id);Wx=i(b6,"If you are using throughput (you want to run your model on a bunch of static data), on GPU, then:"),b6.forEach(t),Zx=c(Vb),ft=a(Vb,"UL",{});var ac=r(ft);zd=a(ac,"LI",{});var w6=r(zd);Bx=i(w6,`If you have no clue about the size of the sequence_length (\u201Cnatural\u201D data), by default don\u2019t batch, measure and
try tentatively to add it, add OOM checks to recover when it will fail (and it will at some point if you don\u2019t
control the sequence_length.)`),w6.forEach(t),Yx=c(ac),Sd=a(ac,"LI",{});var v6=r(Sd);Kx=i(v6,`If your sequence_length is super regular, then batching is more likely to be VERY interesting, measure and push
it until you get OOMs.`),v6.forEach(t),Xx=c(ac),Md=a(ac,"LI",{});var x6=r(Md);Jx=i(x6,"The larger the GPU the more likely batching is going to be more interesting"),x6.forEach(t),ac.forEach(t),Vb.forEach(t),e1=c(ot),Fd=a(ot,"LI",{});var k6=r(Fd);Ld=a(k6,"P",{});var P6=r(Ld);t1=i(P6,"As soon as you enable batching, make sure you can handle OOMs nicely."),P6.forEach(t),k6.forEach(t),ot.forEach(t),b_=c(n),ut=a(n,"H2",{class:!0});var Hb=r(ut);In=a(Hb,"A",{id:!0,class:!0,href:!0});var T6=r(In);Od=a(T6,"SPAN",{});var y6=r(Od);b(Ja.$$.fragment,y6),y6.forEach(t),T6.forEach(t),n1=c(Hb),Nd=a(Hb,"SPAN",{});var $6=r(Nd);s1=i($6,"Pipeline chunk batching"),$6.forEach(t),Hb.forEach(t),w_=c(n),Qe=a(n,"P",{});var ml=r(Qe);Ud=a(ml,"CODE",{});var j6=r(Ud);a1=i(j6,"zero-shot-classification"),j6.forEach(t),r1=i(ml," and "),Gd=a(ml,"CODE",{});var E6=r(Gd);o1=i(E6,"question-answering"),E6.forEach(t),i1=i(ml,` are slightly specific in the sense, that a single input might yield
multiple forward pass of a model. Under normal circumstances, this would yield issues with `),Rd=a(ml,"CODE",{});var q6=r(Rd);l1=i(q6,"batch_size"),q6.forEach(t),p1=i(ml," argument."),ml.forEach(t),v_=c(n),Xe=a(n,"P",{});var rc=r(Xe);c1=i(rc,"In order to circumvent this issue, both of these pipelines are a bit specific, they are "),Qd=a(rc,"CODE",{});var A6=r(Qd);d1=i(A6,"ChunkPipeline"),A6.forEach(t),m1=i(rc,` instead of
regular `),Vd=a(rc,"CODE",{});var D6=r(Vd);h1=i(D6,"Pipeline"),D6.forEach(t),f1=i(rc,". In short:"),rc.forEach(t),x_=c(n),b(er.$$.fragment,n),k_=c(n),Wl=a(n,"P",{});var C6=r(Wl);u1=i(C6,"Now becomes:"),C6.forEach(t),P_=c(n),b(tr.$$.fragment,n),T_=c(n),Zl=a(n,"P",{});var I6=r(Zl);g1=i(I6,`This should be very transparent to your code because the pipelines are used in
the same way.`),I6.forEach(t),y_=c(n),zn=a(n,"P",{});var Wb=r(zn);_1=i(Wb,`This is a simplified view, since the pipeline can handle automatically the batch to ! Meaning you don\u2019t have to care
about how many forward passes you inputs are actually going to trigger, you can optimize the `),Hd=a(Wb,"CODE",{});var z6=r(Hd);b1=i(z6,"batch_size"),z6.forEach(t),w1=i(Wb,`
independently of the inputs. The caveats from the previous section still apply.`),Wb.forEach(t),$_=c(n),gt=a(n,"H2",{class:!0});var Zb=r(gt);Sn=a(Zb,"A",{id:!0,class:!0,href:!0});var S6=r(Sn);Wd=a(S6,"SPAN",{});var M6=r(Wd);b(nr.$$.fragment,M6),M6.forEach(t),S6.forEach(t),v1=c(Zb),Zd=a(Zb,"SPAN",{});var F6=r(Zd);x1=i(F6,"Pipeline custom code"),F6.forEach(t),Zb.forEach(t),j_=c(n),Bl=a(n,"P",{});var L6=r(Bl);k1=i(L6,"If you want to override a specific pipeline."),L6.forEach(t),E_=c(n),Mn=a(n,"P",{});var Bb=r(Mn);P1=i(Bb,`Don\u2019t hesitate to create an issue for your task at hand, the goal of the pipeline is to be easy to use and support most
cases, so `),Bd=a(Bb,"CODE",{});var O6=r(Bd);T1=i(O6,"transformers"),O6.forEach(t),y1=i(Bb," could maybe support your use case."),Bb.forEach(t),q_=c(n),Yl=a(n,"P",{});var N6=r(Yl);$1=i(N6,"If you want to try simply you can:"),N6.forEach(t),A_=c(n),Kl=a(n,"UL",{});var U6=r(Kl);Yd=a(U6,"LI",{});var G6=r(Yd);j1=i(G6,"Subclass your pipeline of choice"),G6.forEach(t),U6.forEach(t),D_=c(n),b(sr.$$.fragment,n),C_=c(n),Xl=a(n,"P",{});var R6=r(Xl);E1=i(R6,"That should enable you to do all the custom code you want."),R6.forEach(t),I_=c(n),_t=a(n,"H2",{class:!0});var Yb=r(_t);Fn=a(Yb,"A",{id:!0,class:!0,href:!0});var Q6=r(Fn);Kd=a(Q6,"SPAN",{});var V6=r(Kd);b(ar.$$.fragment,V6),V6.forEach(t),Q6.forEach(t),q1=c(Yb),Xd=a(Yb,"SPAN",{});var H6=r(Xd);A1=i(H6,"Implementing a pipeline"),H6.forEach(t),Yb.forEach(t),z_=c(n),Jl=a(n,"P",{});var W6=r(Jl);ep=a(W6,"A",{href:!0});var Z6=r(ep);D1=i(Z6,"Implementing a new pipeline"),Z6.forEach(t),W6.forEach(t),S_=c(n),bt=a(n,"H2",{class:!0});var Kb=r(bt);Ln=a(Kb,"A",{id:!0,class:!0,href:!0});var B6=r(Ln);Jd=a(B6,"SPAN",{});var Y6=r(Jd);b(rr.$$.fragment,Y6),Y6.forEach(t),B6.forEach(t),C1=c(Kb),em=a(Kb,"SPAN",{});var K6=r(em);I1=i(K6,"The task specific pipelines"),K6.forEach(t),Kb.forEach(t),M_=c(n),wt=a(n,"H3",{class:!0});var Xb=r(wt);On=a(Xb,"A",{id:!0,class:!0,href:!0});var X6=r(On);tm=a(X6,"SPAN",{});var J6=r(tm);b(or.$$.fragment,J6),J6.forEach(t),X6.forEach(t),z1=c(Xb),nm=a(Xb,"SPAN",{});var e8=r(nm);S1=i(e8,"AudioClassificationPipeline"),e8.forEach(t),Xb.forEach(t),F_=c(n),H=a(n,"DIV",{class:!0});var ve=r(H);b(ir.$$.fragment,ve),M1=c(ve),lr=a(ve,"P",{});var Jb=r(lr);F1=i(Jb,"Audio classification pipeline using any "),sm=a(Jb,"CODE",{});var t8=r(sm);L1=i(t8,"AutoModelForAudioClassification"),t8.forEach(t),O1=i(Jb,`. This pipeline predicts the class of a
raw waveform or an audio file. In case of an audio file, ffmpeg should be installed to support multiple audio
formats.`),Jb.forEach(t),N1=c(ve),b(Nn.$$.fragment,ve),U1=c(ve),am=a(ve,"P",{});var n8=r(am);tp=a(n8,"A",{href:!0});var s8=r(tp);G1=i(s8,"Learn more about the basics of using a pipeline in the [pipeline tutorial]"),s8.forEach(t),n8.forEach(t),R1=c(ve),vt=a(ve,"P",{});var oc=r(vt);Q1=i(oc,"This pipeline can currently be loaded from "),np=a(oc,"A",{href:!0});var a8=r(np);V1=i(a8,"pipeline()"),a8.forEach(t),H1=i(oc,` using the following task identifier:
`),rm=a(oc,"CODE",{});var r8=r(rm);W1=i(r8,'"audio-classification"'),r8.forEach(t),Z1=i(oc,"."),oc.forEach(t),B1=c(ve),pr=a(ve,"P",{});var ew=r(pr);Y1=i(ew,`See the list of available models on
`),cr=a(ew,"A",{href:!0,rel:!0});var o8=r(cr);K1=i(o8,"huggingface.co/models"),o8.forEach(t),X1=i(ew,"."),ew.forEach(t),J1=c(ve),Un=a(ve,"DIV",{class:!0});var tw=r(Un);b(dr.$$.fragment,tw),ek=c(tw),mr=a(tw,"P",{});var nw=r(mr);tk=i(nw,"Classify the sequence(s) given as inputs. See the "),sp=a(nw,"A",{href:!0});var i8=r(sp);nk=i(i8,"AutomaticSpeechRecognitionPipeline"),i8.forEach(t),sk=i(nw,` documentation for more
information.`),nw.forEach(t),tw.forEach(t),ve.forEach(t),L_=c(n),xt=a(n,"H3",{class:!0});var sw=r(xt);Gn=a(sw,"A",{id:!0,class:!0,href:!0});var l8=r(Gn);om=a(l8,"SPAN",{});var p8=r(om);b(hr.$$.fragment,p8),p8.forEach(t),l8.forEach(t),ak=c(sw),im=a(sw,"SPAN",{});var c8=r(im);rk=i(c8,"AutomaticSpeechRecognitionPipeline"),c8.forEach(t),sw.forEach(t),O_=c(n),le=a(n,"DIV",{class:!0});var Oe=r(le);b(fr.$$.fragment,Oe),ok=c(Oe),lm=a(Oe,"P",{});var d8=r(lm);ik=i(d8,"Pipeline that aims at extracting spoken text contained within some audio."),d8.forEach(t),lk=c(Oe),pm=a(Oe,"P",{});var m8=r(pm);pk=i(m8,`The input can be either a raw waveform or a audio file. In case of the audio file, ffmpeg should be installed for
to support multiple audio formats`),m8.forEach(t),ck=c(Oe),b(Rn.$$.fragment,Oe),dk=c(Oe),cm=a(Oe,"P",{});var h8=r(cm);ap=a(h8,"A",{href:!0});var f8=r(ap);mk=i(f8,"Learn more about the basics of using a pipeline in the [pipeline tutorial]"),f8.forEach(t),h8.forEach(t),hk=c(Oe),Qn=a(Oe,"DIV",{class:!0});var aw=r(Qn);b(ur.$$.fragment,aw),fk=c(aw),gr=a(aw,"P",{});var rw=r(gr);uk=i(rw,"Transcribe the audio sequence(s) given as inputs to text. See the "),rp=a(rw,"A",{href:!0});var u8=r(rp);gk=i(u8,"AutomaticSpeechRecognitionPipeline"),u8.forEach(t),_k=i(rw,`
documentation for more information.`),rw.forEach(t),aw.forEach(t),Oe.forEach(t),N_=c(n),kt=a(n,"H3",{class:!0});var ow=r(kt);Vn=a(ow,"A",{id:!0,class:!0,href:!0});var g8=r(Vn);dm=a(g8,"SPAN",{});var _8=r(dm);b(_r.$$.fragment,_8),_8.forEach(t),g8.forEach(t),bk=c(ow),mm=a(ow,"SPAN",{});var b8=r(mm);wk=i(b8,"ConversationalPipeline"),b8.forEach(t),ow.forEach(t),U_=c(n),W=a(n,"DIV",{class:!0});var xe=r(W);b(br.$$.fragment,xe),vk=c(xe),Ve=a(xe,"P",{});var $a=r(Ve);xk=i($a,`Utility class containing a conversation and its history. This class is meant to be used as an input to the
`),op=a($a,"A",{href:!0});var w8=r(op);kk=i(w8,"ConversationalPipeline"),w8.forEach(t),Pk=i($a,`. The conversation contains a number of utility function to manage the addition of new
user input and generated model responses. A conversation needs to contain an unprocessed user input before being
passed to the `),ip=a($a,"A",{href:!0});var v8=r(ip);Tk=i(v8,"ConversationalPipeline"),v8.forEach(t),yk=i($a,`. This user input is either created when the class is instantiated, or by
calling `),hm=a($a,"CODE",{});var x8=r(hm);$k=i(x8,'conversational_pipeline.append_response("input")'),x8.forEach(t),jk=i($a," after a conversation turn."),$a.forEach(t),Ek=c(xe),b(Hn.$$.fragment,xe),qk=c(xe),Wn=a(xe,"DIV",{class:!0});var iw=r(Wn);b(wr.$$.fragment,iw),Ak=c(iw),vr=a(iw,"P",{});var lw=r(vr);Dk=i(lw,"Add a user input to the conversation for the next round. This populates the internal "),fm=a(lw,"CODE",{});var k8=r(fm);Ck=i(k8,"new_user_input"),k8.forEach(t),Ik=i(lw," field."),lw.forEach(t),iw.forEach(t),zk=c(xe),Zn=a(xe,"DIV",{class:!0});var pw=r(Zn);b(xr.$$.fragment,pw),Sk=c(pw),um=a(pw,"P",{});var P8=r(um);Mk=i(P8,"Append a response to the list of generated responses."),P8.forEach(t),pw.forEach(t),Fk=c(xe),Je=a(xe,"DIV",{class:!0});var ic=r(Je);b(kr.$$.fragment,ic),Lk=c(ic),gm=a(ic,"P",{});var T8=r(gm);Ok=i(T8,"Iterates over all blobs of the conversation."),T8.forEach(t),Nk=c(ic),Se=a(ic,"P",{});var it=r(Se);Uk=i(it,"Returns: Iterator of (is_user, text_chunk) in chronological order of the conversation. "),_m=a(it,"CODE",{});var y8=r(_m);Gk=i(y8,"is_user"),y8.forEach(t),Rk=i(it," is a "),bm=a(it,"CODE",{});var $8=r(bm);Qk=i($8,"bool"),$8.forEach(t),Vk=i(it,`,
`),wm=a(it,"CODE",{});var j8=r(wm);Hk=i(j8,"text_chunks"),j8.forEach(t),Wk=i(it," is a "),vm=a(it,"CODE",{});var E8=r(vm);Zk=i(E8,"str"),E8.forEach(t),Bk=i(it,"."),it.forEach(t),ic.forEach(t),Yk=c(xe),Bn=a(xe,"DIV",{class:!0});var cw=r(Bn);b(Pr.$$.fragment,cw),Kk=c(cw),He=a(cw,"P",{});var ja=r(He);Xk=i(ja,"Mark the conversation as processed (moves the content of "),xm=a(ja,"CODE",{});var q8=r(xm);Jk=i(q8,"new_user_input"),q8.forEach(t),eP=i(ja," to "),km=a(ja,"CODE",{});var A8=r(km);tP=i(A8,"past_user_inputs"),A8.forEach(t),nP=i(ja,`) and empties
the `),Pm=a(ja,"CODE",{});var D8=r(Pm);sP=i(D8,"new_user_input"),D8.forEach(t),aP=i(ja," field."),ja.forEach(t),cw.forEach(t),xe.forEach(t),G_=c(n),Z=a(n,"DIV",{class:!0});var ke=r(Z);b(Tr.$$.fragment,ke),rP=c(ke),Tm=a(ke,"P",{});var C8=r(Tm);oP=i(C8,"Multi-turn conversational pipeline."),C8.forEach(t),iP=c(ke),b(Yn.$$.fragment,ke),lP=c(ke),ym=a(ke,"P",{});var I8=r(ym);lp=a(I8,"A",{href:!0});var z8=r(lp);pP=i(z8,"Learn more about the basics of using a pipeline in the [pipeline tutorial]"),z8.forEach(t),I8.forEach(t),cP=c(ke),Pt=a(ke,"P",{});var lc=r(Pt);dP=i(lc,"This conversational pipeline can currently be loaded from "),pp=a(lc,"A",{href:!0});var S8=r(pp);mP=i(S8,"pipeline()"),S8.forEach(t),hP=i(lc,` using the following task identifier:
`),$m=a(lc,"CODE",{});var M8=r($m);fP=i(M8,'"conversational"'),M8.forEach(t),uP=i(lc,"."),lc.forEach(t),gP=c(ke),Me=a(ke,"P",{});var lt=r(Me);_P=i(lt,`The models that this pipeline can use are models that have been fine-tuned on a multi-turn conversational task,
currently: `),jm=a(lt,"EM",{});var F8=r(jm);bP=i(F8,"\u2018microsoft/DialoGPT-small\u2019"),F8.forEach(t),wP=i(lt,", "),Em=a(lt,"EM",{});var L8=r(Em);vP=i(L8,"\u2018microsoft/DialoGPT-medium\u2019"),L8.forEach(t),xP=i(lt,", "),qm=a(lt,"EM",{});var O8=r(qm);kP=i(O8,"\u2018microsoft/DialoGPT-large\u2019"),O8.forEach(t),PP=i(lt,`. See the
up-to-date list of available models on
`),yr=a(lt,"A",{href:!0,rel:!0});var N8=r(yr);TP=i(N8,"huggingface.co/models"),N8.forEach(t),yP=i(lt,"."),lt.forEach(t),$P=c(ke),Kn=a(ke,"DIV",{class:!0});var dw=r(Kn);b($r.$$.fragment,dw),jP=c(dw),Am=a(dw,"P",{});var U8=r(Am);EP=i(U8,"Generate responses for the conversation(s) given as inputs."),U8.forEach(t),dw.forEach(t),ke.forEach(t),R_=c(n),Tt=a(n,"H3",{class:!0});var mw=r(Tt);Xn=a(mw,"A",{id:!0,class:!0,href:!0});var G8=r(Xn);Dm=a(G8,"SPAN",{});var R8=r(Dm);b(jr.$$.fragment,R8),R8.forEach(t),G8.forEach(t),qP=c(mw),Cm=a(mw,"SPAN",{});var Q8=r(Cm);AP=i(Q8,"DepthEstimationPipeline"),Q8.forEach(t),mw.forEach(t),Q_=c(n),B=a(n,"DIV",{class:!0});var Pe=r(B);b(Er.$$.fragment,Pe),DP=c(Pe),qr=a(Pe,"P",{});var hw=r(qr);CP=i(hw,"Depth estimation pipeline using any "),Im=a(hw,"CODE",{});var V8=r(Im);IP=i(V8,"AutoModelForDepthEstimation"),V8.forEach(t),zP=i(hw,". This pipeline predicts the depth of an image."),hw.forEach(t),SP=c(Pe),b(Jn.$$.fragment,Pe),MP=c(Pe),zm=a(Pe,"P",{});var H8=r(zm);cp=a(H8,"A",{href:!0});var W8=r(cp);FP=i(W8,"Learn more about the basics of using a pipeline in the [pipeline tutorial]"),W8.forEach(t),H8.forEach(t),LP=c(Pe),yt=a(Pe,"P",{});var pc=r(yt);OP=i(pc,"This depth estimation pipeline can currently be loaded from "),dp=a(pc,"A",{href:!0});var Z8=r(dp);NP=i(Z8,"pipeline()"),Z8.forEach(t),UP=i(pc,` using the following task identifier:
`),Sm=a(pc,"CODE",{});var B8=r(Sm);GP=i(B8,'"depth-estimation"'),B8.forEach(t),RP=i(pc,"."),pc.forEach(t),QP=c(Pe),Ar=a(Pe,"P",{});var fw=r(Ar);VP=i(fw,"See the list of available models on "),Dr=a(fw,"A",{href:!0,rel:!0});var Y8=r(Dr);HP=i(Y8,"huggingface.co/models"),Y8.forEach(t),WP=i(fw,"."),fw.forEach(t),ZP=c(Pe),es=a(Pe,"DIV",{class:!0});var uw=r(es);b(Cr.$$.fragment,uw),BP=c(uw),Mm=a(uw,"P",{});var K8=r(Mm);YP=i(K8,"Assign labels to the image(s) passed as inputs."),K8.forEach(t),uw.forEach(t),Pe.forEach(t),V_=c(n),$t=a(n,"H3",{class:!0});var gw=r($t);ts=a(gw,"A",{id:!0,class:!0,href:!0});var X8=r(ts);Fm=a(X8,"SPAN",{});var J8=r(Fm);b(Ir.$$.fragment,J8),J8.forEach(t),X8.forEach(t),KP=c(gw),Lm=a(gw,"SPAN",{});var eD=r(Lm);XP=i(eD,"DocumentQuestionAnsweringPipeline"),eD.forEach(t),gw.forEach(t),H_=c(n),Y=a(n,"DIV",{class:!0});var Te=r(Y);b(zr.$$.fragment,Te),JP=c(Te),Sr=a(Te,"P",{});var _w=r(Sr);eT=i(_w,"Document Question Answering pipeline using any "),Om=a(_w,"CODE",{});var tD=r(Om);tT=i(tD,"AutoModelForDocumentQuestionAnswering"),tD.forEach(t),nT=i(_w,`. The inputs/outputs are
similar to the (extractive) question answering pipeline; however, the pipeline takes an image (and optional OCR\u2019d
words/boxes) as input instead of text context.`),_w.forEach(t),sT=c(Te),b(ns.$$.fragment,Te),aT=c(Te),Nm=a(Te,"P",{});var nD=r(Nm);mp=a(nD,"A",{href:!0});var sD=r(mp);rT=i(sD,"Learn more about the basics of using a pipeline in the [pipeline tutorial]"),sD.forEach(t),nD.forEach(t),oT=c(Te),jt=a(Te,"P",{});var cc=r(jt);iT=i(cc,"This document question answering pipeline can currently be loaded from "),hp=a(cc,"A",{href:!0});var aD=r(hp);lT=i(aD,"pipeline()"),aD.forEach(t),pT=i(cc,` using the following task
identifier: `),Um=a(cc,"CODE",{});var rD=r(Um);cT=i(rD,'"document-question-answering"'),rD.forEach(t),dT=i(cc,"."),cc.forEach(t),mT=c(Te),Mr=a(Te,"P",{});var bw=r(Mr);hT=i(bw,`The models that this pipeline can use are models that have been fine-tuned on a document question answering task.
See the up-to-date list of available models on
`),Fr=a(bw,"A",{href:!0,rel:!0});var oD=r(Fr);fT=i(oD,"huggingface.co/models"),oD.forEach(t),uT=i(bw,"."),bw.forEach(t),gT=c(Te),Le=a(Te,"DIV",{class:!0});var Ea=r(Le);b(Lr.$$.fragment,Ea),_T=c(Ea),Or=a(Ea,"P",{});var ww=r(Or);bT=i(ww,`Answer the question(s) given as inputs by using the document(s). A document is defined as an image and an
optional list of (word, box) tuples which represent the text in the document. If the `),Gm=a(ww,"CODE",{});var iD=r(Gm);wT=i(iD,"word_boxes"),iD.forEach(t),vT=i(ww,` are not
provided, it will use the Tesseract OCR engine (if available) to extract the words and boxes automatically for
LayoutLM-like models which require them as input. For Donut, no OCR is run.`),ww.forEach(t),xT=c(Ea),Rm=a(Ea,"P",{});var lD=r(Rm);kT=i(lD,"You can invoke the pipeline several ways:"),lD.forEach(t),PT=c(Ea),We=a(Ea,"UL",{});var qa=r(We);Qm=a(qa,"LI",{});var pD=r(Qm);Vm=a(pD,"CODE",{});var cD=r(Vm);TT=i(cD,"pipeline(image=image, question=question)"),cD.forEach(t),pD.forEach(t),yT=c(qa),Hm=a(qa,"LI",{});var dD=r(Hm);Wm=a(dD,"CODE",{});var mD=r(Wm);$T=i(mD,"pipeline(image=image, question=question, word_boxes=word_boxes)"),mD.forEach(t),dD.forEach(t),jT=c(qa),Zm=a(qa,"LI",{});var hD=r(Zm);Bm=a(hD,"CODE",{});var fD=r(Bm);ET=i(fD,'pipeline([{"image": image, "question": question}])'),fD.forEach(t),hD.forEach(t),qT=c(qa),Ym=a(qa,"LI",{});var uD=r(Ym);Km=a(uD,"CODE",{});var gD=r(Km);AT=i(gD,'pipeline([{"image": image, "question": question, "word_boxes": word_boxes}])'),gD.forEach(t),uD.forEach(t),qa.forEach(t),Ea.forEach(t),Te.forEach(t),W_=c(n),Et=a(n,"H3",{class:!0});var vw=r(Et);ss=a(vw,"A",{id:!0,class:!0,href:!0});var _D=r(ss);Xm=a(_D,"SPAN",{});var bD=r(Xm);b(Nr.$$.fragment,bD),bD.forEach(t),_D.forEach(t),DT=c(vw),Jm=a(vw,"SPAN",{});var wD=r(Jm);CT=i(wD,"FeatureExtractionPipeline"),wD.forEach(t),vw.forEach(t),Z_=c(n),K=a(n,"DIV",{class:!0});var ye=r(K);b(Ur.$$.fragment,ye),IT=c(ye),eh=a(ye,"P",{});var vD=r(eh);zT=i(vD,`Feature extraction pipeline using no model head. This pipeline extracts the hidden states from the base
transformer, which can be used as features in downstream tasks.`),vD.forEach(t),ST=c(ye),b(as.$$.fragment,ye),MT=c(ye),th=a(ye,"P",{});var xD=r(th);fp=a(xD,"A",{href:!0});var kD=r(fp);FT=i(kD,"Learn more about the basics of using a pipeline in the [pipeline tutorial]"),kD.forEach(t),xD.forEach(t),LT=c(ye),qt=a(ye,"P",{});var dc=r(qt);OT=i(dc,"This feature extraction pipeline can currently be loaded from "),up=a(dc,"A",{href:!0});var PD=r(up);NT=i(PD,"pipeline()"),PD.forEach(t),UT=i(dc,` using the task identifier:
`),nh=a(dc,"CODE",{});var TD=r(nh);GT=i(TD,'"feature-extraction"'),TD.forEach(t),RT=i(dc,"."),dc.forEach(t),QT=c(ye),Gr=a(ye,"P",{});var xw=r(Gr);VT=i(xw,`All models may be used for this pipeline. See a list of all models, including community-contributed models on
`),Rr=a(xw,"A",{href:!0,rel:!0});var yD=r(Rr);HT=i(yD,"huggingface.co/models"),yD.forEach(t),WT=i(xw,"."),xw.forEach(t),ZT=c(ye),rs=a(ye,"DIV",{class:!0});var kw=r(rs);b(Qr.$$.fragment,kw),BT=c(kw),sh=a(kw,"P",{});var $D=r(sh);YT=i($D,"Extract the features of the input(s)."),$D.forEach(t),kw.forEach(t),ye.forEach(t),B_=c(n),At=a(n,"H3",{class:!0});var Pw=r(At);os=a(Pw,"A",{id:!0,class:!0,href:!0});var jD=r(os);ah=a(jD,"SPAN",{});var ED=r(ah);b(Vr.$$.fragment,ED),ED.forEach(t),jD.forEach(t),KT=c(Pw),rh=a(Pw,"SPAN",{});var qD=r(rh);XT=i(qD,"FillMaskPipeline"),qD.forEach(t),Pw.forEach(t),Y_=c(n),U=a(n,"DIV",{class:!0});var fe=r(U);b(Hr.$$.fragment,fe),JT=c(fe),Dt=a(fe,"P",{});var mc=r(Dt);ey=i(mc,"Masked language modeling prediction pipeline using any "),oh=a(mc,"CODE",{});var AD=r(oh);ty=i(AD,"ModelWithLMHead"),AD.forEach(t),ny=i(mc,". See the "),gp=a(mc,"A",{href:!0});var DD=r(gp);sy=i(DD,`masked language modeling
examples`),DD.forEach(t),ay=i(mc," for more information."),mc.forEach(t),ry=c(fe),b(is.$$.fragment,fe),oy=c(fe),ih=a(fe,"P",{});var CD=r(ih);_p=a(CD,"A",{href:!0});var ID=r(_p);iy=i(ID,"Learn more about the basics of using a pipeline in the [pipeline tutorial]"),ID.forEach(t),CD.forEach(t),ly=c(fe),Ct=a(fe,"P",{});var hc=r(Ct);py=i(hc,"This mask filling pipeline can currently be loaded from "),bp=a(hc,"A",{href:!0});var zD=r(bp);cy=i(zD,"pipeline()"),zD.forEach(t),dy=i(hc,` using the following task identifier:
`),lh=a(hc,"CODE",{});var SD=r(lh);my=i(SD,'"fill-mask"'),SD.forEach(t),hy=i(hc,"."),hc.forEach(t),fy=c(fe),Wr=a(fe,"P",{});var Tw=r(Wr);uy=i(Tw,`The models that this pipeline can use are models that have been trained with a masked language modeling objective,
which includes the bi-directional models in the library. See the up-to-date list of available models on
`),Zr=a(Tw,"A",{href:!0,rel:!0});var MD=r(Zr);gy=i(MD,"huggingface.co/models"),MD.forEach(t),_y=i(Tw,"."),Tw.forEach(t),by=c(fe),b(ls.$$.fragment,fe),wy=c(fe),ps=a(fe,"DIV",{class:!0});var yw=r(ps);b(Br.$$.fragment,yw),vy=c(yw),ph=a(yw,"P",{});var FD=r(ph);xy=i(FD,"Fill the masked token in the text(s) given as inputs."),FD.forEach(t),yw.forEach(t),fe.forEach(t),K_=c(n),It=a(n,"H3",{class:!0});var $w=r(It);cs=a($w,"A",{id:!0,class:!0,href:!0});var LD=r(cs);ch=a(LD,"SPAN",{});var OD=r(ch);b(Yr.$$.fragment,OD),OD.forEach(t),LD.forEach(t),ky=c($w),dh=a($w,"SPAN",{});var ND=r(dh);Py=i(ND,"ImageClassificationPipeline"),ND.forEach(t),$w.forEach(t),X_=c(n),X=a(n,"DIV",{class:!0});var $e=r(X);b(Kr.$$.fragment,$e),Ty=c($e),Xr=a($e,"P",{});var jw=r(Xr);yy=i(jw,"Image classification pipeline using any "),mh=a(jw,"CODE",{});var UD=r(mh);$y=i(UD,"AutoModelForImageClassification"),UD.forEach(t),jy=i(jw,`. This pipeline predicts the class of an
image.`),jw.forEach(t),Ey=c($e),b(ds.$$.fragment,$e),qy=c($e),hh=a($e,"P",{});var GD=r(hh);wp=a(GD,"A",{href:!0});var RD=r(wp);Ay=i(RD,"Learn more about the basics of using a pipeline in the [pipeline tutorial]"),RD.forEach(t),GD.forEach(t),Dy=c($e),zt=a($e,"P",{});var fc=r(zt);Cy=i(fc,"This image classification pipeline can currently be loaded from "),vp=a(fc,"A",{href:!0});var QD=r(vp);Iy=i(QD,"pipeline()"),QD.forEach(t),zy=i(fc,` using the following task identifier:
`),fh=a(fc,"CODE",{});var VD=r(fh);Sy=i(VD,'"image-classification"'),VD.forEach(t),My=i(fc,"."),fc.forEach(t),Fy=c($e),Jr=a($e,"P",{});var Ew=r(Jr);Ly=i(Ew,`See the list of available models on
`),eo=a(Ew,"A",{href:!0,rel:!0});var HD=r(eo);Oy=i(HD,"huggingface.co/models"),HD.forEach(t),Ny=i(Ew,"."),Ew.forEach(t),Uy=c($e),ms=a($e,"DIV",{class:!0});var qw=r(ms);b(to.$$.fragment,qw),Gy=c(qw),uh=a(qw,"P",{});var WD=r(uh);Ry=i(WD,"Assign labels to the image(s) passed as inputs."),WD.forEach(t),qw.forEach(t),$e.forEach(t),J_=c(n),St=a(n,"H3",{class:!0});var Aw=r(St);hs=a(Aw,"A",{id:!0,class:!0,href:!0});var ZD=r(hs);gh=a(ZD,"SPAN",{});var BD=r(gh);b(no.$$.fragment,BD),BD.forEach(t),ZD.forEach(t),Qy=c(Aw),_h=a(Aw,"SPAN",{});var YD=r(_h);Vy=i(YD,"ImageSegmentationPipeline"),YD.forEach(t),Aw.forEach(t),eb=c(n),pe=a(n,"DIV",{class:!0});var Ne=r(pe);b(so.$$.fragment,Ne),Hy=c(Ne),ao=a(Ne,"P",{});var Dw=r(ao);Wy=i(Dw,"Image segmentation pipeline using any "),bh=a(Dw,"CODE",{});var KD=r(bh);Zy=i(KD,"AutoModelForXXXSegmentation"),KD.forEach(t),By=i(Dw,`. This pipeline predicts masks of objects and
their classes.`),Dw.forEach(t),Yy=c(Ne),b(fs.$$.fragment,Ne),Ky=c(Ne),Mt=a(Ne,"P",{});var uc=r(Mt);Xy=i(uc,"This image segmentation pipeline can currently be loaded from "),xp=a(uc,"A",{href:!0});var XD=r(xp);Jy=i(XD,"pipeline()"),XD.forEach(t),e0=i(uc,` using the following task identifier:
`),wh=a(uc,"CODE",{});var JD=r(wh);t0=i(JD,'"image-segmentation"'),JD.forEach(t),n0=i(uc,"."),uc.forEach(t),s0=c(Ne),ro=a(Ne,"P",{});var Cw=r(ro);a0=i(Cw,`See the list of available models on
`),oo=a(Cw,"A",{href:!0,rel:!0});var eC=r(oo);r0=i(eC,"huggingface.co/models"),eC.forEach(t),o0=i(Cw,"."),Cw.forEach(t),i0=c(Ne),us=a(Ne,"DIV",{class:!0});var Iw=r(us);b(io.$$.fragment,Iw),l0=c(Iw),vh=a(Iw,"P",{});var tC=r(vh);p0=i(tC,"Perform segmentation (detect masks & classes) in the image(s) passed as inputs."),tC.forEach(t),Iw.forEach(t),Ne.forEach(t),tb=c(n),Ft=a(n,"H3",{class:!0});var zw=r(Ft);gs=a(zw,"A",{id:!0,class:!0,href:!0});var nC=r(gs);xh=a(nC,"SPAN",{});var sC=r(xh);b(lo.$$.fragment,sC),sC.forEach(t),nC.forEach(t),c0=c(zw),kh=a(zw,"SPAN",{});var aC=r(kh);d0=i(aC,"ImageToTextPipeline"),aC.forEach(t),zw.forEach(t),nb=c(n),J=a(n,"DIV",{class:!0});var je=r(J);b(po.$$.fragment,je),m0=c(je),co=a(je,"P",{});var Sw=r(co);h0=i(Sw,"Image To Text pipeline using a "),Ph=a(Sw,"CODE",{});var rC=r(Ph);f0=i(rC,"AutoModelForVision2Seq"),rC.forEach(t),u0=i(Sw,". This pipeline predicts a caption for a given image."),Sw.forEach(t),g0=c(je),b(_s.$$.fragment,je),_0=c(je),Th=a(je,"P",{});var oC=r(Th);kp=a(oC,"A",{href:!0});var iC=r(kp);b0=i(iC,"Learn more about the basics of using a pipeline in the [pipeline tutorial]"),iC.forEach(t),oC.forEach(t),w0=c(je),yh=a(je,"P",{});var lC=r(yh);v0=i(lC,`This image to text pipeline can currently be loaded from pipeline() using the following task identifier:
\u201Cimage-to-text\u201D.`),lC.forEach(t),x0=c(je),mo=a(je,"P",{});var Mw=r(mo);k0=i(Mw,`See the list of available models on
`),ho=a(Mw,"A",{href:!0,rel:!0});var pC=r(ho);P0=i(pC,"huggingface.co/models"),pC.forEach(t),T0=i(Mw,"."),Mw.forEach(t),y0=c(je),bs=a(je,"DIV",{class:!0});var Fw=r(bs);b(fo.$$.fragment,Fw),$0=c(Fw),$h=a(Fw,"P",{});var cC=r($h);j0=i(cC,"Assign labels to the image(s) passed as inputs."),cC.forEach(t),Fw.forEach(t),je.forEach(t),sb=c(n),Lt=a(n,"H3",{class:!0});var Lw=r(Lt);ws=a(Lw,"A",{id:!0,class:!0,href:!0});var dC=r(ws);jh=a(dC,"SPAN",{});var mC=r(jh);b(uo.$$.fragment,mC),mC.forEach(t),dC.forEach(t),E0=c(Lw),Eh=a(Lw,"SPAN",{});var hC=r(Eh);q0=i(hC,"NerPipeline"),hC.forEach(t),Lw.forEach(t),ab=c(n),F=a(n,"DIV",{class:!0});var V=r(F);b(go.$$.fragment,V),A0=c(V),Ot=a(V,"P",{});var gc=r(Ot);D0=i(gc,"Named Entity Recognition pipeline using any "),qh=a(gc,"CODE",{});var fC=r(qh);C0=i(fC,"ModelForTokenClassification"),fC.forEach(t),I0=i(gc,". See the "),Pp=a(gc,"A",{href:!0});var uC=r(Pp);z0=i(uC,`named entity recognition
examples`),uC.forEach(t),S0=i(gc," for more information."),gc.forEach(t),M0=c(V),b(vs.$$.fragment,V),F0=c(V),Ah=a(V,"P",{});var gC=r(Ah);Tp=a(gC,"A",{href:!0});var _C=r(Tp);L0=i(_C,"Learn more about the basics of using a pipeline in the [pipeline tutorial]"),_C.forEach(t),gC.forEach(t),O0=c(V),Nt=a(V,"P",{});var _c=r(Nt);N0=i(_c,"This token recognition pipeline can currently be loaded from "),yp=a(_c,"A",{href:!0});var bC=r(yp);U0=i(bC,"pipeline()"),bC.forEach(t),G0=i(_c,` using the following task identifier:
`),Dh=a(_c,"CODE",{});var wC=r(Dh);R0=i(wC,'"ner"'),wC.forEach(t),Q0=i(_c," (for predicting the classes of tokens in a sequence: person, organisation, location or miscellaneous)."),_c.forEach(t),V0=c(V),_o=a(V,"P",{});var Ow=r(_o);H0=i(Ow,`The models that this pipeline can use are models that have been fine-tuned on a token classification task. See the
up-to-date list of available models on
`),bo=a(Ow,"A",{href:!0,rel:!0});var vC=r(bo);W0=i(vC,"huggingface.co/models"),vC.forEach(t),Z0=i(Ow,"."),Ow.forEach(t),B0=c(V),et=a(V,"DIV",{class:!0});var bc=r(et);b(wo.$$.fragment,bc),Y0=c(bc),Ch=a(bc,"P",{});var xC=r(Ch);K0=i(xC,"Override tokens from a given word that disagree to force agreement on word boundaries."),xC.forEach(t),X0=c(bc),Ih=a(bc,"P",{});var kC=r(Ih);J0=i(kC,`Example: micro|soft| com|pany| B-ENT I-NAME I-ENT I-ENT will be rewritten with first strategy as microsoft|
company| B-ENT I-ENT`),kC.forEach(t),bc.forEach(t),e$=c(V),xs=a(V,"DIV",{class:!0});var Nw=r(xs);b(vo.$$.fragment,Nw),t$=c(Nw),zh=a(Nw,"P",{});var PC=r(zh);n$=i(PC,"Fuse various numpy arrays into dicts with all the information needed for aggregation"),PC.forEach(t),Nw.forEach(t),s$=c(V),ks=a(V,"DIV",{class:!0});var Uw=r(ks);b(xo.$$.fragment,Uw),a$=c(Uw),Sh=a(Uw,"P",{});var TC=r(Sh);r$=i(TC,"Find and group together the adjacent tokens with the same entity predicted."),TC.forEach(t),Uw.forEach(t),o$=c(V),Ps=a(V,"DIV",{class:!0});var Gw=r(Ps);b(ko.$$.fragment,Gw),i$=c(Gw),Mh=a(Gw,"P",{});var yC=r(Mh);l$=i(yC,"Group together the adjacent tokens with the same entity predicted."),yC.forEach(t),Gw.forEach(t),V.forEach(t),rb=c(n),Ts=a(n,"P",{});var Rw=r(Ts);p$=i(Rw,"See "),$p=a(Rw,"A",{href:!0});var $C=r($p);c$=i($C,"TokenClassificationPipeline"),$C.forEach(t),d$=i(Rw," for all details."),Rw.forEach(t),ob=c(n),Ut=a(n,"H3",{class:!0});var Qw=r(Ut);ys=a(Qw,"A",{id:!0,class:!0,href:!0});var jC=r(ys);Fh=a(jC,"SPAN",{});var EC=r(Fh);b(Po.$$.fragment,EC),EC.forEach(t),jC.forEach(t),m$=c(Qw),Lh=a(Qw,"SPAN",{});var qC=r(Lh);h$=i(qC,"ObjectDetectionPipeline"),qC.forEach(t),Qw.forEach(t),ib=c(n),be=a(n,"DIV",{class:!0});var pt=r(be);b(To.$$.fragment,pt),f$=c(pt),yo=a(pt,"P",{});var Vw=r(yo);u$=i(Vw,"Object detection pipeline using any "),Oh=a(Vw,"CODE",{});var AC=r(Oh);g$=i(AC,"AutoModelForObjectDetection"),AC.forEach(t),_$=i(Vw,`. This pipeline predicts bounding boxes of objects
and their classes.`),Vw.forEach(t),b$=c(pt),Gt=a(pt,"P",{});var wc=r(Gt);w$=i(wc,"This object detection pipeline can currently be loaded from "),jp=a(wc,"A",{href:!0});var DC=r(jp);v$=i(DC,"pipeline()"),DC.forEach(t),x$=i(wc,` using the following task identifier:
`),Nh=a(wc,"CODE",{});var CC=r(Nh);k$=i(CC,'"object-detection"'),CC.forEach(t),P$=i(wc,"."),wc.forEach(t),T$=c(pt),$o=a(pt,"P",{});var Hw=r($o);y$=i(Hw,"See the list of available models on "),jo=a(Hw,"A",{href:!0,rel:!0});var IC=r(jo);$$=i(IC,"huggingface.co/models"),IC.forEach(t),j$=i(Hw,"."),Hw.forEach(t),E$=c(pt),$s=a(pt,"DIV",{class:!0});var Ww=r($s);b(Eo.$$.fragment,Ww),q$=c(Ww),Uh=a(Ww,"P",{});var zC=r(Uh);A$=i(zC,"Detect objects (bounding boxes & classes) in the image(s) passed as inputs."),zC.forEach(t),Ww.forEach(t),pt.forEach(t),lb=c(n),Rt=a(n,"H3",{class:!0});var Zw=r(Rt);js=a(Zw,"A",{id:!0,class:!0,href:!0});var SC=r(js);Gh=a(SC,"SPAN",{});var MC=r(Gh);b(qo.$$.fragment,MC),MC.forEach(t),SC.forEach(t),D$=c(Zw),Rh=a(Zw,"SPAN",{});var FC=r(Rh);C$=i(FC,"QuestionAnsweringPipeline"),FC.forEach(t),Zw.forEach(t),pb=c(n),L=a(n,"DIV",{class:!0});var oe=r(L);b(Ao.$$.fragment,oe),I$=c(oe),Qt=a(oe,"P",{});var vc=r(Qt);z$=i(vc,"Question Answering pipeline using any "),Qh=a(vc,"CODE",{});var LC=r(Qh);S$=i(LC,"ModelForQuestionAnswering"),LC.forEach(t),M$=i(vc,". See the "),Ep=a(vc,"A",{href:!0});var OC=r(Ep);F$=i(OC,`question answering
examples`),OC.forEach(t),L$=i(vc," for more information."),vc.forEach(t),O$=c(oe),b(Es.$$.fragment,oe),N$=c(oe),Vh=a(oe,"P",{});var NC=r(Vh);qp=a(NC,"A",{href:!0});var UC=r(qp);U$=i(UC,"Learn more about the basics of using a pipeline in the [pipeline tutorial]"),UC.forEach(t),NC.forEach(t),G$=c(oe),Vt=a(oe,"P",{});var xc=r(Vt);R$=i(xc,"This question answering pipeline can currently be loaded from "),Ap=a(xc,"A",{href:!0});var GC=r(Ap);Q$=i(GC,"pipeline()"),GC.forEach(t),V$=i(xc,` using the following task identifier:
`),Hh=a(xc,"CODE",{});var RC=r(Hh);H$=i(RC,'"question-answering"'),RC.forEach(t),W$=i(xc,"."),xc.forEach(t),Z$=c(oe),Do=a(oe,"P",{});var Bw=r(Do);B$=i(Bw,`The models that this pipeline can use are models that have been fine-tuned on a question answering task. See the
up-to-date list of available models on
`),Co=a(Bw,"A",{href:!0,rel:!0});var QC=r(Co);Y$=i(QC,"huggingface.co/models"),QC.forEach(t),K$=i(Bw,"."),Bw.forEach(t),X$=c(oe),qs=a(oe,"DIV",{class:!0});var Yw=r(qs);b(Io.$$.fragment,Yw),J$=c(Yw),Wh=a(Yw,"P",{});var VC=r(Wh);e7=i(VC,"Answer the question(s) given as inputs by using the context(s)."),VC.forEach(t),Yw.forEach(t),t7=c(oe),tt=a(oe,"DIV",{class:!0});var kc=r(tt);b(zo.$$.fragment,kc),n7=c(kc),Ht=a(kc,"P",{});var Pc=r(Ht);s7=i(Pc,"QuestionAnsweringPipeline leverages the "),Zh=a(Pc,"CODE",{});var HC=r(Zh);a7=i(HC,"SquadExample"),HC.forEach(t),r7=i(Pc,` internally. This helper method encapsulate all the
logic for converting question(s) and context(s) to `),Bh=a(Pc,"CODE",{});var WC=r(Bh);o7=i(WC,"SquadExample"),WC.forEach(t),i7=i(Pc,"."),Pc.forEach(t),l7=c(kc),Yh=a(kc,"P",{});var ZC=r(Yh);p7=i(ZC,"We currently support extractive question answering."),ZC.forEach(t),kc.forEach(t),c7=c(oe),As=a(oe,"DIV",{class:!0});var Kw=r(As);b(So.$$.fragment,Kw),d7=c(Kw),Kh=a(Kw,"P",{});var BC=r(Kh);m7=i(BC,"When decoding from token probabilities, this method maps token indexes to actual word in the initial context."),BC.forEach(t),Kw.forEach(t),oe.forEach(t),cb=c(n),Wt=a(n,"H3",{class:!0});var Xw=r(Wt);Ds=a(Xw,"A",{id:!0,class:!0,href:!0});var YC=r(Ds);Xh=a(YC,"SPAN",{});var KC=r(Xh);b(Mo.$$.fragment,KC),KC.forEach(t),YC.forEach(t),h7=c(Xw),Jh=a(Xw,"SPAN",{});var XC=r(Jh);f7=i(XC,"SummarizationPipeline"),XC.forEach(t),Xw.forEach(t),db=c(n),ce=a(n,"DIV",{class:!0});var Ue=r(ce);b(Fo.$$.fragment,Ue),u7=c(Ue),ef=a(Ue,"P",{});var JC=r(ef);g7=i(JC,"Summarize news articles and other documents."),JC.forEach(t),_7=c(Ue),Zt=a(Ue,"P",{});var Tc=r(Zt);b7=i(Tc,"This summarizing pipeline can currently be loaded from "),Dp=a(Tc,"A",{href:!0});var e9=r(Dp);w7=i(e9,"pipeline()"),e9.forEach(t),v7=i(Tc,` using the following task identifier:
`),tf=a(Tc,"CODE",{});var t9=r(tf);x7=i(t9,'"summarization"'),t9.forEach(t),k7=i(Tc,"."),Tc.forEach(t),P7=c(Ue),Q=a(Ue,"P",{});var he=r(Q);T7=i(he,`The models that this pipeline can use are models that have been fine-tuned on a summarization task, which is
currently, \u2019`),nf=a(he,"EM",{});var n9=r(nf);y7=i(n9,"bart-large-cnn"),n9.forEach(t),$7=i(he,"\u2019, \u2019"),sf=a(he,"EM",{});var s9=r(sf);j7=i(s9,"t5-small"),s9.forEach(t),E7=i(he,"\u2019, \u2019"),af=a(he,"EM",{});var a9=r(af);q7=i(a9,"t5-base"),a9.forEach(t),A7=i(he,"\u2019, \u2019"),rf=a(he,"EM",{});var r9=r(rf);D7=i(r9,"t5-large"),r9.forEach(t),C7=i(he,"\u2019, \u2019"),of=a(he,"EM",{});var o9=r(of);I7=i(o9,"t5-3b"),o9.forEach(t),z7=i(he,"\u2019, \u2019"),lf=a(he,"EM",{});var i9=r(lf);S7=i(i9,"t5-11b"),i9.forEach(t),M7=i(he,`\u2019. See the up-to-date
list of available models on `),Lo=a(he,"A",{href:!0,rel:!0});var l9=r(Lo);F7=i(l9,"huggingface.co/models"),l9.forEach(t),L7=i(he,`. For a list
of available parameters, see the `),Oo=a(he,"A",{href:!0,rel:!0});var p9=r(Oo);O7=i(p9,`following
documentation`),p9.forEach(t),he.forEach(t),N7=c(Ue),b(Cs.$$.fragment,Ue),U7=c(Ue),Is=a(Ue,"DIV",{class:!0});var Jw=r(Is);b(No.$$.fragment,Jw),G7=c(Jw),pf=a(Jw,"P",{});var c9=r(pf);R7=i(c9,"Summarize the text(s) given as inputs."),c9.forEach(t),Jw.forEach(t),Ue.forEach(t),mb=c(n),Bt=a(n,"H3",{class:!0});var e2=r(Bt);zs=a(e2,"A",{id:!0,class:!0,href:!0});var d9=r(zs);cf=a(d9,"SPAN",{});var m9=r(cf);b(Uo.$$.fragment,m9),m9.forEach(t),d9.forEach(t),Q7=c(e2),df=a(e2,"SPAN",{});var h9=r(df);V7=i(h9,"TableQuestionAnsweringPipeline"),h9.forEach(t),e2.forEach(t),hb=c(n),ee=a(n,"DIV",{class:!0});var Ee=r(ee);b(Go.$$.fragment,Ee),H7=c(Ee),Ro=a(Ee,"P",{});var t2=r(Ro);W7=i(t2,"Table Question Answering pipeline using a "),mf=a(t2,"CODE",{});var f9=r(mf);Z7=i(f9,"ModelForTableQuestionAnswering"),f9.forEach(t),B7=i(t2,`. This pipeline is only available in
PyTorch.`),t2.forEach(t),Y7=c(Ee),b(Ss.$$.fragment,Ee),K7=c(Ee),hf=a(Ee,"P",{});var u9=r(hf);Cp=a(u9,"A",{href:!0});var g9=r(Cp);X7=i(g9,"Learn more about the basics of using a pipeline in the [pipeline tutorial]"),g9.forEach(t),u9.forEach(t),J7=c(Ee),Yt=a(Ee,"P",{});var yc=r(Yt);ej=i(yc,"This tabular question answering pipeline can currently be loaded from "),Ip=a(yc,"A",{href:!0});var _9=r(Ip);tj=i(_9,"pipeline()"),_9.forEach(t),nj=i(yc,` using the following task
identifier: `),ff=a(yc,"CODE",{});var b9=r(ff);sj=i(b9,'"table-question-answering"'),b9.forEach(t),aj=i(yc,"."),yc.forEach(t),rj=c(Ee),Qo=a(Ee,"P",{});var n2=r(Qo);oj=i(n2,`The models that this pipeline can use are models that have been fine-tuned on a tabular question answering task.
See the up-to-date list of available models on
`),Vo=a(n2,"A",{href:!0,rel:!0});var w9=r(Vo);ij=i(w9,"huggingface.co/models"),w9.forEach(t),lj=i(n2,"."),n2.forEach(t),pj=c(Ee),re=a(Ee,"DIV",{class:!0});var qe=r(re);b(Ho.$$.fragment,qe),cj=c(qe),uf=a(qe,"P",{});var v9=r(uf);dj=i(v9,"Answers queries according to a table. The pipeline accepts several types of inputs which are detailed below:"),v9.forEach(t),mj=c(qe),de=a(qe,"UL",{});var Ae=r(de);gf=a(Ae,"LI",{});var x9=r(gf);_f=a(x9,"CODE",{});var k9=r(_f);hj=i(k9,"pipeline(table, query)"),k9.forEach(t),x9.forEach(t),fj=c(Ae),bf=a(Ae,"LI",{});var P9=r(bf);wf=a(P9,"CODE",{});var T9=r(wf);uj=i(T9,"pipeline(table, [query])"),T9.forEach(t),P9.forEach(t),gj=c(Ae),vf=a(Ae,"LI",{});var y9=r(vf);xf=a(y9,"CODE",{});var $9=r(xf);_j=i($9,"pipeline(table=table, query=query)"),$9.forEach(t),y9.forEach(t),bj=c(Ae),kf=a(Ae,"LI",{});var j9=r(kf);Pf=a(j9,"CODE",{});var E9=r(Pf);wj=i(E9,"pipeline(table=table, query=[query])"),E9.forEach(t),j9.forEach(t),vj=c(Ae),Tf=a(Ae,"LI",{});var q9=r(Tf);yf=a(q9,"CODE",{});var A9=r(yf);xj=i(A9,'pipeline({"table": table, "query": query})'),A9.forEach(t),q9.forEach(t),kj=c(Ae),$f=a(Ae,"LI",{});var D9=r($f);jf=a(D9,"CODE",{});var C9=r(jf);Pj=i(C9,'pipeline({"table": table, "query": [query]})'),C9.forEach(t),D9.forEach(t),Tj=c(Ae),Ef=a(Ae,"LI",{});var I9=r(Ef);qf=a(I9,"CODE",{});var z9=r(qf);yj=i(z9,'pipeline([{"table": table, "query": query}, {"table": table, "query": query}])'),z9.forEach(t),I9.forEach(t),Ae.forEach(t),$j=c(qe),Wo=a(qe,"P",{});var s2=r(Wo);jj=i(s2,"The "),Af=a(s2,"CODE",{});var S9=r(Af);Ej=i(S9,"table"),S9.forEach(t),qj=i(s2," argument should be a dict or a DataFrame built from that dict, containing the whole table:"),s2.forEach(t),Aj=c(qe),b(Ms.$$.fragment,qe),Dj=c(qe),Df=a(qe,"P",{});var M9=r(Df);Cj=i(M9,"This dictionary can be passed in as such, or can be converted to a pandas DataFrame:"),M9.forEach(t),Ij=c(qe),b(Fs.$$.fragment,qe),qe.forEach(t),Ee.forEach(t),fb=c(n),Kt=a(n,"H3",{class:!0});var a2=r(Kt);Ls=a(a2,"A",{id:!0,class:!0,href:!0});var F9=r(Ls);Cf=a(F9,"SPAN",{});var L9=r(Cf);b(Zo.$$.fragment,L9),L9.forEach(t),F9.forEach(t),zj=c(a2),If=a(a2,"SPAN",{});var O9=r(If);Sj=i(O9,"TextClassificationPipeline"),O9.forEach(t),a2.forEach(t),ub=c(n),G=a(n,"DIV",{class:!0});var ue=r(G);b(Bo.$$.fragment,ue),Mj=c(ue),Xt=a(ue,"P",{});var $c=r(Xt);Fj=i($c,"Text classification pipeline using any "),zf=a($c,"CODE",{});var N9=r(zf);Lj=i(N9,"ModelForSequenceClassification"),N9.forEach(t),Oj=i($c,". See the "),zp=a($c,"A",{href:!0});var U9=r(zp);Nj=i(U9,`sequence classification
examples`),U9.forEach(t),Uj=i($c," for more information."),$c.forEach(t),Gj=c(ue),b(Os.$$.fragment,ue),Rj=c(ue),Sf=a(ue,"P",{});var G9=r(Sf);Sp=a(G9,"A",{href:!0});var R9=r(Sp);Qj=i(R9,"Learn more about the basics of using a pipeline in the [pipeline tutorial]"),R9.forEach(t),G9.forEach(t),Vj=c(ue),Jt=a(ue,"P",{});var jc=r(Jt);Hj=i(jc,"This text classification pipeline can currently be loaded from "),Mp=a(jc,"A",{href:!0});var Q9=r(Mp);Wj=i(Q9,"pipeline()"),Q9.forEach(t),Zj=i(jc,` using the following task identifier:
`),Mf=a(jc,"CODE",{});var V9=r(Mf);Bj=i(V9,'"sentiment-analysis"'),V9.forEach(t),Yj=i(jc," (for classifying sequences according to positive or negative sentiments)."),jc.forEach(t),Kj=c(ue),Yo=a(ue,"P",{});var r2=r(Yo);Xj=i(r2,"If multiple classification labels are available ("),Ff=a(r2,"CODE",{});var H9=r(Ff);Jj=i(H9,"model.config.num_labels >= 2"),H9.forEach(t),e4=i(r2,`), the pipeline will run a softmax
over the results. If there is a single label, the pipeline will run a sigmoid over the result.`),r2.forEach(t),t4=c(ue),Ko=a(ue,"P",{});var o2=r(Ko);n4=i(o2,`The models that this pipeline can use are models that have been fine-tuned on a sequence classification task. See
the up-to-date list of available models on
`),Xo=a(o2,"A",{href:!0,rel:!0});var W9=r(Xo);s4=i(W9,"huggingface.co/models"),W9.forEach(t),a4=i(o2,"."),o2.forEach(t),r4=c(ue),Ns=a(ue,"DIV",{class:!0});var i2=r(Ns);b(Jo.$$.fragment,i2),o4=c(i2),Lf=a(i2,"P",{});var Z9=r(Lf);i4=i(Z9,"Classify the text(s) given as inputs."),Z9.forEach(t),i2.forEach(t),ue.forEach(t),gb=c(n),en=a(n,"H3",{class:!0});var l2=r(en);Us=a(l2,"A",{id:!0,class:!0,href:!0});var B9=r(Us);Of=a(B9,"SPAN",{});var Y9=r(Of);b(ei.$$.fragment,Y9),Y9.forEach(t),B9.forEach(t),l4=c(l2),Nf=a(l2,"SPAN",{});var K9=r(Nf);p4=i(K9,"TextGenerationPipeline"),K9.forEach(t),l2.forEach(t),_b=c(n),te=a(n,"DIV",{class:!0});var De=r(te);b(ti.$$.fragment,De),c4=c(De),ni=a(De,"P",{});var p2=r(ni);d4=i(p2,"Language generation pipeline using any "),Uf=a(p2,"CODE",{});var X9=r(Uf);m4=i(X9,"ModelWithLMHead"),X9.forEach(t),h4=i(p2,`. This pipeline predicts the words that will follow a
specified text prompt.`),p2.forEach(t),f4=c(De),b(Gs.$$.fragment,De),u4=c(De),Gf=a(De,"P",{});var J9=r(Gf);Fp=a(J9,"A",{href:!0});var eI=r(Fp);g4=i(eI,"Learn more about the basics of using a pipeline in the [pipeline tutorial]"),eI.forEach(t),J9.forEach(t),_4=c(De),tn=a(De,"P",{});var Ec=r(tn);b4=i(Ec,"This language generation pipeline can currently be loaded from "),Lp=a(Ec,"A",{href:!0});var tI=r(Lp);w4=i(tI,"pipeline()"),tI.forEach(t),v4=i(Ec,` using the following task identifier:
`),Rf=a(Ec,"CODE",{});var nI=r(Rf);x4=i(nI,'"text-generation"'),nI.forEach(t),k4=i(Ec,"."),Ec.forEach(t),P4=c(De),si=a(De,"P",{});var c2=r(si);T4=i(c2,`The models that this pipeline can use are models that have been trained with an autoregressive language modeling
objective, which includes the uni-directional models in the library (e.g. gpt2). See the list of available models
on `),ai=a(c2,"A",{href:!0,rel:!0});var sI=r(ai);y4=i(sI,"huggingface.co/models"),sI.forEach(t),$4=i(c2,"."),c2.forEach(t),j4=c(De),Rs=a(De,"DIV",{class:!0});var d2=r(Rs);b(ri.$$.fragment,d2),E4=c(d2),Qf=a(d2,"P",{});var aI=r(Qf);q4=i(aI,"Complete the prompt(s) given as inputs."),aI.forEach(t),d2.forEach(t),De.forEach(t),bb=c(n),nn=a(n,"H3",{class:!0});var m2=r(nn);Qs=a(m2,"A",{id:!0,class:!0,href:!0});var rI=r(Qs);Vf=a(rI,"SPAN",{});var oI=r(Vf);b(oi.$$.fragment,oI),oI.forEach(t),rI.forEach(t),A4=c(m2),Hf=a(m2,"SPAN",{});var iI=r(Hf);D4=i(iI,"Text2TextGenerationPipeline"),iI.forEach(t),m2.forEach(t),wb=c(n),O=a(n,"DIV",{class:!0});var ie=r(O);b(ii.$$.fragment,ie),C4=c(ie),Wf=a(ie,"P",{});var lI=r(Wf);I4=i(lI,"Pipeline for text to text generation using seq2seq models."),lI.forEach(t),z4=c(ie),b(Vs.$$.fragment,ie),S4=c(ie),Zf=a(ie,"P",{});var pI=r(Zf);Op=a(pI,"A",{href:!0});var cI=r(Op);M4=i(cI,"Learn more about the basics of using a pipeline in the [pipeline tutorial]"),cI.forEach(t),pI.forEach(t),F4=c(ie),sn=a(ie,"P",{});var qc=r(sn);L4=i(qc,"This Text2TextGenerationPipeline pipeline can currently be loaded from "),Np=a(qc,"A",{href:!0});var dI=r(Np);O4=i(dI,"pipeline()"),dI.forEach(t),N4=i(qc,` using the following task
identifier: `),Bf=a(qc,"CODE",{});var mI=r(Bf);U4=i(mI,'"text2text-generation"'),mI.forEach(t),G4=i(qc,"."),qc.forEach(t),R4=c(ie),Hs=a(ie,"P",{});var Ug=r(Hs);Q4=i(Ug,`The models that this pipeline can use are models that have been fine-tuned on a translation task. See the
up-to-date list of available models on
`),li=a(Ug,"A",{href:!0,rel:!0});var hI=r(li);V4=i(hI,"huggingface.co/models"),hI.forEach(t),H4=i(Ug,`. For a list of available
parameters, see the `),pi=a(Ug,"A",{href:!0,rel:!0});var fI=r(pi);W4=i(fI,`following
documentation`),fI.forEach(t),Ug.forEach(t),Z4=c(ie),b(Ws.$$.fragment,ie),B4=c(ie),Zs=a(ie,"DIV",{class:!0});var h2=r(Zs);b(ci.$$.fragment,h2),Y4=c(h2),Yf=a(h2,"P",{});var uI=r(Yf);K4=i(uI,"Generate the output text(s) using text(s) given as inputs."),uI.forEach(t),h2.forEach(t),X4=c(ie),Bs=a(ie,"DIV",{class:!0});var f2=r(Bs);b(di.$$.fragment,f2),J4=c(f2),Kf=a(f2,"P",{});var gI=r(Kf);eE=i(gI,"Checks whether there might be something wrong with given input with regard to the model."),gI.forEach(t),f2.forEach(t),ie.forEach(t),vb=c(n),an=a(n,"H3",{class:!0});var u2=r(an);Ys=a(u2,"A",{id:!0,class:!0,href:!0});var _I=r(Ys);Xf=a(_I,"SPAN",{});var bI=r(Xf);b(mi.$$.fragment,bI),bI.forEach(t),_I.forEach(t),tE=c(u2),Jf=a(u2,"SPAN",{});var wI=r(Jf);nE=i(wI,"TokenClassificationPipeline"),wI.forEach(t),u2.forEach(t),xb=c(n),M=a(n,"DIV",{class:!0});var N=r(M);b(hi.$$.fragment,N),sE=c(N),rn=a(N,"P",{});var Ac=r(rn);aE=i(Ac,"Named Entity Recognition pipeline using any "),eu=a(Ac,"CODE",{});var vI=r(eu);rE=i(vI,"ModelForTokenClassification"),vI.forEach(t),oE=i(Ac,". See the "),Up=a(Ac,"A",{href:!0});var xI=r(Up);iE=i(xI,`named entity recognition
examples`),xI.forEach(t),lE=i(Ac," for more information."),Ac.forEach(t),pE=c(N),b(Ks.$$.fragment,N),cE=c(N),tu=a(N,"P",{});var kI=r(tu);Gp=a(kI,"A",{href:!0});var PI=r(Gp);dE=i(PI,"Learn more about the basics of using a pipeline in the [pipeline tutorial]"),PI.forEach(t),kI.forEach(t),mE=c(N),on=a(N,"P",{});var Dc=r(on);hE=i(Dc,"This token recognition pipeline can currently be loaded from "),Rp=a(Dc,"A",{href:!0});var TI=r(Rp);fE=i(TI,"pipeline()"),TI.forEach(t),uE=i(Dc,` using the following task identifier:
`),nu=a(Dc,"CODE",{});var yI=r(nu);gE=i(yI,'"ner"'),yI.forEach(t),_E=i(Dc," (for predicting the classes of tokens in a sequence: person, organisation, location or miscellaneous)."),Dc.forEach(t),bE=c(N),fi=a(N,"P",{});var g2=r(fi);wE=i(g2,`The models that this pipeline can use are models that have been fine-tuned on a token classification task. See the
up-to-date list of available models on
`),ui=a(g2,"A",{href:!0,rel:!0});var $I=r(ui);vE=i($I,"huggingface.co/models"),$I.forEach(t),xE=i(g2,"."),g2.forEach(t),kE=c(N),Xs=a(N,"DIV",{class:!0});var _2=r(Xs);b(gi.$$.fragment,_2),PE=c(_2),su=a(_2,"P",{});var jI=r(su);TE=i(jI,"Classify each token of the text(s) given as inputs."),jI.forEach(t),_2.forEach(t),yE=c(N),nt=a(N,"DIV",{class:!0});var Cc=r(nt);b(_i.$$.fragment,Cc),$E=c(Cc),au=a(Cc,"P",{});var EI=r(au);jE=i(EI,"Override tokens from a given word that disagree to force agreement on word boundaries."),EI.forEach(t),EE=c(Cc),ru=a(Cc,"P",{});var qI=r(ru);qE=i(qI,`Example: micro|soft| com|pany| B-ENT I-NAME I-ENT I-ENT will be rewritten with first strategy as microsoft|
company| B-ENT I-ENT`),qI.forEach(t),Cc.forEach(t),AE=c(N),Js=a(N,"DIV",{class:!0});var b2=r(Js);b(bi.$$.fragment,b2),DE=c(b2),ou=a(b2,"P",{});var AI=r(ou);CE=i(AI,"Fuse various numpy arrays into dicts with all the information needed for aggregation"),AI.forEach(t),b2.forEach(t),IE=c(N),ea=a(N,"DIV",{class:!0});var w2=r(ea);b(wi.$$.fragment,w2),zE=c(w2),iu=a(w2,"P",{});var DI=r(iu);SE=i(DI,"Find and group together the adjacent tokens with the same entity predicted."),DI.forEach(t),w2.forEach(t),ME=c(N),ta=a(N,"DIV",{class:!0});var v2=r(ta);b(vi.$$.fragment,v2),FE=c(v2),lu=a(v2,"P",{});var CI=r(lu);LE=i(CI,"Group together the adjacent tokens with the same entity predicted."),CI.forEach(t),v2.forEach(t),N.forEach(t),kb=c(n),ln=a(n,"H3",{class:!0});var x2=r(ln);na=a(x2,"A",{id:!0,class:!0,href:!0});var II=r(na);pu=a(II,"SPAN",{});var zI=r(pu);b(xi.$$.fragment,zI),zI.forEach(t),II.forEach(t),OE=c(x2),cu=a(x2,"SPAN",{});var SI=r(cu);NE=i(SI,"TranslationPipeline"),SI.forEach(t),x2.forEach(t),Pb=c(n),me=a(n,"DIV",{class:!0});var Ge=r(me);b(ki.$$.fragment,Ge),UE=c(Ge),du=a(Ge,"P",{});var MI=r(du);GE=i(MI,"Translates from one language to another."),MI.forEach(t),RE=c(Ge),pn=a(Ge,"P",{});var Ic=r(pn);QE=i(Ic,"This translation pipeline can currently be loaded from "),Qp=a(Ic,"A",{href:!0});var FI=r(Qp);VE=i(FI,"pipeline()"),FI.forEach(t),HE=i(Ic,` using the following task identifier:
`),mu=a(Ic,"CODE",{});var LI=r(mu);WE=i(LI,'"translation_xx_to_yy"'),LI.forEach(t),ZE=i(Ic,"."),Ic.forEach(t),BE=c(Ge),sa=a(Ge,"P",{});var Gg=r(sa);YE=i(Gg,`The models that this pipeline can use are models that have been fine-tuned on a translation task. See the
up-to-date list of available models on `),Pi=a(Gg,"A",{href:!0,rel:!0});var OI=r(Pi);KE=i(OI,"huggingface.co/models"),OI.forEach(t),XE=i(Gg,`.
For a list of available parameters, see the `),Ti=a(Gg,"A",{href:!0,rel:!0});var NI=r(Ti);JE=i(NI,`following
documentation`),NI.forEach(t),Gg.forEach(t),eq=c(Ge),b(aa.$$.fragment,Ge),tq=c(Ge),ra=a(Ge,"DIV",{class:!0});var k2=r(ra);b(yi.$$.fragment,k2),nq=c(k2),hu=a(k2,"P",{});var UI=r(hu);sq=i(UI,"Translate the text(s) given as inputs."),UI.forEach(t),k2.forEach(t),Ge.forEach(t),Tb=c(n),cn=a(n,"H3",{class:!0});var P2=r(cn);oa=a(P2,"A",{id:!0,class:!0,href:!0});var GI=r(oa);fu=a(GI,"SPAN",{});var RI=r(fu);b($i.$$.fragment,RI),RI.forEach(t),GI.forEach(t),aq=c(P2),uu=a(P2,"SPAN",{});var QI=r(uu);rq=i(QI,"VisualQuestionAnsweringPipeline"),QI.forEach(t),P2.forEach(t),yb=c(n),ne=a(n,"DIV",{class:!0});var Ce=r(ne);b(ji.$$.fragment,Ce),oq=c(Ce),Ei=a(Ce,"P",{});var T2=r(Ei);iq=i(T2,"Visual Question Answering pipeline using a "),gu=a(T2,"CODE",{});var VI=r(gu);lq=i(VI,"AutoModelForVisualQuestionAnswering"),VI.forEach(t),pq=i(T2,`. This pipeline is currently only
available in PyTorch.`),T2.forEach(t),cq=c(Ce),b(ia.$$.fragment,Ce),dq=c(Ce),_u=a(Ce,"P",{});var HI=r(_u);Vp=a(HI,"A",{href:!0});var WI=r(Vp);mq=i(WI,"Learn more about the basics of using a pipeline in the [pipeline tutorial]"),WI.forEach(t),HI.forEach(t),hq=c(Ce),dn=a(Ce,"P",{});var zc=r(dn);fq=i(zc,"This visual question answering pipeline can currently be loaded from "),Hp=a(zc,"A",{href:!0});var ZI=r(Hp);uq=i(ZI,"pipeline()"),ZI.forEach(t),gq=i(zc,` using the following task
identifiers: `),bu=a(zc,"CODE",{});var BI=r(bu);_q=i(BI,'"visual-question-answering", "vqa"'),BI.forEach(t),bq=i(zc,"."),zc.forEach(t),wq=c(Ce),qi=a(Ce,"P",{});var y2=r(qi);vq=i(y2,`The models that this pipeline can use are models that have been fine-tuned on a visual question answering task. See
the up-to-date list of available models on
`),Ai=a(y2,"A",{href:!0,rel:!0});var YI=r(Ai);xq=i(YI,"huggingface.co/models"),YI.forEach(t),kq=i(y2,"."),y2.forEach(t),Pq=c(Ce),st=a(Ce,"DIV",{class:!0});var Sc=r(st);b(Di.$$.fragment,Sc),Tq=c(Sc),wu=a(Sc,"P",{});var KI=r(wu);yq=i(KI,`Answers open-ended questions about images. The pipeline accepts several types of inputs which are detailed
below:`),KI.forEach(t),$q=c(Sc),Ze=a(Sc,"UL",{});var Aa=r(Ze);vu=a(Aa,"LI",{});var XI=r(vu);xu=a(XI,"CODE",{});var JI=r(xu);jq=i(JI,"pipeline(image=image, question=question)"),JI.forEach(t),XI.forEach(t),Eq=c(Aa),ku=a(Aa,"LI",{});var ez=r(ku);Pu=a(ez,"CODE",{});var tz=r(Pu);qq=i(tz,'pipeline({"image": image, "question": question})'),tz.forEach(t),ez.forEach(t),Aq=c(Aa),Tu=a(Aa,"LI",{});var nz=r(Tu);yu=a(nz,"CODE",{});var sz=r(yu);Dq=i(sz,'pipeline([{"image": image, "question": question}])'),sz.forEach(t),nz.forEach(t),Cq=c(Aa),$u=a(Aa,"LI",{});var az=r($u);ju=a(az,"CODE",{});var rz=r(ju);Iq=i(rz,'pipeline([{"image": image, "question": question}, {"image": image, "question": question}])'),rz.forEach(t),az.forEach(t),Aa.forEach(t),Sc.forEach(t),Ce.forEach(t),$b=c(n),mn=a(n,"H3",{class:!0});var $2=r(mn);la=a($2,"A",{id:!0,class:!0,href:!0});var oz=r(la);Eu=a(oz,"SPAN",{});var iz=r(Eu);b(Ci.$$.fragment,iz),iz.forEach(t),oz.forEach(t),zq=c($2),qu=a($2,"SPAN",{});var lz=r(qu);Sq=i(lz,"ZeroShotClassificationPipeline"),lz.forEach(t),$2.forEach(t),jb=c(n),R=a(n,"DIV",{class:!0});var ge=r(R);b(Ii.$$.fragment,ge),Mq=c(ge),Be=a(ge,"P",{});var Da=r(Be);Fq=i(Da,"NLI-based zero-shot classification pipeline using a "),Au=a(Da,"CODE",{});var pz=r(Au);Lq=i(pz,"ModelForSequenceClassification"),pz.forEach(t),Oq=i(Da,` trained on NLI (natural
language inference) tasks. Equivalent of `),Du=a(Da,"CODE",{});var cz=r(Du);Nq=i(cz,"text-classification"),cz.forEach(t),Uq=i(Da,` pipelines, but these models don\u2019t require a
hardcoded number of potential classes, they can be chosen at runtime. It usually means it\u2019s slower but it is
`),Cu=a(Da,"STRONG",{});var dz=r(Cu);Gq=i(dz,"much"),dz.forEach(t),Rq=i(Da," more flexible."),Da.forEach(t),Qq=c(ge),Ye=a(ge,"P",{});var Ca=r(Ye);Vq=i(Ca,`Any combination of sequences and labels can be passed and each combination will be posed as a premise/hypothesis
pair and passed to the pretrained model. Then, the logit for `),Iu=a(Ca,"EM",{});var mz=r(Iu);Hq=i(mz,"entailment"),mz.forEach(t),Wq=i(Ca,` is taken as the logit for the candidate
label being valid. Any NLI model can be used, but the id of the `),zu=a(Ca,"EM",{});var hz=r(zu);Zq=i(hz,"entailment"),hz.forEach(t),Bq=i(Ca,` label must be included in the model
config\u2019s :attr:`),Su=a(Ca,"EM",{});var fz=r(Su);Yq=i(fz,"~transformers.PretrainedConfig.label2id"),fz.forEach(t),Kq=i(Ca,"."),Ca.forEach(t),Xq=c(ge),b(pa.$$.fragment,ge),Jq=c(ge),Mu=a(ge,"P",{});var uz=r(Mu);Wp=a(uz,"A",{href:!0});var gz=r(Wp);e3=i(gz,"Learn more about the basics of using a pipeline in the [pipeline tutorial]"),gz.forEach(t),uz.forEach(t),t3=c(ge),hn=a(ge,"P",{});var Mc=r(hn);n3=i(Mc,"This NLI pipeline can currently be loaded from "),Zp=a(Mc,"A",{href:!0});var _z=r(Zp);s3=i(_z,"pipeline()"),_z.forEach(t),a3=i(Mc,` using the following task identifier:
`),Fu=a(Mc,"CODE",{});var bz=r(Fu);r3=i(bz,'"zero-shot-classification"'),bz.forEach(t),o3=i(Mc,"."),Mc.forEach(t),i3=c(ge),zi=a(ge,"P",{});var j2=r(zi);l3=i(j2,`The models that this pipeline can use are models that have been fine-tuned on an NLI task. See the up-to-date list
of available models on `),Si=a(j2,"A",{href:!0,rel:!0});var wz=r(Si);p3=i(wz,"huggingface.co/models"),wz.forEach(t),c3=i(j2,"."),j2.forEach(t),d3=c(ge),ca=a(ge,"DIV",{class:!0});var E2=r(ca);b(Mi.$$.fragment,E2),m3=c(E2),Fi=a(E2,"P",{});var q2=r(Fi);h3=i(q2,"Classify the sequence(s) given as inputs. See the "),Bp=a(q2,"A",{href:!0});var vz=r(Bp);f3=i(vz,"ZeroShotClassificationPipeline"),vz.forEach(t),u3=i(q2,` documentation for more
information.`),q2.forEach(t),E2.forEach(t),ge.forEach(t),Eb=c(n),fn=a(n,"H3",{class:!0});var A2=r(fn);da=a(A2,"A",{id:!0,class:!0,href:!0});var xz=r(da);Lu=a(xz,"SPAN",{});var kz=r(Lu);b(Li.$$.fragment,kz),kz.forEach(t),xz.forEach(t),g3=c(A2),Ou=a(A2,"SPAN",{});var Pz=r(Ou);_3=i(Pz,"ZeroShotImageClassificationPipeline"),Pz.forEach(t),A2.forEach(t),qb=c(n),se=a(n,"DIV",{class:!0});var Ie=r(se);b(Oi.$$.fragment,Ie),b3=c(Ie),un=a(Ie,"P",{});var Fc=r(un);w3=i(Fc,"Zero shot image classification pipeline using "),Nu=a(Fc,"CODE",{});var Tz=r(Nu);v3=i(Tz,"CLIPModel"),Tz.forEach(t),x3=i(Fc,`. This pipeline predicts the class of an image when you
provide an image and a set of `),Uu=a(Fc,"CODE",{});var yz=r(Uu);k3=i(yz,"candidate_labels"),yz.forEach(t),P3=i(Fc,"."),Fc.forEach(t),T3=c(Ie),b(ma.$$.fragment,Ie),y3=c(Ie),Gu=a(Ie,"P",{});var $z=r(Gu);Yp=a($z,"A",{href:!0});var jz=r(Yp);$3=i(jz,"Learn more about the basics of using a pipeline in the [pipeline tutorial]"),jz.forEach(t),$z.forEach(t),j3=c(Ie),gn=a(Ie,"P",{});var Lc=r(gn);E3=i(Lc,"This image classification pipeline can currently be loaded from "),Kp=a(Lc,"A",{href:!0});var Ez=r(Kp);q3=i(Ez,"pipeline()"),Ez.forEach(t),A3=i(Lc,` using the following task identifier:
`),Ru=a(Lc,"CODE",{});var qz=r(Ru);D3=i(qz,'"zero-shot-image-classification"'),qz.forEach(t),C3=i(Lc,"."),Lc.forEach(t),I3=c(Ie),Ni=a(Ie,"P",{});var D2=r(Ni);z3=i(D2,`See the list of available models on
`),Ui=a(D2,"A",{href:!0,rel:!0});var Az=r(Ui);S3=i(Az,"huggingface.co/models"),Az.forEach(t),M3=i(D2,"."),D2.forEach(t),F3=c(Ie),ha=a(Ie,"DIV",{class:!0});var C2=r(ha);b(Gi.$$.fragment,C2),L3=c(C2),Qu=a(C2,"P",{});var Dz=r(Qu);O3=i(Dz,"Assign labels to the image(s) passed as inputs."),Dz.forEach(t),C2.forEach(t),Ie.forEach(t),Ab=c(n),_n=a(n,"H3",{class:!0});var I2=r(_n);fa=a(I2,"A",{id:!0,class:!0,href:!0});var Cz=r(fa);Vu=a(Cz,"SPAN",{});var Iz=r(Vu);b(Ri.$$.fragment,Iz),Iz.forEach(t),Cz.forEach(t),N3=c(I2),Hu=a(I2,"SPAN",{});var zz=r(Hu);U3=i(zz,"ZeroShotObjectDetectionPipeline"),zz.forEach(t),I2.forEach(t),Db=c(n),ae=a(n,"DIV",{class:!0});var ze=r(ae);b(Qi.$$.fragment,ze),G3=c(ze),bn=a(ze,"P",{});var Oc=r(bn);R3=i(Oc,"Zero shot object detection pipeline using "),Wu=a(Oc,"CODE",{});var Sz=r(Wu);Q3=i(Sz,"OwlViTForObjectDetection"),Sz.forEach(t),V3=i(Oc,`. This pipeline predicts bounding boxes of
objects when you provide an image and a set of `),Zu=a(Oc,"CODE",{});var Mz=r(Zu);H3=i(Mz,"candidate_labels"),Mz.forEach(t),W3=i(Oc,"."),Oc.forEach(t),Z3=c(ze),b(ua.$$.fragment,ze),B3=c(ze),Bu=a(ze,"P",{});var Fz=r(Bu);Xp=a(Fz,"A",{href:!0});var Lz=r(Xp);Y3=i(Lz,"Learn more about the basics of using a pipeline in the [pipeline tutorial]"),Lz.forEach(t),Fz.forEach(t),K3=c(ze),wn=a(ze,"P",{});var Nc=r(wn);X3=i(Nc,"This object detection pipeline can currently be loaded from "),Jp=a(Nc,"A",{href:!0});var Oz=r(Jp);J3=i(Oz,"pipeline()"),Oz.forEach(t),e5=i(Nc,` using the following task identifier:
`),Yu=a(Nc,"CODE",{});var Nz=r(Yu);t5=i(Nz,'"zero-shot-object-detection"'),Nz.forEach(t),n5=i(Nc,"."),Nc.forEach(t),s5=c(ze),Vi=a(ze,"P",{});var z2=r(Vi);a5=i(z2,`See the list of available models on
`),Hi=a(z2,"A",{href:!0,rel:!0});var Uz=r(Hi);r5=i(Uz,"huggingface.co/models"),Uz.forEach(t),o5=i(z2,"."),z2.forEach(t),i5=c(ze),ga=a(ze,"DIV",{class:!0});var S2=r(ga);b(Wi.$$.fragment,S2),l5=c(S2),Ku=a(S2,"P",{});var Gz=r(Ku);p5=i(Gz,"Detect objects (bounding boxes & classes) in the image(s) passed as inputs."),Gz.forEach(t),S2.forEach(t),ze.forEach(t),Cb=c(n),vn=a(n,"H2",{class:!0});var M2=r(vn);_a=a(M2,"A",{id:!0,class:!0,href:!0});var Rz=r(_a);Xu=a(Rz,"SPAN",{});var Qz=r(Xu);b(Zi.$$.fragment,Qz),Qz.forEach(t),Rz.forEach(t),c5=c(M2),ec=a(M2,"SPAN",{});var mA=r(ec);d5=i(mA,"Parent class: "),Ju=a(mA,"CODE",{});var Vz=r(Ju);m5=i(Vz,"Pipeline"),Vz.forEach(t),mA.forEach(t),M2.forEach(t),Ib=c(n),D=a(n,"DIV",{class:!0});var S=r(D);b(Bi.$$.fragment,S),h5=c(S),eg=a(S,"P",{});var Hz=r(eg);f5=i(Hz,`The Pipeline class is the class from which all pipelines inherit. Refer to this class for methods shared across
different pipelines.`),Hz.forEach(t),u5=c(S),tg=a(S,"P",{});var Wz=r(tg);g5=i(Wz,`Base class implementing pipelined operations. Pipeline workflow is defined as a sequence of the following
operations:`),Wz.forEach(t),_5=c(S),ng=a(S,"P",{});var Zz=r(ng);b5=i(Zz,"Input -> Tokenization -> Model Inference -> Post-Processing (task dependent) -> Output"),Zz.forEach(t),w5=c(S),sg=a(S,"P",{});var Bz=r(sg);v5=i(Bz,"Pipeline supports running on CPU or GPU through the device argument (see below)."),Bz.forEach(t),x5=c(S),Fe=a(S,"P",{});var ct=r(Fe);k5=i(ct,"Some pipeline, like for instance "),tc=a(ct,"A",{href:!0});var Yz=r(tc);P5=i(Yz,"FeatureExtractionPipeline"),Yz.forEach(t),T5=i(ct," ("),ag=a(ct,"CODE",{});var Kz=r(ag);y5=i(Kz,"'feature-extraction'"),Kz.forEach(t),$5=i(ct,`) output large tensor object
as nested-lists. In order to avoid dumping such large structure as textual data we provide the `),rg=a(ct,"CODE",{});var Xz=r(rg);j5=i(Xz,"binary_output"),Xz.forEach(t),E5=i(ct,`
constructor argument. If set to `),og=a(ct,"CODE",{});var Jz=r(og);q5=i(Jz,"True"),Jz.forEach(t),A5=i(ct,", the output will be stored in the pickle format."),ct.forEach(t),D5=c(S),ba=a(S,"DIV",{class:!0});var F2=r(ba);b(Yi.$$.fragment,F2),C5=c(F2),ig=a(F2,"P",{});var eS=r(ig);I5=i(eS,"Check if the model class is in supported by the pipeline."),eS.forEach(t),F2.forEach(t),z5=c(S),at=a(S,"DIV",{class:!0});var Uc=r(at);b(Ki.$$.fragment,Uc),S5=c(Uc),lg=a(Uc,"P",{});var tS=r(lg);M5=i(tS,"Context Manager allowing tensor allocation on the user-specified device in framework agnostic way."),tS.forEach(t),F5=c(Uc),b(wa.$$.fragment,Uc),Uc.forEach(t),L5=c(S),va=a(S,"DIV",{class:!0});var L2=r(va);b(Xi.$$.fragment,L2),O5=c(L2),pg=a(L2,"P",{});var nS=r(pg);N5=i(nS,"Ensure PyTorch tensors are on the specified device."),nS.forEach(t),L2.forEach(t),U5=c(S),xa=a(S,"DIV",{class:!0});var O2=r(xa);b(Ji.$$.fragment,O2),G5=c(O2),el=a(O2,"P",{});var N2=r(el);R5=i(N2,"Postprocess will receive the raw outputs of the "),cg=a(N2,"CODE",{});var sS=r(cg);Q5=i(sS,"_forward"),sS.forEach(t),V5=i(N2,` method, generally tensors, and reformat them into
something more friendly. Generally it will output a list or a dict or results (containing just strings and
numbers).`),N2.forEach(t),O2.forEach(t),H5=c(S),ka=a(S,"DIV",{class:!0});var U2=r(ka);b(tl.$$.fragment,U2),W5=c(U2),nl=a(U2,"P",{});var G2=r(nl);Z5=i(G2,"Scikit / Keras interface to transformers\u2019 pipelines. This method will forward to "),dg=a(G2,"STRONG",{});var aS=r(dg);B5=i(aS,"call"),aS.forEach(t),Y5=i(G2,"()."),G2.forEach(t),U2.forEach(t),K5=c(S),Pa=a(S,"DIV",{class:!0});var R2=r(Pa);b(sl.$$.fragment,R2),X5=c(R2),xn=a(R2,"P",{});var Gc=r(xn);J5=i(Gc,"Preprocess will take the "),mg=a(Gc,"CODE",{});var rS=r(mg);eA=i(rS,"input_"),rS.forEach(t),tA=i(Gc,` of a specific pipeline and return a dictionnary of everything necessary for
`),hg=a(Gc,"CODE",{});var oS=r(hg);nA=i(oS,"_forward"),oS.forEach(t),sA=i(Gc," to run properly. It should contain at least one tensor, but might have arbitrary other items."),Gc.forEach(t),R2.forEach(t),aA=c(S),Ta=a(S,"DIV",{class:!0});var Q2=r(Ta);b(al.$$.fragment,Q2),rA=c(Q2),fg=a(Q2,"P",{});var iS=r(fg);oA=i(iS,"Save the pipeline\u2019s model and tokenizer."),iS.forEach(t),Q2.forEach(t),iA=c(S),ya=a(S,"DIV",{class:!0});var V2=r(ya);b(rl.$$.fragment,V2),lA=c(V2),ol=a(V2,"P",{});var H2=r(ol);pA=i(H2,"Scikit / Keras interface to transformers\u2019 pipelines. This method will forward to "),ug=a(H2,"STRONG",{});var lS=r(ug);cA=i(lS,"call"),lS.forEach(t),dA=i(H2,"()."),H2.forEach(t),V2.forEach(t),S.forEach(t),this.h()},h(){d(u,"name","hf:doc:metadata"),d(u,"content",JSON.stringify(WS)),d(h,"id","pipelines"),d(h,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(h,"href","#pipelines"),d(P,"class","relative group"),d(hl,"href","../task_summary"),d(ul,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.pipeline"),d(gl,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.AudioClassificationPipeline"),d(_l,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.AutomaticSpeechRecognitionPipeline"),d(bl,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.ConversationalPipeline"),d(wl,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.DepthEstimationPipeline"),d(vl,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.DocumentQuestionAnsweringPipeline"),d(xl,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.FeatureExtractionPipeline"),d(kl,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.FillMaskPipeline"),d(Pl,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.ImageClassificationPipeline"),d(Tl,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.ImageSegmentationPipeline"),d(yl,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.ImageToTextPipeline"),d($l,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.ObjectDetectionPipeline"),d(jl,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.QuestionAnsweringPipeline"),d(El,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.SummarizationPipeline"),d(ql,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.TableQuestionAnsweringPipeline"),d(Al,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.TextClassificationPipeline"),d(Dl,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.TextGenerationPipeline"),d(Cl,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.Text2TextGenerationPipeline"),d(Il,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.TokenClassificationPipeline"),d(zl,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.TranslationPipeline"),d(Sl,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.VisualQuestionAnsweringPipeline"),d(Ml,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.ZeroShotClassificationPipeline"),d(Fl,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.ZeroShotImageClassificationPipeline"),d(Ll,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.ZeroShotObjectDetectionPipeline"),d(Tn,"id","transformers.pipeline"),d(Tn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Tn,"href","#transformers.pipeline"),d(dt,"class","relative group"),d(Fa,"href","https://huggingface.co"),d(Fa,"rel","nofollow"),d(Ul,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.Pipeline"),d(Gl,"href","tokenizer"),d(Rl,"href","model"),d(_e,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(An,"id","pipeline-batching"),d(An,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(An,"href","#pipeline-batching"),d(ht,"class","relative group"),d(In,"id","pipeline-chunk-batching"),d(In,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(In,"href","#pipeline-chunk-batching"),d(ut,"class","relative group"),d(Sn,"id","pipeline-custom-code"),d(Sn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Sn,"href","#pipeline-custom-code"),d(gt,"class","relative group"),d(Fn,"id","implementing-a-pipeline"),d(Fn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Fn,"href","#implementing-a-pipeline"),d(_t,"class","relative group"),d(ep,"href","../add_new_pipeline"),d(Ln,"id","the-task-specific-pipelines"),d(Ln,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Ln,"href","#the-task-specific-pipelines"),d(bt,"class","relative group"),d(On,"id","transformers.AudioClassificationPipeline"),d(On,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(On,"href","#transformers.AudioClassificationPipeline"),d(wt,"class","relative group"),d(tp,"href","../pipeline_tutorial"),d(np,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.pipeline"),d(cr,"href","https://huggingface.co/models?filter=audio-classification"),d(cr,"rel","nofollow"),d(sp,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.AutomaticSpeechRecognitionPipeline"),d(Un,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Gn,"id","transformers.AutomaticSpeechRecognitionPipeline"),d(Gn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Gn,"href","#transformers.AutomaticSpeechRecognitionPipeline"),d(xt,"class","relative group"),d(ap,"href","../pipeline_tutorial"),d(rp,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.AutomaticSpeechRecognitionPipeline"),d(Qn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(le,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Vn,"id","transformers.Conversation"),d(Vn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Vn,"href","#transformers.Conversation"),d(kt,"class","relative group"),d(op,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.ConversationalPipeline"),d(ip,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.ConversationalPipeline"),d(Wn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Zn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Je,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Bn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(W,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(lp,"href","../pipeline_tutorial"),d(pp,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.pipeline"),d(yr,"href","https://huggingface.co/models?filter=conversational"),d(yr,"rel","nofollow"),d(Kn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Xn,"id","transformers.DepthEstimationPipeline"),d(Xn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Xn,"href","#transformers.DepthEstimationPipeline"),d(Tt,"class","relative group"),d(cp,"href","../pipeline_tutorial"),d(dp,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.pipeline"),d(Dr,"href","https://huggingface.co/models?filter=depth-estimation"),d(Dr,"rel","nofollow"),d(es,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(B,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ts,"id","transformers.DocumentQuestionAnsweringPipeline"),d(ts,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(ts,"href","#transformers.DocumentQuestionAnsweringPipeline"),d($t,"class","relative group"),d(mp,"href","../pipeline_tutorial"),d(hp,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.pipeline"),d(Fr,"href","https://huggingface.co/models?filter=document-question-answering"),d(Fr,"rel","nofollow"),d(Le,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ss,"id","transformers.FeatureExtractionPipeline"),d(ss,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(ss,"href","#transformers.FeatureExtractionPipeline"),d(Et,"class","relative group"),d(fp,"href","../pipeline_tutorial"),d(up,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.pipeline"),d(Rr,"href","https://huggingface.co/models"),d(Rr,"rel","nofollow"),d(rs,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(K,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(os,"id","transformers.FillMaskPipeline"),d(os,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(os,"href","#transformers.FillMaskPipeline"),d(At,"class","relative group"),d(gp,"href","../task_summary#masked-language-modeling"),d(_p,"href","../pipeline_tutorial"),d(bp,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.pipeline"),d(Zr,"href","https://huggingface.co/models?filter=fill-mask"),d(Zr,"rel","nofollow"),d(ps,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(U,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(cs,"id","transformers.ImageClassificationPipeline"),d(cs,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(cs,"href","#transformers.ImageClassificationPipeline"),d(It,"class","relative group"),d(wp,"href","../pipeline_tutorial"),d(vp,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.pipeline"),d(eo,"href","https://huggingface.co/models?filter=image-classification"),d(eo,"rel","nofollow"),d(ms,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(X,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(hs,"id","transformers.ImageSegmentationPipeline"),d(hs,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(hs,"href","#transformers.ImageSegmentationPipeline"),d(St,"class","relative group"),d(xp,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.pipeline"),d(oo,"href","https://huggingface.co/models?filter=image-segmentation"),d(oo,"rel","nofollow"),d(us,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(pe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(gs,"id","transformers.ImageToTextPipeline"),d(gs,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(gs,"href","#transformers.ImageToTextPipeline"),d(Ft,"class","relative group"),d(kp,"href","../pipeline_tutorial"),d(ho,"href","https://huggingface.co/models?pipeline_tag=image-to-text"),d(ho,"rel","nofollow"),d(bs,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(J,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ws,"id","transformers.TokenClassificationPipeline"),d(ws,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(ws,"href","#transformers.TokenClassificationPipeline"),d(Lt,"class","relative group"),d(Pp,"href","../task_summary#named-entity-recognition"),d(Tp,"href","../pipeline_tutorial"),d(yp,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.pipeline"),d(bo,"href","https://huggingface.co/models?filter=token-classification"),d(bo,"rel","nofollow"),d(et,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(xs,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ks,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ps,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d($p,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.TokenClassificationPipeline"),d(ys,"id","transformers.ObjectDetectionPipeline"),d(ys,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(ys,"href","#transformers.ObjectDetectionPipeline"),d(Ut,"class","relative group"),d(jp,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.pipeline"),d(jo,"href","https://huggingface.co/models?filter=object-detection"),d(jo,"rel","nofollow"),d($s,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(be,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(js,"id","transformers.QuestionAnsweringPipeline"),d(js,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(js,"href","#transformers.QuestionAnsweringPipeline"),d(Rt,"class","relative group"),d(Ep,"href","../task_summary#question-answering"),d(qp,"href","../pipeline_tutorial"),d(Ap,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.pipeline"),d(Co,"href","https://huggingface.co/models?filter=question-answering"),d(Co,"rel","nofollow"),d(qs,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(tt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(As,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ds,"id","transformers.SummarizationPipeline"),d(Ds,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Ds,"href","#transformers.SummarizationPipeline"),d(Wt,"class","relative group"),d(Dp,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.pipeline"),d(Lo,"href","https://huggingface.co/models?filter=summarization"),d(Lo,"rel","nofollow"),d(Oo,"href","https://huggingface.co/docs/transformers/en/main_classes/text_generation#transformers.generation.GenerationMixin.generate"),d(Oo,"rel","nofollow"),d(Is,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ce,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(zs,"id","transformers.TableQuestionAnsweringPipeline"),d(zs,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(zs,"href","#transformers.TableQuestionAnsweringPipeline"),d(Bt,"class","relative group"),d(Cp,"href","../pipeline_tutorial"),d(Ip,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.pipeline"),d(Vo,"href","https://huggingface.co/models?filter=table-question-answering"),d(Vo,"rel","nofollow"),d(re,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ee,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ls,"id","transformers.TextClassificationPipeline"),d(Ls,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Ls,"href","#transformers.TextClassificationPipeline"),d(Kt,"class","relative group"),d(zp,"href","../task_summary#sequence-classification"),d(Sp,"href","../pipeline_tutorial"),d(Mp,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.pipeline"),d(Xo,"href","https://huggingface.co/models?filter=text-classification"),d(Xo,"rel","nofollow"),d(Ns,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(G,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Us,"id","transformers.TextGenerationPipeline"),d(Us,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Us,"href","#transformers.TextGenerationPipeline"),d(en,"class","relative group"),d(Fp,"href","../pipeline_tutorial"),d(Lp,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.pipeline"),d(ai,"href","https://huggingface.co/models?filter=text-generation"),d(ai,"rel","nofollow"),d(Rs,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(te,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Qs,"id","transformers.Text2TextGenerationPipeline"),d(Qs,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Qs,"href","#transformers.Text2TextGenerationPipeline"),d(nn,"class","relative group"),d(Op,"href","../pipeline_tutorial"),d(Np,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.pipeline"),d(li,"href","https://huggingface.co/models?filter=text2text-generation"),d(li,"rel","nofollow"),d(pi,"href","https://huggingface.co/docs/transformers/en/main_classes/text_generation#transformers.generation.GenerationMixin.generate"),d(pi,"rel","nofollow"),d(Zs,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Bs,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(O,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ys,"id","transformers.TokenClassificationPipeline"),d(Ys,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Ys,"href","#transformers.TokenClassificationPipeline"),d(an,"class","relative group"),d(Up,"href","../task_summary#named-entity-recognition"),d(Gp,"href","../pipeline_tutorial"),d(Rp,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.pipeline"),d(ui,"href","https://huggingface.co/models?filter=token-classification"),d(ui,"rel","nofollow"),d(Xs,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(nt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Js,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ea,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ta,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(na,"id","transformers.TranslationPipeline"),d(na,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(na,"href","#transformers.TranslationPipeline"),d(ln,"class","relative group"),d(Qp,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.pipeline"),d(Pi,"href","https://huggingface.co/models?filter=translation"),d(Pi,"rel","nofollow"),d(Ti,"href","https://huggingface.co/docs/transformers/en/main_classes/text_generation#transformers.generation.GenerationMixin.generate"),d(Ti,"rel","nofollow"),d(ra,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(me,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(oa,"id","transformers.VisualQuestionAnsweringPipeline"),d(oa,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(oa,"href","#transformers.VisualQuestionAnsweringPipeline"),d(cn,"class","relative group"),d(Vp,"href","../pipeline_tutorial"),d(Hp,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.pipeline"),d(Ai,"href","https://huggingface.co/models?filter=visual-question-answering"),d(Ai,"rel","nofollow"),d(st,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ne,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(la,"id","transformers.ZeroShotClassificationPipeline"),d(la,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(la,"href","#transformers.ZeroShotClassificationPipeline"),d(mn,"class","relative group"),d(Wp,"href","../pipeline_tutorial"),d(Zp,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.pipeline"),d(Si,"href","https://huggingface.co/models?search=nli"),d(Si,"rel","nofollow"),d(Bp,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.ZeroShotClassificationPipeline"),d(ca,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(R,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(da,"id","transformers.ZeroShotImageClassificationPipeline"),d(da,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(da,"href","#transformers.ZeroShotImageClassificationPipeline"),d(fn,"class","relative group"),d(Yp,"href","../pipeline_tutorial"),d(Kp,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.pipeline"),d(Ui,"href","https://huggingface.co/models?filter=zero-shot-image-classification"),d(Ui,"rel","nofollow"),d(ha,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(se,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(fa,"id","transformers.ZeroShotObjectDetectionPipeline"),d(fa,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(fa,"href","#transformers.ZeroShotObjectDetectionPipeline"),d(_n,"class","relative group"),d(Xp,"href","../pipeline_tutorial"),d(Jp,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.pipeline"),d(Hi,"href","https://huggingface.co/models?filter=zero-shot-object-detection"),d(Hi,"rel","nofollow"),d(ga,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ae,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(_a,"id","transformers.Pipeline"),d(_a,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(_a,"href","#transformers.Pipeline"),d(vn,"class","relative group"),d(tc,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.FeatureExtractionPipeline"),d(ba,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(at,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(va,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(xa,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ka,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Pa,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ta,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ya,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(n,m){e(document.head,u),f(n,y,m),f(n,P,m),e(P,h),e(h,T),w(l,T,null),e(P,g),e(P,Re),e(Re,W2),f(n,Rg,m),f(n,kn,m),e(kn,Z2),e(kn,hl),e(hl,B2),e(kn,Y2),f(n,Qg,m),f(n,fl,m),e(fl,K2),f(n,Vg,m),f(n,Pn,m),e(Pn,Rc),e(Rc,Ia),e(Ia,X2),e(Ia,ul),e(ul,J2),e(Ia,ev),e(Pn,tv),e(Pn,za),e(za,Qc),e(Qc,nv),e(za,sv),e(za,E),e(E,Vc),e(Vc,gl),e(gl,av),e(E,rv),e(E,Hc),e(Hc,_l),e(_l,ov),e(E,iv),e(E,Wc),e(Wc,bl),e(bl,lv),e(E,pv),e(E,Zc),e(Zc,wl),e(wl,cv),e(E,dv),e(E,Bc),e(Bc,vl),e(vl,mv),e(E,hv),e(E,Yc),e(Yc,xl),e(xl,fv),e(E,uv),e(E,Kc),e(Kc,kl),e(kl,gv),e(E,_v),e(E,Xc),e(Xc,Pl),e(Pl,bv),e(E,wv),e(E,Jc),e(Jc,Tl),e(Tl,vv),e(E,xv),e(E,ed),e(ed,yl),e(yl,kv),e(E,Pv),e(E,td),e(td,$l),e($l,Tv),e(E,yv),e(E,nd),e(nd,jl),e(jl,$v),e(E,jv),e(E,sd),e(sd,El),e(El,Ev),e(E,qv),e(E,ad),e(ad,ql),e(ql,Av),e(E,Dv),e(E,rd),e(rd,Al),e(Al,Cv),e(E,Iv),e(E,od),e(od,Dl),e(Dl,zv),e(E,Sv),e(E,id),e(id,Cl),e(Cl,Mv),e(E,Fv),e(E,ld),e(ld,Il),e(Il,Lv),e(E,Ov),e(E,pd),e(pd,zl),e(zl,Nv),e(E,Uv),e(E,cd),e(cd,Sl),e(Sl,Gv),e(E,Rv),e(E,dd),e(dd,Ml),e(Ml,Qv),e(E,Vv),e(E,md),e(md,Fl),e(Fl,Hv),e(E,Wv),e(E,hd),e(hd,Ll),e(Ll,Zv),f(n,Hg,m),f(n,dt,m),e(dt,Tn),e(Tn,fd),w(Sa,fd,null),e(dt,Bv),e(dt,ud),e(ud,Yv),f(n,Wg,m),f(n,yn,m),e(yn,Kv),e(yn,gd),e(gd,Xv),e(yn,Jv),f(n,Zg,m),f(n,Ol,m),e(Ol,ex),f(n,Bg,m),w(Ma,n,m),f(n,Yg,m),f(n,$n,m),e($n,tx),e($n,Fa),e(Fa,nx),e($n,sx),f(n,Kg,m),w(La,n,m),f(n,Xg,m),f(n,jn,m),e(jn,ax),e(jn,_d),e(_d,rx),e(jn,ox),f(n,Jg,m),w(Oa,n,m),f(n,e_,m),f(n,En,m),e(En,ix),e(En,bd),e(bd,lx),e(En,px),f(n,t_,m),w(Na,n,m),f(n,n_,m),f(n,Nl,m),e(Nl,cx),f(n,s_,m),w(Ua,n,m),f(n,a_,m),f(n,_e,m),w(Ga,_e,null),e(_e,dx),e(_e,Ra),e(Ra,mx),e(Ra,Ul),e(Ul,hx),e(Ra,fx),e(_e,ux),e(_e,wd),e(wd,gx),e(_e,_x),e(_e,mt),e(mt,Qa),e(Qa,bx),e(Qa,Gl),e(Gl,wx),e(Qa,vx),e(mt,xx),e(mt,Va),e(Va,kx),e(Va,Rl),e(Rl,Px),e(Va,Tx),e(mt,yx),e(mt,vd),e(vd,$x),e(_e,jx),w(qn,_e,null),f(n,r_,m),f(n,ht,m),e(ht,An),e(An,xd),w(Ha,xd,null),e(ht,Ex),e(ht,kd),e(kd,qx),f(n,o_,m),f(n,Ke,m),e(Ke,Ax),e(Ke,Pd),e(Pd,Dx),e(Ke,Cx),e(Ke,Td),e(Td,Ix),e(Ke,zx),f(n,i_,m),w(Wa,n,m),f(n,l_,m),w(Dn,n,m),f(n,p_,m),w(Za,n,m),f(n,c_,m),w(Ba,n,m),f(n,d_,m),f(n,Ql,m),e(Ql,Sx),f(n,m_,m),w(Ya,n,m),f(n,h_,m),f(n,Cn,m),e(Cn,Mx),e(Cn,yd),e(yd,Fx),e(Cn,Lx),f(n,f_,m),w(Ka,n,m),f(n,u_,m),f(n,Vl,m),e(Vl,Ox),f(n,g_,m),f(n,Hl,m),e(Hl,Nx),f(n,__,m),f(n,we,m),e(we,$d),e($d,jd),e(jd,Ed),e(Ed,Ux),e(we,Gx),e(we,qd),e(qd,Ad),e(Ad,Rx),e(we,Qx),e(we,Dd),e(Dd,Cd),e(Cd,Vx),e(we,Hx),e(we,Xa),e(Xa,Id),e(Id,Wx),e(Xa,Zx),e(Xa,ft),e(ft,zd),e(zd,Bx),e(ft,Yx),e(ft,Sd),e(Sd,Kx),e(ft,Xx),e(ft,Md),e(Md,Jx),e(we,e1),e(we,Fd),e(Fd,Ld),e(Ld,t1),f(n,b_,m),f(n,ut,m),e(ut,In),e(In,Od),w(Ja,Od,null),e(ut,n1),e(ut,Nd),e(Nd,s1),f(n,w_,m),f(n,Qe,m),e(Qe,Ud),e(Ud,a1),e(Qe,r1),e(Qe,Gd),e(Gd,o1),e(Qe,i1),e(Qe,Rd),e(Rd,l1),e(Qe,p1),f(n,v_,m),f(n,Xe,m),e(Xe,c1),e(Xe,Qd),e(Qd,d1),e(Xe,m1),e(Xe,Vd),e(Vd,h1),e(Xe,f1),f(n,x_,m),w(er,n,m),f(n,k_,m),f(n,Wl,m),e(Wl,u1),f(n,P_,m),w(tr,n,m),f(n,T_,m),f(n,Zl,m),e(Zl,g1),f(n,y_,m),f(n,zn,m),e(zn,_1),e(zn,Hd),e(Hd,b1),e(zn,w1),f(n,$_,m),f(n,gt,m),e(gt,Sn),e(Sn,Wd),w(nr,Wd,null),e(gt,v1),e(gt,Zd),e(Zd,x1),f(n,j_,m),f(n,Bl,m),e(Bl,k1),f(n,E_,m),f(n,Mn,m),e(Mn,P1),e(Mn,Bd),e(Bd,T1),e(Mn,y1),f(n,q_,m),f(n,Yl,m),e(Yl,$1),f(n,A_,m),f(n,Kl,m),e(Kl,Yd),e(Yd,j1),f(n,D_,m),w(sr,n,m),f(n,C_,m),f(n,Xl,m),e(Xl,E1),f(n,I_,m),f(n,_t,m),e(_t,Fn),e(Fn,Kd),w(ar,Kd,null),e(_t,q1),e(_t,Xd),e(Xd,A1),f(n,z_,m),f(n,Jl,m),e(Jl,ep),e(ep,D1),f(n,S_,m),f(n,bt,m),e(bt,Ln),e(Ln,Jd),w(rr,Jd,null),e(bt,C1),e(bt,em),e(em,I1),f(n,M_,m),f(n,wt,m),e(wt,On),e(On,tm),w(or,tm,null),e(wt,z1),e(wt,nm),e(nm,S1),f(n,F_,m),f(n,H,m),w(ir,H,null),e(H,M1),e(H,lr),e(lr,F1),e(lr,sm),e(sm,L1),e(lr,O1),e(H,N1),w(Nn,H,null),e(H,U1),e(H,am),e(am,tp),e(tp,G1),e(H,R1),e(H,vt),e(vt,Q1),e(vt,np),e(np,V1),e(vt,H1),e(vt,rm),e(rm,W1),e(vt,Z1),e(H,B1),e(H,pr),e(pr,Y1),e(pr,cr),e(cr,K1),e(pr,X1),e(H,J1),e(H,Un),w(dr,Un,null),e(Un,ek),e(Un,mr),e(mr,tk),e(mr,sp),e(sp,nk),e(mr,sk),f(n,L_,m),f(n,xt,m),e(xt,Gn),e(Gn,om),w(hr,om,null),e(xt,ak),e(xt,im),e(im,rk),f(n,O_,m),f(n,le,m),w(fr,le,null),e(le,ok),e(le,lm),e(lm,ik),e(le,lk),e(le,pm),e(pm,pk),e(le,ck),w(Rn,le,null),e(le,dk),e(le,cm),e(cm,ap),e(ap,mk),e(le,hk),e(le,Qn),w(ur,Qn,null),e(Qn,fk),e(Qn,gr),e(gr,uk),e(gr,rp),e(rp,gk),e(gr,_k),f(n,N_,m),f(n,kt,m),e(kt,Vn),e(Vn,dm),w(_r,dm,null),e(kt,bk),e(kt,mm),e(mm,wk),f(n,U_,m),f(n,W,m),w(br,W,null),e(W,vk),e(W,Ve),e(Ve,xk),e(Ve,op),e(op,kk),e(Ve,Pk),e(Ve,ip),e(ip,Tk),e(Ve,yk),e(Ve,hm),e(hm,$k),e(Ve,jk),e(W,Ek),w(Hn,W,null),e(W,qk),e(W,Wn),w(wr,Wn,null),e(Wn,Ak),e(Wn,vr),e(vr,Dk),e(vr,fm),e(fm,Ck),e(vr,Ik),e(W,zk),e(W,Zn),w(xr,Zn,null),e(Zn,Sk),e(Zn,um),e(um,Mk),e(W,Fk),e(W,Je),w(kr,Je,null),e(Je,Lk),e(Je,gm),e(gm,Ok),e(Je,Nk),e(Je,Se),e(Se,Uk),e(Se,_m),e(_m,Gk),e(Se,Rk),e(Se,bm),e(bm,Qk),e(Se,Vk),e(Se,wm),e(wm,Hk),e(Se,Wk),e(Se,vm),e(vm,Zk),e(Se,Bk),e(W,Yk),e(W,Bn),w(Pr,Bn,null),e(Bn,Kk),e(Bn,He),e(He,Xk),e(He,xm),e(xm,Jk),e(He,eP),e(He,km),e(km,tP),e(He,nP),e(He,Pm),e(Pm,sP),e(He,aP),f(n,G_,m),f(n,Z,m),w(Tr,Z,null),e(Z,rP),e(Z,Tm),e(Tm,oP),e(Z,iP),w(Yn,Z,null),e(Z,lP),e(Z,ym),e(ym,lp),e(lp,pP),e(Z,cP),e(Z,Pt),e(Pt,dP),e(Pt,pp),e(pp,mP),e(Pt,hP),e(Pt,$m),e($m,fP),e(Pt,uP),e(Z,gP),e(Z,Me),e(Me,_P),e(Me,jm),e(jm,bP),e(Me,wP),e(Me,Em),e(Em,vP),e(Me,xP),e(Me,qm),e(qm,kP),e(Me,PP),e(Me,yr),e(yr,TP),e(Me,yP),e(Z,$P),e(Z,Kn),w($r,Kn,null),e(Kn,jP),e(Kn,Am),e(Am,EP),f(n,R_,m),f(n,Tt,m),e(Tt,Xn),e(Xn,Dm),w(jr,Dm,null),e(Tt,qP),e(Tt,Cm),e(Cm,AP),f(n,Q_,m),f(n,B,m),w(Er,B,null),e(B,DP),e(B,qr),e(qr,CP),e(qr,Im),e(Im,IP),e(qr,zP),e(B,SP),w(Jn,B,null),e(B,MP),e(B,zm),e(zm,cp),e(cp,FP),e(B,LP),e(B,yt),e(yt,OP),e(yt,dp),e(dp,NP),e(yt,UP),e(yt,Sm),e(Sm,GP),e(yt,RP),e(B,QP),e(B,Ar),e(Ar,VP),e(Ar,Dr),e(Dr,HP),e(Ar,WP),e(B,ZP),e(B,es),w(Cr,es,null),e(es,BP),e(es,Mm),e(Mm,YP),f(n,V_,m),f(n,$t,m),e($t,ts),e(ts,Fm),w(Ir,Fm,null),e($t,KP),e($t,Lm),e(Lm,XP),f(n,H_,m),f(n,Y,m),w(zr,Y,null),e(Y,JP),e(Y,Sr),e(Sr,eT),e(Sr,Om),e(Om,tT),e(Sr,nT),e(Y,sT),w(ns,Y,null),e(Y,aT),e(Y,Nm),e(Nm,mp),e(mp,rT),e(Y,oT),e(Y,jt),e(jt,iT),e(jt,hp),e(hp,lT),e(jt,pT),e(jt,Um),e(Um,cT),e(jt,dT),e(Y,mT),e(Y,Mr),e(Mr,hT),e(Mr,Fr),e(Fr,fT),e(Mr,uT),e(Y,gT),e(Y,Le),w(Lr,Le,null),e(Le,_T),e(Le,Or),e(Or,bT),e(Or,Gm),e(Gm,wT),e(Or,vT),e(Le,xT),e(Le,Rm),e(Rm,kT),e(Le,PT),e(Le,We),e(We,Qm),e(Qm,Vm),e(Vm,TT),e(We,yT),e(We,Hm),e(Hm,Wm),e(Wm,$T),e(We,jT),e(We,Zm),e(Zm,Bm),e(Bm,ET),e(We,qT),e(We,Ym),e(Ym,Km),e(Km,AT),f(n,W_,m),f(n,Et,m),e(Et,ss),e(ss,Xm),w(Nr,Xm,null),e(Et,DT),e(Et,Jm),e(Jm,CT),f(n,Z_,m),f(n,K,m),w(Ur,K,null),e(K,IT),e(K,eh),e(eh,zT),e(K,ST),w(as,K,null),e(K,MT),e(K,th),e(th,fp),e(fp,FT),e(K,LT),e(K,qt),e(qt,OT),e(qt,up),e(up,NT),e(qt,UT),e(qt,nh),e(nh,GT),e(qt,RT),e(K,QT),e(K,Gr),e(Gr,VT),e(Gr,Rr),e(Rr,HT),e(Gr,WT),e(K,ZT),e(K,rs),w(Qr,rs,null),e(rs,BT),e(rs,sh),e(sh,YT),f(n,B_,m),f(n,At,m),e(At,os),e(os,ah),w(Vr,ah,null),e(At,KT),e(At,rh),e(rh,XT),f(n,Y_,m),f(n,U,m),w(Hr,U,null),e(U,JT),e(U,Dt),e(Dt,ey),e(Dt,oh),e(oh,ty),e(Dt,ny),e(Dt,gp),e(gp,sy),e(Dt,ay),e(U,ry),w(is,U,null),e(U,oy),e(U,ih),e(ih,_p),e(_p,iy),e(U,ly),e(U,Ct),e(Ct,py),e(Ct,bp),e(bp,cy),e(Ct,dy),e(Ct,lh),e(lh,my),e(Ct,hy),e(U,fy),e(U,Wr),e(Wr,uy),e(Wr,Zr),e(Zr,gy),e(Wr,_y),e(U,by),w(ls,U,null),e(U,wy),e(U,ps),w(Br,ps,null),e(ps,vy),e(ps,ph),e(ph,xy),f(n,K_,m),f(n,It,m),e(It,cs),e(cs,ch),w(Yr,ch,null),e(It,ky),e(It,dh),e(dh,Py),f(n,X_,m),f(n,X,m),w(Kr,X,null),e(X,Ty),e(X,Xr),e(Xr,yy),e(Xr,mh),e(mh,$y),e(Xr,jy),e(X,Ey),w(ds,X,null),e(X,qy),e(X,hh),e(hh,wp),e(wp,Ay),e(X,Dy),e(X,zt),e(zt,Cy),e(zt,vp),e(vp,Iy),e(zt,zy),e(zt,fh),e(fh,Sy),e(zt,My),e(X,Fy),e(X,Jr),e(Jr,Ly),e(Jr,eo),e(eo,Oy),e(Jr,Ny),e(X,Uy),e(X,ms),w(to,ms,null),e(ms,Gy),e(ms,uh),e(uh,Ry),f(n,J_,m),f(n,St,m),e(St,hs),e(hs,gh),w(no,gh,null),e(St,Qy),e(St,_h),e(_h,Vy),f(n,eb,m),f(n,pe,m),w(so,pe,null),e(pe,Hy),e(pe,ao),e(ao,Wy),e(ao,bh),e(bh,Zy),e(ao,By),e(pe,Yy),w(fs,pe,null),e(pe,Ky),e(pe,Mt),e(Mt,Xy),e(Mt,xp),e(xp,Jy),e(Mt,e0),e(Mt,wh),e(wh,t0),e(Mt,n0),e(pe,s0),e(pe,ro),e(ro,a0),e(ro,oo),e(oo,r0),e(ro,o0),e(pe,i0),e(pe,us),w(io,us,null),e(us,l0),e(us,vh),e(vh,p0),f(n,tb,m),f(n,Ft,m),e(Ft,gs),e(gs,xh),w(lo,xh,null),e(Ft,c0),e(Ft,kh),e(kh,d0),f(n,nb,m),f(n,J,m),w(po,J,null),e(J,m0),e(J,co),e(co,h0),e(co,Ph),e(Ph,f0),e(co,u0),e(J,g0),w(_s,J,null),e(J,_0),e(J,Th),e(Th,kp),e(kp,b0),e(J,w0),e(J,yh),e(yh,v0),e(J,x0),e(J,mo),e(mo,k0),e(mo,ho),e(ho,P0),e(mo,T0),e(J,y0),e(J,bs),w(fo,bs,null),e(bs,$0),e(bs,$h),e($h,j0),f(n,sb,m),f(n,Lt,m),e(Lt,ws),e(ws,jh),w(uo,jh,null),e(Lt,E0),e(Lt,Eh),e(Eh,q0),f(n,ab,m),f(n,F,m),w(go,F,null),e(F,A0),e(F,Ot),e(Ot,D0),e(Ot,qh),e(qh,C0),e(Ot,I0),e(Ot,Pp),e(Pp,z0),e(Ot,S0),e(F,M0),w(vs,F,null),e(F,F0),e(F,Ah),e(Ah,Tp),e(Tp,L0),e(F,O0),e(F,Nt),e(Nt,N0),e(Nt,yp),e(yp,U0),e(Nt,G0),e(Nt,Dh),e(Dh,R0),e(Nt,Q0),e(F,V0),e(F,_o),e(_o,H0),e(_o,bo),e(bo,W0),e(_o,Z0),e(F,B0),e(F,et),w(wo,et,null),e(et,Y0),e(et,Ch),e(Ch,K0),e(et,X0),e(et,Ih),e(Ih,J0),e(F,e$),e(F,xs),w(vo,xs,null),e(xs,t$),e(xs,zh),e(zh,n$),e(F,s$),e(F,ks),w(xo,ks,null),e(ks,a$),e(ks,Sh),e(Sh,r$),e(F,o$),e(F,Ps),w(ko,Ps,null),e(Ps,i$),e(Ps,Mh),e(Mh,l$),f(n,rb,m),f(n,Ts,m),e(Ts,p$),e(Ts,$p),e($p,c$),e(Ts,d$),f(n,ob,m),f(n,Ut,m),e(Ut,ys),e(ys,Fh),w(Po,Fh,null),e(Ut,m$),e(Ut,Lh),e(Lh,h$),f(n,ib,m),f(n,be,m),w(To,be,null),e(be,f$),e(be,yo),e(yo,u$),e(yo,Oh),e(Oh,g$),e(yo,_$),e(be,b$),e(be,Gt),e(Gt,w$),e(Gt,jp),e(jp,v$),e(Gt,x$),e(Gt,Nh),e(Nh,k$),e(Gt,P$),e(be,T$),e(be,$o),e($o,y$),e($o,jo),e(jo,$$),e($o,j$),e(be,E$),e(be,$s),w(Eo,$s,null),e($s,q$),e($s,Uh),e(Uh,A$),f(n,lb,m),f(n,Rt,m),e(Rt,js),e(js,Gh),w(qo,Gh,null),e(Rt,D$),e(Rt,Rh),e(Rh,C$),f(n,pb,m),f(n,L,m),w(Ao,L,null),e(L,I$),e(L,Qt),e(Qt,z$),e(Qt,Qh),e(Qh,S$),e(Qt,M$),e(Qt,Ep),e(Ep,F$),e(Qt,L$),e(L,O$),w(Es,L,null),e(L,N$),e(L,Vh),e(Vh,qp),e(qp,U$),e(L,G$),e(L,Vt),e(Vt,R$),e(Vt,Ap),e(Ap,Q$),e(Vt,V$),e(Vt,Hh),e(Hh,H$),e(Vt,W$),e(L,Z$),e(L,Do),e(Do,B$),e(Do,Co),e(Co,Y$),e(Do,K$),e(L,X$),e(L,qs),w(Io,qs,null),e(qs,J$),e(qs,Wh),e(Wh,e7),e(L,t7),e(L,tt),w(zo,tt,null),e(tt,n7),e(tt,Ht),e(Ht,s7),e(Ht,Zh),e(Zh,a7),e(Ht,r7),e(Ht,Bh),e(Bh,o7),e(Ht,i7),e(tt,l7),e(tt,Yh),e(Yh,p7),e(L,c7),e(L,As),w(So,As,null),e(As,d7),e(As,Kh),e(Kh,m7),f(n,cb,m),f(n,Wt,m),e(Wt,Ds),e(Ds,Xh),w(Mo,Xh,null),e(Wt,h7),e(Wt,Jh),e(Jh,f7),f(n,db,m),f(n,ce,m),w(Fo,ce,null),e(ce,u7),e(ce,ef),e(ef,g7),e(ce,_7),e(ce,Zt),e(Zt,b7),e(Zt,Dp),e(Dp,w7),e(Zt,v7),e(Zt,tf),e(tf,x7),e(Zt,k7),e(ce,P7),e(ce,Q),e(Q,T7),e(Q,nf),e(nf,y7),e(Q,$7),e(Q,sf),e(sf,j7),e(Q,E7),e(Q,af),e(af,q7),e(Q,A7),e(Q,rf),e(rf,D7),e(Q,C7),e(Q,of),e(of,I7),e(Q,z7),e(Q,lf),e(lf,S7),e(Q,M7),e(Q,Lo),e(Lo,F7),e(Q,L7),e(Q,Oo),e(Oo,O7),e(ce,N7),w(Cs,ce,null),e(ce,U7),e(ce,Is),w(No,Is,null),e(Is,G7),e(Is,pf),e(pf,R7),f(n,mb,m),f(n,Bt,m),e(Bt,zs),e(zs,cf),w(Uo,cf,null),e(Bt,Q7),e(Bt,df),e(df,V7),f(n,hb,m),f(n,ee,m),w(Go,ee,null),e(ee,H7),e(ee,Ro),e(Ro,W7),e(Ro,mf),e(mf,Z7),e(Ro,B7),e(ee,Y7),w(Ss,ee,null),e(ee,K7),e(ee,hf),e(hf,Cp),e(Cp,X7),e(ee,J7),e(ee,Yt),e(Yt,ej),e(Yt,Ip),e(Ip,tj),e(Yt,nj),e(Yt,ff),e(ff,sj),e(Yt,aj),e(ee,rj),e(ee,Qo),e(Qo,oj),e(Qo,Vo),e(Vo,ij),e(Qo,lj),e(ee,pj),e(ee,re),w(Ho,re,null),e(re,cj),e(re,uf),e(uf,dj),e(re,mj),e(re,de),e(de,gf),e(gf,_f),e(_f,hj),e(de,fj),e(de,bf),e(bf,wf),e(wf,uj),e(de,gj),e(de,vf),e(vf,xf),e(xf,_j),e(de,bj),e(de,kf),e(kf,Pf),e(Pf,wj),e(de,vj),e(de,Tf),e(Tf,yf),e(yf,xj),e(de,kj),e(de,$f),e($f,jf),e(jf,Pj),e(de,Tj),e(de,Ef),e(Ef,qf),e(qf,yj),e(re,$j),e(re,Wo),e(Wo,jj),e(Wo,Af),e(Af,Ej),e(Wo,qj),e(re,Aj),w(Ms,re,null),e(re,Dj),e(re,Df),e(Df,Cj),e(re,Ij),w(Fs,re,null),f(n,fb,m),f(n,Kt,m),e(Kt,Ls),e(Ls,Cf),w(Zo,Cf,null),e(Kt,zj),e(Kt,If),e(If,Sj),f(n,ub,m),f(n,G,m),w(Bo,G,null),e(G,Mj),e(G,Xt),e(Xt,Fj),e(Xt,zf),e(zf,Lj),e(Xt,Oj),e(Xt,zp),e(zp,Nj),e(Xt,Uj),e(G,Gj),w(Os,G,null),e(G,Rj),e(G,Sf),e(Sf,Sp),e(Sp,Qj),e(G,Vj),e(G,Jt),e(Jt,Hj),e(Jt,Mp),e(Mp,Wj),e(Jt,Zj),e(Jt,Mf),e(Mf,Bj),e(Jt,Yj),e(G,Kj),e(G,Yo),e(Yo,Xj),e(Yo,Ff),e(Ff,Jj),e(Yo,e4),e(G,t4),e(G,Ko),e(Ko,n4),e(Ko,Xo),e(Xo,s4),e(Ko,a4),e(G,r4),e(G,Ns),w(Jo,Ns,null),e(Ns,o4),e(Ns,Lf),e(Lf,i4),f(n,gb,m),f(n,en,m),e(en,Us),e(Us,Of),w(ei,Of,null),e(en,l4),e(en,Nf),e(Nf,p4),f(n,_b,m),f(n,te,m),w(ti,te,null),e(te,c4),e(te,ni),e(ni,d4),e(ni,Uf),e(Uf,m4),e(ni,h4),e(te,f4),w(Gs,te,null),e(te,u4),e(te,Gf),e(Gf,Fp),e(Fp,g4),e(te,_4),e(te,tn),e(tn,b4),e(tn,Lp),e(Lp,w4),e(tn,v4),e(tn,Rf),e(Rf,x4),e(tn,k4),e(te,P4),e(te,si),e(si,T4),e(si,ai),e(ai,y4),e(si,$4),e(te,j4),e(te,Rs),w(ri,Rs,null),e(Rs,E4),e(Rs,Qf),e(Qf,q4),f(n,bb,m),f(n,nn,m),e(nn,Qs),e(Qs,Vf),w(oi,Vf,null),e(nn,A4),e(nn,Hf),e(Hf,D4),f(n,wb,m),f(n,O,m),w(ii,O,null),e(O,C4),e(O,Wf),e(Wf,I4),e(O,z4),w(Vs,O,null),e(O,S4),e(O,Zf),e(Zf,Op),e(Op,M4),e(O,F4),e(O,sn),e(sn,L4),e(sn,Np),e(Np,O4),e(sn,N4),e(sn,Bf),e(Bf,U4),e(sn,G4),e(O,R4),e(O,Hs),e(Hs,Q4),e(Hs,li),e(li,V4),e(Hs,H4),e(Hs,pi),e(pi,W4),e(O,Z4),w(Ws,O,null),e(O,B4),e(O,Zs),w(ci,Zs,null),e(Zs,Y4),e(Zs,Yf),e(Yf,K4),e(O,X4),e(O,Bs),w(di,Bs,null),e(Bs,J4),e(Bs,Kf),e(Kf,eE),f(n,vb,m),f(n,an,m),e(an,Ys),e(Ys,Xf),w(mi,Xf,null),e(an,tE),e(an,Jf),e(Jf,nE),f(n,xb,m),f(n,M,m),w(hi,M,null),e(M,sE),e(M,rn),e(rn,aE),e(rn,eu),e(eu,rE),e(rn,oE),e(rn,Up),e(Up,iE),e(rn,lE),e(M,pE),w(Ks,M,null),e(M,cE),e(M,tu),e(tu,Gp),e(Gp,dE),e(M,mE),e(M,on),e(on,hE),e(on,Rp),e(Rp,fE),e(on,uE),e(on,nu),e(nu,gE),e(on,_E),e(M,bE),e(M,fi),e(fi,wE),e(fi,ui),e(ui,vE),e(fi,xE),e(M,kE),e(M,Xs),w(gi,Xs,null),e(Xs,PE),e(Xs,su),e(su,TE),e(M,yE),e(M,nt),w(_i,nt,null),e(nt,$E),e(nt,au),e(au,jE),e(nt,EE),e(nt,ru),e(ru,qE),e(M,AE),e(M,Js),w(bi,Js,null),e(Js,DE),e(Js,ou),e(ou,CE),e(M,IE),e(M,ea),w(wi,ea,null),e(ea,zE),e(ea,iu),e(iu,SE),e(M,ME),e(M,ta),w(vi,ta,null),e(ta,FE),e(ta,lu),e(lu,LE),f(n,kb,m),f(n,ln,m),e(ln,na),e(na,pu),w(xi,pu,null),e(ln,OE),e(ln,cu),e(cu,NE),f(n,Pb,m),f(n,me,m),w(ki,me,null),e(me,UE),e(me,du),e(du,GE),e(me,RE),e(me,pn),e(pn,QE),e(pn,Qp),e(Qp,VE),e(pn,HE),e(pn,mu),e(mu,WE),e(pn,ZE),e(me,BE),e(me,sa),e(sa,YE),e(sa,Pi),e(Pi,KE),e(sa,XE),e(sa,Ti),e(Ti,JE),e(me,eq),w(aa,me,null),e(me,tq),e(me,ra),w(yi,ra,null),e(ra,nq),e(ra,hu),e(hu,sq),f(n,Tb,m),f(n,cn,m),e(cn,oa),e(oa,fu),w($i,fu,null),e(cn,aq),e(cn,uu),e(uu,rq),f(n,yb,m),f(n,ne,m),w(ji,ne,null),e(ne,oq),e(ne,Ei),e(Ei,iq),e(Ei,gu),e(gu,lq),e(Ei,pq),e(ne,cq),w(ia,ne,null),e(ne,dq),e(ne,_u),e(_u,Vp),e(Vp,mq),e(ne,hq),e(ne,dn),e(dn,fq),e(dn,Hp),e(Hp,uq),e(dn,gq),e(dn,bu),e(bu,_q),e(dn,bq),e(ne,wq),e(ne,qi),e(qi,vq),e(qi,Ai),e(Ai,xq),e(qi,kq),e(ne,Pq),e(ne,st),w(Di,st,null),e(st,Tq),e(st,wu),e(wu,yq),e(st,$q),e(st,Ze),e(Ze,vu),e(vu,xu),e(xu,jq),e(Ze,Eq),e(Ze,ku),e(ku,Pu),e(Pu,qq),e(Ze,Aq),e(Ze,Tu),e(Tu,yu),e(yu,Dq),e(Ze,Cq),e(Ze,$u),e($u,ju),e(ju,Iq),f(n,$b,m),f(n,mn,m),e(mn,la),e(la,Eu),w(Ci,Eu,null),e(mn,zq),e(mn,qu),e(qu,Sq),f(n,jb,m),f(n,R,m),w(Ii,R,null),e(R,Mq),e(R,Be),e(Be,Fq),e(Be,Au),e(Au,Lq),e(Be,Oq),e(Be,Du),e(Du,Nq),e(Be,Uq),e(Be,Cu),e(Cu,Gq),e(Be,Rq),e(R,Qq),e(R,Ye),e(Ye,Vq),e(Ye,Iu),e(Iu,Hq),e(Ye,Wq),e(Ye,zu),e(zu,Zq),e(Ye,Bq),e(Ye,Su),e(Su,Yq),e(Ye,Kq),e(R,Xq),w(pa,R,null),e(R,Jq),e(R,Mu),e(Mu,Wp),e(Wp,e3),e(R,t3),e(R,hn),e(hn,n3),e(hn,Zp),e(Zp,s3),e(hn,a3),e(hn,Fu),e(Fu,r3),e(hn,o3),e(R,i3),e(R,zi),e(zi,l3),e(zi,Si),e(Si,p3),e(zi,c3),e(R,d3),e(R,ca),w(Mi,ca,null),e(ca,m3),e(ca,Fi),e(Fi,h3),e(Fi,Bp),e(Bp,f3),e(Fi,u3),f(n,Eb,m),f(n,fn,m),e(fn,da),e(da,Lu),w(Li,Lu,null),e(fn,g3),e(fn,Ou),e(Ou,_3),f(n,qb,m),f(n,se,m),w(Oi,se,null),e(se,b3),e(se,un),e(un,w3),e(un,Nu),e(Nu,v3),e(un,x3),e(un,Uu),e(Uu,k3),e(un,P3),e(se,T3),w(ma,se,null),e(se,y3),e(se,Gu),e(Gu,Yp),e(Yp,$3),e(se,j3),e(se,gn),e(gn,E3),e(gn,Kp),e(Kp,q3),e(gn,A3),e(gn,Ru),e(Ru,D3),e(gn,C3),e(se,I3),e(se,Ni),e(Ni,z3),e(Ni,Ui),e(Ui,S3),e(Ni,M3),e(se,F3),e(se,ha),w(Gi,ha,null),e(ha,L3),e(ha,Qu),e(Qu,O3),f(n,Ab,m),f(n,_n,m),e(_n,fa),e(fa,Vu),w(Ri,Vu,null),e(_n,N3),e(_n,Hu),e(Hu,U3),f(n,Db,m),f(n,ae,m),w(Qi,ae,null),e(ae,G3),e(ae,bn),e(bn,R3),e(bn,Wu),e(Wu,Q3),e(bn,V3),e(bn,Zu),e(Zu,H3),e(bn,W3),e(ae,Z3),w(ua,ae,null),e(ae,B3),e(ae,Bu),e(Bu,Xp),e(Xp,Y3),e(ae,K3),e(ae,wn),e(wn,X3),e(wn,Jp),e(Jp,J3),e(wn,e5),e(wn,Yu),e(Yu,t5),e(wn,n5),e(ae,s5),e(ae,Vi),e(Vi,a5),e(Vi,Hi),e(Hi,r5),e(Vi,o5),e(ae,i5),e(ae,ga),w(Wi,ga,null),e(ga,l5),e(ga,Ku),e(Ku,p5),f(n,Cb,m),f(n,vn,m),e(vn,_a),e(_a,Xu),w(Zi,Xu,null),e(vn,c5),e(vn,ec),e(ec,d5),e(ec,Ju),e(Ju,m5),f(n,Ib,m),f(n,D,m),w(Bi,D,null),e(D,h5),e(D,eg),e(eg,f5),e(D,u5),e(D,tg),e(tg,g5),e(D,_5),e(D,ng),e(ng,b5),e(D,w5),e(D,sg),e(sg,v5),e(D,x5),e(D,Fe),e(Fe,k5),e(Fe,tc),e(tc,P5),e(Fe,T5),e(Fe,ag),e(ag,y5),e(Fe,$5),e(Fe,rg),e(rg,j5),e(Fe,E5),e(Fe,og),e(og,q5),e(Fe,A5),e(D,D5),e(D,ba),w(Yi,ba,null),e(ba,C5),e(ba,ig),e(ig,I5),e(D,z5),e(D,at),w(Ki,at,null),e(at,S5),e(at,lg),e(lg,M5),e(at,F5),w(wa,at,null),e(D,L5),e(D,va),w(Xi,va,null),e(va,O5),e(va,pg),e(pg,N5),e(D,U5),e(D,xa),w(Ji,xa,null),e(xa,G5),e(xa,el),e(el,R5),e(el,cg),e(cg,Q5),e(el,V5),e(D,H5),e(D,ka),w(tl,ka,null),e(ka,W5),e(ka,nl),e(nl,Z5),e(nl,dg),e(dg,B5),e(nl,Y5),e(D,K5),e(D,Pa),w(sl,Pa,null),e(Pa,X5),e(Pa,xn),e(xn,J5),e(xn,mg),e(mg,eA),e(xn,tA),e(xn,hg),e(hg,nA),e(xn,sA),e(D,aA),e(D,Ta),w(al,Ta,null),e(Ta,rA),e(Ta,fg),e(fg,oA),e(D,iA),e(D,ya),w(rl,ya,null),e(ya,lA),e(ya,ol),e(ol,pA),e(ol,ug),e(ug,cA),e(ol,dA),zb=!0},p(n,[m]){const il={};m&2&&(il.$$scope={dirty:m,ctx:n}),qn.$set(il);const gg={};m&2&&(gg.$$scope={dirty:m,ctx:n}),Dn.$set(gg);const _g={};m&2&&(_g.$$scope={dirty:m,ctx:n}),Nn.$set(_g);const bg={};m&2&&(bg.$$scope={dirty:m,ctx:n}),Rn.$set(bg);const ll={};m&2&&(ll.$$scope={dirty:m,ctx:n}),Hn.$set(ll);const wg={};m&2&&(wg.$$scope={dirty:m,ctx:n}),Yn.$set(wg);const vg={};m&2&&(vg.$$scope={dirty:m,ctx:n}),Jn.$set(vg);const pl={};m&2&&(pl.$$scope={dirty:m,ctx:n}),ns.$set(pl);const xg={};m&2&&(xg.$$scope={dirty:m,ctx:n}),as.$set(xg);const cl={};m&2&&(cl.$$scope={dirty:m,ctx:n}),is.$set(cl);const kg={};m&2&&(kg.$$scope={dirty:m,ctx:n}),ls.$set(kg);const dl={};m&2&&(dl.$$scope={dirty:m,ctx:n}),ds.$set(dl);const Pg={};m&2&&(Pg.$$scope={dirty:m,ctx:n}),fs.$set(Pg);const q={};m&2&&(q.$$scope={dirty:m,ctx:n}),_s.$set(q);const Tg={};m&2&&(Tg.$$scope={dirty:m,ctx:n}),vs.$set(Tg);const yg={};m&2&&(yg.$$scope={dirty:m,ctx:n}),Es.$set(yg);const $g={};m&2&&($g.$$scope={dirty:m,ctx:n}),Cs.$set($g);const jg={};m&2&&(jg.$$scope={dirty:m,ctx:n}),Ss.$set(jg);const Eg={};m&2&&(Eg.$$scope={dirty:m,ctx:n}),Ms.$set(Eg);const qg={};m&2&&(qg.$$scope={dirty:m,ctx:n}),Fs.$set(qg);const Ag={};m&2&&(Ag.$$scope={dirty:m,ctx:n}),Os.$set(Ag);const Dg={};m&2&&(Dg.$$scope={dirty:m,ctx:n}),Gs.$set(Dg);const Cg={};m&2&&(Cg.$$scope={dirty:m,ctx:n}),Vs.$set(Cg);const Ig={};m&2&&(Ig.$$scope={dirty:m,ctx:n}),Ws.$set(Ig);const zg={};m&2&&(zg.$$scope={dirty:m,ctx:n}),Ks.$set(zg);const Sg={};m&2&&(Sg.$$scope={dirty:m,ctx:n}),aa.$set(Sg);const Mg={};m&2&&(Mg.$$scope={dirty:m,ctx:n}),ia.$set(Mg);const Fg={};m&2&&(Fg.$$scope={dirty:m,ctx:n}),pa.$set(Fg);const Lg={};m&2&&(Lg.$$scope={dirty:m,ctx:n}),ma.$set(Lg);const Og={};m&2&&(Og.$$scope={dirty:m,ctx:n}),ua.$set(Og);const Ng={};m&2&&(Ng.$$scope={dirty:m,ctx:n}),wa.$set(Ng)},i(n){zb||(v(l.$$.fragment,n),v(Sa.$$.fragment,n),v(Ma.$$.fragment,n),v(La.$$.fragment,n),v(Oa.$$.fragment,n),v(Na.$$.fragment,n),v(Ua.$$.fragment,n),v(Ga.$$.fragment,n),v(qn.$$.fragment,n),v(Ha.$$.fragment,n),v(Wa.$$.fragment,n),v(Dn.$$.fragment,n),v(Za.$$.fragment,n),v(Ba.$$.fragment,n),v(Ya.$$.fragment,n),v(Ka.$$.fragment,n),v(Ja.$$.fragment,n),v(er.$$.fragment,n),v(tr.$$.fragment,n),v(nr.$$.fragment,n),v(sr.$$.fragment,n),v(ar.$$.fragment,n),v(rr.$$.fragment,n),v(or.$$.fragment,n),v(ir.$$.fragment,n),v(Nn.$$.fragment,n),v(dr.$$.fragment,n),v(hr.$$.fragment,n),v(fr.$$.fragment,n),v(Rn.$$.fragment,n),v(ur.$$.fragment,n),v(_r.$$.fragment,n),v(br.$$.fragment,n),v(Hn.$$.fragment,n),v(wr.$$.fragment,n),v(xr.$$.fragment,n),v(kr.$$.fragment,n),v(Pr.$$.fragment,n),v(Tr.$$.fragment,n),v(Yn.$$.fragment,n),v($r.$$.fragment,n),v(jr.$$.fragment,n),v(Er.$$.fragment,n),v(Jn.$$.fragment,n),v(Cr.$$.fragment,n),v(Ir.$$.fragment,n),v(zr.$$.fragment,n),v(ns.$$.fragment,n),v(Lr.$$.fragment,n),v(Nr.$$.fragment,n),v(Ur.$$.fragment,n),v(as.$$.fragment,n),v(Qr.$$.fragment,n),v(Vr.$$.fragment,n),v(Hr.$$.fragment,n),v(is.$$.fragment,n),v(ls.$$.fragment,n),v(Br.$$.fragment,n),v(Yr.$$.fragment,n),v(Kr.$$.fragment,n),v(ds.$$.fragment,n),v(to.$$.fragment,n),v(no.$$.fragment,n),v(so.$$.fragment,n),v(fs.$$.fragment,n),v(io.$$.fragment,n),v(lo.$$.fragment,n),v(po.$$.fragment,n),v(_s.$$.fragment,n),v(fo.$$.fragment,n),v(uo.$$.fragment,n),v(go.$$.fragment,n),v(vs.$$.fragment,n),v(wo.$$.fragment,n),v(vo.$$.fragment,n),v(xo.$$.fragment,n),v(ko.$$.fragment,n),v(Po.$$.fragment,n),v(To.$$.fragment,n),v(Eo.$$.fragment,n),v(qo.$$.fragment,n),v(Ao.$$.fragment,n),v(Es.$$.fragment,n),v(Io.$$.fragment,n),v(zo.$$.fragment,n),v(So.$$.fragment,n),v(Mo.$$.fragment,n),v(Fo.$$.fragment,n),v(Cs.$$.fragment,n),v(No.$$.fragment,n),v(Uo.$$.fragment,n),v(Go.$$.fragment,n),v(Ss.$$.fragment,n),v(Ho.$$.fragment,n),v(Ms.$$.fragment,n),v(Fs.$$.fragment,n),v(Zo.$$.fragment,n),v(Bo.$$.fragment,n),v(Os.$$.fragment,n),v(Jo.$$.fragment,n),v(ei.$$.fragment,n),v(ti.$$.fragment,n),v(Gs.$$.fragment,n),v(ri.$$.fragment,n),v(oi.$$.fragment,n),v(ii.$$.fragment,n),v(Vs.$$.fragment,n),v(Ws.$$.fragment,n),v(ci.$$.fragment,n),v(di.$$.fragment,n),v(mi.$$.fragment,n),v(hi.$$.fragment,n),v(Ks.$$.fragment,n),v(gi.$$.fragment,n),v(_i.$$.fragment,n),v(bi.$$.fragment,n),v(wi.$$.fragment,n),v(vi.$$.fragment,n),v(xi.$$.fragment,n),v(ki.$$.fragment,n),v(aa.$$.fragment,n),v(yi.$$.fragment,n),v($i.$$.fragment,n),v(ji.$$.fragment,n),v(ia.$$.fragment,n),v(Di.$$.fragment,n),v(Ci.$$.fragment,n),v(Ii.$$.fragment,n),v(pa.$$.fragment,n),v(Mi.$$.fragment,n),v(Li.$$.fragment,n),v(Oi.$$.fragment,n),v(ma.$$.fragment,n),v(Gi.$$.fragment,n),v(Ri.$$.fragment,n),v(Qi.$$.fragment,n),v(ua.$$.fragment,n),v(Wi.$$.fragment,n),v(Zi.$$.fragment,n),v(Bi.$$.fragment,n),v(Yi.$$.fragment,n),v(Ki.$$.fragment,n),v(wa.$$.fragment,n),v(Xi.$$.fragment,n),v(Ji.$$.fragment,n),v(tl.$$.fragment,n),v(sl.$$.fragment,n),v(al.$$.fragment,n),v(rl.$$.fragment,n),zb=!0)},o(n){x(l.$$.fragment,n),x(Sa.$$.fragment,n),x(Ma.$$.fragment,n),x(La.$$.fragment,n),x(Oa.$$.fragment,n),x(Na.$$.fragment,n),x(Ua.$$.fragment,n),x(Ga.$$.fragment,n),x(qn.$$.fragment,n),x(Ha.$$.fragment,n),x(Wa.$$.fragment,n),x(Dn.$$.fragment,n),x(Za.$$.fragment,n),x(Ba.$$.fragment,n),x(Ya.$$.fragment,n),x(Ka.$$.fragment,n),x(Ja.$$.fragment,n),x(er.$$.fragment,n),x(tr.$$.fragment,n),x(nr.$$.fragment,n),x(sr.$$.fragment,n),x(ar.$$.fragment,n),x(rr.$$.fragment,n),x(or.$$.fragment,n),x(ir.$$.fragment,n),x(Nn.$$.fragment,n),x(dr.$$.fragment,n),x(hr.$$.fragment,n),x(fr.$$.fragment,n),x(Rn.$$.fragment,n),x(ur.$$.fragment,n),x(_r.$$.fragment,n),x(br.$$.fragment,n),x(Hn.$$.fragment,n),x(wr.$$.fragment,n),x(xr.$$.fragment,n),x(kr.$$.fragment,n),x(Pr.$$.fragment,n),x(Tr.$$.fragment,n),x(Yn.$$.fragment,n),x($r.$$.fragment,n),x(jr.$$.fragment,n),x(Er.$$.fragment,n),x(Jn.$$.fragment,n),x(Cr.$$.fragment,n),x(Ir.$$.fragment,n),x(zr.$$.fragment,n),x(ns.$$.fragment,n),x(Lr.$$.fragment,n),x(Nr.$$.fragment,n),x(Ur.$$.fragment,n),x(as.$$.fragment,n),x(Qr.$$.fragment,n),x(Vr.$$.fragment,n),x(Hr.$$.fragment,n),x(is.$$.fragment,n),x(ls.$$.fragment,n),x(Br.$$.fragment,n),x(Yr.$$.fragment,n),x(Kr.$$.fragment,n),x(ds.$$.fragment,n),x(to.$$.fragment,n),x(no.$$.fragment,n),x(so.$$.fragment,n),x(fs.$$.fragment,n),x(io.$$.fragment,n),x(lo.$$.fragment,n),x(po.$$.fragment,n),x(_s.$$.fragment,n),x(fo.$$.fragment,n),x(uo.$$.fragment,n),x(go.$$.fragment,n),x(vs.$$.fragment,n),x(wo.$$.fragment,n),x(vo.$$.fragment,n),x(xo.$$.fragment,n),x(ko.$$.fragment,n),x(Po.$$.fragment,n),x(To.$$.fragment,n),x(Eo.$$.fragment,n),x(qo.$$.fragment,n),x(Ao.$$.fragment,n),x(Es.$$.fragment,n),x(Io.$$.fragment,n),x(zo.$$.fragment,n),x(So.$$.fragment,n),x(Mo.$$.fragment,n),x(Fo.$$.fragment,n),x(Cs.$$.fragment,n),x(No.$$.fragment,n),x(Uo.$$.fragment,n),x(Go.$$.fragment,n),x(Ss.$$.fragment,n),x(Ho.$$.fragment,n),x(Ms.$$.fragment,n),x(Fs.$$.fragment,n),x(Zo.$$.fragment,n),x(Bo.$$.fragment,n),x(Os.$$.fragment,n),x(Jo.$$.fragment,n),x(ei.$$.fragment,n),x(ti.$$.fragment,n),x(Gs.$$.fragment,n),x(ri.$$.fragment,n),x(oi.$$.fragment,n),x(ii.$$.fragment,n),x(Vs.$$.fragment,n),x(Ws.$$.fragment,n),x(ci.$$.fragment,n),x(di.$$.fragment,n),x(mi.$$.fragment,n),x(hi.$$.fragment,n),x(Ks.$$.fragment,n),x(gi.$$.fragment,n),x(_i.$$.fragment,n),x(bi.$$.fragment,n),x(wi.$$.fragment,n),x(vi.$$.fragment,n),x(xi.$$.fragment,n),x(ki.$$.fragment,n),x(aa.$$.fragment,n),x(yi.$$.fragment,n),x($i.$$.fragment,n),x(ji.$$.fragment,n),x(ia.$$.fragment,n),x(Di.$$.fragment,n),x(Ci.$$.fragment,n),x(Ii.$$.fragment,n),x(pa.$$.fragment,n),x(Mi.$$.fragment,n),x(Li.$$.fragment,n),x(Oi.$$.fragment,n),x(ma.$$.fragment,n),x(Gi.$$.fragment,n),x(Ri.$$.fragment,n),x(Qi.$$.fragment,n),x(ua.$$.fragment,n),x(Wi.$$.fragment,n),x(Zi.$$.fragment,n),x(Bi.$$.fragment,n),x(Yi.$$.fragment,n),x(Ki.$$.fragment,n),x(wa.$$.fragment,n),x(Xi.$$.fragment,n),x(Ji.$$.fragment,n),x(tl.$$.fragment,n),x(sl.$$.fragment,n),x(al.$$.fragment,n),x(rl.$$.fragment,n),zb=!1},d(n){t(u),n&&t(y),n&&t(P),k(l),n&&t(Rg),n&&t(kn),n&&t(Qg),n&&t(fl),n&&t(Vg),n&&t(Pn),n&&t(Hg),n&&t(dt),k(Sa),n&&t(Wg),n&&t(yn),n&&t(Zg),n&&t(Ol),n&&t(Bg),k(Ma,n),n&&t(Yg),n&&t($n),n&&t(Kg),k(La,n),n&&t(Xg),n&&t(jn),n&&t(Jg),k(Oa,n),n&&t(e_),n&&t(En),n&&t(t_),k(Na,n),n&&t(n_),n&&t(Nl),n&&t(s_),k(Ua,n),n&&t(a_),n&&t(_e),k(Ga),k(qn),n&&t(r_),n&&t(ht),k(Ha),n&&t(o_),n&&t(Ke),n&&t(i_),k(Wa,n),n&&t(l_),k(Dn,n),n&&t(p_),k(Za,n),n&&t(c_),k(Ba,n),n&&t(d_),n&&t(Ql),n&&t(m_),k(Ya,n),n&&t(h_),n&&t(Cn),n&&t(f_),k(Ka,n),n&&t(u_),n&&t(Vl),n&&t(g_),n&&t(Hl),n&&t(__),n&&t(we),n&&t(b_),n&&t(ut),k(Ja),n&&t(w_),n&&t(Qe),n&&t(v_),n&&t(Xe),n&&t(x_),k(er,n),n&&t(k_),n&&t(Wl),n&&t(P_),k(tr,n),n&&t(T_),n&&t(Zl),n&&t(y_),n&&t(zn),n&&t($_),n&&t(gt),k(nr),n&&t(j_),n&&t(Bl),n&&t(E_),n&&t(Mn),n&&t(q_),n&&t(Yl),n&&t(A_),n&&t(Kl),n&&t(D_),k(sr,n),n&&t(C_),n&&t(Xl),n&&t(I_),n&&t(_t),k(ar),n&&t(z_),n&&t(Jl),n&&t(S_),n&&t(bt),k(rr),n&&t(M_),n&&t(wt),k(or),n&&t(F_),n&&t(H),k(ir),k(Nn),k(dr),n&&t(L_),n&&t(xt),k(hr),n&&t(O_),n&&t(le),k(fr),k(Rn),k(ur),n&&t(N_),n&&t(kt),k(_r),n&&t(U_),n&&t(W),k(br),k(Hn),k(wr),k(xr),k(kr),k(Pr),n&&t(G_),n&&t(Z),k(Tr),k(Yn),k($r),n&&t(R_),n&&t(Tt),k(jr),n&&t(Q_),n&&t(B),k(Er),k(Jn),k(Cr),n&&t(V_),n&&t($t),k(Ir),n&&t(H_),n&&t(Y),k(zr),k(ns),k(Lr),n&&t(W_),n&&t(Et),k(Nr),n&&t(Z_),n&&t(K),k(Ur),k(as),k(Qr),n&&t(B_),n&&t(At),k(Vr),n&&t(Y_),n&&t(U),k(Hr),k(is),k(ls),k(Br),n&&t(K_),n&&t(It),k(Yr),n&&t(X_),n&&t(X),k(Kr),k(ds),k(to),n&&t(J_),n&&t(St),k(no),n&&t(eb),n&&t(pe),k(so),k(fs),k(io),n&&t(tb),n&&t(Ft),k(lo),n&&t(nb),n&&t(J),k(po),k(_s),k(fo),n&&t(sb),n&&t(Lt),k(uo),n&&t(ab),n&&t(F),k(go),k(vs),k(wo),k(vo),k(xo),k(ko),n&&t(rb),n&&t(Ts),n&&t(ob),n&&t(Ut),k(Po),n&&t(ib),n&&t(be),k(To),k(Eo),n&&t(lb),n&&t(Rt),k(qo),n&&t(pb),n&&t(L),k(Ao),k(Es),k(Io),k(zo),k(So),n&&t(cb),n&&t(Wt),k(Mo),n&&t(db),n&&t(ce),k(Fo),k(Cs),k(No),n&&t(mb),n&&t(Bt),k(Uo),n&&t(hb),n&&t(ee),k(Go),k(Ss),k(Ho),k(Ms),k(Fs),n&&t(fb),n&&t(Kt),k(Zo),n&&t(ub),n&&t(G),k(Bo),k(Os),k(Jo),n&&t(gb),n&&t(en),k(ei),n&&t(_b),n&&t(te),k(ti),k(Gs),k(ri),n&&t(bb),n&&t(nn),k(oi),n&&t(wb),n&&t(O),k(ii),k(Vs),k(Ws),k(ci),k(di),n&&t(vb),n&&t(an),k(mi),n&&t(xb),n&&t(M),k(hi),k(Ks),k(gi),k(_i),k(bi),k(wi),k(vi),n&&t(kb),n&&t(ln),k(xi),n&&t(Pb),n&&t(me),k(ki),k(aa),k(yi),n&&t(Tb),n&&t(cn),k($i),n&&t(yb),n&&t(ne),k(ji),k(ia),k(Di),n&&t($b),n&&t(mn),k(Ci),n&&t(jb),n&&t(R),k(Ii),k(pa),k(Mi),n&&t(Eb),n&&t(fn),k(Li),n&&t(qb),n&&t(se),k(Oi),k(ma),k(Gi),n&&t(Ab),n&&t(_n),k(Ri),n&&t(Db),n&&t(ae),k(Qi),k(ua),k(Wi),n&&t(Cb),n&&t(vn),k(Zi),n&&t(Ib),n&&t(D),k(Bi),k(Yi),k(Ki),k(wa),k(Xi),k(Ji),k(tl),k(sl),k(al),k(rl)}}}const WS={local:"pipelines",sections:[{local:"transformers.pipeline",title:"The pipeline abstraction"},{local:"pipeline-batching",title:"Pipeline batching"},{local:"pipeline-chunk-batching",title:"Pipeline chunk batching"},{local:"pipeline-custom-code",title:"Pipeline custom code"},{local:"implementing-a-pipeline",title:"Implementing a pipeline"},{local:"the-task-specific-pipelines",sections:[{local:"transformers.AudioClassificationPipeline",title:"AudioClassificationPipeline"},{local:"transformers.AutomaticSpeechRecognitionPipeline",title:"AutomaticSpeechRecognitionPipeline"},{local:"transformers.Conversation",title:"ConversationalPipeline"},{local:"transformers.DepthEstimationPipeline",title:"DepthEstimationPipeline"},{local:"transformers.DocumentQuestionAnsweringPipeline",title:"DocumentQuestionAnsweringPipeline"},{local:"transformers.FeatureExtractionPipeline",title:"FeatureExtractionPipeline"},{local:"transformers.FillMaskPipeline",title:"FillMaskPipeline"},{local:"transformers.ImageClassificationPipeline",title:"ImageClassificationPipeline"},{local:"transformers.ImageSegmentationPipeline",title:"ImageSegmentationPipeline"},{local:"transformers.ImageToTextPipeline",title:"ImageToTextPipeline"},{local:"transformers.TokenClassificationPipeline",title:"NerPipeline"},{local:"transformers.ObjectDetectionPipeline",title:"ObjectDetectionPipeline"},{local:"transformers.QuestionAnsweringPipeline",title:"QuestionAnsweringPipeline"},{local:"transformers.SummarizationPipeline",title:"SummarizationPipeline"},{local:"transformers.TableQuestionAnsweringPipeline",title:"TableQuestionAnsweringPipeline"},{local:"transformers.TextClassificationPipeline",title:"TextClassificationPipeline"},{local:"transformers.TextGenerationPipeline",title:"TextGenerationPipeline"},{local:"transformers.Text2TextGenerationPipeline",title:"Text2TextGenerationPipeline"},{local:"transformers.TokenClassificationPipeline",title:"TokenClassificationPipeline"},{local:"transformers.TranslationPipeline",title:"TranslationPipeline"},{local:"transformers.VisualQuestionAnsweringPipeline",title:"VisualQuestionAnsweringPipeline"},{local:"transformers.ZeroShotClassificationPipeline",title:"ZeroShotClassificationPipeline"},{local:"transformers.ZeroShotImageClassificationPipeline",title:"ZeroShotImageClassificationPipeline"},{local:"transformers.ZeroShotObjectDetectionPipeline",title:"ZeroShotObjectDetectionPipeline"}],title:"The task specific pipelines"},{local:"transformers.Pipeline",title:"Parent class: `Pipeline`"}],title:"Pipelines"};function ZS(j){return fS(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class tM extends cS{constructor(u){super();dS(this,u,ZS,HS,mS,{})}}export{tM as default,WS as metadata};
